#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AbstractContactEditorWidget
      switch(to) {
        case 1: return (void*)(Akonadi::AbstractContactEditorWidget*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AbstractContactFormatter
      switch(to) {
        case 2: return (void*)(Akonadi::AbstractContactFormatter*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AbstractContactGroupFormatter
      switch(to) {
        case 3: return (void*)(Akonadi::AbstractContactGroupFormatter*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AddressAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::AddressAttribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentBase
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(Akonadi::AgentBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 8: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentInstance
      switch(to) {
        case 10: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::AgentType
      switch(to) {
        case 15: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::AgentTypeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Attribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)(Akonadi::Attribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)(Akonadi::Attribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)(Akonadi::Attribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)(Akonadi::Attribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)(Akonadi::Attribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::AttributeFactory
      switch(to) {
        case 20: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::CachePolicy
      switch(to) {
        case 21: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::ChangeRecorder
      switch(to) {
        case 96: return (void*)(Akonadi::Monitor*)(Akonadi::ChangeRecorder*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ChangeRecorder*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::ChangeRecorderPrivate
      switch(to) {
        case 23: return (void*)(Akonadi::ChangeRecorderPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Collection
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 24: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::CollectionComboBox
      switch(to) {
        case 131: return (void*)(KComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 159: return (void*)(QComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionComboBox*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(Akonadi::CollectionComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)xptr;
        default: return xptr;
      }
    case 26:   //Akonadi::CollectionCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionCopyJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)xptr;
        default: return xptr;
      }
    case 27:   //Akonadi::CollectionCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionCreateJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)xptr;
        default: return xptr;
      }
    case 28:   //Akonadi::CollectionDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionDeleteJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //Akonadi::CollectionDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)xptr;
        default: return xptr;
      }
    case 30:   //Akonadi::CollectionFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionFetchJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)xptr;
        default: return xptr;
      }
    case 31:   //Akonadi::CollectionFetchScope
      switch(to) {
        case 31: return (void*)(Akonadi::CollectionFetchScope*)xptr;
        default: return xptr;
      }
    case 32:   //Akonadi::CollectionFilterProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 33:   //Akonadi::CollectionModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(Akonadi::CollectionModel*)xptr;
        default: return xptr;
      }
    case 34:   //Akonadi::CollectionModelPrivate
      switch(to) {
        case 34: return (void*)(Akonadi::CollectionModelPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Akonadi::CollectionModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionModifyJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)xptr;
        default: return xptr;
      }
    case 36:   //Akonadi::CollectionMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionMoveJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)xptr;
        default: return xptr;
      }
    case 37:   //Akonadi::CollectionPropertiesDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)xptr;
        default: return xptr;
      }
    case 38:   //Akonadi::CollectionPropertiesPage
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)xptr;
        default: return xptr;
      }
    case 39:   //Akonadi::CollectionPropertiesPageFactory
      switch(to) {
        case 39: return (void*)(Akonadi::CollectionPropertiesPageFactory*)xptr;
        default: return xptr;
      }
    case 40:   //Akonadi::CollectionQuotaAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::CollectionQuotaAttribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)xptr;
        default: return xptr;
      }
    case 41:   //Akonadi::CollectionRequester
      switch(to) {
        case 138: return (void*)(KHBox*)(Akonadi::CollectionRequester*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionRequester*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionRequester*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionRequester*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)xptr;
        default: return xptr;
      }
    case 42:   //Akonadi::CollectionStatistics
      switch(to) {
        case 42: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 43:   //Akonadi::CollectionStatisticsDelegate
      switch(to) {
        case 207: return (void*)(QStyledItemDelegate*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        default: return xptr;
      }
    case 44:   //Akonadi::CollectionStatisticsJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)xptr;
        default: return xptr;
      }
    case 45:   //Akonadi::CollectionStatisticsModel
      switch(to) {
        case 33: return (void*)(Akonadi::CollectionModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)xptr;
        default: return xptr;
      }
    case 46:   //Akonadi::CollectionView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::CollectionView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::CollectionView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::CollectionView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)xptr;
        default: return xptr;
      }
    case 47:   //Akonadi::ContactDefaultActions
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::ContactDefaultActions*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)xptr;
        default: return xptr;
      }
    case 48:   //Akonadi::ContactEditor
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditor*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditor*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)xptr;
        default: return xptr;
      }
    case 49:   //Akonadi::ContactEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditorDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditorDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)xptr;
        default: return xptr;
      }
    case 50:   //Akonadi::ContactEditorPagePlugin
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)xptr;
        default: return xptr;
      }
    case 51:   //Akonadi::ContactGroupEditor
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupEditor*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupEditor*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)xptr;
        default: return xptr;
      }
    case 52:   //Akonadi::ContactGroupEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)xptr;
        default: return xptr;
      }
    case 53:   //Akonadi::ContactGroupExpandJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)xptr;
        default: return xptr;
      }
    case 54:   //Akonadi::ContactGroupSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)xptr;
        default: return xptr;
      }
    case 55:   //Akonadi::ContactGroupViewer
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupViewer*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactGroupViewer*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)xptr;
        default: return xptr;
      }
    case 56:   //Akonadi::ContactGroupViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)xptr;
        default: return xptr;
      }
    case 57:   //Akonadi::ContactSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)xptr;
        default: return xptr;
      }
    case 58:   //Akonadi::ContactViewer
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactViewer*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactViewer*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)xptr;
        default: return xptr;
      }
    case 59:   //Akonadi::ContactViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactViewerDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactViewerDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)xptr;
        default: return xptr;
      }
    case 60:   //Akonadi::Control
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Control*)xptr;
        case 60: return (void*)(Akonadi::Control*)xptr;
        default: return xptr;
      }
    case 61:   //Akonadi::Entity
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)xptr;
        case 73: return (void*)(Akonadi::Item*)(Akonadi::Entity*)xptr;
        case 24: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 62:   //Akonadi::EntityDisplayAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityDisplayAttribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)xptr;
        default: return xptr;
      }
    case 63:   //Akonadi::EntityHiddenAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityHiddenAttribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)xptr;
        default: return xptr;
      }
    case 64:   //Akonadi::EntityListView
      switch(to) {
        case 183: return (void*)(QListView*)(Akonadi::EntityListView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityListView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityListView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::EntityListView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)xptr;
        default: return xptr;
      }
    case 65:   //Akonadi::EntityMimeTypeFilterModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        default: return xptr;
      }
    case 66:   //Akonadi::EntityPrivate
      switch(to) {
        case 66: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 67:   //Akonadi::EntityTreeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityTreeModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)xptr;
        default: return xptr;
      }
    case 68:   //Akonadi::EntityTreeModelPrivate
      switch(to) {
        case 68: return (void*)(Akonadi::EntityTreeModelPrivate*)xptr;
        default: return xptr;
      }
    case 69:   //Akonadi::EntityTreeView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::EntityTreeView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityTreeView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityTreeView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::EntityTreeView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)xptr;
        default: return xptr;
      }
    case 70:   //Akonadi::EntityTreeViewStateSaver
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        default: return xptr;
      }
    case 71:   //Akonadi::Exception
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 72:   //Akonadi::FavoriteCollectionsModel
      switch(to) {
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)xptr;
        default: return xptr;
      }
    case 73:   //Akonadi::Item
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Item*)xptr;
        case 73: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 74:   //Akonadi::ItemCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCopyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemCopyJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)xptr;
        default: return xptr;
      }
    case 75:   //Akonadi::ItemCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemCreateJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)xptr;
        default: return xptr;
      }
    case 76:   //Akonadi::ItemDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemDeleteJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)xptr;
        default: return xptr;
      }
    case 77:   //Akonadi::ItemFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemFetchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemFetchJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)xptr;
        default: return xptr;
      }
    case 78:   //Akonadi::ItemFetchScope
      switch(to) {
        case 78: return (void*)(Akonadi::ItemFetchScope*)xptr;
        default: return xptr;
      }
    case 79:   //Akonadi::ItemModel
      switch(to) {
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::ItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::ItemModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(Akonadi::ItemModel*)xptr;
        default: return xptr;
      }
    case 80:   //Akonadi::ItemModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemModifyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemModifyJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)xptr;
        default: return xptr;
      }
    case 81:   //Akonadi::ItemMonitor
      switch(to) {
        case 81: return (void*)(Akonadi::ItemMonitor*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(Akonadi::ItemMonitor*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(Akonadi::ItemMonitor*)xptr;
        default: return xptr;
      }
    case 82:   //Akonadi::ItemMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemMoveJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemMoveJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)xptr;
        default: return xptr;
      }
    case 83:   //Akonadi::ItemSearchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemSearchJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        default: return xptr;
      }
    case 84:   //Akonadi::ItemSerializerPlugin
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)(Akonadi::ItemSerializerPlugin*)xptr;
        default: return xptr;
      }
    case 85:   //Akonadi::ItemSerializerPluginV2
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)(Akonadi::ItemSerializerPluginV2*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)xptr;
        default: return xptr;
      }
    case 86:   //Akonadi::ItemSync
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSync*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSync*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSync*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemSync*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)xptr;
        default: return xptr;
      }
    case 87:   //Akonadi::ItemView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::ItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::ItemView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::ItemView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::ItemView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ItemView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)xptr;
        default: return xptr;
      }
    case 88:   //Akonadi::Job
      switch(to) {
        case 135: return (void*)(KCompositeJob*)(Akonadi::Job*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::Job*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::Job*)xptr;
        case 88: return (void*)(Akonadi::Job*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(Akonadi::Job*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(Akonadi::Job*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(Akonadi::Job*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(Akonadi::Job*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(Akonadi::Job*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(Akonadi::Job*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(Akonadi::Job*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(Akonadi::Job*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(Akonadi::Job*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(Akonadi::Job*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(Akonadi::Job*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(Akonadi::Job*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(Akonadi::Job*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(Akonadi::Job*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(Akonadi::Job*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::Job*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(Akonadi::Job*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(Akonadi::Job*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::Job*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(Akonadi::Job*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(Akonadi::Job*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(Akonadi::Job*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::Job*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(Akonadi::Job*)xptr;
        default: return xptr;
      }
    case 89:   //Akonadi::JobPrivate
      switch(to) {
        case 89: return (void*)(Akonadi::JobPrivate*)xptr;
        default: return xptr;
      }
    case 90:   //Akonadi::LinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::LinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::LinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::LinkJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::LinkJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)xptr;
        default: return xptr;
      }
    case 91:   //Akonadi::MessageFolderAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageFolderAttribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)xptr;
        default: return xptr;
      }
    case 92:   //Akonadi::MessageModel
      switch(to) {
        case 79: return (void*)(Akonadi::ItemModel*)(Akonadi::MessageModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::MessageModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::MessageModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)xptr;
        default: return xptr;
      }
    case 93:   //Akonadi::MessageThreaderProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)xptr;
        default: return xptr;
      }
    case 94:   //Akonadi::MessageThreadingAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageThreadingAttribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)xptr;
        default: return xptr;
      }
    case 95:   //Akonadi::MimeTypeChecker
      switch(to) {
        case 95: return (void*)(Akonadi::MimeTypeChecker*)xptr;
        default: return xptr;
      }
    case 96:   //Akonadi::Monitor
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Monitor*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(Akonadi::Monitor*)xptr;
        default: return xptr;
      }
    case 97:   //Akonadi::MonitorPrivate
      switch(to) {
        case 97: return (void*)(Akonadi::MonitorPrivate*)xptr;
        default: return xptr;
      }
    case 98:   //Akonadi::PartFetcher
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::PartFetcher*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::PartFetcher*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)xptr;
        default: return xptr;
      }
    case 99:   //Akonadi::PayloadBase
      switch(to) {
        case 99: return (void*)(Akonadi::PayloadBase*)xptr;
        default: return xptr;
      }
    case 100:   //Akonadi::PayloadException
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 101:   //Akonadi::PreprocessorBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::PreprocessorBase*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::PreprocessorBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::PreprocessorBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)xptr;
        default: return xptr;
      }
    case 102:   //Akonadi::ResourceBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::ResourceBase*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ResourceBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::ResourceBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)xptr;
        default: return xptr;
      }
    case 103:   //Akonadi::ResourceSynchronizationJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)xptr;
        default: return xptr;
      }
    case 104:   //Akonadi::SearchCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::SearchCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::SearchCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::SearchCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::SearchCreateJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)xptr;
        default: return xptr;
      }
    case 105:   //Akonadi::SelectionProxyModel
      switch(to) {
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::SelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(Akonadi::SelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 106:   //Akonadi::ServerManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::ServerManager*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)xptr;
        default: return xptr;
      }
    case 107:   //Akonadi::Session
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Session*)xptr;
        case 107: return (void*)(Akonadi::Session*)xptr;
        default: return xptr;
      }
    case 108:   //Akonadi::SessionPrivate
      switch(to) {
        case 108: return (void*)(Akonadi::SessionPrivate*)xptr;
        default: return xptr;
      }
    case 109:   //Akonadi::StandardActionManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::StandardActionManager*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)xptr;
        default: return xptr;
      }
    case 110:   //Akonadi::StatisticsProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::StatisticsProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)xptr;
        default: return xptr;
      }
    case 111:   //Akonadi::TransactionBeginJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionBeginJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionBeginJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)xptr;
        default: return xptr;
      }
    case 112:   //Akonadi::TransactionCommitJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionCommitJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionCommitJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)xptr;
        default: return xptr;
      }
    case 113:   //Akonadi::TransactionRollbackJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionRollbackJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionRollbackJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)xptr;
        default: return xptr;
      }
    case 114:   //Akonadi::TransactionSequence
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionSequence*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionSequence*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionSequence*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionSequence*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)xptr;
        default: return xptr;
      }
    case 115:   //Akonadi::TransportResourceBase
      switch(to) {
        case 115: return (void*)(Akonadi::TransportResourceBase*)xptr;
        default: return xptr;
      }
    case 116:   //Akonadi::UnlinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::UnlinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::UnlinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::UnlinkJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::UnlinkJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)xptr;
        default: return xptr;
      }
    case 117:   //KABC::Address
      switch(to) {
        case 117: return (void*)(KABC::Address*)xptr;
        default: return xptr;
      }
    case 118:   //KABC::Addressee
      switch(to) {
        case 118: return (void*)(KABC::Addressee*)xptr;
        default: return xptr;
      }
    case 119:   //KABC::AddresseeList
      switch(to) {
        case 119: return (void*)(KABC::AddresseeList*)xptr;
        default: return xptr;
      }
    case 120:   //KABC::ContactGroup
      switch(to) {
        case 120: return (void*)(KABC::ContactGroup*)xptr;
        default: return xptr;
      }
    case 121:   //KABC::Geo
      switch(to) {
        case 121: return (void*)(KABC::Geo*)xptr;
        default: return xptr;
      }
    case 122:   //KABC::Key
      switch(to) {
        case 122: return (void*)(KABC::Key*)xptr;
        default: return xptr;
      }
    case 123:   //KABC::PhoneNumber
      switch(to) {
        case 123: return (void*)(KABC::PhoneNumber*)xptr;
        default: return xptr;
      }
    case 124:   //KABC::Picture
      switch(to) {
        case 124: return (void*)(KABC::Picture*)xptr;
        default: return xptr;
      }
    case 125:   //KABC::Secrecy
      switch(to) {
        case 125: return (void*)(KABC::Secrecy*)xptr;
        default: return xptr;
      }
    case 126:   //KABC::Sound
      switch(to) {
        case 126: return (void*)(KABC::Sound*)xptr;
        default: return xptr;
      }
    case 127:   //KABC::TimeZone
      switch(to) {
        case 127: return (void*)(KABC::TimeZone*)xptr;
        default: return xptr;
      }
    case 128:   //KAction
      switch(to) {
        case 128: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 129:   //KActionCollection
      switch(to) {
        case 129: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 130:   //KCharsets
      switch(to) {
        case 130: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 131:   //KComboBox
      switch(to) {
        case 159: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 214: return (void*)(QWidget*)(KComboBox*)xptr;
        case 191: return (void*)(QObject*)(KComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 131: return (void*)(KComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 132:   //KCompletion
      switch(to) {
        case 191: return (void*)(QObject*)(KCompletion*)xptr;
        case 132: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 133:   //KCompletionBase
      switch(to) {
        case 133: return (void*)(KCompletionBase*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 134:   //KComponentData
      switch(to) {
        case 134: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 135:   //KCompositeJob
      switch(to) {
        case 140: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 191: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 135: return (void*)(KCompositeJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KCompositeJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KCompositeJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KCompositeJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KCompositeJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KCompositeJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KCompositeJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KCompositeJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KCompositeJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KCompositeJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KCompositeJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KCompositeJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KCompositeJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KCompositeJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KCompositeJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KCompositeJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KCompositeJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KCompositeJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KCompositeJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KCompositeJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KCompositeJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KCompositeJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KCompositeJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KCompositeJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KCompositeJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 136:   //KConfigGroup
      switch(to) {
        case 136: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 137:   //KDialog
      switch(to) {
        case 164: return (void*)(QDialog*)(KDialog*)xptr;
        case 214: return (void*)(QWidget*)(KDialog*)xptr;
        case 191: return (void*)(QObject*)(KDialog*)xptr;
        case 137: return (void*)(KDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(KDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(KDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(KDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(KDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(KDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 138:   //KHBox
      switch(to) {
        case 172: return (void*)(QFrame*)(KHBox*)xptr;
        case 214: return (void*)(QWidget*)(KHBox*)xptr;
        case 191: return (void*)(QObject*)(KHBox*)xptr;
        case 138: return (void*)(KHBox*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(KHBox*)xptr;
        default: return xptr;
      }
    case 139:   //KIcon
      switch(to) {
        case 176: return (void*)(QIcon*)(KIcon*)xptr;
        case 139: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 140:   //KJob
      switch(to) {
        case 191: return (void*)(QObject*)(KJob*)xptr;
        case 140: return (void*)(KJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KJob*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(KJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(KJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 141:   //KLocale
      switch(to) {
        case 141: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 142:   //KLocalizedString
      switch(to) {
        case 142: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 143:   //KSelectionProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(KSelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(KSelectionProxyModel*)xptr;
        case 191: return (void*)(QObject*)(KSelectionProxyModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(KSelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(KSelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 144:   //KStandardDirs
      switch(to) {
        case 144: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 145:   //KUrl
      switch(to) {
        case 211: return (void*)(QUrl*)(KUrl*)xptr;
        case 145: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 146:   //KXMLGUIClient
      switch(to) {
        case 146: return (void*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 147:   //KXmlGuiWindow
      switch(to) {
        case 147: return (void*)(KXmlGuiWindow*)xptr;
        default: return xptr;
      }
    case 148:   //QAbstractItemModel
      switch(to) {
        case 191: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractItemModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractItemModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractItemModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractItemModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QAbstractItemModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QAbstractItemModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 149:   //QAbstractItemView
      switch(to) {
        case 151: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 172: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 214: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 191: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractItemView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractItemView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 150:   //QAbstractProxyModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 191: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 151:   //QAbstractScrollArea
      switch(to) {
        case 172: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 214: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 191: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractScrollArea*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractScrollArea*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 152:   //QAbstractTableModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 191: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractTableModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 153:   //QActionEvent
      switch(to) {
        case 153: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QBool
      switch(to) {
        case 154: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 155:   //QByteArray
      switch(to) {
        case 155: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 156:   //QChildEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 156: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 157:   //QCloseEvent
      switch(to) {
        case 157: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 158:   //QColor
      switch(to) {
        case 158: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 159:   //QComboBox
      switch(to) {
        case 214: return (void*)(QWidget*)(QComboBox*)xptr;
        case 191: return (void*)(QObject*)(QComboBox*)xptr;
        case 159: return (void*)(QComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 160:   //QContextMenuEvent
      switch(to) {
        case 160: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QDBusContext
      switch(to) {
        case 161: return (void*)(QDBusContext*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QDBusContext*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 162:   //QDataStream
      switch(to) {
        case 162: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 163:   //QDateTime
      switch(to) {
        case 163: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 164:   //QDialog
      switch(to) {
        case 214: return (void*)(QWidget*)(QDialog*)xptr;
        case 191: return (void*)(QObject*)(QDialog*)xptr;
        case 164: return (void*)(QDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 165:   //QDragEnterEvent
      switch(to) {
        case 165: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QDragLeaveEvent
      switch(to) {
        case 166: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QDragMoveEvent
      switch(to) {
        case 167: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 168:   //QDropEvent
      switch(to) {
        case 168: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 169:   //QEvent
      switch(to) {
        case 169: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 170:   //QFocusEvent
      switch(to) {
        case 170: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 171:   //QFont
      switch(to) {
        case 171: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 172:   //QFrame
      switch(to) {
        case 214: return (void*)(QWidget*)(QFrame*)xptr;
        case 191: return (void*)(QObject*)(QFrame*)xptr;
        case 172: return (void*)(QFrame*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QFrame*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QFrame*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QFrame*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QFrame*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 174:   //QHideEvent
      switch(to) {
        case 174: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 175:   //QIODevice
      switch(to) {
        case 191: return (void*)(QObject*)(QIODevice*)xptr;
        case 175: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 176:   //QIcon
      switch(to) {
        case 176: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 177:   //QIncompatibleFlag
      switch(to) {
        case 177: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 178:   //QInputMethodEvent
      switch(to) {
        case 178: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 179:   //QItemSelection
      switch(to) {
        case 179: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 180:   //QItemSelectionModel
      switch(to) {
        case 191: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 180: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 181:   //QKeyEvent
      switch(to) {
        case 181: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 182:   //QLineEdit
      switch(to) {
        case 182: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 183:   //QListView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 172: return (void*)(QFrame*)(QListView*)xptr;
        case 214: return (void*)(QWidget*)(QListView*)xptr;
        case 191: return (void*)(QObject*)(QListView*)xptr;
        case 183: return (void*)(QListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QListView*)xptr;
        default: return xptr;
      }
    case 184:   //QLocale
      switch(to) {
        case 184: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 185:   //QMenu
      switch(to) {
        case 185: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 186:   //QMetaObject
      switch(to) {
        case 186: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 187:   //QMimeData
      switch(to) {
        case 187: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 188:   //QModelIndex
      switch(to) {
        case 188: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 189:   //QMouseEvent
      switch(to) {
        case 189: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 190:   //QMoveEvent
      switch(to) {
        case 190: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 191:   //QObject
      switch(to) {
        case 191: return (void*)(QObject*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QObject*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QObject*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QObject*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QObject*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QObject*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(QObject*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(QObject*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QObject*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(QObject*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(QObject*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)(QObject*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(QObject*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QObject*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(QObject*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QObject*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(QObject*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(QObject*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(QObject*)xptr;
        case 88: return (void*)(Akonadi::Job*)(QObject*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QObject*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QObject*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QObject*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)(QObject*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QObject*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(QObject*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QObject*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(QObject*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QObject*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(QObject*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(QObject*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QObject*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QObject*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QObject*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QObject*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(QObject*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QObject*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(QObject*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(QObject*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(QObject*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(QObject*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QObject*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QObject*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QObject*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)(QObject*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QObject*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QObject*)xptr;
        case 107: return (void*)(Akonadi::Session*)(QObject*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QObject*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QObject*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QObject*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(QObject*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)(QObject*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(QObject*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)(QObject*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(QObject*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 60: return (void*)(Akonadi::Control*)(QObject*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(QObject*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(QObject*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(QObject*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QObject*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(QObject*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(QObject*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 192:   //QPaintEngine
      switch(to) {
        case 192: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 193:   //QPaintEvent
      switch(to) {
        case 193: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 194:   //QPainter
      switch(to) {
        case 194: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 195:   //QPalette
      switch(to) {
        case 195: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 196:   //QPoint
      switch(to) {
        case 196: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 197:   //QRect
      switch(to) {
        case 197: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 198:   //QRegExp
      switch(to) {
        case 198: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 199:   //QRegion
      switch(to) {
        case 199: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 200:   //QResizeEvent
      switch(to) {
        case 200: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 201:   //QSettings
      switch(to) {
        case 201: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 202:   //QShowEvent
      switch(to) {
        case 202: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 203:   //QSize
      switch(to) {
        case 203: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 204:   //QSortFilterProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 204: return (void*)(QSortFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QSortFilterProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QSortFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 205:   //QStyle
      switch(to) {
        case 191: return (void*)(QObject*)(QStyle*)xptr;
        case 205: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 206:   //QStyleOptionViewItem
      switch(to) {
        case 206: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 207:   //QStyledItemDelegate
      switch(to) {
        case 191: return (void*)(QObject*)(QStyledItemDelegate*)xptr;
        case 207: return (void*)(QStyledItemDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QStyledItemDelegate*)xptr;
        default: return xptr;
      }
    case 208:   //QTabletEvent
      switch(to) {
        case 208: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 209:   //QTimerEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 209: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 210:   //QTreeView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 172: return (void*)(QFrame*)(QTreeView*)xptr;
        case 214: return (void*)(QWidget*)(QTreeView*)xptr;
        case 191: return (void*)(QObject*)(QTreeView*)xptr;
        case 210: return (void*)(QTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QTreeView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QTreeView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 211:   //QUrl
      switch(to) {
        case 211: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 212:   //QVariant
      switch(to) {
        case 212: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 213:   //QWheelEvent
      switch(to) {
        case 213: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 214:   //QWidget
      switch(to) {
        case 191: return (void*)(QObject*)(QWidget*)xptr;
        case 214: return (void*)(QWidget*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QWidget*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QWidget*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QWidget*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QWidget*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QWidget*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QWidget*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QWidget*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QWidget*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QWidget*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QWidget*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QWidget*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QWidget*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QWidget*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QWidget*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QWidget*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QWidget*)xptr;
        default: return xptr;
      }
    case 215:   //boost::exception
      switch(to) {
        case 215: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 216:   //boost::exception_detail::large_size
      switch(to) {
        case 216: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 217:   //boost::exception_detail::small_size
      switch(to) {
        case 217: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    19, 0,	// 1: Akonadi::Attribute
    191, 161, 0,	// 3: QObject, QDBusContext
    6, 0,	// 6: Akonadi::AgentBase::Observer
    204, 0,	// 8: QSortFilterProxyModel
    140, 0,	// 10: KJob
    148, 0,	// 12: QAbstractItemModel
    214, 0,	// 14: QWidget
    191, 0,	// 16: QObject
    137, 0,	// 18: KDialog
    96, 0,	// 20: Akonadi::Monitor
    61, 0,	// 22: Akonadi::Entity
    131, 0,	// 24: KComboBox
    88, 0,	// 26: Akonadi::Job
    138, 0,	// 28: KHBox
    207, 0,	// 30: QStyledItemDelegate
    33, 0,	// 32: Akonadi::CollectionModel
    210, 0,	// 34: QTreeView
    83, 0,	// 36: Akonadi::ItemSearchJob
    214, 81, 0,	// 38: QWidget, Akonadi::ItemMonitor
    183, 0,	// 41: QListView
    105, 0,	// 43: Akonadi::SelectionProxyModel
    152, 0,	// 45: QAbstractTableModel
    84, 0,	// 47: Akonadi::ItemSerializerPlugin
    135, 0,	// 49: KCompositeJob
    79, 0,	// 51: Akonadi::ItemModel
    150, 0,	// 53: QAbstractProxyModel
    71, 0,	// 55: Akonadi::Exception
    5, 0,	// 57: Akonadi::AgentBase
    143, 0,	// 59: KSelectionProxyModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__ItemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__MessageModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__EntityTreeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemSync(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__TransportResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__PreprocessorBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Item(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionStatisticsModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__StandardActionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionPropertiesDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ServerManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Job(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AddressAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ChangeRecorder(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPageFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionQuotaAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionRequester(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatistics(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactDefaultActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorPagePlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupExpandJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Control(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityDisplayAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityHiddenAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityListView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityMimeTypeFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeViewStateSaver(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__FavoriteCollectionsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Item(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMonitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPluginV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSync(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Job(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__LinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageFolderAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreaderProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreadingAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MimeTypeChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Monitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PartFetcher(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PreprocessorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceSynchronizationJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SearchCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SelectionProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ServerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Session(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StandardActionManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StatisticsProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionBeginJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionCommitJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionRollbackJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransportResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__UnlinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AbstractContactEditorWidget", true, 0, 0, 0, 0, 0 },	//1
    { "Akonadi::AbstractContactFormatter", true, 0, 0, 0, 0, 0 },	//2
    { "Akonadi::AbstractContactGroupFormatter", true, 0, 0, 0, 0, 0 },	//3
    { "Akonadi::AddressAttribute", false, 1, xcall_Akonadi__AddressAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AddressAttribute) },	//4
    { "Akonadi::AgentBase", false, 3, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//5
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//6
    { "Akonadi::AgentBase::ObserverV2", false, 6, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//7
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//8
    { "Akonadi::AgentFilterProxyModel", false, 8, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//9
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//10
    { "Akonadi::AgentInstanceCreateJob", false, 10, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//11
    { "Akonadi::AgentInstanceModel", false, 12, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//12
    { "Akonadi::AgentInstanceWidget", false, 14, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//13
    { "Akonadi::AgentManager", false, 16, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//14
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//15
    { "Akonadi::AgentTypeDialog", false, 18, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//16
    { "Akonadi::AgentTypeModel", false, 12, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//17
    { "Akonadi::AgentTypeWidget", false, 14, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//18
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//19
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//20
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//21
    { "Akonadi::ChangeRecorder", false, 20, xcall_Akonadi__ChangeRecorder, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ChangeRecorder) },	//22
    { "Akonadi::ChangeRecorderPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Akonadi::Collection", false, 22, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//24
    { "Akonadi::CollectionComboBox", false, 24, xcall_Akonadi__CollectionComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionComboBox) },	//25
    { "Akonadi::CollectionCopyJob", false, 26, xcall_Akonadi__CollectionCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCopyJob) },	//26
    { "Akonadi::CollectionCreateJob", false, 26, xcall_Akonadi__CollectionCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCreateJob) },	//27
    { "Akonadi::CollectionDeleteJob", false, 26, xcall_Akonadi__CollectionDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDeleteJob) },	//28
    { "Akonadi::CollectionDialog", false, 18, xcall_Akonadi__CollectionDialog, xenum_Akonadi__CollectionDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDialog) },	//29
    { "Akonadi::CollectionFetchJob", false, 26, xcall_Akonadi__CollectionFetchJob, xenum_Akonadi__CollectionFetchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFetchJob) },	//30
    { "Akonadi::CollectionFetchScope", false, 0, xcall_Akonadi__CollectionFetchScope, xenum_Akonadi__CollectionFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionFetchScope) },	//31
    { "Akonadi::CollectionFilterProxyModel", false, 8, xcall_Akonadi__CollectionFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFilterProxyModel) },	//32
    { "Akonadi::CollectionModel", false, 12, xcall_Akonadi__CollectionModel, xenum_Akonadi__CollectionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModel) },	//33
    { "Akonadi::CollectionModelPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Akonadi::CollectionModifyJob", false, 26, xcall_Akonadi__CollectionModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModifyJob) },	//35
    { "Akonadi::CollectionMoveJob", false, 26, xcall_Akonadi__CollectionMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionMoveJob) },	//36
    { "Akonadi::CollectionPropertiesDialog", false, 18, xcall_Akonadi__CollectionPropertiesDialog, xenum_Akonadi__CollectionPropertiesDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesDialog) },	//37
    { "Akonadi::CollectionPropertiesPage", false, 14, xcall_Akonadi__CollectionPropertiesPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPage) },	//38
    { "Akonadi::CollectionPropertiesPageFactory", false, 0, xcall_Akonadi__CollectionPropertiesPageFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPageFactory) },	//39
    { "Akonadi::CollectionQuotaAttribute", false, 1, xcall_Akonadi__CollectionQuotaAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionQuotaAttribute) },	//40
    { "Akonadi::CollectionRequester", false, 28, xcall_Akonadi__CollectionRequester, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionRequester) },	//41
    { "Akonadi::CollectionStatistics", false, 0, xcall_Akonadi__CollectionStatistics, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionStatistics) },	//42
    { "Akonadi::CollectionStatisticsDelegate", false, 30, xcall_Akonadi__CollectionStatisticsDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsDelegate) },	//43
    { "Akonadi::CollectionStatisticsJob", false, 26, xcall_Akonadi__CollectionStatisticsJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsJob) },	//44
    { "Akonadi::CollectionStatisticsModel", false, 32, xcall_Akonadi__CollectionStatisticsModel, xenum_Akonadi__CollectionStatisticsModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsModel) },	//45
    { "Akonadi::CollectionView", false, 34, xcall_Akonadi__CollectionView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionView) },	//46
    { "Akonadi::ContactDefaultActions", false, 16, xcall_Akonadi__ContactDefaultActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactDefaultActions) },	//47
    { "Akonadi::ContactEditor", false, 14, xcall_Akonadi__ContactEditor, xenum_Akonadi__ContactEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditor) },	//48
    { "Akonadi::ContactEditorDialog", false, 18, xcall_Akonadi__ContactEditorDialog, xenum_Akonadi__ContactEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorDialog) },	//49
    { "Akonadi::ContactEditorPagePlugin", false, 14, xcall_Akonadi__ContactEditorPagePlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorPagePlugin) },	//50
    { "Akonadi::ContactGroupEditor", false, 14, xcall_Akonadi__ContactGroupEditor, xenum_Akonadi__ContactGroupEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditor) },	//51
    { "Akonadi::ContactGroupEditorDialog", false, 18, xcall_Akonadi__ContactGroupEditorDialog, xenum_Akonadi__ContactGroupEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditorDialog) },	//52
    { "Akonadi::ContactGroupExpandJob", false, 10, xcall_Akonadi__ContactGroupExpandJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupExpandJob) },	//53
    { "Akonadi::ContactGroupSearchJob", false, 36, xcall_Akonadi__ContactGroupSearchJob, xenum_Akonadi__ContactGroupSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupSearchJob) },	//54
    { "Akonadi::ContactGroupViewer", false, 38, xcall_Akonadi__ContactGroupViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewer) },	//55
    { "Akonadi::ContactGroupViewerDialog", false, 18, xcall_Akonadi__ContactGroupViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewerDialog) },	//56
    { "Akonadi::ContactSearchJob", false, 36, xcall_Akonadi__ContactSearchJob, xenum_Akonadi__ContactSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactSearchJob) },	//57
    { "Akonadi::ContactViewer", false, 38, xcall_Akonadi__ContactViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewer) },	//58
    { "Akonadi::ContactViewerDialog", false, 18, xcall_Akonadi__ContactViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewerDialog) },	//59
    { "Akonadi::Control", false, 16, xcall_Akonadi__Control, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Control) },	//60
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//61
    { "Akonadi::EntityDisplayAttribute", false, 1, xcall_Akonadi__EntityDisplayAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityDisplayAttribute) },	//62
    { "Akonadi::EntityHiddenAttribute", false, 1, xcall_Akonadi__EntityHiddenAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityHiddenAttribute) },	//63
    { "Akonadi::EntityListView", false, 41, xcall_Akonadi__EntityListView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityListView) },	//64
    { "Akonadi::EntityMimeTypeFilterModel", false, 8, xcall_Akonadi__EntityMimeTypeFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityMimeTypeFilterModel) },	//65
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//66
    { "Akonadi::EntityTreeModel", false, 12, xcall_Akonadi__EntityTreeModel, xenum_Akonadi__EntityTreeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeModel) },	//67
    { "Akonadi::EntityTreeModelPrivate", true, 0, 0, 0, 0, 0 },	//68
    { "Akonadi::EntityTreeView", false, 34, xcall_Akonadi__EntityTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeView) },	//69
    { "Akonadi::EntityTreeViewStateSaver", false, 16, xcall_Akonadi__EntityTreeViewStateSaver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeViewStateSaver) },	//70
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//71
    { "Akonadi::FavoriteCollectionsModel", false, 43, xcall_Akonadi__FavoriteCollectionsModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::FavoriteCollectionsModel) },	//72
    { "Akonadi::Item", false, 22, xcall_Akonadi__Item, xenum_Akonadi__Item, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Item) },	//73
    { "Akonadi::ItemCopyJob", false, 26, xcall_Akonadi__ItemCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCopyJob) },	//74
    { "Akonadi::ItemCreateJob", false, 26, xcall_Akonadi__ItemCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCreateJob) },	//75
    { "Akonadi::ItemDeleteJob", false, 26, xcall_Akonadi__ItemDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemDeleteJob) },	//76
    { "Akonadi::ItemFetchJob", false, 26, xcall_Akonadi__ItemFetchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemFetchJob) },	//77
    { "Akonadi::ItemFetchScope", false, 0, xcall_Akonadi__ItemFetchScope, xenum_Akonadi__ItemFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::ItemFetchScope) },	//78
    { "Akonadi::ItemModel", false, 45, xcall_Akonadi__ItemModel, xenum_Akonadi__ItemModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModel) },	//79
    { "Akonadi::ItemModifyJob", false, 26, xcall_Akonadi__ItemModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModifyJob) },	//80
    { "Akonadi::ItemMonitor", false, 0, xcall_Akonadi__ItemMonitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMonitor) },	//81
    { "Akonadi::ItemMoveJob", false, 26, xcall_Akonadi__ItemMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMoveJob) },	//82
    { "Akonadi::ItemSearchJob", false, 26, xcall_Akonadi__ItemSearchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSearchJob) },	//83
    { "Akonadi::ItemSerializerPlugin", false, 0, xcall_Akonadi__ItemSerializerPlugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPlugin) },	//84
    { "Akonadi::ItemSerializerPluginV2", false, 47, xcall_Akonadi__ItemSerializerPluginV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPluginV2) },	//85
    { "Akonadi::ItemSync", false, 26, xcall_Akonadi__ItemSync, xenum_Akonadi__ItemSync, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSync) },	//86
    { "Akonadi::ItemView", false, 34, xcall_Akonadi__ItemView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemView) },	//87
    { "Akonadi::Job", false, 49, xcall_Akonadi__Job, xenum_Akonadi__Job, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Job) },	//88
    { "Akonadi::JobPrivate", true, 0, 0, 0, 0, 0 },	//89
    { "Akonadi::LinkJob", false, 26, xcall_Akonadi__LinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::LinkJob) },	//90
    { "Akonadi::MessageFolderAttribute", false, 1, xcall_Akonadi__MessageFolderAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageFolderAttribute) },	//91
    { "Akonadi::MessageModel", false, 51, xcall_Akonadi__MessageModel, xenum_Akonadi__MessageModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageModel) },	//92
    { "Akonadi::MessageThreaderProxyModel", false, 53, xcall_Akonadi__MessageThreaderProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageThreaderProxyModel) },	//93
    { "Akonadi::MessageThreadingAttribute", false, 1, xcall_Akonadi__MessageThreadingAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageThreadingAttribute) },	//94
    { "Akonadi::MimeTypeChecker", false, 0, xcall_Akonadi__MimeTypeChecker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::MimeTypeChecker) },	//95
    { "Akonadi::Monitor", false, 16, xcall_Akonadi__Monitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Monitor) },	//96
    { "Akonadi::MonitorPrivate", true, 0, 0, 0, 0, 0 },	//97
    { "Akonadi::PartFetcher", false, 10, xcall_Akonadi__PartFetcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PartFetcher) },	//98
    { "Akonadi::PayloadBase", false, 0, xcall_Akonadi__PayloadBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadBase) },	//99
    { "Akonadi::PayloadException", false, 55, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//100
    { "Akonadi::PreprocessorBase", false, 57, xcall_Akonadi__PreprocessorBase, xenum_Akonadi__PreprocessorBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PreprocessorBase) },	//101
    { "Akonadi::ResourceBase", false, 57, xcall_Akonadi__ResourceBase, xenum_Akonadi__ResourceBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceBase) },	//102
    { "Akonadi::ResourceSynchronizationJob", false, 10, xcall_Akonadi__ResourceSynchronizationJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceSynchronizationJob) },	//103
    { "Akonadi::SearchCreateJob", false, 26, xcall_Akonadi__SearchCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SearchCreateJob) },	//104
    { "Akonadi::SelectionProxyModel", false, 59, xcall_Akonadi__SelectionProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SelectionProxyModel) },	//105
    { "Akonadi::ServerManager", false, 16, xcall_Akonadi__ServerManager, xenum_Akonadi__ServerManager, Smoke::cf_virtual, sizeof(Akonadi::ServerManager) },	//106
    { "Akonadi::Session", false, 16, xcall_Akonadi__Session, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Session) },	//107
    { "Akonadi::SessionPrivate", true, 0, 0, 0, 0, 0 },	//108
    { "Akonadi::StandardActionManager", false, 16, xcall_Akonadi__StandardActionManager, xenum_Akonadi__StandardActionManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StandardActionManager) },	//109
    { "Akonadi::StatisticsProxyModel", false, 8, xcall_Akonadi__StatisticsProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StatisticsProxyModel) },	//110
    { "Akonadi::TransactionBeginJob", false, 26, xcall_Akonadi__TransactionBeginJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionBeginJob) },	//111
    { "Akonadi::TransactionCommitJob", false, 26, xcall_Akonadi__TransactionCommitJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionCommitJob) },	//112
    { "Akonadi::TransactionRollbackJob", false, 26, xcall_Akonadi__TransactionRollbackJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionRollbackJob) },	//113
    { "Akonadi::TransactionSequence", false, 26, xcall_Akonadi__TransactionSequence, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionSequence) },	//114
    { "Akonadi::TransportResourceBase", false, 0, xcall_Akonadi__TransportResourceBase, xenum_Akonadi__TransportResourceBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::TransportResourceBase) },	//115
    { "Akonadi::UnlinkJob", false, 26, xcall_Akonadi__UnlinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::UnlinkJob) },	//116
    { "KABC::Address", true, 0, 0, 0, 0, 0 },	//117
    { "KABC::Addressee", true, 0, 0, 0, 0, 0 },	//118
    { "KABC::AddresseeList", true, 0, 0, 0, 0, 0 },	//119
    { "KABC::ContactGroup", true, 0, 0, 0, 0, 0 },	//120
    { "KABC::Geo", true, 0, 0, 0, 0, 0 },	//121
    { "KABC::Key", true, 0, 0, 0, 0, 0 },	//122
    { "KABC::PhoneNumber", true, 0, 0, 0, 0, 0 },	//123
    { "KABC::Picture", true, 0, 0, 0, 0, 0 },	//124
    { "KABC::Secrecy", true, 0, 0, 0, 0, 0 },	//125
    { "KABC::Sound", true, 0, 0, 0, 0, 0 },	//126
    { "KABC::TimeZone", true, 0, 0, 0, 0, 0 },	//127
    { "KAction", true, 0, 0, 0, 0, 0 },	//128
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//129
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//130
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//131
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//132
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//133
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//134
    { "KCompositeJob", true, 0, 0, 0, 0, 0 },	//135
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//136
    { "KDialog", true, 0, 0, 0, 0, 0 },	//137
    { "KHBox", true, 0, 0, 0, 0, 0 },	//138
    { "KIcon", true, 0, 0, 0, 0, 0 },	//139
    { "KJob", true, 0, 0, 0, 0, 0 },	//140
    { "KLocale", true, 0, 0, 0, 0, 0 },	//141
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//142
    { "KSelectionProxyModel", true, 0, 0, 0, 0, 0 },	//143
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//144
    { "KUrl", true, 0, 0, 0, 0, 0 },	//145
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//146
    { "KXmlGuiWindow", true, 0, 0, 0, 0, 0 },	//147
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//148
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//149
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//150
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//151
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//152
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QBool", true, 0, 0, 0, 0, 0 },	//154
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//155
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//156
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//157
    { "QColor", true, 0, 0, 0, 0, 0 },	//158
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//159
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//161
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//162
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//163
    { "QDialog", true, 0, 0, 0, 0, 0 },	//164
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//167
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//168
    { "QEvent", true, 0, 0, 0, 0, 0 },	//169
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//170
    { "QFont", true, 0, 0, 0, 0, 0 },	//171
    { "QFrame", true, 0, 0, 0, 0, 0 },	//172
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//173
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//174
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//175
    { "QIcon", true, 0, 0, 0, 0, 0 },	//176
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//177
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//178
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//179
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//180
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//181
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//182
    { "QListView", true, 0, 0, 0, 0, 0 },	//183
    { "QLocale", true, 0, 0, 0, 0, 0 },	//184
    { "QMenu", true, 0, 0, 0, 0, 0 },	//185
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//186
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//187
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//188
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//189
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//190
    { "QObject", true, 0, 0, 0, 0, 0 },	//191
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//192
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//193
    { "QPainter", true, 0, 0, 0, 0, 0 },	//194
    { "QPalette", true, 0, 0, 0, 0, 0 },	//195
    { "QPoint", true, 0, 0, 0, 0, 0 },	//196
    { "QRect", true, 0, 0, 0, 0, 0 },	//197
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//198
    { "QRegion", true, 0, 0, 0, 0, 0 },	//199
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//200
    { "QSettings", true, 0, 0, 0, 0, 0 },	//201
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//202
    { "QSize", true, 0, 0, 0, 0, 0 },	//203
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//204
    { "QStyle", true, 0, 0, 0, 0, 0 },	//205
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//206
    { "QStyledItemDelegate", true, 0, 0, 0, 0, 0 },	//207
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//208
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//209
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//210
    { "QUrl", true, 0, 0, 0, 0, 0 },	//211
    { "QVariant", true, 0, 0, 0, 0, 0 },	//212
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//213
    { "QWidget", true, 0, 0, 0, 0, 0 },	//214
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//215
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//216
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//217
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AbstractContactEditorWidget*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AbstractContactFormatter*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AbstractContactGroupFormatter*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AddressAttribute*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Akonadi::AgentBase*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentBase::Observer*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentBase::ObserverV2*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Akonadi::AgentBase::Status", 5, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Akonadi::AgentBasePrivate*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentFilterProxyModel*", 9, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Akonadi::AgentInstance", 10, Smoke::t_class|Smoke::tf_stack },	//11
    { "Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "Akonadi::AgentInstance*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Akonadi::AgentInstance::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Akonadi::AgentInstanceCreateJob*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentInstanceModel*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Akonadi::AgentInstanceModel::Roles", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Akonadi::AgentInstanceWidget*", 13, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentType", 15, Smoke::t_class|Smoke::tf_stack },	//20
    { "Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref },	//21
    { "Akonadi::AgentType*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::AgentTypeDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AgentTypeModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::AgentTypeModel::Roles", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Akonadi::AgentTypeWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Akonadi::Attribute*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::AttributeFactory*", 20, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::CachePolicy", 21, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::CachePolicy*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::ChangeRecorder*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Akonadi::ChangeRecorderPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Akonadi::Collection", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Collection*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Collection::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Akonadi::Collection::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "Akonadi::Collection::Right", 24, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Akonadi::Collection::UrlType", 24, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Akonadi::CollectionComboBox*", 25, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Akonadi::CollectionCopyJob*", 26, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Akonadi::CollectionCreateJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Akonadi::CollectionDeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Akonadi::CollectionDialog*", 29, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Akonadi::CollectionDialog::CollectionDialogOption", 29, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Akonadi::CollectionFetchJob*", 30, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Akonadi::CollectionFetchJob::Type", 30, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref },	//49
    { "Akonadi::CollectionFetchScope*", 31, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Akonadi::CollectionFetchScope::AncestorRetrieval", 31, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Akonadi::CollectionFilterProxyModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Akonadi::CollectionModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Akonadi::CollectionModel::Roles", 33, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Akonadi::CollectionModelPrivate*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Akonadi::CollectionModifyJob*", 35, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Akonadi::CollectionMoveJob*", 36, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Akonadi::CollectionPropertiesDialog*", 37, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Akonadi::CollectionPropertiesDialog::DefaultPage", 37, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Akonadi::CollectionPropertiesPage*", 38, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Akonadi::CollectionPropertiesPageFactory*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Akonadi::CollectionQuotaAttribute*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Akonadi::CollectionRequester*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Akonadi::CollectionStatistics", 42, Smoke::t_class|Smoke::tf_stack },	//64
    { "Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref },	//65
    { "Akonadi::CollectionStatistics*", 42, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Akonadi::CollectionStatisticsDelegate*", 43, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Akonadi::CollectionStatisticsJob*", 44, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Akonadi::CollectionStatisticsModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Akonadi::CollectionStatisticsModel::Roles", 45, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Akonadi::CollectionView*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Akonadi::ContactDefaultActions*", 47, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Akonadi::ContactEditor*", 48, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Akonadi::ContactEditor::Mode", 48, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Akonadi::ContactEditorDialog*", 49, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Akonadi::ContactEditorDialog::Mode", 49, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Akonadi::ContactEditorPagePlugin*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Akonadi::ContactGroupEditor*", 51, Smoke::t_class|Smoke::tf_ptr },	//78
    { "Akonadi::ContactGroupEditor::Mode", 51, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Akonadi::ContactGroupEditorDialog*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Akonadi::ContactGroupEditorDialog::Mode", 52, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Akonadi::ContactGroupExpandJob*", 53, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Akonadi::ContactGroupSearchJob*", 54, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Akonadi::ContactGroupSearchJob::Criterion", 54, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Akonadi::ContactGroupSearchJob::Match", 54, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Akonadi::ContactGroupViewer*", 55, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Akonadi::ContactGroupViewerDialog*", 56, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Akonadi::ContactSearchJob*", 57, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Akonadi::ContactSearchJob::Criterion", 57, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Akonadi::ContactSearchJob::Match", 57, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Akonadi::ContactViewer*", 58, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Akonadi::ContactViewerDialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Akonadi::Control*", 60, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref },	//94
    { "Akonadi::Entity*", 61, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Akonadi::Entity::CreateOption", 61, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Akonadi::EntityDisplayAttribute*", 62, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Akonadi::EntityHiddenAttribute*", 63, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Akonadi::EntityListView*", 64, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Akonadi::EntityMimeTypeFilterModel*", 65, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Akonadi::EntityTreeModel*", 67, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Akonadi::EntityTreeModel::CollectionFetchStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Akonadi::EntityTreeModel::FetchState", 67, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Akonadi::EntityTreeModel::HeaderGroup", 67, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Akonadi::EntityTreeModel::ItemPopulationStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Akonadi::EntityTreeModel::Roles", 67, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Akonadi::EntityTreeView*", 69, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Akonadi::EntityTreeViewStateSaver*", 70, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Akonadi::Exception*", 71, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Akonadi::FavoriteCollectionsModel*", 72, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Akonadi::Item", 73, Smoke::t_class|Smoke::tf_stack },	//113
    { "Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref },	//114
    { "Akonadi::Item*", 73, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Akonadi::Item::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "Akonadi::Item::UrlType", 73, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Akonadi::ItemCopyJob*", 74, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Akonadi::ItemCreateJob*", 75, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Akonadi::ItemDeleteJob*", 76, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Akonadi::ItemFetchJob*", 77, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref },	//122
    { "Akonadi::ItemFetchScope*", 78, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Akonadi::ItemFetchScope::AncestorRetrieval", 78, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Akonadi::ItemModel*", 79, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Akonadi::ItemModel::Column", 79, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Akonadi::ItemModel::Roles", 79, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Akonadi::ItemModifyJob*", 80, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Akonadi::ItemMonitor*", 81, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Akonadi::ItemMoveJob*", 82, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Akonadi::ItemSearchJob*", 83, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Akonadi::ItemSerializerPlugin*", 84, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Akonadi::ItemSerializerPluginV2*", 85, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Akonadi::ItemSync*", 86, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Akonadi::ItemSync::TransactionMode", 86, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Akonadi::ItemView*", 87, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Akonadi::Job*", 88, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Akonadi::Job::Error", 88, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Akonadi::JobPrivate*", 89, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Akonadi::LinkJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Akonadi::MessageFolderAttribute*", 91, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Akonadi::MessageModel*", 92, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Akonadi::MessageModel::Column", 92, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Akonadi::MessageThreaderProxyModel*", 93, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Akonadi::MessageThreadingAttribute*", 94, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref },	//146
    { "Akonadi::MimeTypeChecker*", 95, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Akonadi::Monitor*", 96, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Akonadi::MonitorPrivate*", 97, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Akonadi::PartFetcher*", 98, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Akonadi::PayloadBase*", 99, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Akonadi::PayloadException*", 100, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Akonadi::PreprocessorBase*", 101, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Akonadi::PreprocessorBase::ProcessingResult", 101, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Akonadi::ResourceBase*", 102, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Akonadi::ResourceBase::SchedulePriority", 102, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Akonadi::ResourceSynchronizationJob*", 103, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Akonadi::SearchCreateJob*", 104, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Akonadi::SelectionProxyModel*", 105, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Akonadi::ServerManager*", 106, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Akonadi::ServerManager::State", 106, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Akonadi::Session*", 107, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Akonadi::SessionPrivate*", 108, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Akonadi::StandardActionManager*", 109, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Akonadi::StandardActionManager::TextContext", 109, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Akonadi::StandardActionManager::Type", 109, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Akonadi::StatisticsProxyModel*", 110, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Akonadi::TransactionBeginJob*", 111, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Akonadi::TransactionCommitJob*", 112, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Akonadi::TransactionRollbackJob*", 113, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Akonadi::TransactionSequence*", 114, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Akonadi::TransportResourceBase*", 115, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Akonadi::TransportResourceBase::TransportResult", 115, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Akonadi::UnlinkJob*", 116, Smoke::t_class|Smoke::tf_ptr },	//174
    { "KABC::Address", 117, Smoke::t_class|Smoke::tf_stack },	//175
    { "KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref },	//176
    { "KABC::Address::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "KABC::Addressee", 118, Smoke::t_class|Smoke::tf_stack },	//178
    { "KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref },	//179
    { "KABC::AddresseeList", 119, Smoke::t_class|Smoke::tf_stack },	//180
    { "KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref },	//181
    { "KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref },	//182
    { "KABC::PhoneNumber", 123, Smoke::t_class|Smoke::tf_stack },	//183
    { "KABC::PhoneNumber::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref },	//185
    { "KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref },	//186
    { "KABC::SortingCriterion", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref },	//188
    { "KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref },	//189
    { "KAction*", 128, Smoke::t_class|Smoke::tf_ptr },	//190
    { "KActionCollection*", 129, Smoke::t_class|Smoke::tf_ptr },	//191
    { "KCharsets*", 130, Smoke::t_class|Smoke::tf_ptr },	//192
    { "KCompletion*", 132, Smoke::t_class|Smoke::tf_ptr },	//193
    { "KComponentData", 134, Smoke::t_class|Smoke::tf_stack },	//194
    { "KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref },	//195
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "KIcon", 139, Smoke::t_class|Smoke::tf_stack },	//198
    { "KJob*", 140, Smoke::t_class|Smoke::tf_ptr },	//199
    { "KLocale*", 141, Smoke::t_class|Smoke::tf_ptr },	//200
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//201
    { "KStandardDirs*", 144, Smoke::t_class|Smoke::tf_ptr },	//202
    { "KUrl", 145, Smoke::t_class|Smoke::tf_stack },	//203
    { "KXMLGUIClient*", 146, Smoke::t_class|Smoke::tf_ptr },	//204
    { "KXmlGuiWindow*", 147, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QAbstractItemView*", 149, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QAbstractItemView::CursorAction", 149, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QAbstractItemView::EditTrigger", 149, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QAbstractItemView::ScrollHint", 149, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QAbstractItemView::SelectionMode", 149, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QActionEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QBool", 154, Smoke::t_class|Smoke::tf_stack },	//214
    { "QByteArray", 155, Smoke::t_class|Smoke::tf_stack },	//215
    { "QChildEvent*", 156, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QCloseEvent*", 157, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QColor", 158, Smoke::t_class|Smoke::tf_stack },	//218
    { "QContextMenuEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QDataStream&", 162, Smoke::t_class|Smoke::tf_ref },	//221
    { "QDateTime", 163, Smoke::t_class|Smoke::tf_stack },	//222
    { "QDragEnterEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QDragLeaveEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QDragMoveEvent*", 167, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QDropEvent*", 168, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QEvent*", 169, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//228
    { "QFlags<Akonadi::CollectionDialog::CollectionDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//229
    { "QFlags<KABC::Address::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//230
    { "QFlags<KABC::PhoneNumber::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//231
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//232
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//233
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//234
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//235
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//236
    { "QFocusEvent*", 170, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QHideEvent*", 174, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QIODevice&", 175, Smoke::t_class|Smoke::tf_ref },	//239
    { "QIcon", 176, Smoke::t_class|Smoke::tf_stack },	//240
    { "QIncompatibleFlag", 177, Smoke::t_class|Smoke::tf_stack },	//241
    { "QInputMethodEvent*", 178, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QItemSelection", 179, Smoke::t_class|Smoke::tf_stack },	//243
    { "QItemSelectionModel*", 180, Smoke::t_class|Smoke::tf_ptr },	//244
    { "QKeyEvent*", 181, Smoke::t_class|Smoke::tf_ptr },	//245
    { "QLineEdit*", 182, Smoke::t_class|Smoke::tf_ptr },	//246
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Akonadi::Collection::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<Akonadi::Collection>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QList<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//252
    { "QList<Akonadi::Item>", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QList<KABC::ContactGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QMenu*", 185, Smoke::t_class|Smoke::tf_ptr },	//258
    { "QMetaObject::Call", 186, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QMimeData*", 187, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QModelIndex", 188, Smoke::t_class|Smoke::tf_stack },	//261
    { "QMouseEvent*", 189, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QMoveEvent*", 190, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QObject*", 191, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QPaintEngine*", 192, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QPaintEvent*", 193, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QPainter*", 194, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QRect", 197, Smoke::t_class|Smoke::tf_stack },	//269
    { "QRegExp&", 198, Smoke::t_class|Smoke::tf_ref },	//270
    { "QRegion", 199, Smoke::t_class|Smoke::tf_stack },	//271
    { "QResizeEvent*", 200, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QSet<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "QSettings*", 201, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QShowEvent*", 202, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QSize", 203, Smoke::t_class|Smoke::tf_stack },	//276
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//277
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//279
    { "QStyle&", 205, Smoke::t_class|Smoke::tf_ref },	//280
    { "QStyleOptionViewItem", 206, Smoke::t_class|Smoke::tf_stack },	//281
    { "QStyleOptionViewItem*", 206, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QTabletEvent*", 208, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QTimerEvent*", 209, Smoke::t_class|Smoke::tf_ptr },	//284
    { "QTreeView*", 210, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QUrl", 211, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVariant", 212, Smoke::t_class|Smoke::tf_stack },	//287
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//288
    { "QVector<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "QVector<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//290
    { "QWheelEvent*", 213, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget*", 214, Smoke::t_class|Smoke::tf_ptr },	//292
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtMsgType", 173, Smoke::t_enum|Smoke::tf_stack },	//365
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//366
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//367
    { "__codecvt_result", 173, Smoke::t_enum|Smoke::tf_stack },	//368
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//369
    { "boost::exception*", 215, Smoke::t_class|Smoke::tf_ptr },	//370
    { "boost::exception_detail::large_size", 216, Smoke::t_class|Smoke::tf_stack },	//371
    { "boost::exception_detail::small_size", 217, Smoke::t_class|Smoke::tf_stack },	//372
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//374
    { "const Akonadi::AddressAttribute&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const Akonadi::AgentBase::Observer&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const Akonadi::AgentBase::ObserverV2&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const Akonadi::Attribute&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const Akonadi::AttributeFactory&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const Akonadi::Collection::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//384
    { "const Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const Akonadi::CollectionPropertiesPageFactory&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const Akonadi::CollectionQuotaAttribute&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const Akonadi::EntityDisplayAttribute&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const Akonadi::EntityHiddenAttribute&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//392
    { "const Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const Akonadi::Exception&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Akonadi::Item::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//396
    { "const Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const Akonadi::ItemSerializerPlugin&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const Akonadi::ItemSerializerPluginV2&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const Akonadi::MessageFolderAttribute&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const Akonadi::MessageThreadingAttribute&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const Akonadi::PayloadBase&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const Akonadi::PayloadException&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Akonadi::TransportResourceBase&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const KABC::ContactGroup&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const KABC::PhoneNumber&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const KComponentData&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const KLocalizedString&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const KUrl&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const QByteArray&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QColor&", 158, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QDateTime&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QEvent*", 169, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QFont&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QItemSelection&", 179, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QList<Akonadi::Collection::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QList<Akonadi::Collection>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QList<Akonadi::Item::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QList<Akonadi::Item>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QLocale&", 184, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QMetaObject&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QMetaObject*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//435
    { "const QMimeData*", 187, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//436
    { "const QModelIndex&", 188, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QObject*", 191, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//438
    { "const QPalette&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QPoint&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QRect&", 197, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QRegExp&", 198, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//446
    { "const QStyleOptionViewItem&", 206, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QVariant&", 212, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//449
    { "const boost::exception&", 215, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const boost::exception*", 215, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//451
    { "const boost::shared_ptr<T>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//453
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//456
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//457
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//458
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//459
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//460
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//461
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//462
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//463
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//464
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//465
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//466
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//467
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//468
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    444, 445, 445, 445, 0,	//1  const QString&, const QStringList&, const QStringList&, const QStringList&
    421, 0,	//6  const QByteArray&
    444, 0,	//8  const QString&
    445, 0,	//10  const QStringList&
    375, 0,	//12  const Akonadi::AddressAttribute&
    444, 445, 0,	//14  const QString&, const QStringList&
    444, 445, 445, 0,	//17  const QString&, const QStringList&, const QStringList&
    453, 0,	//21  const char*
    453, 453, 0,	//23  const char*, const char*
    453, 453, 457, 0,	//26  const char*, const char*, int
    259, 457, 467, 0,	//30  QMetaObject::Call, int, void**
    366, 0,	//34  WId
    6, 0,	//36  Akonadi::AgentBase::Observer*
    457, 444, 0,	//38  int, const QString&
    457, 0,	//41  int
    449, 0,	//43  const QVariantMap&
    369, 0,	//45  bool
    9, 444, 0,	//47  Akonadi::AgentBasePrivate*, const QString&
    395, 383, 0,	//50  const Akonadi::Item&, const Akonadi::Collection&
    395, 443, 0,	//53  const Akonadi::Item&, const QSet<QByteArray>&
    395, 0,	//56  const Akonadi::Item&
    383, 383, 0,	//58  const Akonadi::Collection&, const Akonadi::Collection&
    383, 0,	//61  const Akonadi::Collection&
    376, 0,	//63  const Akonadi::AgentBase::Observer&
    395, 383, 383, 0,	//65  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    383, 383, 383, 0,	//69  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    383, 443, 0,	//73  const Akonadi::Collection&, const QSet<QByteArray>&
    377, 0,	//76  const Akonadi::AgentBase::ObserverV2&
    264, 0,	//78  QObject*
    457, 437, 0,	//80  int, const QModelIndex&
    378, 0,	//83  const Akonadi::AgentInstance&
    292, 0,	//85  QWidget*
    379, 264, 0,	//87  const Akonadi::AgentType&, QObject*
    444, 264, 0,	//90  const QString&, QObject*
    379, 0,	//93  const Akonadi::AgentType&
    437, 0,	//95  const QModelIndex&
    437, 457, 0,	//97  const QModelIndex&, int
    457, 339, 457, 0,	//100  int, Qt::Orientation, int
    457, 457, 437, 0,	//104  int, int, const QModelIndex&
    437, 448, 457, 0,	//108  const QModelIndex&, const QVariant&, int
    457, 339, 0,	//112  int, Qt::Orientation
    457, 457, 0,	//115  int, int
    378, 378, 0,	//118  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    383, 369, 0,	//121  const Akonadi::Collection&, bool
    378, 444, 0,	//124  const Akonadi::AgentInstance&, const QString&
    378, 369, 0,	//127  const Akonadi::AgentInstance&, bool
    379, 379, 0,	//130  const Akonadi::AgentType&, const Akonadi::AgentType&
    380, 0,	//133  const Akonadi::Attribute&
    381, 0,	//135  const Akonadi::AttributeFactory&
    382, 0,	//137  const Akonadi::CachePolicy&
    274, 0,	//139  QSettings*
    33, 264, 0,	//141  Akonadi::ChangeRecorderPrivate*, QObject*
    33, 0,	//144  Akonadi::ChangeRecorderPrivate*
    460, 0,	//146  long long
    419, 0,	//148  const KUrl&
    228, 0,	//150  QFlags<Akonadi::Collection::Right>
    388, 0,	//152  const Akonadi::CollectionStatistics&
    40, 0,	//154  Akonadi::Collection::UrlType
    207, 292, 0,	//156  QAbstractItemModel*, QWidget*
    207, 0,	//159  QAbstractItemModel*
    383, 383, 264, 0,	//161  const Akonadi::Collection&, const Akonadi::Collection&, QObject*
    383, 264, 0,	//165  const Akonadi::Collection&, QObject*
    421, 421, 0,	//168  const QByteArray&, const QByteArray&
    229, 207, 292, 0,	//171  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*
    212, 0,	//175  QAbstractItemView::SelectionMode
    229, 0,	//177  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>
    229, 207, 0,	//179  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*
    383, 48, 264, 0,	//182  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*
    428, 264, 0,	//186  const QList<Akonadi::Collection>&, QObject*
    428, 48, 264, 0,	//189  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*
    427, 48, 264, 0,	//193  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*
    385, 0,	//197  const Akonadi::CollectionFetchScope&
    384, 0,	//199  const Akonadi::Collection::List&
    199, 0,	//201  KJob*
    383, 48, 0,	//203  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type
    428, 0,	//206  const QList<Akonadi::Collection>&
    428, 48, 0,	//208  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type
    427, 0,	//211  const QList<Akonadi::Collection::Id>&
    427, 48, 0,	//213  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type
    51, 0,	//216  Akonadi::CollectionFetchScope::AncestorRetrieval
    457, 339, 448, 457, 0,	//218  int, Qt::Orientation, const QVariant&, int
    431, 0,	//223  const QList<QModelIndex>&
    436, 315, 457, 457, 437, 0,	//225  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    37, 0,	//231  Akonadi::Collection::Id
    55, 264, 0,	//233  Akonadi::CollectionModelPrivate*, QObject*
    457, 339, 448, 0,	//236  int, Qt::Orientation, const QVariant&
    437, 448, 0,	//240  const QModelIndex&, const QVariant&
    55, 0,	//243  Akonadi::CollectionModelPrivate*
    383, 292, 0,	//245  const Akonadi::Collection&, QWidget*
    383, 445, 292, 0,	//248  const Akonadi::Collection&, const QStringList&, QWidget*
    61, 0,	//252  Akonadi::CollectionPropertiesPageFactory*
    59, 0,	//254  Akonadi::CollectionPropertiesDialog::DefaultPage
    383, 445, 0,	//256  const Akonadi::Collection&, const QStringList&
    35, 0,	//259  Akonadi::Collection&
    386, 0,	//261  const Akonadi::CollectionPropertiesPageFactory&
    460, 460, 0,	//263  long long, long long
    387, 0,	//266  const Akonadi::CollectionQuotaAttribute&
    208, 0,	//268  QAbstractItemView*
    285, 0,	//270  QTreeView*
    268, 447, 437, 0,	//272  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    282, 437, 0,	//276  QStyleOptionViewItem*, const QModelIndex&
    205, 292, 0,	//279  KXmlGuiWindow*, QWidget*
    204, 292, 0,	//282  KXMLGUIClient*, QWidget*
    205, 0,	//285  KXmlGuiWindow*
    204, 0,	//287  KXMLGUIClient*
    437, 437, 0,	//289  const QModelIndex&, const QModelIndex&
    225, 0,	//292  QDragMoveEvent*
    224, 0,	//294  QDragLeaveEvent*
    226, 0,	//296  QDropEvent*
    219, 0,	//298  QContextMenuEvent*
    444, 444, 0,	//300  const QString&, const QString&
    411, 0,	//303  const KABC::PhoneNumber&
    406, 0,	//305  const KABC::Address&
    74, 292, 0,	//307  Akonadi::ContactEditor::Mode, QWidget*
    74, 1, 292, 0,	//310  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    407, 0,	//314  const KABC::Addressee&
    74, 0,	//316  Akonadi::ContactEditor::Mode
    74, 1, 0,	//318  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*
    76, 292, 0,	//321  Akonadi::ContactEditorDialog::Mode, QWidget*
    76, 1, 292, 0,	//324  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    76, 0,	//328  Akonadi::ContactEditorDialog::Mode
    76, 1, 0,	//330  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*
    179, 0,	//333  KABC::Addressee&
    79, 292, 0,	//335  Akonadi::ContactGroupEditor::Mode, QWidget*
    408, 0,	//338  const KABC::ContactGroup&
    79, 0,	//340  Akonadi::ContactGroupEditor::Mode
    81, 292, 0,	//342  Akonadi::ContactGroupEditorDialog::Mode, QWidget*
    81, 0,	//345  Akonadi::ContactGroupEditorDialog::Mode
    408, 264, 0,	//347  const KABC::ContactGroup&, QObject*
    84, 444, 0,	//350  Akonadi::ContactGroupSearchJob::Criterion, const QString&
    84, 444, 85, 0,	//353  Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match
    3, 0,	//357  Akonadi::AbstractContactGroupFormatter*
    89, 444, 0,	//359  Akonadi::ContactSearchJob::Criterion, const QString&
    89, 444, 90, 0,	//362  Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match
    2, 0,	//366  Akonadi::AbstractContactFormatter*
    389, 0,	//368  const Akonadi::Entity&
    27, 0,	//370  Akonadi::Attribute*
    101, 0,	//372  Akonadi::EntityPrivate*
    422, 0,	//374  const QColor&
    390, 0,	//376  const Akonadi::EntityDisplayAttribute&
    391, 0,	//378  const Akonadi::EntityHiddenAttribute&
    233, 0,	//380  QFlags<Qt::DropAction>
    105, 0,	//382  Akonadi::EntityTreeModel::HeaderGroup
    437, 457, 448, 457, 236, 0,	//384  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    437, 457, 448, 0,	//390  const QModelIndex&, int, const QVariant&
    437, 457, 448, 457, 0,	//394  const QModelIndex&, int, const QVariant&, int
    32, 264, 0,	//399  Akonadi::ChangeRecorder*, QObject*
    106, 0,	//402  Akonadi::EntityTreeModel::ItemPopulationStrategy
    103, 0,	//404  Akonadi::EntityTreeModel::CollectionFetchStrategy
    420, 383, 0,	//406  const QAbstractItemModel*, const Akonadi::Collection&
    420, 395, 0,	//409  const QAbstractItemModel*, const Akonadi::Item&
    395, 457, 457, 0,	//412  const Akonadi::Item&, int, int
    383, 457, 457, 0,	//416  const Akonadi::Collection&, int, int
    457, 339, 457, 105, 0,	//420  int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup
    395, 448, 236, 0,	//425  const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>
    383, 448, 236, 0,	//429  const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>
    32, 108, 264, 0,	//433  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*
    32, 0,	//437  Akonadi::ChangeRecorder*
    395, 457, 0,	//439  const Akonadi::Item&, int
    383, 457, 0,	//442  const Akonadi::Collection&, int
    32, 108, 0,	//445  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*
    284, 0,	//448  QTimerEvent*
    195, 0,	//450  KConfigGroup&
    417, 0,	//452  const KConfigGroup&
    394, 0,	//454  const Akonadi::Exception&
    207, 417, 264, 0,	//456  QAbstractItemModel*, const KConfigGroup&, QObject*
    383, 444, 0,	//460  const Akonadi::Collection&, const QString&
    207, 417, 0,	//463  QAbstractItemModel*, const KConfigGroup&
    423, 0,	//466  const QDateTime&
    443, 0,	//468  const QSet<QByteArray>&
    117, 0,	//470  Akonadi::Item::UrlType
    395, 383, 264, 0,	//472  const Akonadi::Item&, const Akonadi::Collection&, QObject*
    430, 383, 264, 0,	//476  const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*
    430, 383, 0,	//480  const QList<Akonadi::Item>&, const Akonadi::Collection&
    395, 264, 0,	//483  const Akonadi::Item&, QObject*
    430, 264, 0,	//486  const QList<Akonadi::Item>&, QObject*
    430, 0,	//489  const QList<Akonadi::Item>&
    429, 264, 0,	//491  const QList<Akonadi::Item::Id>&, QObject*
    122, 0,	//494  Akonadi::ItemFetchScope&
    397, 0,	//496  const Akonadi::ItemFetchScope&
    396, 0,	//498  const Akonadi::Item::List&
    429, 0,	//500  const QList<Akonadi::Item::Id>&
    421, 369, 0,	//502  const QByteArray&, bool
    124, 0,	//505  Akonadi::ItemFetchScope::AncestorRetrieval
    395, 454, 0,	//507  const Akonadi::Item&, const int
    114, 421, 239, 457, 0,	//510  Akonadi::Item&, const QByteArray&, QIODevice&, int
    395, 421, 239, 458, 0,	//515  const Akonadi::Item&, const QByteArray&, QIODevice&, int&
    398, 0,	//520  const Akonadi::ItemSerializerPlugin&
    114, 395, 0,	//522  Akonadi::Item&, const Akonadi::Item&
    399, 0,	//525  const Akonadi::ItemSerializerPluginV2&
    430, 430, 0,	//527  const QList<Akonadi::Item>&, const QList<Akonadi::Item>&
    135, 0,	//530  Akonadi::ItemSync::TransactionMode
    395, 114, 0,	//532  const Akonadi::Item&, Akonadi::Item&
    137, 0,	//535  Akonadi::Job*
    139, 264, 0,	//537  Akonadi::JobPrivate*, QObject*
    383, 430, 264, 0,	//540  const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*
    383, 430, 0,	//544  const Akonadi::Collection&, const QList<Akonadi::Item>&
    400, 0,	//547  const Akonadi::MessageFolderAttribute&
    457, 457, 464, 0,	//549  int, int, unsigned int
    401, 0,	//553  const Akonadi::MessageThreadingAttribute&
    402, 0,	//555  const Akonadi::MimeTypeChecker&
    395, 444, 0,	//557  const Akonadi::Item&, const QString&
    395, 369, 0,	//560  const Akonadi::Item&, bool
    444, 369, 0,	//563  const QString&, bool
    162, 0,	//566  Akonadi::Session*
    37, 388, 0,	//568  Akonadi::Collection::Id, const Akonadi::CollectionStatistics&
    149, 264, 0,	//571  Akonadi::MonitorPrivate*, QObject*
    149, 0,	//574  Akonadi::MonitorPrivate*
    437, 421, 264, 0,	//576  const QModelIndex&, const QByteArray&, QObject*
    437, 421, 0,	//580  const QModelIndex&, const QByteArray&
    403, 0,	//583  const Akonadi::PayloadBase&
    404, 0,	//585  const Akonadi::PayloadException&
    154, 0,	//587  Akonadi::PreprocessorBase::ProcessingResult
    462, 0,	//589  qlonglong
    428, 428, 0,	//591  const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&
    460, 369, 0,	//594  long long, bool
    264, 453, 448, 156, 0,	//597  QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority
    264, 453, 448, 0,	//602  QObject*, const char*, const QVariant&
    378, 264, 0,	//606  const Akonadi::AgentInstance&, QObject*
    444, 444, 264, 0,	//609  const QString&, const QString&, QObject*
    244, 264, 0,	//613  QItemSelectionModel*, QObject*
    244, 0,	//616  QItemSelectionModel*
    161, 0,	//618  Akonadi::ServerManager::State
    421, 264, 0,	//620  const QByteArray&, QObject*
    163, 421, 264, 0,	//623  Akonadi::SessionPrivate*, const QByteArray&, QObject*
    163, 0,	//627  Akonadi::SessionPrivate*
    163, 421, 0,	//629  Akonadi::SessionPrivate*, const QByteArray&
    191, 292, 0,	//632  KActionCollection*, QWidget*
    112, 0,	//635  Akonadi::FavoriteCollectionsModel*
    166, 0,	//637  Akonadi::StandardActionManager::Type
    166, 418, 0,	//639  Akonadi::StandardActionManager::Type, const KLocalizedString&
    166, 369, 0,	//642  Akonadi::StandardActionManager::Type, bool
    166, 165, 444, 0,	//645  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&
    166, 165, 418, 0,	//649  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&
    258, 166, 0,	//653  QMenu*, Akonadi::StandardActionManager::Type
    191, 0,	//656  KActionCollection*
    395, 173, 444, 0,	//658  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&
    405, 0,	//662  const Akonadi::TransportResourceBase&
    395, 173, 0,	//664  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult
    264, 227, 0,	//667  QObject*, QEvent*
    246, 0,	//670  QLineEdit*
    445, 369, 0,	//672  const QStringList&, bool
    465, 369, 369, 0,	//675  unsigned long, bool, bool
    291, 0,	//679  QWheelEvent*
    193, 369, 0,	//681  KCompletion*, bool
    197, 0,	//684  KGlobalSettings::Completion
    457, 466, 0,	//686  int, void*
    199, 444, 444, 0,	//689  KJob*, const QString&, const QString&
    238, 0,	//693  QHideEvent*
    217, 0,	//695  QCloseEvent*
    245, 0,	//697  QKeyEvent*
    216, 0,	//699  QChildEvent*
    426, 0,	//701  const QItemSelection&
    437, 433, 0,	//703  const QModelIndex&, const QMap<int,QVariant>&
    457, 347, 0,	//706  int, Qt::SortOrder
    327, 0,	//709  Qt::InputMethodQuery
    292, 206, 0,	//711  QWidget*, QAbstractItemDelegate::EndEditHint
    437, 210, 227, 0,	//714  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    437, 424, 0,	//718  const QModelIndex&, const QEvent*
    227, 0,	//721  QEvent*
    262, 0,	//723  QMouseEvent*
    223, 0,	//725  QDragEnterEvent*
    237, 0,	//727  QFocusEvent*
    272, 0,	//729  QResizeEvent*
    242, 0,	//731  QInputMethodEvent*
    267, 0,	//733  QPaintEvent*
    275, 0,	//735  QShowEvent*
    437, 211, 0,	//737  const QModelIndex&, QAbstractItemView::ScrollHint
    440, 0,	//740  const QPoint&
    437, 457, 457, 0,	//742  const QModelIndex&, int, int
    209, 235, 0,	//746  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    441, 232, 0,	//749  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    426, 426, 0,	//752  const QItemSelection&, const QItemSelection&
    447, 437, 0,	//755  const QStyleOptionViewItem&, const QModelIndex&
    292, 447, 437, 0,	//758  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    292, 437, 0,	//762  QWidget*, const QModelIndex&
    292, 207, 437, 0,	//765  QWidget*, QAbstractItemModel*, const QModelIndex&
    448, 432, 0,	//769  const QVariant&, const QLocale&
    227, 207, 447, 437, 0,	//772  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    268, 441, 437, 0,	//777  QPainter*, const QRect&, const QModelIndex&
    263, 0,	//781  QMoveEvent*
    283, 0,	//783  QTabletEvent*
    213, 0,	//785  QActionEvent*
    367, 0,	//787  _XEvent*
    265, 0,	//789  QPaintDevice::PaintDeviceMetric
    280, 0,	//791  QStyle&
    439, 0,	//793  const QPalette&
    425, 0,	//795  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "AddIfMissing",	//3
    "AddToFavoriteCollections",	//4
    "AddressAttribute",	//5
    "AddressAttribute#",	//6
    "AddressAttribute$",	//7
    "AddressAttribute$?",	//8
    "AddressAttribute$??",	//9
    "AddressAttribute$???",	//10
    "Adjust",	//11
    "AdjustToContents",	//12
    "AdjustToContentsOnFirstShow",	//13
    "AdjustToMinimumContentsLength",	//14
    "AdjustToMinimumContentsLengthWithIcon",	//15
    "AfterChangeReplay",	//16
    "AgentBase",	//17
    "AgentBase#$",	//18
    "AgentBase$",	//19
    "AgentFilterProxyModel",	//20
    "AgentFilterProxyModel#",	//21
    "AgentInstance",	//22
    "AgentInstance#",	//23
    "AgentInstanceCreateJob",	//24
    "AgentInstanceCreateJob#",	//25
    "AgentInstanceCreateJob##",	//26
    "AgentInstanceCreateJob$",	//27
    "AgentInstanceCreateJob$#",	//28
    "AgentInstanceModel",	//29
    "AgentInstanceModel#",	//30
    "AgentInstanceWidget",	//31
    "AgentInstanceWidget#",	//32
    "AgentType",	//33
    "AgentType#",	//34
    "AgentTypeDialog",	//35
    "AgentTypeDialog#",	//36
    "AgentTypeModel",	//37
    "AgentTypeModel#",	//38
    "AgentTypeWidget",	//39
    "AgentTypeWidget#",	//40
    "All",	//41
    "AllEditTriggers",	//42
    "AllRights",	//43
    "AllowToCreateNewChildCollection",	//44
    "AmazingCompletionRole",	//45
    "AnimatingState",	//46
    "AnyKeyPressed",	//47
    "AppNameCaption",	//48
    "Append",	//49
    "Apply",	//50
    "Attribute",	//51
    "Attribute#",	//52
    "AttributeFactory",	//53
    "AttributeFactory#",	//54
    "AvailablePartsRole",	//55
    "Base",	//56
    "Batched",	//57
    "BelowItem",	//58
    "Box",	//59
    "Broken",	//60
    "Bytes",	//61
    "CachePage",	//62
    "CachePolicy",	//63
    "CachePolicy#",	//64
    "CanChangeCollection",	//65
    "CanChangeItem",	//66
    "CanCreateCollection",	//67
    "CanCreateItem",	//68
    "CanDeleteCollection",	//69
    "CanDeleteItem",	//70
    "CanLinkItem",	//71
    "CanUnlinkItem",	//72
    "Cancel",	//73
    "CapabilitiesRole",	//74
    "ChangeRecorder",	//75
    "ChangeRecorder#",	//76
    "ChangeRecorder##",	//77
    "ChildrenOfExactSelection",	//78
    "Close",	//79
    "CollapsingState",	//80
    "Collection",	//81
    "Collection#",	//82
    "Collection$",	//83
    "CollectionChildOrderRole",	//84
    "CollectionComboBox",	//85
    "CollectionComboBox#",	//86
    "CollectionComboBox##",	//87
    "CollectionCopyJob",	//88
    "CollectionCopyJob##",	//89
    "CollectionCopyJob###",	//90
    "CollectionCreateJob",	//91
    "CollectionCreateJob#",	//92
    "CollectionCreateJob##",	//93
    "CollectionDeleteJob",	//94
    "CollectionDeleteJob#",	//95
    "CollectionDeleteJob##",	//96
    "CollectionDerefRole",	//97
    "CollectionDialog",	//98
    "CollectionDialog#",	//99
    "CollectionDialog##",	//100
    "CollectionDialog$",	//101
    "CollectionDialog$#",	//102
    "CollectionDialog$##",	//103
    "CollectionFetchJob",	//104
    "CollectionFetchJob#",	//105
    "CollectionFetchJob#$",	//106
    "CollectionFetchJob#$#",	//107
    "CollectionFetchJob?",	//108
    "CollectionFetchJob?#",	//109
    "CollectionFetchJob?$",	//110
    "CollectionFetchJob?$#",	//111
    "CollectionFetchScope",	//112
    "CollectionFetchScope#",	//113
    "CollectionFilterProxyModel",	//114
    "CollectionFilterProxyModel#",	//115
    "CollectionIdRole",	//116
    "CollectionModel",	//117
    "CollectionModel#",	//118
    "CollectionModel##",	//119
    "CollectionModifyJob",	//120
    "CollectionModifyJob#",	//121
    "CollectionModifyJob##",	//122
    "CollectionMoveJob",	//123
    "CollectionMoveJob##",	//124
    "CollectionMoveJob###",	//125
    "CollectionProperties",	//126
    "CollectionPropertiesDialog",	//127
    "CollectionPropertiesDialog#",	//128
    "CollectionPropertiesDialog##",	//129
    "CollectionPropertiesDialog#?",	//130
    "CollectionPropertiesDialog#?#",	//131
    "CollectionPropertiesPage",	//132
    "CollectionPropertiesPage#",	//133
    "CollectionPropertiesPageFactory",	//134
    "CollectionPropertiesPageFactory#",	//135
    "CollectionQuotaAttribute",	//136
    "CollectionQuotaAttribute#",	//137
    "CollectionQuotaAttribute$$",	//138
    "CollectionRefRole",	//139
    "CollectionRequester",	//140
    "CollectionRequester#",	//141
    "CollectionRequester##",	//142
    "CollectionRole",	//143
    "CollectionStatistics",	//144
    "CollectionStatistics#",	//145
    "CollectionStatisticsDelegate",	//146
    "CollectionStatisticsDelegate#",	//147
    "CollectionStatisticsJob",	//148
    "CollectionStatisticsJob#",	//149
    "CollectionStatisticsJob##",	//150
    "CollectionStatisticsModel",	//151
    "CollectionStatisticsModel#",	//152
    "CollectionSyncProgressRole",	//153
    "CollectionTreeHeaders",	//154
    "CollectionView",	//155
    "CollectionView#",	//156
    "CollectionView##",	//157
    "ColumnCountRole",	//158
    "ConnectionFailed",	//159
    "ContactDefaultActions",	//160
    "ContactDefaultActions#",	//161
    "ContactEditor",	//162
    "ContactEditor$",	//163
    "ContactEditor$#",	//164
    "ContactEditor$##",	//165
    "ContactEditorDialog",	//166
    "ContactEditorDialog$",	//167
    "ContactEditorDialog$#",	//168
    "ContactEditorDialog$##",	//169
    "ContactEditorPagePlugin",	//170
    "ContactGroupEditor",	//171
    "ContactGroupEditor$",	//172
    "ContactGroupEditor$#",	//173
    "ContactGroupEditorDialog",	//174
    "ContactGroupEditorDialog$",	//175
    "ContactGroupEditorDialog$#",	//176
    "ContactGroupExpandJob",	//177
    "ContactGroupExpandJob#",	//178
    "ContactGroupExpandJob##",	//179
    "ContactGroupExpandJob$",	//180
    "ContactGroupExpandJob$#",	//181
    "ContactGroupSearchJob",	//182
    "ContactGroupSearchJob#",	//183
    "ContactGroupViewer",	//184
    "ContactGroupViewer#",	//185
    "ContactGroupViewerDialog",	//186
    "ContactGroupViewerDialog#",	//187
    "ContactSearchJob",	//188
    "ContactSearchJob#",	//189
    "ContactUid",	//190
    "ContactViewer",	//191
    "ContactViewer#",	//192
    "ContactViewerDialog",	//193
    "ContactViewerDialog#",	//194
    "ContainsMatch",	//195
    "ContiguousSelection",	//196
    "Control",	//197
    "CopyCollectionToDialog",	//198
    "CopyCollectionToMenu",	//199
    "CopyCollections",	//200
    "CopyItemToDialog",	//201
    "CopyItemToMenu",	//202
    "CopyItems",	//203
    "CreateCollection",	//204
    "CreateMode",	//205
    "CreateResource",	//206
    "CurrentChanged",	//207
    "CutCollections",	//208
    "CutItems",	//209
    "Date",	//210
    "Default",	//211
    "DelayedPopup",	//212
    "DeleteCollections",	//213
    "DeleteItems",	//214
    "DeleteResources",	//215
    "DescriptionRole",	//216
    "Details",	//217
    "DialogText",	//218
    "DialogTitle",	//219
    "Directories",	//220
    "DoubleClicked",	//221
    "DragDrop",	//222
    "DragOnly",	//223
    "DragSelectingState",	//224
    "DraggingState",	//225
    "DrawChildren",	//226
    "DrawWindowBackground",	//227
    "DropOnly",	//228
    "EditKeyPressed",	//229
    "EditMode",	//230
    "EditingState",	//231
    "Email",	//232
    "EmitResult",	//233
    "EndHeaderGroup",	//234
    "EndRole",	//235
    "EnsureVisible",	//236
    "Entity",	//237
    "Entity#",	//238
    "EntityDisplayAttribute",	//239
    "EntityDisplayAttribute#",	//240
    "EntityHiddenAttribute",	//241
    "EntityHiddenAttribute#",	//242
    "EntityListView",	//243
    "EntityListView#",	//244
    "EntityListView##",	//245
    "EntityMimeTypeFilterModel",	//246
    "EntityMimeTypeFilterModel#",	//247
    "EntityTreeHeaders",	//248
    "EntityTreeModel",	//249
    "EntityTreeModel#",	//250
    "EntityTreeModel##",	//251
    "EntityTreeModel###",	//252
    "EntityTreeView",	//253
    "EntityTreeView#",	//254
    "EntityTreeView##",	//255
    "EntityTreeViewStateSaver",	//256
    "EntityTreeViewStateSaver#",	//257
    "EntityUrlRole",	//258
    "ErrorMessageText",	//259
    "ErrorMessageTitle",	//260
    "ExactMatch",	//261
    "ExactSelection",	//262
    "Exception",	//263
    "Exception#",	//264
    "Exception$",	//265
    "ExpandingState",	//266
    "ExtendedSelection",	//267
    "FavoriteCollectionsModel",	//268
    "FavoriteCollectionsModel##",	//269
    "FavoriteCollectionsModel###",	//270
    "FetchCollectionsRecursive",	//271
    "FetchFirstLevelChildCollections",	//272
    "FetchNoCollections",	//273
    "FetchStateRole",	//274
    "FetchingState",	//275
    "Files",	//276
    "FirstLevel",	//277
    "Fixed",	//278
    "Free",	//279
    "FullPayload",	//280
    "GeneralPage",	//281
    "HIGCompliantCaption",	//282
    "HLine",	//283
    "Help",	//284
    "IconMode",	//285
    "Id",	//286
    "IdRole",	//287
    "IdentifierRole",	//288
    "Idle",	//289
    "IdleState",	//290
    "IgnoreMask",	//291
    "ImmediatePopulation",	//292
    "InsertAfterCurrent",	//293
    "InsertAlphabetically",	//294
    "InsertAtBottom",	//295
    "InsertAtCurrent",	//296
    "InsertAtTop",	//297
    "InsertBeforeCurrent",	//298
    "InstanceIdentifierRole",	//299
    "InstanceRole",	//300
    "InstantPopup",	//301
    "InternalMove",	//302
    "InvisibleCollectionFetch",	//303
    "Item",	//304
    "Item#",	//305
    "Item$",	//306
    "ItemCopyJob",	//307
    "ItemCopyJob##",	//308
    "ItemCopyJob###",	//309
    "ItemCopyJob?#",	//310
    "ItemCopyJob?##",	//311
    "ItemCreateJob",	//312
    "ItemCreateJob##",	//313
    "ItemCreateJob###",	//314
    "ItemDeleteJob",	//315
    "ItemDeleteJob#",	//316
    "ItemDeleteJob##",	//317
    "ItemDeleteJob?",	//318
    "ItemDeleteJob?#",	//319
    "ItemFetchJob",	//320
    "ItemFetchJob#",	//321
    "ItemFetchJob##",	//322
    "ItemFetchJob?",	//323
    "ItemFetchJob?#",	//324
    "ItemFetchScope",	//325
    "ItemFetchScope#",	//326
    "ItemIdRole",	//327
    "ItemListHeaders",	//328
    "ItemModel",	//329
    "ItemModel#",	//330
    "ItemModifyJob",	//331
    "ItemModifyJob#",	//332
    "ItemModifyJob##",	//333
    "ItemModifyJob?",	//334
    "ItemModifyJob?#",	//335
    "ItemMonitor",	//336
    "ItemMoveJob",	//337
    "ItemMoveJob##",	//338
    "ItemMoveJob###",	//339
    "ItemMoveJob?#",	//340
    "ItemMoveJob?##",	//341
    "ItemRole",	//342
    "ItemSearchJob",	//343
    "ItemSearchJob$",	//344
    "ItemSearchJob$#",	//345
    "ItemSerializerPlugin",	//346
    "ItemSerializerPlugin#",	//347
    "ItemSerializerPluginV2",	//348
    "ItemSerializerPluginV2#",	//349
    "ItemSync",	//350
    "ItemSync#",	//351
    "ItemSync##",	//352
    "ItemView",	//353
    "ItemView#",	//354
    "ItemView##",	//355
    "Job",	//356
    "Job#",	//357
    "Job##",	//358
    "Killable",	//359
    "KilledJobError",	//360
    "LastType",	//361
    "LazyPopulation",	//362
    "LeftToRight",	//363
    "LinkJob",	//364
    "LinkJob#?",	//365
    "LinkJob#?#",	//366
    "ListMode",	//367
    "LoadedPartsRole",	//368
    "ManageLocalSubscriptions",	//369
    "MessageBoxAlternativeText",	//370
    "MessageBoxText",	//371
    "MessageBoxTitle",	//372
    "MessageFolderAttribute",	//373
    "MessageFolderAttribute#",	//374
    "MessageModel",	//375
    "MessageModel#",	//376
    "MessageThreaderProxyModel",	//377
    "MessageThreaderProxyModel#",	//378
    "MessageThreadingAttribute",	//379
    "MessageThreadingAttribute#",	//380
    "MimeType",	//381
    "MimeTypeChecker",	//382
    "MimeTypeChecker#",	//383
    "MimeTypeRole",	//384
    "MimeTypesRole",	//385
    "ModifiedCaption",	//386
    "Monitor",	//387
    "Monitor#",	//388
    "Monitor##",	//389
    "MoveCollectionToDialog",	//390
    "MoveCollectionToMenu",	//391
    "MoveCollectionsToTrash",	//392
    "MoveDown",	//393
    "MoveEnd",	//394
    "MoveHome",	//395
    "MoveItemToDialog",	//396
    "MoveItemToMenu",	//397
    "MoveItemsToTrash",	//398
    "MoveLeft",	//399
    "MoveNext",	//400
    "MovePageDown",	//401
    "MovePageUp",	//402
    "MovePrevious",	//403
    "MoveRight",	//404
    "MoveToTrashRestoreCollection",	//405
    "MoveToTrashRestoreCollectionAlternative",	//406
    "MoveToTrashRestoreItem",	//407
    "MoveToTrashRestoreItemAlternative",	//408
    "MoveUp",	//409
    "MultiSelection",	//410
    "MultipleTransactions",	//411
    "Name",	//412
    "NameOrEmail",	//413
    "NextCompletionMatch",	//414
    "NickName",	//415
    "No",	//416
    "NoCapabilities",	//417
    "NoCaptionFlags",	//418
    "NoDefault",	//419
    "NoDragDrop",	//420
    "NoEditTriggers",	//421
    "NoError",	//422
    "NoFrame",	//423
    "NoInsert",	//424
    "NoItemPopulation",	//425
    "NoSelection",	//426
    "NoState",	//427
    "NoTransaction",	//428
    "NonOverlappingRoots",	//429
    "None",	//430
    "NotRunning",	//431
    "Observer",	//432
    "Observer#",	//433
    "ObserverV2",	//434
    "ObserverV2#",	//435
    "Ok",	//436
    "OldCollectionIdRole",	//437
    "OldCollectionRole",	//438
    "OnItem",	//439
    "OnViewport",	//440
    "OnlineRole",	//441
    "Panel",	//442
    "Parent",	//443
    "ParentCollectionRole",	//444
    "PartFetcher",	//445
    "PartFetcher##",	//446
    "PartFetcher###",	//447
    "Paste",	//448
    "PayloadBase",	//449
    "PayloadBase#",	//450
    "PayloadException",	//451
    "PayloadException#",	//452
    "PayloadException$",	//453
    "PendingCutRole",	//454
    "Plain",	//455
    "PositionAtBottom",	//456
    "PositionAtCenter",	//457
    "PositionAtTop",	//458
    "Prepend",	//459
    "PreprocessorBase",	//460
    "PreprocessorBase$",	//461
    "PrevCompletionMatch",	//462
    "ProcessingCompleted",	//463
    "ProcessingDelayed",	//464
    "ProcessingFailed",	//465
    "ProcessingRefused",	//466
    "ProgressRole",	//467
    "ProtocolVersionMismatch",	//468
    "QtCriticalMsg",	//469
    "QtDebugMsg",	//470
    "QtFatalMsg",	//471
    "QtSystemMsg",	//472
    "QtWarningMsg",	//473
    "Quietly",	//474
    "Raised",	//475
    "ReadOnly",	//476
    "Receiver",	//477
    "Recursive",	//478
    "RecursiveSizeRole",	//479
    "RecursiveStatisticsRole",	//480
    "RecursiveTotalRole",	//481
    "RecursiveUnreadRole",	//482
    "Rejected",	//483
    "RemoteId",	//484
    "RemoteIdRole",	//485
    "RemoveFromFavoriteCollections",	//486
    "RenameFavoriteCollection",	//487
    "Reset",	//488
    "ResourceBase",	//489
    "ResourceBase$",	//490
    "ResourceProperties",	//491
    "ResourceSynchronizationJob",	//492
    "ResourceSynchronizationJob#",	//493
    "ResourceSynchronizationJob##",	//494
    "RestoreCollectionsFromTrash",	//495
    "RestoreItemsFromTrash",	//496
    "Running",	//497
    "ScrollPerItem",	//498
    "ScrollPerPixel",	//499
    "SearchCreateJob",	//500
    "SearchCreateJob$$",	//501
    "SearchCreateJob$$#",	//502
    "SelectColumns",	//503
    "SelectItems",	//504
    "SelectRows",	//505
    "SelectedClicked",	//506
    "SelectionProxyModel",	//507
    "SelectionProxyModel#",	//508
    "SelectionProxyModel##",	//509
    "Sender",	//510
    "Session",	//511
    "Session#",	//512
    "Session##",	//513
    "Session###",	//514
    "SessionRole",	//515
    "Shadow_Mask",	//516
    "Shape_Mask",	//517
    "SinglePass",	//518
    "SingleSelection",	//519
    "SingleTransaction",	//520
    "Size",	//521
    "SizeRole",	//522
    "Snap",	//523
    "StandardActionManager",	//524
    "StandardActionManager#",	//525
    "StandardActionManager##",	//526
    "Starting",	//527
    "StartsWithMatch",	//528
    "Static",	//529
    "StatisticsProxyModel",	//530
    "StatisticsProxyModel#",	//531
    "StatisticsRole",	//532
    "StatusMessageRole",	//533
    "StatusRole",	//534
    "Stopping",	//535
    "StyledPanel",	//536
    "SubTreeRoots",	//537
    "SubTrees",	//538
    "SubTreesWithoutRoots",	//539
    "Subject",	//540
    "SubstringCompletion",	//541
    "Sunken",	//542
    "Suspendable",	//543
    "SynchronizeCollections",	//544
    "SynchronizeCollectionsRecursive",	//545
    "SynchronizeFavoriteCollections",	//546
    "SynchronizeResources",	//547
    "TerminalUserRole",	//548
    "TextCompletion",	//549
    "ToggleWorkOffline",	//550
    "TopToBottom",	//551
    "TotalRole",	//552
    "TransactionBeginJob",	//553
    "TransactionBeginJob#",	//554
    "TransactionCommitJob",	//555
    "TransactionCommitJob#",	//556
    "TransactionRollbackJob",	//557
    "TransactionRollbackJob#",	//558
    "TransactionSequence",	//559
    "TransactionSequence#",	//560
    "TransportFailed",	//561
    "TransportResourceBase",	//562
    "TransportResourceBase#",	//563
    "TransportSucceeded",	//564
    "Try",	//565
    "TypeIdentifierRole",	//566
    "TypeRole",	//567
    "Unknown",	//568
    "UnlinkJob",	//569
    "UnlinkJob#?",	//570
    "UnlinkJob#?#",	//571
    "UnreadCountRole",	//572
    "UnreadRole",	//573
    "UrlShort",	//574
    "UrlWithMimeType",	//575
    "UrlWithName",	//576
    "User1",	//577
    "User2",	//578
    "User3",	//579
    "UserCanceled",	//580
    "UserDefinedError",	//581
    "UserError",	//582
    "UserHeaders",	//583
    "UserRole",	//584
    "VLine",	//585
    "WinPanel",	//586
    "Yes",	//587
    "_CS_GNU_LIBC_VERSION",	//588
    "_CS_GNU_LIBPTHREAD_VERSION",	//589
    "_CS_LFS64_CFLAGS",	//590
    "_CS_LFS64_LDFLAGS",	//591
    "_CS_LFS64_LIBS",	//592
    "_CS_LFS64_LINTFLAGS",	//593
    "_CS_LFS_CFLAGS",	//594
    "_CS_LFS_LDFLAGS",	//595
    "_CS_LFS_LIBS",	//596
    "_CS_LFS_LINTFLAGS",	//597
    "_CS_PATH",	//598
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//599
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//600
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//601
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//602
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//603
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//604
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//605
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//606
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//607
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//608
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//609
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//610
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//611
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//612
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//613
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//614
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//615
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//616
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//617
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//618
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//619
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//620
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//621
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//622
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//623
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//624
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//625
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//626
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//627
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//628
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//629
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//630
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//631
    "_CS_V6_ENV",	//632
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//633
    "_CS_V7_ENV",	//634
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//635
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//636
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//637
    "_CS_XBS5_ILP32_OFF32_LIBS",	//638
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//639
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//640
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//641
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//642
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//643
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//644
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//645
    "_CS_XBS5_LP64_OFF64_LIBS",	//646
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//647
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//648
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//649
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//650
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//651
    "__codecvt_error",	//652
    "__codecvt_noconv",	//653
    "__codecvt_ok",	//654
    "__codecvt_partial",	//655
    "abortActivity",	//656
    "abortCurrentTask",	//657
    "abortRequested",	//658
    "aboutToQuit",	//659
    "aboutToStart",	//660
    "aboutToStart#",	//661
    "accept",	//662
    "accessRightsFilter",	//663
    "action",	//664
    "action$",	//665
    "actionEvent",	//666
    "actionStateUpdated",	//667
    "activated",	//668
    "activated#",	//669
    "activeIcon",	//670
    "activeIconName",	//671
    "addAttribute",	//672
    "addAttribute#",	//673
    "addCapabilityFilter",	//674
    "addCapabilityFilter$",	//675
    "addCollection",	//676
    "addCollection#",	//677
    "addMimeTypeExclusionFilter",	//678
    "addMimeTypeExclusionFilter$",	//679
    "addMimeTypeExclusionFilters",	//680
    "addMimeTypeExclusionFilters?",	//681
    "addMimeTypeFilter",	//682
    "addMimeTypeFilter$",	//683
    "addMimeTypeFilters",	//684
    "addMimeTypeFilters?",	//685
    "addMimeTypeInclusionFilter",	//686
    "addMimeTypeInclusionFilter$",	//687
    "addMimeTypeInclusionFilters",	//688
    "addMimeTypeInclusionFilters?",	//689
    "addSubjob",	//690
    "addSubjob#",	//691
    "addWantedMimeType",	//692
    "addWantedMimeType$",	//693
    "addressClicked",	//694
    "addressClicked#",	//695
    "advancedStatus",	//696
    "advancedStatus?",	//697
    "agentFilterProxyModel",	//698
    "agentName",	//699
    "agentNameChanged",	//700
    "agentNameChanged$",	//701
    "agentType",	//702
    "akonadiItemIdUri",	//703
    "allAttributes",	//704
    "allMonitored",	//705
    "allMonitored$",	//706
    "ancestorRetrieval",	//707
    "apply",	//708
    "apply#",	//709
    "apply##",	//710
    "attribute",	//711
    "attribute#",	//712
    "attributes",	//713
    "attributesSynchronized",	//714
    "attributesSynchronized$",	//715
    "availableParts",	//716
    "availableParts#",	//717
    "availablePayloadMetaTypeIds",	//718
    "availablePayloadParts",	//719
    "backgroundColor",	//720
    "bcc",	//721
    "buddy",	//722
    "cacheOnly",	//723
    "cachePolicy",	//724
    "cacheTimeout",	//725
    "canFetchMore",	//726
    "canFetchMore#",	//727
    "canHandle",	//728
    "canHandle#",	//729
    "cancelTask",	//730
    "cancelTask$",	//731
    "capabilities",	//732
    "cc",	//733
    "changeCollectionDialogOptions",	//734
    "changeCollectionDialogOptions$",	//735
    "changeCommitted",	//736
    "changeCommitted#",	//737
    "changeEvent",	//738
    "changeProcessed",	//739
    "changeRecorder",	//740
    "changesAdded",	//741
    "childEvent",	//742
    "cleanup",	//743
    "clear",	//744
    "clearAndReset",	//745
    "clearAttributes",	//746
    "clearCache",	//747
    "clearFilters",	//748
    "clearFlag",	//749
    "clearFlag#",	//750
    "clearFlags",	//751
    "clearPayload",	//752
    "clicked",	//753
    "clicked#",	//754
    "clone",	//755
    "closeEditor",	//756
    "closeEvent",	//757
    "collection",	//758
    "collectionAdded",	//759
    "collectionAdded##",	//760
    "collectionAttributesRetrieved",	//761
    "collectionAttributesRetrieved#",	//762
    "collectionChanged",	//763
    "collectionChanged#",	//764
    "collectionChanged#?",	//765
    "collectionFetchScope",	//766
    "collectionFetchStrategy",	//767
    "collectionForId",	//768
    "collectionForId?",	//769
    "collectionIds",	//770
    "collectionMonitored",	//771
    "collectionMonitored#$",	//772
    "collectionMoved",	//773
    "collectionMoved###",	//774
    "collectionRemoved",	//775
    "collectionRemoved#",	//776
    "collectionStatisticsChanged",	//777
    "collectionStatisticsChanged?#",	//778
    "collectionSubscribed",	//779
    "collectionSubscribed##",	//780
    "collectionTreeOnly",	//781
    "collectionTreeSynchronized",	//782
    "collectionUnsubscribed",	//783
    "collectionUnsubscribed#",	//784
    "collections",	//785
    "collectionsMonitored",	//786
    "collectionsReceived",	//787
    "collectionsReceived?",	//788
    "collectionsRetrievalDone",	//789
    "collectionsRetrieved",	//790
    "collectionsRetrieved?",	//791
    "collectionsRetrievedIncremental",	//792
    "collectionsRetrievedIncremental??",	//793
    "columnCount",	//794
    "columnCount#",	//795
    "commit",	//796
    "commitData",	//797
    "componentData",	//798
    "config",	//799
    "configurationDialogAccepted",	//800
    "configurationDialogRejected",	//801
    "configure",	//802
    "configure#",	//803
    "configure$",	//804
    "connectNotify",	//805
    "connectNotify$",	//806
    "connectToView",	//807
    "connectToView#",	//808
    "contact",	//809
    "contactGroup",	//810
    "contactGroupStored",	//811
    "contactGroupStored#",	//812
    "contactGroups",	//813
    "contactStored",	//814
    "contactStored#",	//815
    "contacts",	//816
    "containsWantedMimeType",	//817
    "containsWantedMimeType?",	//818
    "contentMimeTypes",	//819
    "contextMenuEvent",	//820
    "contextMenuEvent#",	//821
    "count",	//822
    "create",	//823
    "createAction",	//824
    "createAction$",	//825
    "createActionFolderMenu",	//826
    "createActionFolderMenu#$",	//827
    "createAllActions",	//828
    "createAttribute",	//829
    "createAttribute#",	//830
    "createEditor",	//831
    "createIndex",	//832
    "createIndex$$$",	//833
    "createWidget",	//834
    "createWidget#",	//835
    "createdCollection",	//836
    "currentAgentInstance",	//837
    "currentAgentType",	//838
    "currentChanged",	//839
    "currentChanged#",	//840
    "currentChanged##",	//841
    "currentCollection",	//842
    "currentItem",	//843
    "currentValue",	//844
    "customEvent",	//845
    "d_func",	//846
    "data",	//847
    "data#",	//848
    "data#$",	//849
    "dataChanged",	//850
    "defaultPageObjectName",	//851
    "defaultPageObjectName$",	//852
    "defaultSession",	//853
    "deferTask",	//854
    "deletedItems",	//855
    "deliveryDone",	//856
    "description",	//857
    "deserialize",	//858
    "deserialize#",	//859
    "deserialize###$",	//860
    "destinationCollection",	//861
    "devType",	//862
    "dialPhoneNumber",	//863
    "dialPhoneNumber#",	//864
    "disableAutomaticConflictHandling",	//865
    "disableRevisionCheck",	//866
    "disconnectNotify",	//867
    "displayName",	//868
    "displayText",	//869
    "doHandleResponse",	//870
    "doHandleResponse##",	//871
    "doItemsLayout",	//872
    "doKill",	//873
    "doResume",	//874
    "doSetOnline",	//875
    "doSetOnline$",	//876
    "doStart",	//877
    "doSuspend",	//878
    "done",	//879
    "done$",	//880
    "doubleClicked",	//881
    "doubleClicked#",	//882
    "dragEnterEvent",	//883
    "dragLeaveEvent",	//884
    "dragLeaveEvent#",	//885
    "dragMoveEvent",	//886
    "dragMoveEvent#",	//887
    "drawBranches",	//888
    "drawRow",	//889
    "dropEvent",	//890
    "dropEvent#",	//891
    "dropMimeData",	//892
    "dropMimeData#$$$#",	//893
    "dumpNotificationListToString",	//894
    "dumpSchedulerToString",	//895
    "edit",	//896
    "editor",	//897
    "editorDestroyed",	//898
    "editorEvent",	//899
    "emailClicked",	//900
    "emailClicked$$",	//901
    "emitWriteFinished",	//902
    "enabledChange",	//903
    "enterEvent",	//904
    "entityColumnCount",	//905
    "entityColumnCount$",	//906
    "entityData",	//907
    "entityData#$",	//908
    "entityData#$$",	//909
    "entityHeaderData",	//910
    "entityHeaderData$$$$",	//911
    "entityMatch",	//912
    "entityMatch##$",	//913
    "error",	//914
    "error$",	//915
    "errorString",	//916
    "event",	//917
    "eventFilter",	//918
    "excludeCapabilities",	//919
    "excludeCapabilities$",	//920
    "favoriteLabel",	//921
    "favoriteLabel#",	//922
    "fetchAllAttributes",	//923
    "fetchAllAttributes$",	//924
    "fetchAttribute",	//925
    "fetchAttribute#",	//926
    "fetchAttribute#$",	//927
    "fetchChangedOnly",	//928
    "fetchChangedOnly$",	//929
    "fetchCollection",	//930
    "fetchCollection$",	//931
    "fetchCollectionStatistics",	//932
    "fetchCollectionStatistics$",	//933
    "fetchFullPayload",	//934
    "fetchFullPayload$",	//935
    "fetchModificationTime",	//936
    "fetchMore",	//937
    "fetchMore#",	//938
    "fetchPayloadPart",	//939
    "fetchPayloadPart#",	//940
    "fetchPayloadPart#$",	//941
    "fetchScope",	//942
    "filterAcceptsColumn",	//943
    "filterAcceptsColumn$#",	//944
    "filterAcceptsRow",	//945
    "filterAcceptsRow$#",	//946
    "finishProcessing",	//947
    "finishProcessing$",	//948
    "flags",	//949
    "flags#",	//950
    "focusInEvent",	//951
    "focusNextPrevChild",	//952
    "focusOutEvent",	//953
    "fontChange",	//954
    "from",	//955
    "fromUrl",	//956
    "fromUrl#",	//957
    "fullPayload",	//958
    "groupNameIsValid",	//959
    "groupNameIsValid$",	//960
    "hasAttribute",	//961
    "hasAttribute#",	//962
    "hasChildren",	//963
    "hasChildren#",	//964
    "hasFlag",	//965
    "hasFlag#",	//966
    "hasPayload",	//967
    "headerData",	//968
    "headerData$$",	//969
    "headerData$$$",	//970
    "heightForWidth",	//971
    "hideEvent",	//972
    "hidePopup",	//973
    "horizontalOffset",	//974
    "horizontalScrollbarAction",	//975
    "horizontalScrollbarValueChanged",	//976
    "icon",	//977
    "iconName",	//978
    "id",	//979
    "identifier",	//980
    "ignorePayload",	//981
    "ignoreSession",	//982
    "ignoreSession#",	//983
    "includeRootCollection",	//984
    "includeStatistics",	//985
    "includeStatistics$",	//986
    "includeUnsubscribed",	//987
    "includeUnsubscribed$",	//988
    "includeUnubscribed",	//989
    "index",	//990
    "index$$",	//991
    "index$$#",	//992
    "indexAt",	//993
    "indexForItem",	//994
    "indexForItem#$",	//995
    "inheritFromParent",	//996
    "initStyleOption",	//997
    "initStyleOption##",	//998
    "inputMethodEvent",	//999
    "inputMethodQuery",	//1000
    "insertColumns",	//1001
    "insertRows",	//1002
    "instance",	//1003
    "instance$",	//1004
    "instanceAdded",	//1005
    "instanceAdded#",	//1006
    "instanceError",	//1007
    "instanceError#$",	//1008
    "instanceNameChanged",	//1009
    "instanceNameChanged#",	//1010
    "instanceOnline",	//1011
    "instanceOnline#$",	//1012
    "instanceProgressChanged",	//1013
    "instanceProgressChanged#",	//1014
    "instanceRemoved",	//1015
    "instanceRemoved#",	//1016
    "instanceStatusChanged",	//1017
    "instanceStatusChanged#",	//1018
    "instanceWarning",	//1019
    "instanceWarning#$",	//1020
    "instances",	//1021
    "interceptAction",	//1022
    "interceptAction$",	//1023
    "interceptAction$$",	//1024
    "intervalCheckTime",	//1025
    "invalidateCache",	//1026
    "invalidateCache#",	//1027
    "isAllMonitored",	//1028
    "isDropActionMenuEnabled",	//1029
    "isEmpty",	//1030
    "isExtraColumnsEnabled",	//1031
    "isIndexHidden",	//1032
    "isManualSortingActive",	//1033
    "isOnline",	//1034
    "isOutboundFolder",	//1035
    "isRunning",	//1036
    "isToolTipEnabled",	//1037
    "isValid",	//1038
    "isVirtual",	//1039
    "isWantedCollection",	//1040
    "isWantedCollection#",	//1041
    "isWantedCollection#$",	//1042
    "isWantedItem",	//1043
    "isWantedItem#",	//1044
    "isWantedItem#$",	//1045
    "isWantedMimeType",	//1046
    "isWantedMimeType$",	//1047
    "item",	//1048
    "itemAdded",	//1049
    "itemAdded##",	//1050
    "itemChanged",	//1051
    "itemChanged#",	//1052
    "itemChanged#?",	//1053
    "itemData",	//1054
    "itemFetchScope",	//1055
    "itemForIndex",	//1056
    "itemForIndex#",	//1057
    "itemLinked",	//1058
    "itemLinked##",	//1059
    "itemMonitored",	//1060
    "itemMonitored#$",	//1061
    "itemMoved",	//1062
    "itemMoved###",	//1063
    "itemPopulationStrategy",	//1064
    "itemRemoved",	//1065
    "itemRemoved#",	//1066
    "itemRetrieved",	//1067
    "itemRetrieved#",	//1068
    "itemSent",	//1069
    "itemSent#$",	//1070
    "itemSent#$$",	//1071
    "itemUnlinked",	//1072
    "itemUnlinked##",	//1073
    "items",	//1074
    "itemsMonitored",	//1075
    "itemsMonitoredEx",	//1076
    "itemsReceived",	//1077
    "itemsReceived?",	//1078
    "itemsRetrievalDone",	//1079
    "itemsRetrieved",	//1080
    "itemsRetrieved?",	//1081
    "itemsRetrievedIncremental",	//1082
    "itemsRetrievedIncremental??",	//1083
    "keyPressEvent",	//1084
    "keyReleaseEvent",	//1085
    "keyboardSearch",	//1086
    "languageChange",	//1087
    "leaveEvent",	//1088
    "lessThan",	//1089
    "load",	//1090
    "load#",	//1091
    "loadContact",	//1092
    "loadContact#",	//1093
    "loadContactGroup",	//1094
    "loadContactGroup#",	//1095
    "loadedPayloadParts",	//1096
    "localParts",	//1097
    "makeCompletion",	//1098
    "mapFromSource",	//1099
    "mapFromSource#",	//1100
    "mapSelectionFromSource",	//1101
    "mapSelectionToSource",	//1102
    "mapToSource",	//1103
    "mapToSource#",	//1104
    "match",	//1105
    "match#$#",	//1106
    "match#$#$",	//1107
    "match#$#$$",	//1108
    "maximumValue",	//1109
    "metaObject",	//1110
    "metric",	//1111
    "mimeData",	//1112
    "mimeData?",	//1113
    "mimeType",	//1114
    "mimeTypeExclusionFilters",	//1115
    "mimeTypeFilter",	//1116
    "mimeTypeFilters",	//1117
    "mimeTypeInclusionFilters",	//1118
    "mimeTypeMonitored",	//1119
    "mimeTypeMonitored$$",	//1120
    "mimeTypes",	//1121
    "mimeTypesMonitored",	//1122
    "minimumSizeHint",	//1123
    "modelIndexForCollection",	//1124
    "modelIndexForCollection##",	//1125
    "modelIndexesForItem",	//1126
    "modelIndexesForItem##",	//1127
    "modificationTime",	//1128
    "mouseDoubleClickEvent",	//1129
    "mouseMoveEvent",	//1130
    "mousePressEvent",	//1131
    "mouseReleaseEvent",	//1132
    "moveCursor",	//1133
    "moveEvent",	//1134
    "name",	//1135
    "nameChanged",	//1136
    "nameChanged$",	//1137
    "nothingToReplay",	//1138
    "onlineChanged",	//1139
    "onlineChanged$",	//1140
    "operator!=",	//1141
    "operator!=#",	//1142
    "operator<",	//1143
    "operator<#",	//1144
    "operator=",	//1145
    "operator=#",	//1146
    "operator==",	//1147
    "operator==#",	//1148
    "pageTitle",	//1149
    "paint",	//1150
    "paint###",	//1151
    "paintEngine",	//1152
    "paintEvent",	//1153
    "paletteChange",	//1154
    "parent",	//1155
    "parent#",	//1156
    "parentCollection",	//1157
    "parentRemoteId",	//1158
    "partName",	//1159
    "parts",	//1160
    "parts#",	//1161
    "payloadData",	//1162
    "payloadParts",	//1163
    "percent",	//1164
    "percent$",	//1165
    "perfectParents",	//1166
    "phoneNumberClicked",	//1167
    "phoneNumberClicked#",	//1168
    "processItem",	//1169
    "processItem#",	//1170
    "progress",	//1171
    "progressAnimationEnabled",	//1172
    "progressMessage",	//1173
    "qt_metacall",	//1174
    "qt_metacall$$?",	//1175
    "qt_metacast",	//1176
    "qt_metacast$",	//1177
    "rawContact",	//1178
    "reconfigure",	//1179
    "reconnected",	//1180
    "registerObserver",	//1181
    "registerObserver#",	//1182
    "registerPage",	//1183
    "registerPage#",	//1184
    "reject",	//1185
    "reloadConfiguration",	//1186
    "remoteId",	//1187
    "remoteRevision",	//1188
    "removeAttribute",	//1189
    "removeAttribute#",	//1190
    "removeCollection",	//1191
    "removeCollection#",	//1192
    "removeColumns",	//1193
    "removeInstance",	//1194
    "removeInstance#",	//1195
    "removeRows",	//1196
    "removeSubjob",	//1197
    "removeSubjob#",	//1198
    "removeWantedMimeType",	//1199
    "removeWantedMimeType$",	//1200
    "replayNext",	//1201
    "reset",	//1202
    "resizeEvent",	//1203
    "resource",	//1204
    "resourceMonitored",	//1205
    "resourceMonitored#$",	//1206
    "resourcesMonitored",	//1207
    "restart",	//1208
    "restart#",	//1209
    "restoreState",	//1210
    "restoreState#",	//1211
    "retrieveCollectionAttributes",	//1212
    "retrieveCollectionAttributes#",	//1213
    "retrieveCollections",	//1214
    "retrieveItem",	//1215
    "retrieveItem#?",	//1216
    "retrieveItems",	//1217
    "retrieveItems#",	//1218
    "revert",	//1219
    "revision",	//1220
    "rights",	//1221
    "rollback",	//1222
    "root",	//1223
    "rootCollectionDisplayName",	//1224
    "rowCount",	//1225
    "rowCount#",	//1226
    "rowsAboutToBeRemoved",	//1227
    "rowsInserted",	//1228
    "save",	//1229
    "save#",	//1230
    "saveContact",	//1231
    "saveContactGroup",	//1232
    "saveState",	//1233
    "saveState#",	//1234
    "scheduleCustomTask",	//1235
    "scheduleCustomTask#$#",	//1236
    "scheduleCustomTask#$#$",	//1237
    "scrollContentsBy",	//1238
    "scrollTo",	//1239
    "selectAll",	//1240
    "selectedAgentInstances",	//1241
    "selectedCollection",	//1242
    "selectedCollections",	//1243
    "selectedIndexes",	//1244
    "selectedItems",	//1245
    "selectionChanged",	//1246
    "selectionCommand",	//1247
    "selectionMode",	//1248
    "self",	//1249
    "sendEmail",	//1250
    "sendEmail$$",	//1251
    "sendItem",	//1252
    "sendItem#",	//1253
    "sendSms",	//1254
    "sendSms#",	//1255
    "serialize",	//1256
    "serialize###$",	//1257
    "serialized",	//1258
    "session",	//1259
    "sessionId",	//1260
    "setAccessRightsFilter",	//1261
    "setAccessRightsFilter$",	//1262
    "setActionText",	//1263
    "setActionText$#",	//1264
    "setActiveIconName",	//1265
    "setActiveIconName$",	//1266
    "setAgentName",	//1267
    "setAgentName$",	//1268
    "setAllMonitored",	//1269
    "setAllMonitored$",	//1270
    "setAncestorRetrieval",	//1271
    "setAncestorRetrieval$",	//1272
    "setAutoCompletion",	//1273
    "setAutomaticCommittingEnabled",	//1274
    "setAutomaticCommittingEnabled$",	//1275
    "setAutomaticProgressReporting",	//1276
    "setAutomaticProgressReporting$",	//1277
    "setBackgroundColor",	//1278
    "setBackgroundColor#",	//1279
    "setBcc",	//1280
    "setBcc?",	//1281
    "setCacheOnly",	//1282
    "setCacheOnly$",	//1283
    "setCachePolicy",	//1284
    "setCachePolicy#",	//1285
    "setCacheTimeout",	//1286
    "setCacheTimeout$",	//1287
    "setCapabilityFilter",	//1288
    "setCapabilityFilter?",	//1289
    "setCaption",	//1290
    "setCc",	//1291
    "setCc?",	//1292
    "setChangeRecordingEnabled",	//1293
    "setChangeRecordingEnabled$",	//1294
    "setCollection",	//1295
    "setCollection#",	//1296
    "setCollectionFetchScope",	//1297
    "setCollectionFetchScope#",	//1298
    "setCollectionFetchStrategy",	//1299
    "setCollectionFetchStrategy$",	//1300
    "setCollectionMonitored",	//1301
    "setCollectionMonitored#",	//1302
    "setCollectionMonitored#$",	//1303
    "setCollectionPropertiesPageNames",	//1304
    "setCollectionPropertiesPageNames?",	//1305
    "setCollectionSelectionModel",	//1306
    "setCollectionSelectionModel#",	//1307
    "setCollectionStreamingEnabled",	//1308
    "setCollectionStreamingEnabled$",	//1309
    "setCollectionTreeOnly",	//1310
    "setCollectionTreeOnly$",	//1311
    "setCollections",	//1312
    "setCollections?",	//1313
    "setCompletedItems",	//1314
    "setCompletedText",	//1315
    "setCompletionMode",	//1316
    "setCompletionObject",	//1317
    "setConfig",	//1318
    "setConfig#",	//1319
    "setContact",	//1320
    "setContact#",	//1321
    "setContactFormatter",	//1322
    "setContactFormatter#",	//1323
    "setContactGroup",	//1324
    "setContactGroup#",	//1325
    "setContactGroupFormatter",	//1326
    "setContactGroupFormatter#",	//1327
    "setContactGroupTemplate",	//1328
    "setContactGroupTemplate#",	//1329
    "setContactTemplate",	//1330
    "setContactTemplate#",	//1331
    "setContentMimeTypes",	//1332
    "setContentMimeTypes?",	//1333
    "setContextMenuEnabled",	//1334
    "setContextText",	//1335
    "setContextText$$#",	//1336
    "setContextText$$$",	//1337
    "setCount",	//1338
    "setCount$",	//1339
    "setCurrentValue",	//1340
    "setCurrentValue$",	//1341
    "setData",	//1342
    "setData##",	//1343
    "setData##$",	//1344
    "setDefaultAddressBook",	//1345
    "setDefaultAddressBook#",	//1346
    "setDefaultCollection",	//1347
    "setDefaultCollection#",	//1348
    "setDescription",	//1349
    "setDescription$",	//1350
    "setDisplayName",	//1351
    "setDisplayName$",	//1352
    "setDropActionMenuEnabled",	//1353
    "setDropActionMenuEnabled$",	//1354
    "setEditorData",	//1355
    "setExcludeVirtualCollections",	//1356
    "setExcludeVirtualCollections$",	//1357
    "setExtraColumnsEnabled",	//1358
    "setExtraColumnsEnabled$",	//1359
    "setFavoriteCollectionsModel",	//1360
    "setFavoriteCollectionsModel#",	//1361
    "setFavoriteLabel",	//1362
    "setFavoriteLabel#$",	//1363
    "setFavoriteSelectionModel",	//1364
    "setFavoriteSelectionModel#",	//1365
    "setFetchModificationTime",	//1366
    "setFetchModificationTime$",	//1367
    "setFetchScope",	//1368
    "setFetchScope#",	//1369
    "setFlag",	//1370
    "setFlag#",	//1371
    "setFlags",	//1372
    "setFlags?",	//1373
    "setFrom",	//1374
    "setFrom$",	//1375
    "setFullPayload",	//1376
    "setFullPayload$",	//1377
    "setFullSyncItems",	//1378
    "setFullSyncItems?",	//1379
    "setHandleSignals",	//1380
    "setHeaderData",	//1381
    "setHeaderData$$#",	//1382
    "setHeaderData$$#$",	//1383
    "setHeaderGroup",	//1384
    "setHeaderGroup$",	//1385
    "setHierarchicalRemoteIdentifiersEnabled",	//1386
    "setHierarchicalRemoteIdentifiersEnabled$",	//1387
    "setIconName",	//1388
    "setIconName$",	//1389
    "setId",	//1390
    "setId$",	//1391
    "setIgnoreJobFailure",	//1392
    "setIgnoreJobFailure#",	//1393
    "setIgnorePayload",	//1394
    "setIgnorePayload$",	//1395
    "setIncludeRootCollection",	//1396
    "setIncludeRootCollection$",	//1397
    "setIncludeStatistics",	//1398
    "setIncludeStatistics$",	//1399
    "setIncludeUnsubscribed",	//1400
    "setIncludeUnsubscribed$",	//1401
    "setIncrementalSyncItems",	//1402
    "setIncrementalSyncItems??",	//1403
    "setInheritFromParent",	//1404
    "setInheritFromParent$",	//1405
    "setIntervalCheckTime",	//1406
    "setIntervalCheckTime$",	//1407
    "setIsOnline",	//1408
    "setIsOnline$",	//1409
    "setItem",	//1410
    "setItem#",	//1411
    "setItemData",	//1412
    "setItemFetchScope",	//1413
    "setItemFetchScope#",	//1414
    "setItemMonitored",	//1415
    "setItemMonitored#",	//1416
    "setItemMonitored#$",	//1417
    "setItemPopulationStrategy",	//1418
    "setItemPopulationStrategy$",	//1419
    "setItemSelectionModel",	//1420
    "setItemSelectionModel#",	//1421
    "setItemStreamingEnabled",	//1422
    "setItemStreamingEnabled$",	//1423
    "setItemSynchronizationFetchScope",	//1424
    "setItemSynchronizationFetchScope#",	//1425
    "setItemTransactionMode",	//1426
    "setItemTransactionMode$",	//1427
    "setLimit",	//1428
    "setLimit$",	//1429
    "setLineEdit",	//1430
    "setLocalParts",	//1431
    "setLocalParts?",	//1432
    "setManualSortingActive",	//1433
    "setManualSortingActive$",	//1434
    "setMaximumValue",	//1435
    "setMaximumValue$",	//1436
    "setMimeType",	//1437
    "setMimeType$",	//1438
    "setMimeTypeFilter",	//1439
    "setMimeTypeFilter?",	//1440
    "setMimeTypeMonitored",	//1441
    "setMimeTypeMonitored$",	//1442
    "setMimeTypeMonitored$$",	//1443
    "setModel",	//1444
    "setModel#",	//1445
    "setModelData",	//1446
    "setModificationTime",	//1447
    "setModificationTime#",	//1448
    "setName",	//1449
    "setName$",	//1450
    "setNeedsNetwork",	//1451
    "setNeedsNetwork$",	//1452
    "setOnline",	//1453
    "setOnline$",	//1454
    "setOutboundFolder",	//1455
    "setOutboundFolder$",	//1456
    "setPageTitle",	//1457
    "setPageTitle$",	//1458
    "setParent",	//1459
    "setParent#",	//1460
    "setParent$",	//1461
    "setParentCollection",	//1462
    "setParentCollection#",	//1463
    "setParentRemoteId",	//1464
    "setParentRemoteId$",	//1465
    "setPayloadFromData",	//1466
    "setPayloadFromData#",	//1467
    "setPerfectParents",	//1468
    "setPerfectParents?",	//1469
    "setPlainCaption",	//1470
    "setProgressAnimationEnabled",	//1471
    "setProgressAnimationEnabled$",	//1472
    "setQuery",	//1473
    "setQuery$",	//1474
    "setQuery$$",	//1475
    "setQuery$$$",	//1476
    "setQueryLanguage",	//1477
    "setQueryLanguage$",	//1478
    "setRawContact",	//1479
    "setRawContact#",	//1480
    "setReadOnly",	//1481
    "setReadOnly$",	//1482
    "setRemoteId",	//1483
    "setRemoteId$",	//1484
    "setRemoteRevision",	//1485
    "setRemoteRevision$",	//1486
    "setResource",	//1487
    "setResource$",	//1488
    "setResourceMonitored",	//1489
    "setResourceMonitored#",	//1490
    "setResourceMonitored#$",	//1491
    "setRevision",	//1492
    "setRevision$",	//1493
    "setRights",	//1494
    "setRights$",	//1495
    "setRootCollectionDisplayName",	//1496
    "setRootCollectionDisplayName$",	//1497
    "setRootIndex",	//1498
    "setSelection",	//1499
    "setSelectionMode",	//1500
    "setSelectionMode$",	//1501
    "setSelectionModel",	//1502
    "setSession",	//1503
    "setSession#",	//1504
    "setShowSystemEntities",	//1505
    "setShowSystemEntities$",	//1506
    "setSize",	//1507
    "setSize$",	//1508
    "setSourceModel",	//1509
    "setSourceModel#",	//1510
    "setStatistics",	//1511
    "setStatistics#",	//1512
    "setStreamingEnabled",	//1513
    "setStreamingEnabled$",	//1514
    "setSubjectParents",	//1515
    "setSubjectParents?",	//1516
    "setSyncOnDemand",	//1517
    "setSyncOnDemand$",	//1518
    "setTo",	//1519
    "setTo?",	//1520
    "setToolTipEnabled",	//1521
    "setToolTipEnabled$",	//1522
    "setTotalItems",	//1523
    "setTotalItems$",	//1524
    "setTransactionMode",	//1525
    "setTransactionMode$",	//1526
    "setUnperfectParents",	//1527
    "setUnperfectParents?",	//1528
    "setUnreadCount",	//1529
    "setUnreadCount$",	//1530
    "setUnreadCountShown",	//1531
    "setUnreadCountShown$",	//1532
    "setVisible",	//1533
    "setWantedMimeTypes",	//1534
    "setWantedMimeTypes?",	//1535
    "setXmlGuiClient",	//1536
    "setXmlGuiClient#",	//1537
    "setXmlGuiWindow",	//1538
    "setXmlGuiWindow#",	//1539
    "showAddress",	//1540
    "showAddress#",	//1541
    "showEvent",	//1542
    "showPopup",	//1543
    "showSelfTestDialog",	//1544
    "showSelfTestDialog#",	//1545
    "showUrl",	//1546
    "showUrl#",	//1547
    "size",	//1548
    "sizeHint",	//1549
    "sizeHintForColumn",	//1550
    "sizeHintForRow",	//1551
    "slotButtonClicked",	//1552
    "slotButtonClicked$",	//1553
    "slotInfoMessage",	//1554
    "slotResult",	//1555
    "slotResult#",	//1556
    "smsClicked",	//1557
    "smsClicked#",	//1558
    "sort",	//1559
    "span",	//1560
    "start",	//1561
    "start#",	//1562
    "startDrag",	//1563
    "startDrag$",	//1564
    "started",	//1565
    "state",	//1566
    "stateChanged",	//1567
    "stateChanged$",	//1568
    "staticMetaObject",	//1569
    "statistics",	//1570
    "status",	//1571
    "status$",	//1572
    "status$$",	//1573
    "statusMessage",	//1574
    "stop",	//1575
    "stop#",	//1576
    "stopped",	//1577
    "storageCollectionId",	//1578
    "storeContact",	//1579
    "storeContact#",	//1580
    "styleChange",	//1581
    "subjectParents",	//1582
    "submit",	//1583
    "supportedDropActions",	//1584
    "syncOnDemand",	//1585
    "synchronize",	//1586
    "synchronizeCollection",	//1587
    "synchronizeCollection#",	//1588
    "synchronizeCollection#$",	//1589
    "synchronizeCollection$",	//1590
    "synchronizeCollection$$",	//1591
    "synchronizeCollectionAttributes",	//1592
    "synchronizeCollectionAttributes$",	//1593
    "synchronizeCollectionTree",	//1594
    "synchronized",	//1595
    "systemEntitiesShown",	//1596
    "tabletEvent",	//1597
    "taskDone",	//1598
    "timerEvent",	//1599
    "timerEvent#",	//1600
    "title",	//1601
    "to",	//1602
    "tr",	//1603
    "tr$",	//1604
    "tr$$",	//1605
    "tr$$$",	//1606
    "trUtf8",	//1607
    "trUtf8$",	//1608
    "trUtf8$$",	//1609
    "trUtf8$$$",	//1610
    "type",	//1611
    "type$",	//1612
    "typeAdded",	//1613
    "typeAdded#",	//1614
    "typeName",	//1615
    "typeRemoved",	//1616
    "typeRemoved#",	//1617
    "types",	//1618
    "unperfectParents",	//1619
    "unreadCount",	//1620
    "unreadCountShown",	//1621
    "updateEditorData",	//1622
    "updateEditorGeometries",	//1623
    "updateEditorGeometry",	//1624
    "updateGeometries",	//1625
    "updateItem",	//1626
    "updateItem##",	//1627
    "url",	//1628
    "url$",	//1629
    "urlClicked",	//1630
    "urlClicked#",	//1631
    "useDefaultPage",	//1632
    "useDefaultPage$",	//1633
    "verticalOffset",	//1634
    "verticalScrollbarAction",	//1635
    "verticalScrollbarValueChanged",	//1636
    "view",	//1637
    "viewOptions",	//1638
    "viewer",	//1639
    "viewportEvent",	//1640
    "virtual_hook",	//1641
    "visualRect",	//1642
    "visualRegionForSelection",	//1643
    "wantedMimeTypes",	//1644
    "warning",	//1645
    "warning$",	//1646
    "what",	//1647
    "wheelEvent",	//1648
    "widgetNeedsAkonadi",	//1649
    "widgetNeedsAkonadi#",	//1650
    "winIdForDialogs",	//1651
    "windowActivationChange",	//1652
    "writeFinished",	//1653
    "writeFinished#",	//1654
    "x11Event",	//1655
    "~AddressAttribute",	//1656
    "~AgentBase",	//1657
    "~AgentFilterProxyModel",	//1658
    "~AgentInstance",	//1659
    "~AgentInstanceCreateJob",	//1660
    "~AgentInstanceModel",	//1661
    "~AgentInstanceWidget",	//1662
    "~AgentManager",	//1663
    "~AgentType",	//1664
    "~AgentTypeDialog",	//1665
    "~AgentTypeModel",	//1666
    "~AgentTypeWidget",	//1667
    "~Attribute",	//1668
    "~AttributeFactory",	//1669
    "~CachePolicy",	//1670
    "~ChangeRecorder",	//1671
    "~Collection",	//1672
    "~CollectionComboBox",	//1673
    "~CollectionCopyJob",	//1674
    "~CollectionCreateJob",	//1675
    "~CollectionDeleteJob",	//1676
    "~CollectionDialog",	//1677
    "~CollectionFetchJob",	//1678
    "~CollectionFetchScope",	//1679
    "~CollectionFilterProxyModel",	//1680
    "~CollectionModel",	//1681
    "~CollectionModifyJob",	//1682
    "~CollectionMoveJob",	//1683
    "~CollectionPropertiesDialog",	//1684
    "~CollectionPropertiesPage",	//1685
    "~CollectionPropertiesPageFactory",	//1686
    "~CollectionQuotaAttribute",	//1687
    "~CollectionRequester",	//1688
    "~CollectionStatistics",	//1689
    "~CollectionStatisticsDelegate",	//1690
    "~CollectionStatisticsJob",	//1691
    "~CollectionStatisticsModel",	//1692
    "~CollectionView",	//1693
    "~ContactDefaultActions",	//1694
    "~ContactEditor",	//1695
    "~ContactEditorDialog",	//1696
    "~ContactEditorPagePlugin",	//1697
    "~ContactGroupEditor",	//1698
    "~ContactGroupEditorDialog",	//1699
    "~ContactGroupExpandJob",	//1700
    "~ContactGroupSearchJob",	//1701
    "~ContactGroupViewer",	//1702
    "~ContactGroupViewerDialog",	//1703
    "~ContactSearchJob",	//1704
    "~ContactViewer",	//1705
    "~ContactViewerDialog",	//1706
    "~Control",	//1707
    "~Entity",	//1708
    "~EntityDisplayAttribute",	//1709
    "~EntityHiddenAttribute",	//1710
    "~EntityListView",	//1711
    "~EntityMimeTypeFilterModel",	//1712
    "~EntityTreeModel",	//1713
    "~EntityTreeView",	//1714
    "~EntityTreeViewStateSaver",	//1715
    "~Exception",	//1716
    "~FavoriteCollectionsModel",	//1717
    "~Item",	//1718
    "~ItemCopyJob",	//1719
    "~ItemCreateJob",	//1720
    "~ItemDeleteJob",	//1721
    "~ItemFetchJob",	//1722
    "~ItemFetchScope",	//1723
    "~ItemModel",	//1724
    "~ItemModifyJob",	//1725
    "~ItemMonitor",	//1726
    "~ItemMoveJob",	//1727
    "~ItemSearchJob",	//1728
    "~ItemSerializerPlugin",	//1729
    "~ItemSerializerPluginV2",	//1730
    "~ItemSync",	//1731
    "~ItemView",	//1732
    "~Job",	//1733
    "~LinkJob",	//1734
    "~MessageFolderAttribute",	//1735
    "~MessageModel",	//1736
    "~MessageThreaderProxyModel",	//1737
    "~MessageThreadingAttribute",	//1738
    "~MimeTypeChecker",	//1739
    "~Monitor",	//1740
    "~Observer",	//1741
    "~ObserverV2",	//1742
    "~PartFetcher",	//1743
    "~PayloadBase",	//1744
    "~PayloadException",	//1745
    "~PreprocessorBase",	//1746
    "~ResourceBase",	//1747
    "~ResourceSynchronizationJob",	//1748
    "~SearchCreateJob",	//1749
    "~SelectionProxyModel",	//1750
    "~ServerManager",	//1751
    "~Session",	//1752
    "~StandardActionManager",	//1753
    "~StatisticsProxyModel",	//1754
    "~TransactionBeginJob",	//1755
    "~TransactionCommitJob",	//1756
    "~TransactionRollbackJob",	//1757
    "~TransactionSequence",	//1758
    "~TransportResourceBase",	//1759
    "~UnlinkJob",	//1760
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 5, 1, 4, Smoke::mf_ctor, 4, 1},	//1 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&, const QStringList&)
    {4, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 4, 2},	//2 Akonadi::AddressAttribute::clone() const
    {4, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 3},	//3 Akonadi::AddressAttribute::type() const
    {4, 1258, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//4 Akonadi::AddressAttribute::serialized() const
    {4, 858, 6, 1, Smoke::mf_virtual, 0, 5},	//5 Akonadi::AddressAttribute::deserialize(const QByteArray&)
    {4, 955, 0, 0, Smoke::mf_const, 277, 6},	//6 Akonadi::AddressAttribute::from() const
    {4, 1374, 8, 1, 0, 0, 7},	//7 Akonadi::AddressAttribute::setFrom(const QString&)
    {4, 1602, 0, 0, Smoke::mf_const, 278, 8},	//8 Akonadi::AddressAttribute::to() const
    {4, 1519, 10, 1, 0, 0, 9},	//9 Akonadi::AddressAttribute::setTo(const QStringList&)
    {4, 733, 0, 0, Smoke::mf_const, 278, 10},	//10 Akonadi::AddressAttribute::cc() const
    {4, 1291, 10, 1, 0, 0, 11},	//11 Akonadi::AddressAttribute::setCc(const QStringList&)
    {4, 721, 0, 0, Smoke::mf_const, 278, 12},	//12 Akonadi::AddressAttribute::bcc() const
    {4, 1280, 10, 1, 0, 0, 13},	//13 Akonadi::AddressAttribute::setBcc(const QStringList&)
    {4, 5, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 14},	//14 Akonadi::AddressAttribute::AddressAttribute(const Akonadi::AddressAttribute&)
    {4, 5, 0, 0, Smoke::mf_ctor, 4, 15},	//15 Akonadi::AddressAttribute::AddressAttribute()
    {4, 5, 8, 1, Smoke::mf_ctor, 4, 16},	//16 Akonadi::AddressAttribute::AddressAttribute(const QString&)
    {4, 5, 14, 2, Smoke::mf_ctor, 4, 17},	//17 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&)
    {4, 5, 17, 3, Smoke::mf_ctor, 4, 18},	//18 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&)
    {4, 1656, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 Akonadi::AddressAttribute::~AddressAttribute()
    {5, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//20 Akonadi::AgentBase::metaObject() const
    {5, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//21 Akonadi::AgentBase::qt_metacast(const char*)
    {5, 1603, 23, 2, Smoke::mf_static, 277, 3},	//22 Akonadi::AgentBase::tr(const char*, const char*)
    {5, 1607, 23, 2, Smoke::mf_static, 277, 4},	//23 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {5, 1603, 26, 3, Smoke::mf_static, 277, 5},	//24 Akonadi::AgentBase::tr(const char*, const char*, int)
    {5, 1607, 26, 3, Smoke::mf_static, 277, 6},	//25 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {5, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//26 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {5, 1571, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 8},	//27 Akonadi::AgentBase::status() const
    {5, 1574, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 9},	//28 Akonadi::AgentBase::statusMessage() const
    {5, 1171, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 10},	//29 Akonadi::AgentBase::progress() const
    {5, 1173, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 11},	//30 Akonadi::AgentBase::progressMessage() const
    {5, 802, 34, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//31 Akonadi::AgentBase::configure(WId)
    {5, 1651, 0, 0, Smoke::mf_const, 465, 13},	//32 Akonadi::AgentBase::winIdForDialogs() const
    {5, 980, 0, 0, Smoke::mf_const, 277, 14},	//33 Akonadi::AgentBase::identifier() const
    {5, 743, 0, 0, Smoke::mf_virtual, 0, 15},	//34 Akonadi::AgentBase::cleanup()
    {5, 1181, 36, 1, 0, 0, 16},	//35 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {5, 1267, 8, 1, 0, 0, 17},	//36 Akonadi::AgentBase::setAgentName(const QString&)
    {5, 699, 0, 0, Smoke::mf_const, 277, 18},	//37 Akonadi::AgentBase::agentName() const
    {5, 798, 0, 0, Smoke::mf_static, 194, 19},	//38 Akonadi::AgentBase::componentData()
    {5, 700, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//39 Akonadi::AgentBase::agentNameChanged(const QString&)
    {5, 1571, 38, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//40 Akonadi::AgentBase::status(int, const QString&)
    {5, 1164, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//41 Akonadi::AgentBase::percent(int)
    {5, 1645, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//42 Akonadi::AgentBase::warning(const QString&)
    {5, 914, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//43 Akonadi::AgentBase::error(const QString&)
    {5, 696, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//44 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {5, 658, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//45 Akonadi::AgentBase::abortRequested()
    {5, 1186, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//46 Akonadi::AgentBase::reloadConfiguration()
    {5, 1139, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//47 Akonadi::AgentBase::onlineChanged(bool)
    {5, 800, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//48 Akonadi::AgentBase::configurationDialogAccepted()
    {5, 801, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//49 Akonadi::AgentBase::configurationDialogRejected()
    {5, 17, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 31},	//50 Akonadi::AgentBase::AgentBase(const QString&)
    {5, 659, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//51 Akonadi::AgentBase::aboutToQuit()
    {5, 740, 0, 0, Smoke::mf_const|Smoke::mf_protected, 32, 33},	//52 Akonadi::AgentBase::changeRecorder() const
    {5, 799, 0, 0, Smoke::mf_protected, 201, 34},	//53 Akonadi::AgentBase::config()
    {5, 739, 0, 0, Smoke::mf_protected, 0, 35},	//54 Akonadi::AgentBase::changeProcessed()
    {5, 1034, 0, 0, Smoke::mf_const|Smoke::mf_protected, 369, 36},	//55 Akonadi::AgentBase::isOnline() const
    {5, 1451, 45, 1, Smoke::mf_protected, 0, 37},	//56 Akonadi::AgentBase::setNeedsNetwork(bool)
    {5, 1453, 45, 1, Smoke::mf_protected, 0, 38},	//57 Akonadi::AgentBase::setOnline(bool)
    {5, 17, 47, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 39},	//58 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {5, 875, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//59 Akonadi::AgentBase::doSetOnline(bool)
    {5, 1603, 21, 1, Smoke::mf_static, 277, 41},	//60 Akonadi::AgentBase::tr(const char*)
    {5, 1607, 21, 1, Smoke::mf_static, 277, 42},	//61 Akonadi::AgentBase::trUtf8(const char*)
    {5, 1571, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//62 Akonadi::AgentBase::status(int)
    {5, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 44},	//63 Akonadi::AgentBase::staticMetaObject() const
    {5, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 45},	//64 Akonadi::AgentBase::Idle (enum)
    {5, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 46},	//65 Akonadi::AgentBase::Running (enum)
    {5, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 47},	//66 Akonadi::AgentBase::Broken (enum)
    {5, 1657, 0, 0, Smoke::mf_dtor, 0, 48 },	//67 Akonadi::AgentBase::~AgentBase()
    {6, 432, 0, 0, Smoke::mf_ctor, 6, 1},	//68 Akonadi::AgentBase::Observer::Observer()
    {6, 1049, 50, 2, Smoke::mf_virtual, 0, 2},	//69 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {6, 1051, 53, 2, Smoke::mf_virtual, 0, 3},	//70 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {6, 1065, 56, 1, Smoke::mf_virtual, 0, 4},	//71 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {6, 759, 58, 2, Smoke::mf_virtual, 0, 5},	//72 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {6, 763, 61, 1, Smoke::mf_virtual, 0, 6},	//73 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {6, 775, 61, 1, Smoke::mf_virtual, 0, 7},	//74 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {6, 432, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 8},	//75 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {6, 1741, 0, 0, Smoke::mf_dtor, 0, 9 },	//76 Akonadi::AgentBase::Observer::~Observer()
    {7, 763, 61, 1, Smoke::mf_virtual, 0, 1},	//77 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {7, 1062, 65, 3, Smoke::mf_virtual, 0, 2},	//78 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 1058, 50, 2, Smoke::mf_virtual, 0, 3},	//79 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 1072, 50, 2, Smoke::mf_virtual, 0, 4},	//80 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 773, 69, 3, Smoke::mf_virtual, 0, 5},	//81 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 763, 73, 2, Smoke::mf_virtual, 0, 6},	//82 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {7, 434, 0, 0, Smoke::mf_ctor, 7, 7},	//83 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {7, 434, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 8},	//84 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {7, 1742, 0, 0, Smoke::mf_dtor, 0, 9 },	//85 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {9, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//86 Akonadi::AgentFilterProxyModel::metaObject() const
    {9, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//87 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {9, 1603, 23, 2, Smoke::mf_static, 277, 3},	//88 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {9, 1607, 23, 2, Smoke::mf_static, 277, 4},	//89 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {9, 1603, 26, 3, Smoke::mf_static, 277, 5},	//90 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {9, 1607, 26, 3, Smoke::mf_static, 277, 6},	//91 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {9, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//92 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {9, 20, 78, 1, Smoke::mf_ctor, 10, 8},	//93 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {9, 682, 8, 1, 0, 0, 9},	//94 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {9, 674, 8, 1, 0, 0, 10},	//95 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {9, 748, 0, 0, 0, 0, 11},	//96 Akonadi::AgentFilterProxyModel::clearFilters()
    {9, 919, 8, 1, 0, 0, 12},	//97 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {9, 945, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 13},	//98 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {9, 1603, 21, 1, Smoke::mf_static, 277, 14},	//99 Akonadi::AgentFilterProxyModel::tr(const char*)
    {9, 1607, 21, 1, Smoke::mf_static, 277, 15},	//100 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {9, 20, 0, 0, Smoke::mf_ctor, 10, 16},	//101 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {9, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 17},	//102 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {9, 1658, 0, 0, Smoke::mf_dtor, 0, 18 },	//103 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {10, 22, 0, 0, Smoke::mf_ctor, 13, 1},	//104 Akonadi::AgentInstance::AgentInstance()
    {10, 22, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//105 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {10, 1038, 0, 0, Smoke::mf_const, 369, 3},	//106 Akonadi::AgentInstance::isValid() const
    {10, 1611, 0, 0, Smoke::mf_const, 20, 4},	//107 Akonadi::AgentInstance::type() const
    {10, 980, 0, 0, Smoke::mf_const, 277, 5},	//108 Akonadi::AgentInstance::identifier() const
    {10, 1135, 0, 0, Smoke::mf_const, 277, 6},	//109 Akonadi::AgentInstance::name() const
    {10, 1449, 8, 1, 0, 0, 7},	//110 Akonadi::AgentInstance::setName(const QString&)
    {10, 1571, 0, 0, Smoke::mf_const, 14, 8},	//111 Akonadi::AgentInstance::status() const
    {10, 1574, 0, 0, Smoke::mf_const, 277, 9},	//112 Akonadi::AgentInstance::statusMessage() const
    {10, 1171, 0, 0, Smoke::mf_const, 457, 10},	//113 Akonadi::AgentInstance::progress() const
    {10, 1034, 0, 0, Smoke::mf_const, 369, 11},	//114 Akonadi::AgentInstance::isOnline() const
    {10, 1408, 45, 1, 0, 0, 12},	//115 Akonadi::AgentInstance::setIsOnline(bool)
    {10, 802, 85, 1, 0, 0, 13},	//116 Akonadi::AgentInstance::configure(QWidget*)
    {10, 1586, 0, 0, 0, 0, 14},	//117 Akonadi::AgentInstance::synchronize()
    {10, 1594, 0, 0, 0, 0, 15},	//118 Akonadi::AgentInstance::synchronizeCollectionTree()
    {10, 1145, 83, 1, 0, 12, 16},	//119 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {10, 1147, 83, 1, Smoke::mf_const, 369, 17},	//120 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {10, 657, 0, 0, Smoke::mf_const, 0, 18},	//121 Akonadi::AgentInstance::abortCurrentTask() const
    {10, 1179, 0, 0, Smoke::mf_const, 0, 19},	//122 Akonadi::AgentInstance::reconfigure() const
    {10, 1208, 0, 0, Smoke::mf_const, 0, 20},	//123 Akonadi::AgentInstance::restart() const
    {10, 802, 0, 0, 0, 0, 21},	//124 Akonadi::AgentInstance::configure()
    {10, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 22},	//125 Akonadi::AgentInstance::Idle (enum)
    {10, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//126 Akonadi::AgentInstance::Running (enum)
    {10, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//127 Akonadi::AgentInstance::Broken (enum)
    {10, 1659, 0, 0, Smoke::mf_dtor, 0, 25 },	//128 Akonadi::AgentInstance::~AgentInstance()
    {11, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//129 Akonadi::AgentInstanceCreateJob::metaObject() const
    {11, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//130 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {11, 1603, 23, 2, Smoke::mf_static, 277, 3},	//131 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {11, 1607, 23, 2, Smoke::mf_static, 277, 4},	//132 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {11, 1603, 26, 3, Smoke::mf_static, 277, 5},	//133 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {11, 1607, 26, 3, Smoke::mf_static, 277, 6},	//134 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {11, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//135 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {11, 24, 87, 2, Smoke::mf_ctor, 15, 8},	//136 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {11, 24, 90, 2, Smoke::mf_ctor, 15, 9},	//137 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {11, 802, 85, 1, 0, 0, 10},	//138 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {11, 1003, 0, 0, Smoke::mf_const, 11, 11},	//139 Akonadi::AgentInstanceCreateJob::instance() const
    {11, 1561, 0, 0, Smoke::mf_virtual, 0, 12},	//140 Akonadi::AgentInstanceCreateJob::start()
    {11, 1603, 21, 1, Smoke::mf_static, 277, 13},	//141 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {11, 1607, 21, 1, Smoke::mf_static, 277, 14},	//142 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {11, 24, 93, 1, Smoke::mf_ctor, 15, 15},	//143 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {11, 24, 8, 1, Smoke::mf_ctor, 15, 16},	//144 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {11, 802, 0, 0, 0, 0, 17},	//145 Akonadi::AgentInstanceCreateJob::configure()
    {11, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 18},	//146 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {11, 1660, 0, 0, Smoke::mf_dtor, 0, 19 },	//147 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {12, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//148 Akonadi::AgentInstanceModel::metaObject() const
    {12, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//149 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {12, 1603, 23, 2, Smoke::mf_static, 277, 3},	//150 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {12, 1607, 23, 2, Smoke::mf_static, 277, 4},	//151 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {12, 1603, 26, 3, Smoke::mf_static, 277, 5},	//152 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {12, 1607, 26, 3, Smoke::mf_static, 277, 6},	//153 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {12, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//154 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {12, 29, 78, 1, Smoke::mf_ctor, 16, 8},	//155 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {12, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 9},	//156 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {12, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 10},	//157 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {12, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//158 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {12, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//159 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {12, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//160 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {12, 1155, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 14},	//161 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {12, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 15},	//162 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {12, 1342, 108, 3, Smoke::mf_virtual, 369, 16},	//163 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {12, 1603, 21, 1, Smoke::mf_static, 277, 17},	//164 Akonadi::AgentInstanceModel::tr(const char*)
    {12, 1607, 21, 1, Smoke::mf_static, 277, 18},	//165 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {12, 29, 0, 0, Smoke::mf_ctor, 16, 19},	//166 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {12, 794, 0, 0, Smoke::mf_const, 457, 20},	//167 Akonadi::AgentInstanceModel::columnCount() const
    {12, 1225, 0, 0, Smoke::mf_const, 457, 21},	//168 Akonadi::AgentInstanceModel::rowCount() const
    {12, 847, 95, 1, Smoke::mf_const, 287, 22},	//169 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {12, 968, 112, 2, Smoke::mf_const, 287, 23},	//170 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {12, 990, 115, 2, Smoke::mf_const, 261, 24},	//171 Akonadi::AgentInstanceModel::index(int, int) const
    {12, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 25},	//172 Akonadi::AgentInstanceModel::staticMetaObject() const
    {12, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//173 Akonadi::AgentInstanceModel::TypeRole (enum)
    {12, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//174 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {12, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//175 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {12, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//176 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {12, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//177 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {12, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//178 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {12, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 32},	//179 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {12, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//180 Akonadi::AgentInstanceModel::StatusRole (enum)
    {12, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//181 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {12, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//182 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {12, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//183 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {12, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//184 Akonadi::AgentInstanceModel::UserRole (enum)
    {12, 1661, 0, 0, Smoke::mf_dtor, 0, 38 },	//185 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {13, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//186 Akonadi::AgentInstanceWidget::metaObject() const
    {13, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//187 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {13, 1603, 23, 2, Smoke::mf_static, 277, 3},	//188 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {13, 1607, 23, 2, Smoke::mf_static, 277, 4},	//189 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {13, 1603, 26, 3, Smoke::mf_static, 277, 5},	//190 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {13, 1607, 26, 3, Smoke::mf_static, 277, 6},	//191 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {13, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//192 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {13, 31, 85, 1, Smoke::mf_ctor, 18, 8},	//193 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {13, 837, 0, 0, Smoke::mf_const, 11, 9},	//194 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {13, 1241, 0, 0, Smoke::mf_const, 247, 10},	//195 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {13, 698, 0, 0, Smoke::mf_const, 10, 11},	//196 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {13, 1637, 0, 0, Smoke::mf_const, 208, 12},	//197 Akonadi::AgentInstanceWidget::view() const
    {13, 839, 118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//198 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {13, 881, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//199 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {13, 1603, 21, 1, Smoke::mf_static, 277, 15},	//200 Akonadi::AgentInstanceWidget::tr(const char*)
    {13, 1607, 21, 1, Smoke::mf_static, 277, 16},	//201 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {13, 31, 0, 0, Smoke::mf_ctor, 18, 17},	//202 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {13, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 18},	//203 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {13, 1662, 0, 0, Smoke::mf_dtor, 0, 19 },	//204 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {14, 1110, 0, 0, Smoke::mf_const, 435, 1},	//205 Akonadi::AgentManager::metaObject() const
    {14, 1176, 21, 1, 0, 466, 2},	//206 Akonadi::AgentManager::qt_metacast(const char*)
    {14, 1603, 23, 2, Smoke::mf_static, 277, 3},	//207 Akonadi::AgentManager::tr(const char*, const char*)
    {14, 1607, 23, 2, Smoke::mf_static, 277, 4},	//208 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {14, 1603, 26, 3, Smoke::mf_static, 277, 5},	//209 Akonadi::AgentManager::tr(const char*, const char*, int)
    {14, 1607, 26, 3, Smoke::mf_static, 277, 6},	//210 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {14, 1174, 30, 3, 0, 457, 7},	//211 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1249, 0, 0, Smoke::mf_static, 19, 8},	//212 Akonadi::AgentManager::self()
    {14, 1618, 0, 0, Smoke::mf_const, 248, 9},	//213 Akonadi::AgentManager::types() const
    {14, 1611, 8, 1, Smoke::mf_const, 20, 10},	//214 Akonadi::AgentManager::type(const QString&) const
    {14, 1021, 0, 0, Smoke::mf_const, 247, 11},	//215 Akonadi::AgentManager::instances() const
    {14, 1003, 8, 1, Smoke::mf_const, 11, 12},	//216 Akonadi::AgentManager::instance(const QString&) const
    {14, 1194, 83, 1, 0, 0, 13},	//217 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {14, 1587, 61, 1, 0, 0, 14},	//218 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {14, 1587, 121, 2, 0, 0, 15},	//219 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {14, 1613, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//220 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {14, 1616, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//221 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {14, 1005, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//222 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {14, 1015, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//223 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {14, 1017, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//224 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {14, 1013, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//225 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {14, 1009, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//226 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {14, 1007, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//227 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {14, 1019, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//228 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {14, 1011, 127, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//229 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {14, 1603, 21, 1, Smoke::mf_static, 277, 26},	//230 Akonadi::AgentManager::tr(const char*)
    {14, 1607, 21, 1, Smoke::mf_static, 277, 27},	//231 Akonadi::AgentManager::trUtf8(const char*)
    {14, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 28},	//232 Akonadi::AgentManager::staticMetaObject() const
    {14, 1663, 0, 0, Smoke::mf_dtor, 0, 29 },	//233 Akonadi::AgentManager::~AgentManager()
    {15, 33, 0, 0, Smoke::mf_ctor, 22, 1},	//234 Akonadi::AgentType::AgentType()
    {15, 33, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//235 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {15, 1038, 0, 0, Smoke::mf_const, 369, 3},	//236 Akonadi::AgentType::isValid() const
    {15, 980, 0, 0, Smoke::mf_const, 277, 4},	//237 Akonadi::AgentType::identifier() const
    {15, 1135, 0, 0, Smoke::mf_const, 277, 5},	//238 Akonadi::AgentType::name() const
    {15, 857, 0, 0, Smoke::mf_const, 277, 6},	//239 Akonadi::AgentType::description() const
    {15, 978, 0, 0, Smoke::mf_const, 277, 7},	//240 Akonadi::AgentType::iconName() const
    {15, 977, 0, 0, Smoke::mf_const, 240, 8},	//241 Akonadi::AgentType::icon() const
    {15, 1121, 0, 0, Smoke::mf_const, 278, 9},	//242 Akonadi::AgentType::mimeTypes() const
    {15, 732, 0, 0, Smoke::mf_const, 278, 10},	//243 Akonadi::AgentType::capabilities() const
    {15, 1145, 93, 1, 0, 21, 11},	//244 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {15, 1147, 93, 1, Smoke::mf_const, 369, 12},	//245 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {15, 1664, 0, 0, Smoke::mf_dtor, 0, 13 },	//246 Akonadi::AgentType::~AgentType()
    {16, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//247 Akonadi::AgentTypeDialog::metaObject() const
    {16, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//248 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {16, 1603, 23, 2, Smoke::mf_static, 277, 3},	//249 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {16, 1607, 23, 2, Smoke::mf_static, 277, 4},	//250 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {16, 1603, 26, 3, Smoke::mf_static, 277, 5},	//251 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {16, 1607, 26, 3, Smoke::mf_static, 277, 6},	//252 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {16, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//253 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 35, 85, 1, Smoke::mf_ctor, 23, 8},	//254 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {16, 702, 0, 0, Smoke::mf_const, 20, 9},	//255 Akonadi::AgentTypeDialog::agentType() const
    {16, 698, 0, 0, Smoke::mf_const, 10, 10},	//256 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {16, 879, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//257 Akonadi::AgentTypeDialog::done(int)
    {16, 1603, 21, 1, Smoke::mf_static, 277, 12},	//258 Akonadi::AgentTypeDialog::tr(const char*)
    {16, 1607, 21, 1, Smoke::mf_static, 277, 13},	//259 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {16, 35, 0, 0, Smoke::mf_ctor, 23, 14},	//260 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {16, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 15},	//261 Akonadi::AgentTypeDialog::staticMetaObject() const
    {16, 1665, 0, 0, Smoke::mf_dtor, 0, 16 },	//262 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {17, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//263 Akonadi::AgentTypeModel::metaObject() const
    {17, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//264 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {17, 1603, 23, 2, Smoke::mf_static, 277, 3},	//265 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {17, 1607, 23, 2, Smoke::mf_static, 277, 4},	//266 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {17, 1603, 26, 3, Smoke::mf_static, 277, 5},	//267 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {17, 1607, 26, 3, Smoke::mf_static, 277, 6},	//268 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {17, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//269 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 37, 78, 1, Smoke::mf_ctor, 24, 8},	//270 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {17, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 9},	//271 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {17, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 10},	//272 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {17, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//273 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {17, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 12},	//274 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {17, 1155, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//275 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {17, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 14},	//276 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {17, 1603, 21, 1, Smoke::mf_static, 277, 15},	//277 Akonadi::AgentTypeModel::tr(const char*)
    {17, 1607, 21, 1, Smoke::mf_static, 277, 16},	//278 Akonadi::AgentTypeModel::trUtf8(const char*)
    {17, 37, 0, 0, Smoke::mf_ctor, 24, 17},	//279 Akonadi::AgentTypeModel::AgentTypeModel()
    {17, 794, 0, 0, Smoke::mf_const, 457, 18},	//280 Akonadi::AgentTypeModel::columnCount() const
    {17, 1225, 0, 0, Smoke::mf_const, 457, 19},	//281 Akonadi::AgentTypeModel::rowCount() const
    {17, 847, 95, 1, Smoke::mf_const, 287, 20},	//282 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {17, 990, 115, 2, Smoke::mf_const, 261, 21},	//283 Akonadi::AgentTypeModel::index(int, int) const
    {17, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 22},	//284 Akonadi::AgentTypeModel::staticMetaObject() const
    {17, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//285 Akonadi::AgentTypeModel::TypeRole (enum)
    {17, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 24},	//286 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {17, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 25},	//287 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {17, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 26},	//288 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {17, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 27},	//289 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {17, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 28},	//290 Akonadi::AgentTypeModel::UserRole (enum)
    {17, 1666, 0, 0, Smoke::mf_dtor, 0, 29 },	//291 Akonadi::AgentTypeModel::~AgentTypeModel()
    {18, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//292 Akonadi::AgentTypeWidget::metaObject() const
    {18, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//293 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {18, 1603, 23, 2, Smoke::mf_static, 277, 3},	//294 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {18, 1607, 23, 2, Smoke::mf_static, 277, 4},	//295 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {18, 1603, 26, 3, Smoke::mf_static, 277, 5},	//296 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {18, 1607, 26, 3, Smoke::mf_static, 277, 6},	//297 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {18, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//298 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {18, 39, 85, 1, Smoke::mf_ctor, 26, 8},	//299 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {18, 838, 0, 0, Smoke::mf_const, 20, 9},	//300 Akonadi::AgentTypeWidget::currentAgentType() const
    {18, 698, 0, 0, Smoke::mf_const, 10, 10},	//301 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {18, 839, 130, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//302 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {18, 668, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//303 Akonadi::AgentTypeWidget::activated()
    {18, 1603, 21, 1, Smoke::mf_static, 277, 13},	//304 Akonadi::AgentTypeWidget::tr(const char*)
    {18, 1607, 21, 1, Smoke::mf_static, 277, 14},	//305 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {18, 39, 0, 0, Smoke::mf_ctor, 26, 15},	//306 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {18, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//307 Akonadi::AgentTypeWidget::staticMetaObject() const
    {18, 1667, 0, 0, Smoke::mf_dtor, 0, 17 },	//308 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {19, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 215, 1},	//309 Akonadi::Attribute::type() const [pure virtual]
    {19, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 2},	//310 Akonadi::Attribute::clone() const [pure virtual]
    {19, 1258, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 215, 3},	//311 Akonadi::Attribute::serialized() const [pure virtual]
    {19, 858, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//312 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {19, 51, 0, 0, Smoke::mf_ctor, 27, 5},	//313 Akonadi::Attribute::Attribute()
    {19, 51, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 6},	//314 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {19, 1668, 0, 0, Smoke::mf_dtor, 0, 7 },	//315 Akonadi::Attribute::~Attribute()
    {20, 829, 6, 1, Smoke::mf_static, 27, 1},	//316 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {20, 53, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 28, 2},	//317 Akonadi::AttributeFactory::AttributeFactory()
    {20, 53, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 3},	//318 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {20, 1669, 0, 0, Smoke::mf_dtor, 0, 4 },	//319 Akonadi::AttributeFactory::~AttributeFactory()
    {21, 63, 0, 0, Smoke::mf_ctor, 31, 1},	//320 Akonadi::CachePolicy::CachePolicy()
    {21, 63, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//321 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {21, 996, 0, 0, Smoke::mf_const, 369, 3},	//322 Akonadi::CachePolicy::inheritFromParent() const
    {21, 1404, 45, 1, 0, 0, 4},	//323 Akonadi::CachePolicy::setInheritFromParent(bool)
    {21, 1097, 0, 0, Smoke::mf_const, 278, 5},	//324 Akonadi::CachePolicy::localParts() const
    {21, 1431, 10, 1, 0, 0, 6},	//325 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {21, 725, 0, 0, Smoke::mf_const, 457, 7},	//326 Akonadi::CachePolicy::cacheTimeout() const
    {21, 1286, 41, 1, 0, 0, 8},	//327 Akonadi::CachePolicy::setCacheTimeout(int)
    {21, 1025, 0, 0, Smoke::mf_const, 457, 9},	//328 Akonadi::CachePolicy::intervalCheckTime() const
    {21, 1406, 41, 1, 0, 0, 10},	//329 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {21, 1585, 0, 0, Smoke::mf_const, 369, 11},	//330 Akonadi::CachePolicy::syncOnDemand() const
    {21, 1517, 45, 1, 0, 0, 12},	//331 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {21, 1145, 137, 1, 0, 30, 13},	//332 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {21, 1147, 137, 1, Smoke::mf_const, 369, 14},	//333 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {21, 1670, 0, 0, Smoke::mf_dtor, 0, 15 },	//334 Akonadi::CachePolicy::~CachePolicy()
    {22, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//335 Akonadi::ChangeRecorder::metaObject() const
    {22, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//336 Akonadi::ChangeRecorder::qt_metacast(const char*)
    {22, 1603, 23, 2, Smoke::mf_static, 277, 3},	//337 Akonadi::ChangeRecorder::tr(const char*, const char*)
    {22, 1607, 23, 2, Smoke::mf_static, 277, 4},	//338 Akonadi::ChangeRecorder::trUtf8(const char*, const char*)
    {22, 1603, 26, 3, Smoke::mf_static, 277, 5},	//339 Akonadi::ChangeRecorder::tr(const char*, const char*, int)
    {22, 1607, 26, 3, Smoke::mf_static, 277, 6},	//340 Akonadi::ChangeRecorder::trUtf8(const char*, const char*, int)
    {22, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//341 Akonadi::ChangeRecorder::qt_metacall(QMetaObject::Call, int, void**)
    {22, 75, 78, 1, Smoke::mf_ctor, 32, 8},	//342 Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    {22, 1318, 139, 1, 0, 0, 9},	//343 Akonadi::ChangeRecorder::setConfig(QSettings*)
    {22, 1030, 0, 0, Smoke::mf_const, 369, 10},	//344 Akonadi::ChangeRecorder::isEmpty() const
    {22, 739, 0, 0, 0, 0, 11},	//345 Akonadi::ChangeRecorder::changeProcessed()
    {22, 1293, 45, 1, 0, 0, 12},	//346 Akonadi::ChangeRecorder::setChangeRecordingEnabled(bool)
    {22, 894, 0, 0, Smoke::mf_const, 277, 13},	//347 Akonadi::ChangeRecorder::dumpNotificationListToString() const
    {22, 1201, 0, 0, Smoke::mf_slot, 0, 14},	//348 Akonadi::ChangeRecorder::replayNext()
    {22, 741, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//349 Akonadi::ChangeRecorder::changesAdded()
    {22, 1138, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//350 Akonadi::ChangeRecorder::nothingToReplay()
    {22, 75, 141, 2, Smoke::mf_ctor|Smoke::mf_protected, 32, 17},	//351 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*, QObject*)
    {22, 1603, 21, 1, Smoke::mf_static, 277, 18},	//352 Akonadi::ChangeRecorder::tr(const char*)
    {22, 1607, 21, 1, Smoke::mf_static, 277, 19},	//353 Akonadi::ChangeRecorder::trUtf8(const char*)
    {22, 75, 0, 0, Smoke::mf_ctor, 32, 20},	//354 Akonadi::ChangeRecorder::ChangeRecorder()
    {22, 75, 144, 1, Smoke::mf_ctor|Smoke::mf_protected, 32, 21},	//355 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    {22, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 22},	//356 Akonadi::ChangeRecorder::staticMetaObject() const
    {22, 1671, 0, 0, Smoke::mf_dtor, 0, 23 },	//357 Akonadi::ChangeRecorder::~ChangeRecorder()
    {24, 81, 0, 0, Smoke::mf_ctor, 36, 1},	//358 Akonadi::Collection::Collection()
    {24, 81, 146, 1, Smoke::mf_ctor, 36, 2},	//359 Akonadi::Collection::Collection(long long)
    {24, 81, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//360 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {24, 956, 148, 1, Smoke::mf_static, 34, 4},	//361 Akonadi::Collection::fromUrl(const KUrl&)
    {24, 1135, 0, 0, Smoke::mf_const, 277, 5},	//362 Akonadi::Collection::name() const
    {24, 1449, 8, 1, 0, 0, 6},	//363 Akonadi::Collection::setName(const QString&)
    {24, 1221, 0, 0, Smoke::mf_const, 228, 7},	//364 Akonadi::Collection::rights() const
    {24, 1494, 150, 1, 0, 0, 8},	//365 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {24, 819, 0, 0, Smoke::mf_const, 278, 9},	//366 Akonadi::Collection::contentMimeTypes() const
    {24, 1332, 10, 1, 0, 0, 10},	//367 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {24, 1155, 0, 0, Smoke::mf_const, 460, 11},	//368 Akonadi::Collection::parent() const
    {24, 1459, 146, 1, 0, 0, 12},	//369 Akonadi::Collection::setParent(long long)
    {24, 1459, 61, 1, 0, 0, 13},	//370 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {24, 1158, 0, 0, Smoke::mf_const, 277, 14},	//371 Akonadi::Collection::parentRemoteId() const
    {24, 1464, 8, 1, 0, 0, 15},	//372 Akonadi::Collection::setParentRemoteId(const QString&)
    {24, 1223, 0, 0, Smoke::mf_static, 34, 16},	//373 Akonadi::Collection::root()
    {24, 1114, 0, 0, Smoke::mf_static, 277, 17},	//374 Akonadi::Collection::mimeType()
    {24, 1204, 0, 0, Smoke::mf_const, 277, 18},	//375 Akonadi::Collection::resource() const
    {24, 1487, 8, 1, 0, 0, 19},	//376 Akonadi::Collection::setResource(const QString&)
    {24, 724, 0, 0, Smoke::mf_const, 29, 20},	//377 Akonadi::Collection::cachePolicy() const
    {24, 1284, 137, 1, 0, 0, 21},	//378 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {24, 1570, 0, 0, Smoke::mf_const, 64, 22},	//379 Akonadi::Collection::statistics() const
    {24, 1511, 152, 1, 0, 0, 23},	//380 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {24, 1628, 0, 0, Smoke::mf_const, 203, 24},	//381 Akonadi::Collection::url() const
    {24, 1628, 154, 1, Smoke::mf_const, 203, 25},	//382 Akonadi::Collection::url(Akonadi::Collection::UrlType) const
    {24, 1039, 0, 0, Smoke::mf_const, 369, 26},	//383 Akonadi::Collection::isVirtual() const
    {24, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 27},	//384 Akonadi::Collection::ReadOnly (enum)
    {24, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 28},	//385 Akonadi::Collection::CanChangeItem (enum)
    {24, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 29},	//386 Akonadi::Collection::CanCreateItem (enum)
    {24, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//387 Akonadi::Collection::CanDeleteItem (enum)
    {24, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//388 Akonadi::Collection::CanChangeCollection (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//389 Akonadi::Collection::CanCreateCollection (enum)
    {24, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//390 Akonadi::Collection::CanDeleteCollection (enum)
    {24, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//391 Akonadi::Collection::CanLinkItem (enum)
    {24, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 35},	//392 Akonadi::Collection::CanUnlinkItem (enum)
    {24, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 36},	//393 Akonadi::Collection::AllRights (enum)
    {24, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 37},	//394 Akonadi::Collection::UrlShort (enum)
    {24, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 38},	//395 Akonadi::Collection::UrlWithName (enum)
    {24, 1672, 0, 0, Smoke::mf_dtor, 0, 39 },	//396 Akonadi::Collection::~Collection()
    {25, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//397 Akonadi::CollectionComboBox::metaObject() const
    {25, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//398 Akonadi::CollectionComboBox::qt_metacast(const char*)
    {25, 1603, 23, 2, Smoke::mf_static, 277, 3},	//399 Akonadi::CollectionComboBox::tr(const char*, const char*)
    {25, 1607, 23, 2, Smoke::mf_static, 277, 4},	//400 Akonadi::CollectionComboBox::trUtf8(const char*, const char*)
    {25, 1603, 26, 3, Smoke::mf_static, 277, 5},	//401 Akonadi::CollectionComboBox::tr(const char*, const char*, int)
    {25, 1607, 26, 3, Smoke::mf_static, 277, 6},	//402 Akonadi::CollectionComboBox::trUtf8(const char*, const char*, int)
    {25, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//403 Akonadi::CollectionComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {25, 85, 85, 1, Smoke::mf_ctor, 41, 8},	//404 Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    {25, 85, 156, 2, Smoke::mf_ctor, 41, 9},	//405 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*, QWidget*)
    {25, 1439, 10, 1, 0, 0, 10},	//406 Akonadi::CollectionComboBox::setMimeTypeFilter(const QStringList&)
    {25, 1116, 0, 0, Smoke::mf_const, 278, 11},	//407 Akonadi::CollectionComboBox::mimeTypeFilter() const
    {25, 1261, 150, 1, 0, 0, 12},	//408 Akonadi::CollectionComboBox::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {25, 663, 0, 0, Smoke::mf_const, 228, 13},	//409 Akonadi::CollectionComboBox::accessRightsFilter() const
    {25, 1347, 61, 1, 0, 0, 14},	//410 Akonadi::CollectionComboBox::setDefaultCollection(const Akonadi::Collection&)
    {25, 842, 0, 0, Smoke::mf_const, 34, 15},	//411 Akonadi::CollectionComboBox::currentCollection() const
    {25, 839, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//412 Akonadi::CollectionComboBox::currentChanged(const Akonadi::Collection&)
    {25, 1603, 21, 1, Smoke::mf_static, 277, 17},	//413 Akonadi::CollectionComboBox::tr(const char*)
    {25, 1607, 21, 1, Smoke::mf_static, 277, 18},	//414 Akonadi::CollectionComboBox::trUtf8(const char*)
    {25, 85, 0, 0, Smoke::mf_ctor, 41, 19},	//415 Akonadi::CollectionComboBox::CollectionComboBox()
    {25, 85, 159, 1, Smoke::mf_ctor, 41, 20},	//416 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    {25, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 21},	//417 Akonadi::CollectionComboBox::staticMetaObject() const
    {25, 1673, 0, 0, Smoke::mf_dtor, 0, 22 },	//418 Akonadi::CollectionComboBox::~CollectionComboBox()
    {26, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//419 Akonadi::CollectionCopyJob::metaObject() const
    {26, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//420 Akonadi::CollectionCopyJob::qt_metacast(const char*)
    {26, 1603, 23, 2, Smoke::mf_static, 277, 3},	//421 Akonadi::CollectionCopyJob::tr(const char*, const char*)
    {26, 1607, 23, 2, Smoke::mf_static, 277, 4},	//422 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*)
    {26, 1603, 26, 3, Smoke::mf_static, 277, 5},	//423 Akonadi::CollectionCopyJob::tr(const char*, const char*, int)
    {26, 1607, 26, 3, Smoke::mf_static, 277, 6},	//424 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*, int)
    {26, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//425 Akonadi::CollectionCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {26, 88, 161, 3, Smoke::mf_ctor, 42, 8},	//426 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {26, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//427 Akonadi::CollectionCopyJob::doStart()
    {26, 1603, 21, 1, Smoke::mf_static, 277, 10},	//428 Akonadi::CollectionCopyJob::tr(const char*)
    {26, 1607, 21, 1, Smoke::mf_static, 277, 11},	//429 Akonadi::CollectionCopyJob::trUtf8(const char*)
    {26, 88, 58, 2, Smoke::mf_ctor, 42, 12},	//430 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {26, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 13},	//431 Akonadi::CollectionCopyJob::staticMetaObject() const
    {26, 1674, 0, 0, Smoke::mf_dtor, 0, 14 },	//432 Akonadi::CollectionCopyJob::~CollectionCopyJob()
    {27, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//433 Akonadi::CollectionCreateJob::metaObject() const
    {27, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//434 Akonadi::CollectionCreateJob::qt_metacast(const char*)
    {27, 1603, 23, 2, Smoke::mf_static, 277, 3},	//435 Akonadi::CollectionCreateJob::tr(const char*, const char*)
    {27, 1607, 23, 2, Smoke::mf_static, 277, 4},	//436 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*)
    {27, 1603, 26, 3, Smoke::mf_static, 277, 5},	//437 Akonadi::CollectionCreateJob::tr(const char*, const char*, int)
    {27, 1607, 26, 3, Smoke::mf_static, 277, 6},	//438 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*, int)
    {27, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//439 Akonadi::CollectionCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {27, 91, 165, 2, Smoke::mf_ctor, 43, 8},	//440 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&, QObject*)
    {27, 758, 0, 0, Smoke::mf_const, 34, 9},	//441 Akonadi::CollectionCreateJob::collection() const
    {27, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//442 Akonadi::CollectionCreateJob::doStart()
    {27, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//443 Akonadi::CollectionCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {27, 1603, 21, 1, Smoke::mf_static, 277, 12},	//444 Akonadi::CollectionCreateJob::tr(const char*)
    {27, 1607, 21, 1, Smoke::mf_static, 277, 13},	//445 Akonadi::CollectionCreateJob::trUtf8(const char*)
    {27, 91, 61, 1, Smoke::mf_ctor, 43, 14},	//446 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&)
    {27, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 15},	//447 Akonadi::CollectionCreateJob::staticMetaObject() const
    {27, 1675, 0, 0, Smoke::mf_dtor, 0, 16 },	//448 Akonadi::CollectionCreateJob::~CollectionCreateJob()
    {28, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//449 Akonadi::CollectionDeleteJob::metaObject() const
    {28, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//450 Akonadi::CollectionDeleteJob::qt_metacast(const char*)
    {28, 1603, 23, 2, Smoke::mf_static, 277, 3},	//451 Akonadi::CollectionDeleteJob::tr(const char*, const char*)
    {28, 1607, 23, 2, Smoke::mf_static, 277, 4},	//452 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*)
    {28, 1603, 26, 3, Smoke::mf_static, 277, 5},	//453 Akonadi::CollectionDeleteJob::tr(const char*, const char*, int)
    {28, 1607, 26, 3, Smoke::mf_static, 277, 6},	//454 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*, int)
    {28, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//455 Akonadi::CollectionDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {28, 94, 165, 2, Smoke::mf_ctor, 44, 8},	//456 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&, QObject*)
    {28, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//457 Akonadi::CollectionDeleteJob::doStart()
    {28, 1603, 21, 1, Smoke::mf_static, 277, 10},	//458 Akonadi::CollectionDeleteJob::tr(const char*)
    {28, 1607, 21, 1, Smoke::mf_static, 277, 11},	//459 Akonadi::CollectionDeleteJob::trUtf8(const char*)
    {28, 94, 61, 1, Smoke::mf_ctor, 44, 12},	//460 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&)
    {28, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 13},	//461 Akonadi::CollectionDeleteJob::staticMetaObject() const
    {28, 1676, 0, 0, Smoke::mf_dtor, 0, 14 },	//462 Akonadi::CollectionDeleteJob::~CollectionDeleteJob()
    {29, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//463 Akonadi::CollectionDialog::metaObject() const
    {29, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//464 Akonadi::CollectionDialog::qt_metacast(const char*)
    {29, 1603, 23, 2, Smoke::mf_static, 277, 3},	//465 Akonadi::CollectionDialog::tr(const char*, const char*)
    {29, 1607, 23, 2, Smoke::mf_static, 277, 4},	//466 Akonadi::CollectionDialog::trUtf8(const char*, const char*)
    {29, 1603, 26, 3, Smoke::mf_static, 277, 5},	//467 Akonadi::CollectionDialog::tr(const char*, const char*, int)
    {29, 1607, 26, 3, Smoke::mf_static, 277, 6},	//468 Akonadi::CollectionDialog::trUtf8(const char*, const char*, int)
    {29, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//469 Akonadi::CollectionDialog::qt_metacall(QMetaObject::Call, int, void**)
    {29, 98, 85, 1, Smoke::mf_ctor, 45, 8},	//470 Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    {29, 98, 156, 2, Smoke::mf_ctor, 45, 9},	//471 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*, QWidget*)
    {29, 98, 171, 3, Smoke::mf_ctor, 45, 10},	//472 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*)
    {29, 1439, 10, 1, 0, 0, 11},	//473 Akonadi::CollectionDialog::setMimeTypeFilter(const QStringList&)
    {29, 1116, 0, 0, Smoke::mf_const, 278, 12},	//474 Akonadi::CollectionDialog::mimeTypeFilter() const
    {29, 1261, 150, 1, 0, 0, 13},	//475 Akonadi::CollectionDialog::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {29, 663, 0, 0, Smoke::mf_const, 228, 14},	//476 Akonadi::CollectionDialog::accessRightsFilter() const
    {29, 1349, 8, 1, 0, 0, 15},	//477 Akonadi::CollectionDialog::setDescription(const QString&)
    {29, 1347, 61, 1, 0, 0, 16},	//478 Akonadi::CollectionDialog::setDefaultCollection(const Akonadi::Collection&)
    {29, 1500, 175, 1, 0, 0, 17},	//479 Akonadi::CollectionDialog::setSelectionMode(QAbstractItemView::SelectionMode)
    {29, 1248, 0, 0, Smoke::mf_const, 212, 18},	//480 Akonadi::CollectionDialog::selectionMode() const
    {29, 1242, 0, 0, Smoke::mf_const, 34, 19},	//481 Akonadi::CollectionDialog::selectedCollection() const
    {29, 1243, 0, 0, Smoke::mf_const, 251, 20},	//482 Akonadi::CollectionDialog::selectedCollections() const
    {29, 734, 177, 1, 0, 0, 21},	//483 Akonadi::CollectionDialog::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 1603, 21, 1, Smoke::mf_static, 277, 22},	//484 Akonadi::CollectionDialog::tr(const char*)
    {29, 1607, 21, 1, Smoke::mf_static, 277, 23},	//485 Akonadi::CollectionDialog::trUtf8(const char*)
    {29, 98, 0, 0, Smoke::mf_ctor, 45, 24},	//486 Akonadi::CollectionDialog::CollectionDialog()
    {29, 98, 159, 1, Smoke::mf_ctor, 45, 25},	//487 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    {29, 98, 177, 1, Smoke::mf_ctor, 45, 26},	//488 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 98, 179, 2, Smoke::mf_ctor, 45, 27},	//489 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*)
    {29, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 28},	//490 Akonadi::CollectionDialog::staticMetaObject() const
    {29, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 29},	//491 Akonadi::CollectionDialog::None (enum)
    {29, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 30},	//492 Akonadi::CollectionDialog::AllowToCreateNewChildCollection (enum)
    {29, 1677, 0, 0, Smoke::mf_dtor, 0, 31 },	//493 Akonadi::CollectionDialog::~CollectionDialog()
    {30, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//494 Akonadi::CollectionFetchJob::metaObject() const
    {30, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//495 Akonadi::CollectionFetchJob::qt_metacast(const char*)
    {30, 1603, 23, 2, Smoke::mf_static, 277, 3},	//496 Akonadi::CollectionFetchJob::tr(const char*, const char*)
    {30, 1607, 23, 2, Smoke::mf_static, 277, 4},	//497 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*)
    {30, 1603, 26, 3, Smoke::mf_static, 277, 5},	//498 Akonadi::CollectionFetchJob::tr(const char*, const char*, int)
    {30, 1607, 26, 3, Smoke::mf_static, 277, 6},	//499 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*, int)
    {30, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//500 Akonadi::CollectionFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {30, 104, 182, 3, Smoke::mf_ctor, 47, 8},	//501 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 104, 186, 2, Smoke::mf_ctor, 47, 9},	//502 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, QObject*)
    {30, 104, 189, 3, Smoke::mf_ctor, 47, 10},	//503 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 104, 193, 3, Smoke::mf_ctor, 47, 11},	//504 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 785, 0, 0, Smoke::mf_const, 251, 12},	//505 Akonadi::CollectionFetchJob::collections() const
    {30, 1487, 8, 1, 0, 0, 13},	//506 Akonadi::CollectionFetchJob::setResource(const QString&)
    {30, 987, 45, 1, 0, 0, 14},	//507 Akonadi::CollectionFetchJob::includeUnsubscribed(bool)
    {30, 985, 45, 1, 0, 0, 15},	//508 Akonadi::CollectionFetchJob::includeStatistics(bool)
    {30, 1368, 197, 1, 0, 0, 16},	//509 Akonadi::CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    {30, 942, 0, 0, 0, 49, 17},	//510 Akonadi::CollectionFetchJob::fetchScope()
    {30, 787, 199, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//511 Akonadi::CollectionFetchJob::collectionsReceived(const Akonadi::Collection::List&)
    {30, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//512 Akonadi::CollectionFetchJob::doStart()
    {30, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//513 Akonadi::CollectionFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {30, 1555, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//514 Akonadi::CollectionFetchJob::slotResult(KJob*)
    {30, 1603, 21, 1, Smoke::mf_static, 277, 22},	//515 Akonadi::CollectionFetchJob::tr(const char*)
    {30, 1607, 21, 1, Smoke::mf_static, 277, 23},	//516 Akonadi::CollectionFetchJob::trUtf8(const char*)
    {30, 104, 61, 1, Smoke::mf_ctor, 47, 24},	//517 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&)
    {30, 104, 203, 2, Smoke::mf_ctor, 47, 25},	//518 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type)
    {30, 104, 206, 1, Smoke::mf_ctor, 47, 26},	//519 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    {30, 104, 208, 2, Smoke::mf_ctor, 47, 27},	//520 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    {30, 104, 211, 1, Smoke::mf_ctor, 47, 28},	//521 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    {30, 104, 213, 2, Smoke::mf_ctor, 47, 29},	//522 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    {30, 987, 0, 0, 0, 0, 30},	//523 Akonadi::CollectionFetchJob::includeUnsubscribed()
    {30, 985, 0, 0, 0, 0, 31},	//524 Akonadi::CollectionFetchJob::includeStatistics()
    {30, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 32},	//525 Akonadi::CollectionFetchJob::staticMetaObject() const
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 33},	//526 Akonadi::CollectionFetchJob::Base (enum)
    {30, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 34},	//527 Akonadi::CollectionFetchJob::FirstLevel (enum)
    {30, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 35},	//528 Akonadi::CollectionFetchJob::Recursive (enum)
    {30, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 36},	//529 Akonadi::CollectionFetchJob::NonOverlappingRoots (enum)
    {30, 1678, 0, 0, Smoke::mf_dtor, 0, 37 },	//530 Akonadi::CollectionFetchJob::~CollectionFetchJob()
    {31, 112, 0, 0, Smoke::mf_ctor, 50, 1},	//531 Akonadi::CollectionFetchScope::CollectionFetchScope()
    {31, 112, 197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 2},	//532 Akonadi::CollectionFetchScope::CollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {31, 1145, 197, 1, 0, 49, 3},	//533 Akonadi::CollectionFetchScope::operator=(const Akonadi::CollectionFetchScope&)
    {31, 989, 0, 0, Smoke::mf_const, 369, 4},	//534 Akonadi::CollectionFetchScope::includeUnubscribed() const
    {31, 987, 0, 0, Smoke::mf_const, 369, 5},	//535 Akonadi::CollectionFetchScope::includeUnsubscribed() const
    {31, 1400, 45, 1, 0, 0, 6},	//536 Akonadi::CollectionFetchScope::setIncludeUnsubscribed(bool)
    {31, 985, 0, 0, Smoke::mf_const, 369, 7},	//537 Akonadi::CollectionFetchScope::includeStatistics() const
    {31, 1398, 45, 1, 0, 0, 8},	//538 Akonadi::CollectionFetchScope::setIncludeStatistics(bool)
    {31, 1204, 0, 0, Smoke::mf_const, 277, 9},	//539 Akonadi::CollectionFetchScope::resource() const
    {31, 1487, 8, 1, 0, 0, 10},	//540 Akonadi::CollectionFetchScope::setResource(const QString&)
    {31, 1332, 10, 1, 0, 0, 11},	//541 Akonadi::CollectionFetchScope::setContentMimeTypes(const QStringList&)
    {31, 819, 0, 0, Smoke::mf_const, 278, 12},	//542 Akonadi::CollectionFetchScope::contentMimeTypes() const
    {31, 1271, 216, 1, 0, 0, 13},	//543 Akonadi::CollectionFetchScope::setAncestorRetrieval(Akonadi::CollectionFetchScope::AncestorRetrieval)
    {31, 707, 0, 0, Smoke::mf_const, 51, 14},	//544 Akonadi::CollectionFetchScope::ancestorRetrieval() const
    {31, 1030, 0, 0, Smoke::mf_const, 369, 15},	//545 Akonadi::CollectionFetchScope::isEmpty() const
    {31, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 16},	//546 Akonadi::CollectionFetchScope::None (enum)
    {31, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 17},	//547 Akonadi::CollectionFetchScope::Parent (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 18},	//548 Akonadi::CollectionFetchScope::All (enum)
    {31, 1679, 0, 0, Smoke::mf_dtor, 0, 19 },	//549 Akonadi::CollectionFetchScope::~CollectionFetchScope()
    {32, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//550 Akonadi::CollectionFilterProxyModel::metaObject() const
    {32, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//551 Akonadi::CollectionFilterProxyModel::qt_metacast(const char*)
    {32, 1603, 23, 2, Smoke::mf_static, 277, 3},	//552 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*)
    {32, 1607, 23, 2, Smoke::mf_static, 277, 4},	//553 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*)
    {32, 1603, 26, 3, Smoke::mf_static, 277, 5},	//554 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*, int)
    {32, 1607, 26, 3, Smoke::mf_static, 277, 6},	//555 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*, int)
    {32, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//556 Akonadi::CollectionFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {32, 114, 78, 1, Smoke::mf_ctor, 52, 8},	//557 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel(QObject*)
    {32, 684, 10, 1, 0, 0, 9},	//558 Akonadi::CollectionFilterProxyModel::addMimeTypeFilters(const QStringList&)
    {32, 682, 8, 1, 0, 0, 10},	//559 Akonadi::CollectionFilterProxyModel::addMimeTypeFilter(const QString&)
    {32, 1117, 0, 0, Smoke::mf_const, 278, 11},	//560 Akonadi::CollectionFilterProxyModel::mimeTypeFilters() const
    {32, 1356, 45, 1, 0, 0, 12},	//561 Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections(bool)
    {32, 748, 0, 0, 0, 0, 13},	//562 Akonadi::CollectionFilterProxyModel::clearFilters()
    {32, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 14},	//563 Akonadi::CollectionFilterProxyModel::flags(const QModelIndex&) const
    {32, 945, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 15},	//564 Akonadi::CollectionFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {32, 1603, 21, 1, Smoke::mf_static, 277, 16},	//565 Akonadi::CollectionFilterProxyModel::tr(const char*)
    {32, 1607, 21, 1, Smoke::mf_static, 277, 17},	//566 Akonadi::CollectionFilterProxyModel::trUtf8(const char*)
    {32, 114, 0, 0, Smoke::mf_ctor, 52, 18},	//567 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel()
    {32, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 19},	//568 Akonadi::CollectionFilterProxyModel::staticMetaObject() const
    {32, 1680, 0, 0, Smoke::mf_dtor, 0, 20 },	//569 Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel()
    {33, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//570 Akonadi::CollectionModel::metaObject() const
    {33, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//571 Akonadi::CollectionModel::qt_metacast(const char*)
    {33, 1603, 23, 2, Smoke::mf_static, 277, 3},	//572 Akonadi::CollectionModel::tr(const char*, const char*)
    {33, 1607, 23, 2, Smoke::mf_static, 277, 4},	//573 Akonadi::CollectionModel::trUtf8(const char*, const char*)
    {33, 1603, 26, 3, Smoke::mf_static, 277, 5},	//574 Akonadi::CollectionModel::tr(const char*, const char*, int)
    {33, 1607, 26, 3, Smoke::mf_static, 277, 6},	//575 Akonadi::CollectionModel::trUtf8(const char*, const char*, int)
    {33, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//576 Akonadi::CollectionModel::qt_metacall(QMetaObject::Call, int, void**)
    {33, 117, 78, 1, Smoke::mf_ctor, 53, 8},	//577 Akonadi::CollectionModel::CollectionModel(QObject*)
    {33, 932, 45, 1, 0, 0, 9},	//578 Akonadi::CollectionModel::fetchCollectionStatistics(bool)
    {33, 987, 45, 1, 0, 0, 10},	//579 Akonadi::CollectionModel::includeUnsubscribed(bool)
    {33, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 11},	//580 Akonadi::CollectionModel::columnCount(const QModelIndex&) const
    {33, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//581 Akonadi::CollectionModel::data(const QModelIndex&, int) const
    {33, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//582 Akonadi::CollectionModel::index(int, int, const QModelIndex&) const
    {33, 1155, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 14},	//583 Akonadi::CollectionModel::parent(const QModelIndex&) const
    {33, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 15},	//584 Akonadi::CollectionModel::rowCount(const QModelIndex&) const
    {33, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 16},	//585 Akonadi::CollectionModel::headerData(int, Qt::Orientation, int) const
    {33, 1381, 218, 4, Smoke::mf_virtual, 369, 17},	//586 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 1342, 108, 3, Smoke::mf_virtual, 369, 18},	//587 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 19},	//588 Akonadi::CollectionModel::flags(const QModelIndex&) const
    {33, 1584, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 20},	//589 Akonadi::CollectionModel::supportedDropActions() const
    {33, 1112, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 21},	//590 Akonadi::CollectionModel::mimeData(const QList<QModelIndex>&) const
    {33, 892, 225, 5, Smoke::mf_virtual, 369, 22},	//591 Akonadi::CollectionModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 23},	//592 Akonadi::CollectionModel::mimeTypes() const
    {33, 768, 231, 1, Smoke::mf_const|Smoke::mf_protected, 34, 24},	//593 Akonadi::CollectionModel::collectionForId(Akonadi::Collection::Id) const
    {33, 117, 233, 2, Smoke::mf_ctor|Smoke::mf_protected, 53, 25},	//594 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*, QObject*)
    {33, 1603, 21, 1, Smoke::mf_static, 277, 26},	//595 Akonadi::CollectionModel::tr(const char*)
    {33, 1607, 21, 1, Smoke::mf_static, 277, 27},	//596 Akonadi::CollectionModel::trUtf8(const char*)
    {33, 117, 0, 0, Smoke::mf_ctor, 53, 28},	//597 Akonadi::CollectionModel::CollectionModel()
    {33, 987, 0, 0, 0, 0, 29},	//598 Akonadi::CollectionModel::includeUnsubscribed()
    {33, 794, 0, 0, Smoke::mf_const, 457, 30},	//599 Akonadi::CollectionModel::columnCount() const
    {33, 847, 95, 1, Smoke::mf_const, 287, 31},	//600 Akonadi::CollectionModel::data(const QModelIndex&) const
    {33, 990, 115, 2, Smoke::mf_const, 261, 32},	//601 Akonadi::CollectionModel::index(int, int) const
    {33, 1225, 0, 0, Smoke::mf_const, 457, 33},	//602 Akonadi::CollectionModel::rowCount() const
    {33, 968, 112, 2, Smoke::mf_const, 287, 34},	//603 Akonadi::CollectionModel::headerData(int, Qt::Orientation) const
    {33, 1381, 236, 3, 0, 369, 35},	//604 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {33, 1342, 240, 2, 0, 369, 36},	//605 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&)
    {33, 117, 243, 1, Smoke::mf_ctor|Smoke::mf_protected, 53, 37},	//606 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    {33, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 38},	//607 Akonadi::CollectionModel::staticMetaObject() const
    {33, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//608 Akonadi::CollectionModel::OldCollectionIdRole (enum)
    {33, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//609 Akonadi::CollectionModel::OldCollectionRole (enum)
    {33, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//610 Akonadi::CollectionModel::CollectionIdRole (enum)
    {33, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//611 Akonadi::CollectionModel::CollectionRole (enum)
    {33, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//612 Akonadi::CollectionModel::UserRole (enum)
    {33, 1681, 0, 0, Smoke::mf_dtor, 0, 44 },	//613 Akonadi::CollectionModel::~CollectionModel()
    {35, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//614 Akonadi::CollectionModifyJob::metaObject() const
    {35, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//615 Akonadi::CollectionModifyJob::qt_metacast(const char*)
    {35, 1603, 23, 2, Smoke::mf_static, 277, 3},	//616 Akonadi::CollectionModifyJob::tr(const char*, const char*)
    {35, 1607, 23, 2, Smoke::mf_static, 277, 4},	//617 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*)
    {35, 1603, 26, 3, Smoke::mf_static, 277, 5},	//618 Akonadi::CollectionModifyJob::tr(const char*, const char*, int)
    {35, 1607, 26, 3, Smoke::mf_static, 277, 6},	//619 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*, int)
    {35, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//620 Akonadi::CollectionModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {35, 120, 165, 2, Smoke::mf_ctor, 56, 8},	//621 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&, QObject*)
    {35, 758, 0, 0, Smoke::mf_const, 34, 9},	//622 Akonadi::CollectionModifyJob::collection() const
    {35, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//623 Akonadi::CollectionModifyJob::doStart()
    {35, 1603, 21, 1, Smoke::mf_static, 277, 11},	//624 Akonadi::CollectionModifyJob::tr(const char*)
    {35, 1607, 21, 1, Smoke::mf_static, 277, 12},	//625 Akonadi::CollectionModifyJob::trUtf8(const char*)
    {35, 120, 61, 1, Smoke::mf_ctor, 56, 13},	//626 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&)
    {35, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 14},	//627 Akonadi::CollectionModifyJob::staticMetaObject() const
    {35, 1682, 0, 0, Smoke::mf_dtor, 0, 15 },	//628 Akonadi::CollectionModifyJob::~CollectionModifyJob()
    {36, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//629 Akonadi::CollectionMoveJob::metaObject() const
    {36, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//630 Akonadi::CollectionMoveJob::qt_metacast(const char*)
    {36, 1603, 23, 2, Smoke::mf_static, 277, 3},	//631 Akonadi::CollectionMoveJob::tr(const char*, const char*)
    {36, 1607, 23, 2, Smoke::mf_static, 277, 4},	//632 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*)
    {36, 1603, 26, 3, Smoke::mf_static, 277, 5},	//633 Akonadi::CollectionMoveJob::tr(const char*, const char*, int)
    {36, 1607, 26, 3, Smoke::mf_static, 277, 6},	//634 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*, int)
    {36, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//635 Akonadi::CollectionMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {36, 123, 161, 3, Smoke::mf_ctor, 57, 8},	//636 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {36, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//637 Akonadi::CollectionMoveJob::doStart()
    {36, 1603, 21, 1, Smoke::mf_static, 277, 10},	//638 Akonadi::CollectionMoveJob::tr(const char*)
    {36, 1607, 21, 1, Smoke::mf_static, 277, 11},	//639 Akonadi::CollectionMoveJob::trUtf8(const char*)
    {36, 123, 58, 2, Smoke::mf_ctor, 57, 12},	//640 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {36, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 13},	//641 Akonadi::CollectionMoveJob::staticMetaObject() const
    {36, 1683, 0, 0, Smoke::mf_dtor, 0, 14 },	//642 Akonadi::CollectionMoveJob::~CollectionMoveJob()
    {37, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//643 Akonadi::CollectionPropertiesDialog::metaObject() const
    {37, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//644 Akonadi::CollectionPropertiesDialog::qt_metacast(const char*)
    {37, 1603, 23, 2, Smoke::mf_static, 277, 3},	//645 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*)
    {37, 1607, 23, 2, Smoke::mf_static, 277, 4},	//646 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*)
    {37, 1603, 26, 3, Smoke::mf_static, 277, 5},	//647 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*, int)
    {37, 1607, 26, 3, Smoke::mf_static, 277, 6},	//648 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*, int)
    {37, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//649 Akonadi::CollectionPropertiesDialog::qt_metacall(QMetaObject::Call, int, void**)
    {37, 127, 245, 2, Smoke::mf_ctor, 58, 8},	//650 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, QWidget*)
    {37, 127, 248, 3, Smoke::mf_ctor, 58, 9},	//651 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&, QWidget*)
    {37, 1183, 252, 1, Smoke::mf_static, 0, 10},	//652 Akonadi::CollectionPropertiesDialog::registerPage(Akonadi::CollectionPropertiesPageFactory*)
    {37, 1632, 45, 1, Smoke::mf_static, 0, 11},	//653 Akonadi::CollectionPropertiesDialog::useDefaultPage(bool)
    {37, 851, 254, 1, Smoke::mf_static, 277, 12},	//654 Akonadi::CollectionPropertiesDialog::defaultPageObjectName(Akonadi::CollectionPropertiesDialog::DefaultPage)
    {37, 1603, 21, 1, Smoke::mf_static, 277, 13},	//655 Akonadi::CollectionPropertiesDialog::tr(const char*)
    {37, 1607, 21, 1, Smoke::mf_static, 277, 14},	//656 Akonadi::CollectionPropertiesDialog::trUtf8(const char*)
    {37, 127, 61, 1, Smoke::mf_ctor, 58, 15},	//657 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&)
    {37, 127, 256, 2, Smoke::mf_ctor, 58, 16},	//658 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&)
    {37, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 17},	//659 Akonadi::CollectionPropertiesDialog::staticMetaObject() const
    {37, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 18},	//660 Akonadi::CollectionPropertiesDialog::GeneralPage (enum)
    {37, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 19},	//661 Akonadi::CollectionPropertiesDialog::CachePage (enum)
    {37, 1684, 0, 0, Smoke::mf_dtor, 0, 20 },	//662 Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog()
    {38, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//663 Akonadi::CollectionPropertiesPage::metaObject() const
    {38, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//664 Akonadi::CollectionPropertiesPage::qt_metacast(const char*)
    {38, 1603, 23, 2, Smoke::mf_static, 277, 3},	//665 Akonadi::CollectionPropertiesPage::tr(const char*, const char*)
    {38, 1607, 23, 2, Smoke::mf_static, 277, 4},	//666 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*)
    {38, 1603, 26, 3, Smoke::mf_static, 277, 5},	//667 Akonadi::CollectionPropertiesPage::tr(const char*, const char*, int)
    {38, 1607, 26, 3, Smoke::mf_static, 277, 6},	//668 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*, int)
    {38, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//669 Akonadi::CollectionPropertiesPage::qt_metacall(QMetaObject::Call, int, void**)
    {38, 132, 85, 1, Smoke::mf_ctor, 60, 8},	//670 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage(QWidget*)
    {38, 1090, 61, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//671 Akonadi::CollectionPropertiesPage::load(const Akonadi::Collection&) [pure virtual]
    {38, 1229, 259, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//672 Akonadi::CollectionPropertiesPage::save(Akonadi::Collection&) [pure virtual]
    {38, 728, 61, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 11},	//673 Akonadi::CollectionPropertiesPage::canHandle(const Akonadi::Collection&) const
    {38, 1457, 8, 1, 0, 0, 12},	//674 Akonadi::CollectionPropertiesPage::setPageTitle(const QString&)
    {38, 1149, 0, 0, Smoke::mf_const, 277, 13},	//675 Akonadi::CollectionPropertiesPage::pageTitle() const
    {38, 1603, 21, 1, Smoke::mf_static, 277, 14},	//676 Akonadi::CollectionPropertiesPage::tr(const char*)
    {38, 1607, 21, 1, Smoke::mf_static, 277, 15},	//677 Akonadi::CollectionPropertiesPage::trUtf8(const char*)
    {38, 132, 0, 0, Smoke::mf_ctor, 60, 16},	//678 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage()
    {38, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 17},	//679 Akonadi::CollectionPropertiesPage::staticMetaObject() const
    {38, 1685, 0, 0, Smoke::mf_dtor, 0, 18 },	//680 Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage()
    {39, 834, 85, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 1},	//681 Akonadi::CollectionPropertiesPageFactory::createWidget(QWidget*) const [pure virtual]
    {39, 134, 0, 0, Smoke::mf_ctor, 61, 2},	//682 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory()
    {39, 134, 261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 3},	//683 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory(const Akonadi::CollectionPropertiesPageFactory&)
    {39, 834, 0, 0, Smoke::mf_const, 60, 4},	//684 Akonadi::CollectionPropertiesPageFactory::createWidget() const
    {39, 1686, 0, 0, Smoke::mf_dtor, 0, 5 },	//685 Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory()
    {40, 136, 0, 0, Smoke::mf_ctor, 62, 1},	//686 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute()
    {40, 136, 263, 2, Smoke::mf_ctor, 62, 2},	//687 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(long long, long long)
    {40, 1340, 146, 1, 0, 0, 3},	//688 Akonadi::CollectionQuotaAttribute::setCurrentValue(long long)
    {40, 1435, 146, 1, 0, 0, 4},	//689 Akonadi::CollectionQuotaAttribute::setMaximumValue(long long)
    {40, 844, 0, 0, Smoke::mf_const, 460, 5},	//690 Akonadi::CollectionQuotaAttribute::currentValue() const
    {40, 1109, 0, 0, Smoke::mf_const, 460, 6},	//691 Akonadi::CollectionQuotaAttribute::maximumValue() const
    {40, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 7},	//692 Akonadi::CollectionQuotaAttribute::type() const
    {40, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 8},	//693 Akonadi::CollectionQuotaAttribute::clone() const
    {40, 1258, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//694 Akonadi::CollectionQuotaAttribute::serialized() const
    {40, 858, 6, 1, Smoke::mf_virtual, 0, 10},	//695 Akonadi::CollectionQuotaAttribute::deserialize(const QByteArray&)
    {40, 136, 266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 11},	//696 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(const Akonadi::CollectionQuotaAttribute&)
    {40, 1687, 0, 0, Smoke::mf_dtor, 0, 12 },	//697 Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute()
    {41, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//698 Akonadi::CollectionRequester::metaObject() const
    {41, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//699 Akonadi::CollectionRequester::qt_metacast(const char*)
    {41, 1603, 23, 2, Smoke::mf_static, 277, 3},	//700 Akonadi::CollectionRequester::tr(const char*, const char*)
    {41, 1607, 23, 2, Smoke::mf_static, 277, 4},	//701 Akonadi::CollectionRequester::trUtf8(const char*, const char*)
    {41, 1603, 26, 3, Smoke::mf_static, 277, 5},	//702 Akonadi::CollectionRequester::tr(const char*, const char*, int)
    {41, 1607, 26, 3, Smoke::mf_static, 277, 6},	//703 Akonadi::CollectionRequester::trUtf8(const char*, const char*, int)
    {41, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//704 Akonadi::CollectionRequester::qt_metacall(QMetaObject::Call, int, void**)
    {41, 140, 85, 1, Smoke::mf_ctor, 63, 8},	//705 Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    {41, 140, 245, 2, Smoke::mf_ctor, 63, 9},	//706 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&, QWidget*)
    {41, 758, 0, 0, Smoke::mf_const, 34, 10},	//707 Akonadi::CollectionRequester::collection() const
    {41, 1439, 10, 1, 0, 0, 11},	//708 Akonadi::CollectionRequester::setMimeTypeFilter(const QStringList&)
    {41, 1116, 0, 0, Smoke::mf_const, 278, 12},	//709 Akonadi::CollectionRequester::mimeTypeFilter() const
    {41, 1261, 150, 1, 0, 0, 13},	//710 Akonadi::CollectionRequester::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {41, 663, 0, 0, Smoke::mf_const, 228, 14},	//711 Akonadi::CollectionRequester::accessRightsFilter() const
    {41, 734, 177, 1, 0, 0, 15},	//712 Akonadi::CollectionRequester::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {41, 1295, 61, 1, Smoke::mf_slot, 0, 16},	//713 Akonadi::CollectionRequester::setCollection(const Akonadi::Collection&)
    {41, 763, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//714 Akonadi::CollectionRequester::collectionChanged(const Akonadi::Collection&)
    {41, 1603, 21, 1, Smoke::mf_static, 277, 18},	//715 Akonadi::CollectionRequester::tr(const char*)
    {41, 1607, 21, 1, Smoke::mf_static, 277, 19},	//716 Akonadi::CollectionRequester::trUtf8(const char*)
    {41, 140, 0, 0, Smoke::mf_ctor, 63, 20},	//717 Akonadi::CollectionRequester::CollectionRequester()
    {41, 140, 61, 1, Smoke::mf_ctor, 63, 21},	//718 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    {41, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 22},	//719 Akonadi::CollectionRequester::staticMetaObject() const
    {41, 1688, 0, 0, Smoke::mf_dtor, 0, 23 },	//720 Akonadi::CollectionRequester::~CollectionRequester()
    {42, 144, 0, 0, Smoke::mf_ctor, 66, 1},	//721 Akonadi::CollectionStatistics::CollectionStatistics()
    {42, 144, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 2},	//722 Akonadi::CollectionStatistics::CollectionStatistics(const Akonadi::CollectionStatistics&)
    {42, 822, 0, 0, Smoke::mf_const, 460, 3},	//723 Akonadi::CollectionStatistics::count() const
    {42, 1338, 146, 1, 0, 0, 4},	//724 Akonadi::CollectionStatistics::setCount(long long)
    {42, 1620, 0, 0, Smoke::mf_const, 460, 5},	//725 Akonadi::CollectionStatistics::unreadCount() const
    {42, 1529, 146, 1, 0, 0, 6},	//726 Akonadi::CollectionStatistics::setUnreadCount(long long)
    {42, 1548, 0, 0, Smoke::mf_const, 460, 7},	//727 Akonadi::CollectionStatistics::size() const
    {42, 1507, 146, 1, 0, 0, 8},	//728 Akonadi::CollectionStatistics::setSize(long long)
    {42, 1145, 152, 1, 0, 65, 9},	//729 Akonadi::CollectionStatistics::operator=(const Akonadi::CollectionStatistics&)
    {42, 1689, 0, 0, Smoke::mf_dtor, 0, 10 },	//730 Akonadi::CollectionStatistics::~CollectionStatistics()
    {43, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//731 Akonadi::CollectionStatisticsDelegate::metaObject() const
    {43, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//732 Akonadi::CollectionStatisticsDelegate::qt_metacast(const char*)
    {43, 1603, 23, 2, Smoke::mf_static, 277, 3},	//733 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*)
    {43, 1607, 23, 2, Smoke::mf_static, 277, 4},	//734 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*)
    {43, 1603, 26, 3, Smoke::mf_static, 277, 5},	//735 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*, int)
    {43, 1607, 26, 3, Smoke::mf_static, 277, 6},	//736 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*, int)
    {43, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//737 Akonadi::CollectionStatisticsDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {43, 146, 268, 1, Smoke::mf_ctor, 67, 8},	//738 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    {43, 146, 270, 1, Smoke::mf_ctor, 67, 9},	//739 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    {43, 1531, 45, 1, Smoke::mf_slot, 0, 10},	//740 Akonadi::CollectionStatisticsDelegate::setUnreadCountShown(bool)
    {43, 1621, 0, 0, Smoke::mf_const|Smoke::mf_slot, 369, 11},	//741 Akonadi::CollectionStatisticsDelegate::unreadCountShown() const
    {43, 1471, 45, 1, Smoke::mf_slot, 0, 12},	//742 Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled(bool)
    {43, 1172, 0, 0, Smoke::mf_const|Smoke::mf_slot, 369, 13},	//743 Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled() const
    {43, 1150, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//744 Akonadi::CollectionStatisticsDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {43, 997, 276, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//745 Akonadi::CollectionStatisticsDelegate::initStyleOption(QStyleOptionViewItem*, const QModelIndex&) const
    {43, 1603, 21, 1, Smoke::mf_static, 277, 16},	//746 Akonadi::CollectionStatisticsDelegate::tr(const char*)
    {43, 1607, 21, 1, Smoke::mf_static, 277, 17},	//747 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*)
    {43, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 18},	//748 Akonadi::CollectionStatisticsDelegate::staticMetaObject() const
    {43, 1690, 0, 0, Smoke::mf_dtor, 0, 19 },	//749 Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate()
    {44, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//750 Akonadi::CollectionStatisticsJob::metaObject() const
    {44, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//751 Akonadi::CollectionStatisticsJob::qt_metacast(const char*)
    {44, 1603, 23, 2, Smoke::mf_static, 277, 3},	//752 Akonadi::CollectionStatisticsJob::tr(const char*, const char*)
    {44, 1607, 23, 2, Smoke::mf_static, 277, 4},	//753 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*)
    {44, 1603, 26, 3, Smoke::mf_static, 277, 5},	//754 Akonadi::CollectionStatisticsJob::tr(const char*, const char*, int)
    {44, 1607, 26, 3, Smoke::mf_static, 277, 6},	//755 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*, int)
    {44, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//756 Akonadi::CollectionStatisticsJob::qt_metacall(QMetaObject::Call, int, void**)
    {44, 148, 165, 2, Smoke::mf_ctor, 68, 8},	//757 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&, QObject*)
    {44, 1570, 0, 0, Smoke::mf_const, 64, 9},	//758 Akonadi::CollectionStatisticsJob::statistics() const
    {44, 758, 0, 0, Smoke::mf_const, 34, 10},	//759 Akonadi::CollectionStatisticsJob::collection() const
    {44, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//760 Akonadi::CollectionStatisticsJob::doStart()
    {44, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//761 Akonadi::CollectionStatisticsJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {44, 1603, 21, 1, Smoke::mf_static, 277, 13},	//762 Akonadi::CollectionStatisticsJob::tr(const char*)
    {44, 1607, 21, 1, Smoke::mf_static, 277, 14},	//763 Akonadi::CollectionStatisticsJob::trUtf8(const char*)
    {44, 148, 61, 1, Smoke::mf_ctor, 68, 15},	//764 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&)
    {44, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//765 Akonadi::CollectionStatisticsJob::staticMetaObject() const
    {44, 1691, 0, 0, Smoke::mf_dtor, 0, 17 },	//766 Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob()
    {45, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//767 Akonadi::CollectionStatisticsModel::metaObject() const
    {45, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//768 Akonadi::CollectionStatisticsModel::qt_metacast(const char*)
    {45, 1603, 23, 2, Smoke::mf_static, 277, 3},	//769 Akonadi::CollectionStatisticsModel::tr(const char*, const char*)
    {45, 1607, 23, 2, Smoke::mf_static, 277, 4},	//770 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*)
    {45, 1603, 26, 3, Smoke::mf_static, 277, 5},	//771 Akonadi::CollectionStatisticsModel::tr(const char*, const char*, int)
    {45, 1607, 26, 3, Smoke::mf_static, 277, 6},	//772 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*, int)
    {45, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//773 Akonadi::CollectionStatisticsModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 151, 78, 1, Smoke::mf_ctor, 69, 8},	//774 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel(QObject*)
    {45, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 9},	//775 Akonadi::CollectionStatisticsModel::columnCount(const QModelIndex&) const
    {45, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 10},	//776 Akonadi::CollectionStatisticsModel::data(const QModelIndex&, int) const
    {45, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//777 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation, int) const
    {45, 1603, 21, 1, Smoke::mf_static, 277, 12},	//778 Akonadi::CollectionStatisticsModel::tr(const char*)
    {45, 1607, 21, 1, Smoke::mf_static, 277, 13},	//779 Akonadi::CollectionStatisticsModel::trUtf8(const char*)
    {45, 151, 0, 0, Smoke::mf_ctor, 69, 14},	//780 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel()
    {45, 794, 0, 0, Smoke::mf_const, 457, 15},	//781 Akonadi::CollectionStatisticsModel::columnCount() const
    {45, 847, 95, 1, Smoke::mf_const, 287, 16},	//782 Akonadi::CollectionStatisticsModel::data(const QModelIndex&) const
    {45, 968, 112, 2, Smoke::mf_const, 287, 17},	//783 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation) const
    {45, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 18},	//784 Akonadi::CollectionStatisticsModel::staticMetaObject() const
    {45, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 19},	//785 Akonadi::CollectionStatisticsModel::UnreadRole (enum)
    {45, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 20},	//786 Akonadi::CollectionStatisticsModel::TotalRole (enum)
    {45, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 21},	//787 Akonadi::CollectionStatisticsModel::StatisticsRole (enum)
    {45, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 22},	//788 Akonadi::CollectionStatisticsModel::RecursiveUnreadRole (enum)
    {45, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 23},	//789 Akonadi::CollectionStatisticsModel::RecursiveTotalRole (enum)
    {45, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 24},	//790 Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole (enum)
    {45, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 25},	//791 Akonadi::CollectionStatisticsModel::SizeRole (enum)
    {45, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 26},	//792 Akonadi::CollectionStatisticsModel::RecursiveSizeRole (enum)
    {45, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 27},	//793 Akonadi::CollectionStatisticsModel::UserRole (enum)
    {45, 1692, 0, 0, Smoke::mf_dtor, 0, 28 },	//794 Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel()
    {46, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//795 Akonadi::CollectionView::metaObject() const
    {46, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//796 Akonadi::CollectionView::qt_metacast(const char*)
    {46, 1603, 23, 2, Smoke::mf_static, 277, 3},	//797 Akonadi::CollectionView::tr(const char*, const char*)
    {46, 1607, 23, 2, Smoke::mf_static, 277, 4},	//798 Akonadi::CollectionView::trUtf8(const char*, const char*)
    {46, 1603, 26, 3, Smoke::mf_static, 277, 5},	//799 Akonadi::CollectionView::tr(const char*, const char*, int)
    {46, 1607, 26, 3, Smoke::mf_static, 277, 6},	//800 Akonadi::CollectionView::trUtf8(const char*, const char*, int)
    {46, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//801 Akonadi::CollectionView::qt_metacall(QMetaObject::Call, int, void**)
    {46, 155, 85, 1, Smoke::mf_ctor, 71, 8},	//802 Akonadi::CollectionView::CollectionView(QWidget*)
    {46, 155, 279, 2, Smoke::mf_ctor, 71, 9},	//803 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    {46, 155, 282, 2, Smoke::mf_ctor, 71, 10},	//804 Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    {46, 1538, 285, 1, 0, 0, 11},	//805 Akonadi::CollectionView::setXmlGuiWindow(KXmlGuiWindow*)
    {46, 1536, 287, 1, 0, 0, 12},	//806 Akonadi::CollectionView::setXmlGuiClient(KXMLGUIClient*)
    {46, 1444, 159, 1, Smoke::mf_virtual, 0, 13},	//807 Akonadi::CollectionView::setModel(QAbstractItemModel*)
    {46, 753, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//808 Akonadi::CollectionView::clicked(const Akonadi::Collection&)
    {46, 839, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//809 Akonadi::CollectionView::currentChanged(const Akonadi::Collection&)
    {46, 839, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//810 Akonadi::CollectionView::currentChanged(const QModelIndex&, const QModelIndex&)
    {46, 886, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//811 Akonadi::CollectionView::dragMoveEvent(QDragMoveEvent*)
    {46, 884, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//812 Akonadi::CollectionView::dragLeaveEvent(QDragLeaveEvent*)
    {46, 890, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//813 Akonadi::CollectionView::dropEvent(QDropEvent*)
    {46, 820, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//814 Akonadi::CollectionView::contextMenuEvent(QContextMenuEvent*)
    {46, 1603, 21, 1, Smoke::mf_static, 277, 21},	//815 Akonadi::CollectionView::tr(const char*)
    {46, 1607, 21, 1, Smoke::mf_static, 277, 22},	//816 Akonadi::CollectionView::trUtf8(const char*)
    {46, 155, 0, 0, Smoke::mf_ctor, 71, 23},	//817 Akonadi::CollectionView::CollectionView()
    {46, 155, 285, 1, Smoke::mf_ctor, 71, 24},	//818 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    {46, 155, 287, 1, Smoke::mf_ctor, 71, 25},	//819 Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    {46, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 26},	//820 Akonadi::CollectionView::staticMetaObject() const
    {46, 1693, 0, 0, Smoke::mf_dtor, 0, 27 },	//821 Akonadi::CollectionView::~CollectionView()
    {47, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//822 Akonadi::ContactDefaultActions::metaObject() const
    {47, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//823 Akonadi::ContactDefaultActions::qt_metacast(const char*)
    {47, 1603, 23, 2, Smoke::mf_static, 277, 3},	//824 Akonadi::ContactDefaultActions::tr(const char*, const char*)
    {47, 1607, 23, 2, Smoke::mf_static, 277, 4},	//825 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*)
    {47, 1603, 26, 3, Smoke::mf_static, 277, 5},	//826 Akonadi::ContactDefaultActions::tr(const char*, const char*, int)
    {47, 1607, 26, 3, Smoke::mf_static, 277, 6},	//827 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*, int)
    {47, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//828 Akonadi::ContactDefaultActions::qt_metacall(QMetaObject::Call, int, void**)
    {47, 160, 78, 1, Smoke::mf_ctor, 72, 8},	//829 Akonadi::ContactDefaultActions::ContactDefaultActions(QObject*)
    {47, 807, 78, 1, 0, 0, 9},	//830 Akonadi::ContactDefaultActions::connectToView(QObject*)
    {47, 1546, 148, 1, Smoke::mf_slot, 0, 10},	//831 Akonadi::ContactDefaultActions::showUrl(const KUrl&)
    {47, 1250, 300, 2, Smoke::mf_slot, 0, 11},	//832 Akonadi::ContactDefaultActions::sendEmail(const QString&, const QString&)
    {47, 863, 303, 1, Smoke::mf_slot, 0, 12},	//833 Akonadi::ContactDefaultActions::dialPhoneNumber(const KABC::PhoneNumber&)
    {47, 1254, 303, 1, Smoke::mf_slot, 0, 13},	//834 Akonadi::ContactDefaultActions::sendSms(const KABC::PhoneNumber&)
    {47, 1540, 305, 1, Smoke::mf_slot, 0, 14},	//835 Akonadi::ContactDefaultActions::showAddress(const KABC::Address&)
    {47, 1603, 21, 1, Smoke::mf_static, 277, 15},	//836 Akonadi::ContactDefaultActions::tr(const char*)
    {47, 1607, 21, 1, Smoke::mf_static, 277, 16},	//837 Akonadi::ContactDefaultActions::trUtf8(const char*)
    {47, 160, 0, 0, Smoke::mf_ctor, 72, 17},	//838 Akonadi::ContactDefaultActions::ContactDefaultActions()
    {47, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 18},	//839 Akonadi::ContactDefaultActions::staticMetaObject() const
    {47, 1694, 0, 0, Smoke::mf_dtor, 0, 19 },	//840 Akonadi::ContactDefaultActions::~ContactDefaultActions()
    {48, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//841 Akonadi::ContactEditor::metaObject() const
    {48, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//842 Akonadi::ContactEditor::qt_metacast(const char*)
    {48, 1603, 23, 2, Smoke::mf_static, 277, 3},	//843 Akonadi::ContactEditor::tr(const char*, const char*)
    {48, 1607, 23, 2, Smoke::mf_static, 277, 4},	//844 Akonadi::ContactEditor::trUtf8(const char*, const char*)
    {48, 1603, 26, 3, Smoke::mf_static, 277, 5},	//845 Akonadi::ContactEditor::tr(const char*, const char*, int)
    {48, 1607, 26, 3, Smoke::mf_static, 277, 6},	//846 Akonadi::ContactEditor::trUtf8(const char*, const char*, int)
    {48, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//847 Akonadi::ContactEditor::qt_metacall(QMetaObject::Call, int, void**)
    {48, 162, 307, 2, Smoke::mf_ctor, 73, 8},	//848 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    {48, 162, 310, 3, Smoke::mf_ctor, 73, 9},	//849 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {48, 1330, 314, 1, 0, 0, 10},	//850 Akonadi::ContactEditor::setContactTemplate(const KABC::Addressee&)
    {48, 1345, 61, 1, 0, 0, 11},	//851 Akonadi::ContactEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {48, 1092, 56, 1, Smoke::mf_slot, 0, 12},	//852 Akonadi::ContactEditor::loadContact(const Akonadi::Item&)
    {48, 1231, 0, 0, Smoke::mf_slot, 369, 13},	//853 Akonadi::ContactEditor::saveContact()
    {48, 814, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//854 Akonadi::ContactEditor::contactStored(const Akonadi::Item&)
    {48, 914, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//855 Akonadi::ContactEditor::error(const QString&)
    {48, 1603, 21, 1, Smoke::mf_static, 277, 16},	//856 Akonadi::ContactEditor::tr(const char*)
    {48, 1607, 21, 1, Smoke::mf_static, 277, 17},	//857 Akonadi::ContactEditor::trUtf8(const char*)
    {48, 162, 316, 1, Smoke::mf_ctor, 73, 18},	//858 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode)
    {48, 162, 318, 2, Smoke::mf_ctor, 73, 19},	//859 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    {48, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 20},	//860 Akonadi::ContactEditor::staticMetaObject() const
    {48, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 21},	//861 Akonadi::ContactEditor::CreateMode (enum)
    {48, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 22},	//862 Akonadi::ContactEditor::EditMode (enum)
    {48, 1695, 0, 0, Smoke::mf_dtor, 0, 23 },	//863 Akonadi::ContactEditor::~ContactEditor()
    {49, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//864 Akonadi::ContactEditorDialog::metaObject() const
    {49, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//865 Akonadi::ContactEditorDialog::qt_metacast(const char*)
    {49, 1603, 23, 2, Smoke::mf_static, 277, 3},	//866 Akonadi::ContactEditorDialog::tr(const char*, const char*)
    {49, 1607, 23, 2, Smoke::mf_static, 277, 4},	//867 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*)
    {49, 1603, 26, 3, Smoke::mf_static, 277, 5},	//868 Akonadi::ContactEditorDialog::tr(const char*, const char*, int)
    {49, 1607, 26, 3, Smoke::mf_static, 277, 6},	//869 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*, int)
    {49, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//870 Akonadi::ContactEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {49, 166, 321, 2, Smoke::mf_ctor, 75, 8},	//871 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    {49, 166, 324, 3, Smoke::mf_ctor, 75, 9},	//872 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {49, 1320, 56, 1, 0, 0, 10},	//873 Akonadi::ContactEditorDialog::setContact(const Akonadi::Item&)
    {49, 1345, 61, 1, 0, 0, 11},	//874 Akonadi::ContactEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {49, 897, 0, 0, Smoke::mf_const, 73, 12},	//875 Akonadi::ContactEditorDialog::editor() const
    {49, 814, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//876 Akonadi::ContactEditorDialog::contactStored(const Akonadi::Item&)
    {49, 1603, 21, 1, Smoke::mf_static, 277, 14},	//877 Akonadi::ContactEditorDialog::tr(const char*)
    {49, 1607, 21, 1, Smoke::mf_static, 277, 15},	//878 Akonadi::ContactEditorDialog::trUtf8(const char*)
    {49, 166, 328, 1, Smoke::mf_ctor, 75, 16},	//879 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode)
    {49, 166, 330, 2, Smoke::mf_ctor, 75, 17},	//880 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    {49, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 18},	//881 Akonadi::ContactEditorDialog::staticMetaObject() const
    {49, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 19},	//882 Akonadi::ContactEditorDialog::CreateMode (enum)
    {49, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 20},	//883 Akonadi::ContactEditorDialog::EditMode (enum)
    {49, 1696, 0, 0, Smoke::mf_dtor, 0, 21 },	//884 Akonadi::ContactEditorDialog::~ContactEditorDialog()
    {50, 1601, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 277, 1},	//885 Akonadi::ContactEditorPagePlugin::title() const [pure virtual]
    {50, 1092, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//886 Akonadi::ContactEditorPagePlugin::loadContact(const KABC::Addressee&) [pure virtual]
    {50, 1579, 333, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//887 Akonadi::ContactEditorPagePlugin::storeContact(KABC::Addressee&) const [pure virtual]
    {50, 1481, 45, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//888 Akonadi::ContactEditorPagePlugin::setReadOnly(bool) [pure virtual]
    {50, 170, 0, 0, Smoke::mf_ctor, 77, 5},	//889 Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin()
    {50, 1697, 0, 0, Smoke::mf_dtor, 0, 6 },	//890 Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin()
    {51, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//891 Akonadi::ContactGroupEditor::metaObject() const
    {51, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//892 Akonadi::ContactGroupEditor::qt_metacast(const char*)
    {51, 1603, 23, 2, Smoke::mf_static, 277, 3},	//893 Akonadi::ContactGroupEditor::tr(const char*, const char*)
    {51, 1607, 23, 2, Smoke::mf_static, 277, 4},	//894 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*)
    {51, 1603, 26, 3, Smoke::mf_static, 277, 5},	//895 Akonadi::ContactGroupEditor::tr(const char*, const char*, int)
    {51, 1607, 26, 3, Smoke::mf_static, 277, 6},	//896 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*, int)
    {51, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//897 Akonadi::ContactGroupEditor::qt_metacall(QMetaObject::Call, int, void**)
    {51, 171, 335, 2, Smoke::mf_ctor, 78, 8},	//898 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode, QWidget*)
    {51, 1328, 338, 1, 0, 0, 9},	//899 Akonadi::ContactGroupEditor::setContactGroupTemplate(const KABC::ContactGroup&)
    {51, 1345, 61, 1, 0, 0, 10},	//900 Akonadi::ContactGroupEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {51, 959, 45, 1, 0, 0, 11},	//901 Akonadi::ContactGroupEditor::groupNameIsValid(bool)
    {51, 1094, 56, 1, Smoke::mf_slot, 0, 12},	//902 Akonadi::ContactGroupEditor::loadContactGroup(const Akonadi::Item&)
    {51, 1232, 0, 0, Smoke::mf_slot, 369, 13},	//903 Akonadi::ContactGroupEditor::saveContactGroup()
    {51, 811, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//904 Akonadi::ContactGroupEditor::contactGroupStored(const Akonadi::Item&)
    {51, 914, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//905 Akonadi::ContactGroupEditor::error(const QString&)
    {51, 1603, 21, 1, Smoke::mf_static, 277, 16},	//906 Akonadi::ContactGroupEditor::tr(const char*)
    {51, 1607, 21, 1, Smoke::mf_static, 277, 17},	//907 Akonadi::ContactGroupEditor::trUtf8(const char*)
    {51, 171, 340, 1, Smoke::mf_ctor, 78, 18},	//908 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode)
    {51, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 19},	//909 Akonadi::ContactGroupEditor::staticMetaObject() const
    {51, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 20},	//910 Akonadi::ContactGroupEditor::CreateMode (enum)
    {51, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 21},	//911 Akonadi::ContactGroupEditor::EditMode (enum)
    {51, 1698, 0, 0, Smoke::mf_dtor, 0, 22 },	//912 Akonadi::ContactGroupEditor::~ContactGroupEditor()
    {52, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//913 Akonadi::ContactGroupEditorDialog::metaObject() const
    {52, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//914 Akonadi::ContactGroupEditorDialog::qt_metacast(const char*)
    {52, 1603, 23, 2, Smoke::mf_static, 277, 3},	//915 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*)
    {52, 1607, 23, 2, Smoke::mf_static, 277, 4},	//916 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*)
    {52, 1603, 26, 3, Smoke::mf_static, 277, 5},	//917 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*, int)
    {52, 1607, 26, 3, Smoke::mf_static, 277, 6},	//918 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*, int)
    {52, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//919 Akonadi::ContactGroupEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {52, 174, 342, 2, Smoke::mf_ctor, 80, 8},	//920 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode, QWidget*)
    {52, 1324, 56, 1, 0, 0, 9},	//921 Akonadi::ContactGroupEditorDialog::setContactGroup(const Akonadi::Item&)
    {52, 1345, 61, 1, 0, 0, 10},	//922 Akonadi::ContactGroupEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {52, 897, 0, 0, Smoke::mf_const, 78, 11},	//923 Akonadi::ContactGroupEditorDialog::editor() const
    {52, 811, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//924 Akonadi::ContactGroupEditorDialog::contactGroupStored(const Akonadi::Item&)
    {52, 1552, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//925 Akonadi::ContactGroupEditorDialog::slotButtonClicked(int)
    {52, 1603, 21, 1, Smoke::mf_static, 277, 14},	//926 Akonadi::ContactGroupEditorDialog::tr(const char*)
    {52, 1607, 21, 1, Smoke::mf_static, 277, 15},	//927 Akonadi::ContactGroupEditorDialog::trUtf8(const char*)
    {52, 174, 345, 1, Smoke::mf_ctor, 80, 16},	//928 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode)
    {52, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 17},	//929 Akonadi::ContactGroupEditorDialog::staticMetaObject() const
    {52, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 18},	//930 Akonadi::ContactGroupEditorDialog::CreateMode (enum)
    {52, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 19},	//931 Akonadi::ContactGroupEditorDialog::EditMode (enum)
    {52, 1699, 0, 0, Smoke::mf_dtor, 0, 20 },	//932 Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog()
    {53, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//933 Akonadi::ContactGroupExpandJob::metaObject() const
    {53, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//934 Akonadi::ContactGroupExpandJob::qt_metacast(const char*)
    {53, 1603, 23, 2, Smoke::mf_static, 277, 3},	//935 Akonadi::ContactGroupExpandJob::tr(const char*, const char*)
    {53, 1607, 23, 2, Smoke::mf_static, 277, 4},	//936 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*)
    {53, 1603, 26, 3, Smoke::mf_static, 277, 5},	//937 Akonadi::ContactGroupExpandJob::tr(const char*, const char*, int)
    {53, 1607, 26, 3, Smoke::mf_static, 277, 6},	//938 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*, int)
    {53, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//939 Akonadi::ContactGroupExpandJob::qt_metacall(QMetaObject::Call, int, void**)
    {53, 177, 347, 2, Smoke::mf_ctor, 82, 8},	//940 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&, QObject*)
    {53, 177, 90, 2, Smoke::mf_ctor, 82, 9},	//941 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&, QObject*)
    {53, 816, 0, 0, Smoke::mf_const, 180, 10},	//942 Akonadi::ContactGroupExpandJob::contacts() const
    {53, 1561, 0, 0, Smoke::mf_virtual, 0, 11},	//943 Akonadi::ContactGroupExpandJob::start()
    {53, 1603, 21, 1, Smoke::mf_static, 277, 12},	//944 Akonadi::ContactGroupExpandJob::tr(const char*)
    {53, 1607, 21, 1, Smoke::mf_static, 277, 13},	//945 Akonadi::ContactGroupExpandJob::trUtf8(const char*)
    {53, 177, 338, 1, Smoke::mf_ctor, 82, 14},	//946 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&)
    {53, 177, 8, 1, Smoke::mf_ctor, 82, 15},	//947 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&)
    {53, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//948 Akonadi::ContactGroupExpandJob::staticMetaObject() const
    {53, 1700, 0, 0, Smoke::mf_dtor, 0, 17 },	//949 Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob()
    {54, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//950 Akonadi::ContactGroupSearchJob::metaObject() const
    {54, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//951 Akonadi::ContactGroupSearchJob::qt_metacast(const char*)
    {54, 1603, 23, 2, Smoke::mf_static, 277, 3},	//952 Akonadi::ContactGroupSearchJob::tr(const char*, const char*)
    {54, 1607, 23, 2, Smoke::mf_static, 277, 4},	//953 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*)
    {54, 1603, 26, 3, Smoke::mf_static, 277, 5},	//954 Akonadi::ContactGroupSearchJob::tr(const char*, const char*, int)
    {54, 1607, 26, 3, Smoke::mf_static, 277, 6},	//955 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*, int)
    {54, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//956 Akonadi::ContactGroupSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {54, 182, 78, 1, Smoke::mf_ctor, 83, 8},	//957 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob(QObject*)
    {54, 1473, 350, 2, 0, 0, 9},	//958 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&)
    {54, 1473, 353, 3, 0, 0, 10},	//959 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match)
    {54, 1428, 41, 1, 0, 0, 11},	//960 Akonadi::ContactGroupSearchJob::setLimit(int)
    {54, 813, 0, 0, Smoke::mf_const, 254, 12},	//961 Akonadi::ContactGroupSearchJob::contactGroups() const
    {54, 1603, 21, 1, Smoke::mf_static, 277, 13},	//962 Akonadi::ContactGroupSearchJob::tr(const char*)
    {54, 1607, 21, 1, Smoke::mf_static, 277, 14},	//963 Akonadi::ContactGroupSearchJob::trUtf8(const char*)
    {54, 182, 0, 0, Smoke::mf_ctor, 83, 15},	//964 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob()
    {54, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//965 Akonadi::ContactGroupSearchJob::staticMetaObject() const
    {54, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 17},	//966 Akonadi::ContactGroupSearchJob::Name (enum)
    {54, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 18},	//967 Akonadi::ContactGroupSearchJob::ExactMatch (enum)
    {54, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 19},	//968 Akonadi::ContactGroupSearchJob::StartsWithMatch (enum)
    {54, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 20},	//969 Akonadi::ContactGroupSearchJob::ContainsMatch (enum)
    {54, 1701, 0, 0, Smoke::mf_dtor, 0, 21 },	//970 Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob()
    {55, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//971 Akonadi::ContactGroupViewer::metaObject() const
    {55, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//972 Akonadi::ContactGroupViewer::qt_metacast(const char*)
    {55, 1603, 23, 2, Smoke::mf_static, 277, 3},	//973 Akonadi::ContactGroupViewer::tr(const char*, const char*)
    {55, 1607, 23, 2, Smoke::mf_static, 277, 4},	//974 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*)
    {55, 1603, 26, 3, Smoke::mf_static, 277, 5},	//975 Akonadi::ContactGroupViewer::tr(const char*, const char*, int)
    {55, 1607, 26, 3, Smoke::mf_static, 277, 6},	//976 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*, int)
    {55, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//977 Akonadi::ContactGroupViewer::qt_metacall(QMetaObject::Call, int, void**)
    {55, 184, 85, 1, Smoke::mf_ctor, 86, 8},	//978 Akonadi::ContactGroupViewer::ContactGroupViewer(QWidget*)
    {55, 810, 0, 0, Smoke::mf_const, 113, 9},	//979 Akonadi::ContactGroupViewer::contactGroup() const
    {55, 1326, 357, 1, 0, 0, 10},	//980 Akonadi::ContactGroupViewer::setContactGroupFormatter(Akonadi::AbstractContactGroupFormatter*)
    {55, 1324, 56, 1, Smoke::mf_slot, 0, 11},	//981 Akonadi::ContactGroupViewer::setContactGroup(const Akonadi::Item&)
    {55, 900, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//982 Akonadi::ContactGroupViewer::emailClicked(const QString&, const QString&)
    {55, 1603, 21, 1, Smoke::mf_static, 277, 13},	//983 Akonadi::ContactGroupViewer::tr(const char*)
    {55, 1607, 21, 1, Smoke::mf_static, 277, 14},	//984 Akonadi::ContactGroupViewer::trUtf8(const char*)
    {55, 184, 0, 0, Smoke::mf_ctor, 86, 15},	//985 Akonadi::ContactGroupViewer::ContactGroupViewer()
    {55, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//986 Akonadi::ContactGroupViewer::staticMetaObject() const
    {55, 1702, 0, 0, Smoke::mf_dtor, 0, 17 },	//987 Akonadi::ContactGroupViewer::~ContactGroupViewer()
    {56, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//988 Akonadi::ContactGroupViewerDialog::metaObject() const
    {56, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//989 Akonadi::ContactGroupViewerDialog::qt_metacast(const char*)
    {56, 1603, 23, 2, Smoke::mf_static, 277, 3},	//990 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*)
    {56, 1607, 23, 2, Smoke::mf_static, 277, 4},	//991 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*)
    {56, 1603, 26, 3, Smoke::mf_static, 277, 5},	//992 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*, int)
    {56, 1607, 26, 3, Smoke::mf_static, 277, 6},	//993 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*, int)
    {56, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//994 Akonadi::ContactGroupViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {56, 186, 85, 1, Smoke::mf_ctor, 87, 8},	//995 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog(QWidget*)
    {56, 810, 0, 0, Smoke::mf_const, 113, 9},	//996 Akonadi::ContactGroupViewerDialog::contactGroup() const
    {56, 1639, 0, 0, Smoke::mf_const, 86, 10},	//997 Akonadi::ContactGroupViewerDialog::viewer() const
    {56, 1324, 56, 1, Smoke::mf_slot, 0, 11},	//998 Akonadi::ContactGroupViewerDialog::setContactGroup(const Akonadi::Item&)
    {56, 1603, 21, 1, Smoke::mf_static, 277, 12},	//999 Akonadi::ContactGroupViewerDialog::tr(const char*)
    {56, 1607, 21, 1, Smoke::mf_static, 277, 13},	//1000 Akonadi::ContactGroupViewerDialog::trUtf8(const char*)
    {56, 186, 0, 0, Smoke::mf_ctor, 87, 14},	//1001 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog()
    {56, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 15},	//1002 Akonadi::ContactGroupViewerDialog::staticMetaObject() const
    {56, 1703, 0, 0, Smoke::mf_dtor, 0, 16 },	//1003 Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog()
    {57, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1004 Akonadi::ContactSearchJob::metaObject() const
    {57, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1005 Akonadi::ContactSearchJob::qt_metacast(const char*)
    {57, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1006 Akonadi::ContactSearchJob::tr(const char*, const char*)
    {57, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1007 Akonadi::ContactSearchJob::trUtf8(const char*, const char*)
    {57, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1008 Akonadi::ContactSearchJob::tr(const char*, const char*, int)
    {57, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1009 Akonadi::ContactSearchJob::trUtf8(const char*, const char*, int)
    {57, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1010 Akonadi::ContactSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {57, 188, 78, 1, Smoke::mf_ctor, 88, 8},	//1011 Akonadi::ContactSearchJob::ContactSearchJob(QObject*)
    {57, 1473, 359, 2, 0, 0, 9},	//1012 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&)
    {57, 1473, 362, 3, 0, 0, 10},	//1013 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match)
    {57, 1428, 41, 1, 0, 0, 11},	//1014 Akonadi::ContactSearchJob::setLimit(int)
    {57, 816, 0, 0, Smoke::mf_const, 180, 12},	//1015 Akonadi::ContactSearchJob::contacts() const
    {57, 1603, 21, 1, Smoke::mf_static, 277, 13},	//1016 Akonadi::ContactSearchJob::tr(const char*)
    {57, 1607, 21, 1, Smoke::mf_static, 277, 14},	//1017 Akonadi::ContactSearchJob::trUtf8(const char*)
    {57, 188, 0, 0, Smoke::mf_ctor, 88, 15},	//1018 Akonadi::ContactSearchJob::ContactSearchJob()
    {57, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//1019 Akonadi::ContactSearchJob::staticMetaObject() const
    {57, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 17},	//1020 Akonadi::ContactSearchJob::Name (enum)
    {57, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 18},	//1021 Akonadi::ContactSearchJob::Email (enum)
    {57, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 19},	//1022 Akonadi::ContactSearchJob::NickName (enum)
    {57, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 20},	//1023 Akonadi::ContactSearchJob::NameOrEmail (enum)
    {57, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 21},	//1024 Akonadi::ContactSearchJob::ContactUid (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 22},	//1025 Akonadi::ContactSearchJob::ExactMatch (enum)
    {57, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 23},	//1026 Akonadi::ContactSearchJob::StartsWithMatch (enum)
    {57, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 24},	//1027 Akonadi::ContactSearchJob::ContainsMatch (enum)
    {57, 1704, 0, 0, Smoke::mf_dtor, 0, 25 },	//1028 Akonadi::ContactSearchJob::~ContactSearchJob()
    {58, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1029 Akonadi::ContactViewer::metaObject() const
    {58, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1030 Akonadi::ContactViewer::qt_metacast(const char*)
    {58, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1031 Akonadi::ContactViewer::tr(const char*, const char*)
    {58, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1032 Akonadi::ContactViewer::trUtf8(const char*, const char*)
    {58, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1033 Akonadi::ContactViewer::tr(const char*, const char*, int)
    {58, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1034 Akonadi::ContactViewer::trUtf8(const char*, const char*, int)
    {58, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1035 Akonadi::ContactViewer::qt_metacall(QMetaObject::Call, int, void**)
    {58, 191, 85, 1, Smoke::mf_ctor, 91, 8},	//1036 Akonadi::ContactViewer::ContactViewer(QWidget*)
    {58, 809, 0, 0, Smoke::mf_const, 113, 9},	//1037 Akonadi::ContactViewer::contact() const
    {58, 1178, 0, 0, Smoke::mf_const, 178, 10},	//1038 Akonadi::ContactViewer::rawContact() const
    {58, 1322, 366, 1, 0, 0, 11},	//1039 Akonadi::ContactViewer::setContactFormatter(Akonadi::AbstractContactFormatter*)
    {58, 1320, 56, 1, Smoke::mf_slot, 0, 12},	//1040 Akonadi::ContactViewer::setContact(const Akonadi::Item&)
    {58, 1479, 314, 1, Smoke::mf_slot, 0, 13},	//1041 Akonadi::ContactViewer::setRawContact(const KABC::Addressee&)
    {58, 1630, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1042 Akonadi::ContactViewer::urlClicked(const KUrl&)
    {58, 900, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1043 Akonadi::ContactViewer::emailClicked(const QString&, const QString&)
    {58, 1167, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1044 Akonadi::ContactViewer::phoneNumberClicked(const KABC::PhoneNumber&)
    {58, 1557, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1045 Akonadi::ContactViewer::smsClicked(const KABC::PhoneNumber&)
    {58, 694, 305, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1046 Akonadi::ContactViewer::addressClicked(const KABC::Address&)
    {58, 1603, 21, 1, Smoke::mf_static, 277, 19},	//1047 Akonadi::ContactViewer::tr(const char*)
    {58, 1607, 21, 1, Smoke::mf_static, 277, 20},	//1048 Akonadi::ContactViewer::trUtf8(const char*)
    {58, 191, 0, 0, Smoke::mf_ctor, 91, 21},	//1049 Akonadi::ContactViewer::ContactViewer()
    {58, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 22},	//1050 Akonadi::ContactViewer::staticMetaObject() const
    {58, 1705, 0, 0, Smoke::mf_dtor, 0, 23 },	//1051 Akonadi::ContactViewer::~ContactViewer()
    {59, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1052 Akonadi::ContactViewerDialog::metaObject() const
    {59, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1053 Akonadi::ContactViewerDialog::qt_metacast(const char*)
    {59, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1054 Akonadi::ContactViewerDialog::tr(const char*, const char*)
    {59, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1055 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*)
    {59, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1056 Akonadi::ContactViewerDialog::tr(const char*, const char*, int)
    {59, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1057 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*, int)
    {59, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1058 Akonadi::ContactViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 193, 85, 1, Smoke::mf_ctor, 92, 8},	//1059 Akonadi::ContactViewerDialog::ContactViewerDialog(QWidget*)
    {59, 809, 0, 0, Smoke::mf_const, 113, 9},	//1060 Akonadi::ContactViewerDialog::contact() const
    {59, 1639, 0, 0, Smoke::mf_const, 91, 10},	//1061 Akonadi::ContactViewerDialog::viewer() const
    {59, 1320, 56, 1, Smoke::mf_slot, 0, 11},	//1062 Akonadi::ContactViewerDialog::setContact(const Akonadi::Item&)
    {59, 1603, 21, 1, Smoke::mf_static, 277, 12},	//1063 Akonadi::ContactViewerDialog::tr(const char*)
    {59, 1607, 21, 1, Smoke::mf_static, 277, 13},	//1064 Akonadi::ContactViewerDialog::trUtf8(const char*)
    {59, 193, 0, 0, Smoke::mf_ctor, 92, 14},	//1065 Akonadi::ContactViewerDialog::ContactViewerDialog()
    {59, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 15},	//1066 Akonadi::ContactViewerDialog::staticMetaObject() const
    {59, 1706, 0, 0, Smoke::mf_dtor, 0, 16 },	//1067 Akonadi::ContactViewerDialog::~ContactViewerDialog()
    {60, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1068 Akonadi::Control::metaObject() const
    {60, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1069 Akonadi::Control::qt_metacast(const char*)
    {60, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1070 Akonadi::Control::tr(const char*, const char*)
    {60, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1071 Akonadi::Control::trUtf8(const char*, const char*)
    {60, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1072 Akonadi::Control::tr(const char*, const char*, int)
    {60, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1073 Akonadi::Control::trUtf8(const char*, const char*, int)
    {60, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1074 Akonadi::Control::qt_metacall(QMetaObject::Call, int, void**)
    {60, 1561, 0, 0, Smoke::mf_static, 369, 8},	//1075 Akonadi::Control::start()
    {60, 1561, 85, 1, Smoke::mf_static, 369, 9},	//1076 Akonadi::Control::start(QWidget*)
    {60, 1575, 0, 0, Smoke::mf_static, 369, 10},	//1077 Akonadi::Control::stop()
    {60, 1575, 85, 1, Smoke::mf_static, 369, 11},	//1078 Akonadi::Control::stop(QWidget*)
    {60, 1208, 0, 0, Smoke::mf_static, 369, 12},	//1079 Akonadi::Control::restart()
    {60, 1208, 85, 1, Smoke::mf_static, 369, 13},	//1080 Akonadi::Control::restart(QWidget*)
    {60, 1649, 85, 1, Smoke::mf_static, 0, 14},	//1081 Akonadi::Control::widgetNeedsAkonadi(QWidget*)
    {60, 197, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 93, 15},	//1082 Akonadi::Control::Control()
    {60, 1603, 21, 1, Smoke::mf_static, 277, 16},	//1083 Akonadi::Control::tr(const char*)
    {60, 1607, 21, 1, Smoke::mf_static, 277, 17},	//1084 Akonadi::Control::trUtf8(const char*)
    {60, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 18},	//1085 Akonadi::Control::staticMetaObject() const
    {60, 1707, 0, 0, Smoke::mf_dtor, 0, 19 },	//1086 Akonadi::Control::~Control()
    {61, 1390, 146, 1, 0, 0, 1},	//1087 Akonadi::Entity::setId(long long)
    {61, 979, 0, 0, Smoke::mf_const, 460, 2},	//1088 Akonadi::Entity::id() const
    {61, 1483, 8, 1, 0, 0, 3},	//1089 Akonadi::Entity::setRemoteId(const QString&)
    {61, 1187, 0, 0, Smoke::mf_const, 277, 4},	//1090 Akonadi::Entity::remoteId() const
    {61, 1485, 8, 1, 0, 0, 5},	//1091 Akonadi::Entity::setRemoteRevision(const QString&)
    {61, 1188, 0, 0, Smoke::mf_const, 277, 6},	//1092 Akonadi::Entity::remoteRevision() const
    {61, 1038, 0, 0, Smoke::mf_const, 369, 7},	//1093 Akonadi::Entity::isValid() const
    {61, 1147, 368, 1, Smoke::mf_const, 369, 8},	//1094 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {61, 1141, 368, 1, Smoke::mf_const, 369, 9},	//1095 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {61, 1145, 368, 1, 0, 94, 10},	//1096 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {61, 1143, 368, 1, Smoke::mf_const, 369, 11},	//1097 Akonadi::Entity::operator<(const Akonadi::Entity&) const
    {61, 1157, 0, 0, Smoke::mf_const, 34, 12},	//1098 Akonadi::Entity::parentCollection() const
    {61, 1157, 0, 0, 0, 35, 13},	//1099 Akonadi::Entity::parentCollection()
    {61, 1462, 61, 1, 0, 0, 14},	//1100 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {61, 672, 370, 1, 0, 0, 15},	//1101 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {61, 1189, 6, 1, 0, 0, 16},	//1102 Akonadi::Entity::removeAttribute(const QByteArray&)
    {61, 961, 6, 1, Smoke::mf_const, 369, 17},	//1103 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {61, 713, 0, 0, Smoke::mf_const, 249, 18},	//1104 Akonadi::Entity::attributes() const
    {61, 746, 0, 0, 0, 0, 19},	//1105 Akonadi::Entity::clearAttributes()
    {61, 711, 6, 1, Smoke::mf_const, 27, 20},	//1106 Akonadi::Entity::attribute(const QByteArray&) const
    {61, 237, 368, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 95, 21},	//1107 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {61, 237, 372, 1, Smoke::mf_ctor|Smoke::mf_protected, 95, 22},	//1108 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {61, 846, 0, 0, Smoke::mf_protected, 101, 23},	//1109 Akonadi::Entity::d_func()
    {61, 846, 0, 0, Smoke::mf_const|Smoke::mf_protected, 392, 24},	//1110 Akonadi::Entity::d_func() const
    {61, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 25},	//1111 Akonadi::Entity::AddIfMissing (enum)
    {61, 1708, 0, 0, Smoke::mf_dtor, 0, 26 },	//1112 Akonadi::Entity::~Entity()
    {62, 239, 0, 0, Smoke::mf_ctor, 97, 1},	//1113 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute()
    {62, 1351, 8, 1, 0, 0, 2},	//1114 Akonadi::EntityDisplayAttribute::setDisplayName(const QString&)
    {62, 868, 0, 0, Smoke::mf_const, 277, 3},	//1115 Akonadi::EntityDisplayAttribute::displayName() const
    {62, 1388, 8, 1, 0, 0, 4},	//1116 Akonadi::EntityDisplayAttribute::setIconName(const QString&)
    {62, 977, 0, 0, Smoke::mf_const, 198, 5},	//1117 Akonadi::EntityDisplayAttribute::icon() const
    {62, 978, 0, 0, Smoke::mf_const, 277, 6},	//1118 Akonadi::EntityDisplayAttribute::iconName() const
    {62, 1265, 8, 1, 0, 0, 7},	//1119 Akonadi::EntityDisplayAttribute::setActiveIconName(const QString&)
    {62, 670, 0, 0, Smoke::mf_const, 198, 8},	//1120 Akonadi::EntityDisplayAttribute::activeIcon() const
    {62, 671, 0, 0, Smoke::mf_const, 277, 9},	//1121 Akonadi::EntityDisplayAttribute::activeIconName() const
    {62, 720, 0, 0, Smoke::mf_const, 218, 10},	//1122 Akonadi::EntityDisplayAttribute::backgroundColor() const
    {62, 1278, 374, 1, 0, 0, 11},	//1123 Akonadi::EntityDisplayAttribute::setBackgroundColor(const QColor&)
    {62, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1124 Akonadi::EntityDisplayAttribute::type() const
    {62, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 97, 13},	//1125 Akonadi::EntityDisplayAttribute::clone() const
    {62, 1258, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1126 Akonadi::EntityDisplayAttribute::serialized() const
    {62, 858, 6, 1, Smoke::mf_virtual, 0, 15},	//1127 Akonadi::EntityDisplayAttribute::deserialize(const QByteArray&)
    {62, 239, 376, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 16},	//1128 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute(const Akonadi::EntityDisplayAttribute&)
    {62, 1709, 0, 0, Smoke::mf_dtor, 0, 17 },	//1129 Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute()
    {63, 241, 0, 0, Smoke::mf_ctor, 98, 1},	//1130 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute()
    {63, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 2},	//1131 Akonadi::EntityHiddenAttribute::type() const
    {63, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 3},	//1132 Akonadi::EntityHiddenAttribute::clone() const
    {63, 1258, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//1133 Akonadi::EntityHiddenAttribute::serialized() const
    {63, 858, 6, 1, Smoke::mf_virtual, 0, 5},	//1134 Akonadi::EntityHiddenAttribute::deserialize(const QByteArray&)
    {63, 241, 378, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 6},	//1135 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute(const Akonadi::EntityHiddenAttribute&)
    {63, 1710, 0, 0, Smoke::mf_dtor, 0, 7 },	//1136 Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute()
    {64, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1137 Akonadi::EntityListView::metaObject() const
    {64, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1138 Akonadi::EntityListView::qt_metacast(const char*)
    {64, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1139 Akonadi::EntityListView::tr(const char*, const char*)
    {64, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1140 Akonadi::EntityListView::trUtf8(const char*, const char*)
    {64, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1141 Akonadi::EntityListView::tr(const char*, const char*, int)
    {64, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1142 Akonadi::EntityListView::trUtf8(const char*, const char*, int)
    {64, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1143 Akonadi::EntityListView::qt_metacall(QMetaObject::Call, int, void**)
    {64, 243, 85, 1, Smoke::mf_ctor, 99, 8},	//1144 Akonadi::EntityListView::EntityListView(QWidget*)
    {64, 243, 282, 2, Smoke::mf_ctor, 99, 9},	//1145 Akonadi::EntityListView::EntityListView(KXMLGUIClient*, QWidget*)
    {64, 1536, 287, 1, 0, 0, 10},	//1146 Akonadi::EntityListView::setXmlGuiClient(KXMLGUIClient*)
    {64, 1444, 159, 1, Smoke::mf_virtual, 0, 11},	//1147 Akonadi::EntityListView::setModel(QAbstractItemModel*)
    {64, 1353, 45, 1, 0, 0, 12},	//1148 Akonadi::EntityListView::setDropActionMenuEnabled(bool)
    {64, 1029, 0, 0, Smoke::mf_const, 369, 13},	//1149 Akonadi::EntityListView::isDropActionMenuEnabled() const
    {64, 753, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1150 Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    {64, 753, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1151 Akonadi::EntityListView::clicked(const Akonadi::Item&)
    {64, 881, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1152 Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    {64, 881, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1153 Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    {64, 839, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1154 Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    {64, 839, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1155 Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    {64, 839, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1156 Akonadi::EntityListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {64, 1563, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1157 Akonadi::EntityListView::startDrag(QFlags<Qt::DropAction>)
    {64, 890, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1158 Akonadi::EntityListView::dropEvent(QDropEvent*)
    {64, 886, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1159 Akonadi::EntityListView::dragMoveEvent(QDragMoveEvent*)
    {64, 820, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1160 Akonadi::EntityListView::contextMenuEvent(QContextMenuEvent*)
    {64, 1603, 21, 1, Smoke::mf_static, 277, 25},	//1161 Akonadi::EntityListView::tr(const char*)
    {64, 1607, 21, 1, Smoke::mf_static, 277, 26},	//1162 Akonadi::EntityListView::trUtf8(const char*)
    {64, 243, 0, 0, Smoke::mf_ctor, 99, 27},	//1163 Akonadi::EntityListView::EntityListView()
    {64, 243, 287, 1, Smoke::mf_ctor, 99, 28},	//1164 Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    {64, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 29},	//1165 Akonadi::EntityListView::staticMetaObject() const
    {64, 1711, 0, 0, Smoke::mf_dtor, 0, 30 },	//1166 Akonadi::EntityListView::~EntityListView()
    {65, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1167 Akonadi::EntityMimeTypeFilterModel::metaObject() const
    {65, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1168 Akonadi::EntityMimeTypeFilterModel::qt_metacast(const char*)
    {65, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1169 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*)
    {65, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1170 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*)
    {65, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1171 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*, int)
    {65, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1172 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*, int)
    {65, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1173 Akonadi::EntityMimeTypeFilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {65, 246, 78, 1, Smoke::mf_ctor, 100, 8},	//1174 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel(QObject*)
    {65, 688, 10, 1, 0, 0, 9},	//1175 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters(const QStringList&)
    {65, 680, 10, 1, 0, 0, 10},	//1176 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters(const QStringList&)
    {65, 686, 8, 1, 0, 0, 11},	//1177 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter(const QString&)
    {65, 678, 8, 1, 0, 0, 12},	//1178 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter(const QString&)
    {65, 1118, 0, 0, Smoke::mf_const, 278, 13},	//1179 Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters() const
    {65, 1115, 0, 0, Smoke::mf_const, 278, 14},	//1180 Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters() const
    {65, 748, 0, 0, 0, 0, 15},	//1181 Akonadi::EntityMimeTypeFilterModel::clearFilters()
    {65, 1384, 382, 1, 0, 0, 16},	//1182 Akonadi::EntityMimeTypeFilterModel::setHeaderGroup(Akonadi::EntityTreeModel::HeaderGroup)
    {65, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 17},	//1183 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation, int) const
    {65, 963, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 18},	//1184 Akonadi::EntityMimeTypeFilterModel::hasChildren(const QModelIndex&) const
    {65, 726, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 19},	//1185 Akonadi::EntityMimeTypeFilterModel::canFetchMore(const QModelIndex&) const
    {65, 1105, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 20},	//1186 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {65, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 21},	//1187 Akonadi::EntityMimeTypeFilterModel::columnCount(const QModelIndex&) const
    {65, 945, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 22},	//1188 Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow(int, const QModelIndex&) const
    {65, 943, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 23},	//1189 Akonadi::EntityMimeTypeFilterModel::filterAcceptsColumn(int, const QModelIndex&) const
    {65, 1603, 21, 1, Smoke::mf_static, 277, 24},	//1190 Akonadi::EntityMimeTypeFilterModel::tr(const char*)
    {65, 1607, 21, 1, Smoke::mf_static, 277, 25},	//1191 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*)
    {65, 246, 0, 0, Smoke::mf_ctor, 100, 26},	//1192 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel()
    {65, 968, 112, 2, Smoke::mf_const, 287, 27},	//1193 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation) const
    {65, 963, 0, 0, Smoke::mf_const, 369, 28},	//1194 Akonadi::EntityMimeTypeFilterModel::hasChildren() const
    {65, 1105, 390, 3, Smoke::mf_const, 256, 29},	//1195 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&) const
    {65, 1105, 394, 4, Smoke::mf_const, 256, 30},	//1196 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int) const
    {65, 794, 0, 0, Smoke::mf_const, 457, 31},	//1197 Akonadi::EntityMimeTypeFilterModel::columnCount() const
    {65, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 32},	//1198 Akonadi::EntityMimeTypeFilterModel::staticMetaObject() const
    {65, 1712, 0, 0, Smoke::mf_dtor, 0, 33 },	//1199 Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel()
    {67, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1200 Akonadi::EntityTreeModel::metaObject() const
    {67, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1201 Akonadi::EntityTreeModel::qt_metacast(const char*)
    {67, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1202 Akonadi::EntityTreeModel::tr(const char*, const char*)
    {67, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1203 Akonadi::EntityTreeModel::trUtf8(const char*, const char*)
    {67, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1204 Akonadi::EntityTreeModel::tr(const char*, const char*, int)
    {67, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1205 Akonadi::EntityTreeModel::trUtf8(const char*, const char*, int)
    {67, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1206 Akonadi::EntityTreeModel::qt_metacall(QMetaObject::Call, int, void**)
    {67, 249, 399, 2, Smoke::mf_ctor, 102, 8},	//1207 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    {67, 1505, 45, 1, 0, 0, 9},	//1208 Akonadi::EntityTreeModel::setShowSystemEntities(bool)
    {67, 1596, 0, 0, Smoke::mf_const, 369, 10},	//1209 Akonadi::EntityTreeModel::systemEntitiesShown() const
    {67, 987, 0, 0, Smoke::mf_const, 369, 11},	//1210 Akonadi::EntityTreeModel::includeUnsubscribed() const
    {67, 1400, 45, 1, 0, 0, 12},	//1211 Akonadi::EntityTreeModel::setIncludeUnsubscribed(bool)
    {67, 1418, 402, 1, 0, 0, 13},	//1212 Akonadi::EntityTreeModel::setItemPopulationStrategy(Akonadi::EntityTreeModel::ItemPopulationStrategy)
    {67, 1064, 0, 0, Smoke::mf_const, 106, 14},	//1213 Akonadi::EntityTreeModel::itemPopulationStrategy() const
    {67, 1396, 45, 1, 0, 0, 15},	//1214 Akonadi::EntityTreeModel::setIncludeRootCollection(bool)
    {67, 984, 0, 0, Smoke::mf_const, 369, 16},	//1215 Akonadi::EntityTreeModel::includeRootCollection() const
    {67, 1496, 8, 1, 0, 0, 17},	//1216 Akonadi::EntityTreeModel::setRootCollectionDisplayName(const QString&)
    {67, 1224, 0, 0, Smoke::mf_const, 277, 18},	//1217 Akonadi::EntityTreeModel::rootCollectionDisplayName() const
    {67, 1299, 404, 1, 0, 0, 19},	//1218 Akonadi::EntityTreeModel::setCollectionFetchStrategy(Akonadi::EntityTreeModel::CollectionFetchStrategy)
    {67, 767, 0, 0, Smoke::mf_const, 103, 20},	//1219 Akonadi::EntityTreeModel::collectionFetchStrategy() const
    {67, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 21},	//1220 Akonadi::EntityTreeModel::columnCount(const QModelIndex&) const
    {67, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 22},	//1221 Akonadi::EntityTreeModel::rowCount(const QModelIndex&) const
    {67, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 23},	//1222 Akonadi::EntityTreeModel::data(const QModelIndex&, int) const
    {67, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 24},	//1223 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation, int) const
    {67, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 25},	//1224 Akonadi::EntityTreeModel::flags(const QModelIndex&) const
    {67, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 26},	//1225 Akonadi::EntityTreeModel::mimeTypes() const
    {67, 1584, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 27},	//1226 Akonadi::EntityTreeModel::supportedDropActions() const
    {67, 1112, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 28},	//1227 Akonadi::EntityTreeModel::mimeData(const QList<QModelIndex>&) const
    {67, 892, 225, 5, Smoke::mf_virtual, 369, 29},	//1228 Akonadi::EntityTreeModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {67, 1342, 108, 3, Smoke::mf_virtual, 369, 30},	//1229 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&, int)
    {67, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 31},	//1230 Akonadi::EntityTreeModel::index(int, int, const QModelIndex&) const
    {67, 1155, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 32},	//1231 Akonadi::EntityTreeModel::parent(const QModelIndex&) const
    {67, 726, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 33},	//1232 Akonadi::EntityTreeModel::canFetchMore(const QModelIndex&) const
    {67, 937, 95, 1, Smoke::mf_virtual, 0, 34},	//1233 Akonadi::EntityTreeModel::fetchMore(const QModelIndex&)
    {67, 963, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 35},	//1234 Akonadi::EntityTreeModel::hasChildren(const QModelIndex&) const
    {67, 1105, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 36},	//1235 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {67, 1124, 406, 2, Smoke::mf_static, 261, 37},	//1236 Akonadi::EntityTreeModel::modelIndexForCollection(const QAbstractItemModel*, const Akonadi::Collection&)
    {67, 1126, 409, 2, Smoke::mf_static, 256, 38},	//1237 Akonadi::EntityTreeModel::modelIndexesForItem(const QAbstractItemModel*, const Akonadi::Item&)
    {67, 745, 0, 0, Smoke::mf_protected, 0, 39},	//1238 Akonadi::EntityTreeModel::clearAndReset()
    {67, 907, 412, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 40},	//1239 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    {67, 907, 416, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 41},	//1240 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    {67, 910, 420, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 42},	//1241 Akonadi::EntityTreeModel::entityHeaderData(int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 905, 382, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 457, 43},	//1242 Akonadi::EntityTreeModel::entityColumnCount(Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 912, 425, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 44},	//1243 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 912, 429, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 45},	//1244 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 846, 0, 0, Smoke::mf_protected, 108, 46},	//1245 Akonadi::EntityTreeModel::d_func()
    {67, 846, 0, 0, Smoke::mf_const|Smoke::mf_protected, 393, 47},	//1246 Akonadi::EntityTreeModel::d_func() const
    {67, 249, 433, 3, Smoke::mf_ctor|Smoke::mf_protected, 102, 48},	//1247 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*)
    {67, 1603, 21, 1, Smoke::mf_static, 277, 49},	//1248 Akonadi::EntityTreeModel::tr(const char*)
    {67, 1607, 21, 1, Smoke::mf_static, 277, 50},	//1249 Akonadi::EntityTreeModel::trUtf8(const char*)
    {67, 249, 437, 1, Smoke::mf_ctor, 102, 51},	//1250 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*)
    {67, 794, 0, 0, Smoke::mf_const, 457, 52},	//1251 Akonadi::EntityTreeModel::columnCount() const
    {67, 1225, 0, 0, Smoke::mf_const, 457, 53},	//1252 Akonadi::EntityTreeModel::rowCount() const
    {67, 847, 95, 1, Smoke::mf_const, 287, 54},	//1253 Akonadi::EntityTreeModel::data(const QModelIndex&) const
    {67, 968, 112, 2, Smoke::mf_const, 287, 55},	//1254 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation) const
    {67, 1342, 240, 2, 0, 369, 56},	//1255 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&)
    {67, 990, 115, 2, Smoke::mf_const, 261, 57},	//1256 Akonadi::EntityTreeModel::index(int, int) const
    {67, 963, 0, 0, Smoke::mf_const, 369, 58},	//1257 Akonadi::EntityTreeModel::hasChildren() const
    {67, 1105, 390, 3, Smoke::mf_const, 256, 59},	//1258 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&) const
    {67, 1105, 394, 4, Smoke::mf_const, 256, 60},	//1259 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int) const
    {67, 907, 439, 2, Smoke::mf_const|Smoke::mf_protected, 287, 61},	//1260 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    {67, 907, 442, 2, Smoke::mf_const|Smoke::mf_protected, 287, 62},	//1261 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    {67, 249, 445, 2, Smoke::mf_ctor|Smoke::mf_protected, 102, 63},	//1262 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    {67, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 64},	//1263 Akonadi::EntityTreeModel::staticMetaObject() const
    {67, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 65},	//1264 Akonadi::EntityTreeModel::ItemIdRole (enum)
    {67, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 66},	//1265 Akonadi::EntityTreeModel::ItemRole (enum)
    {67, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 67},	//1266 Akonadi::EntityTreeModel::MimeTypeRole (enum)
    {67, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 68},	//1267 Akonadi::EntityTreeModel::CollectionIdRole (enum)
    {67, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 69},	//1268 Akonadi::EntityTreeModel::CollectionRole (enum)
    {67, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 70},	//1269 Akonadi::EntityTreeModel::RemoteIdRole (enum)
    {67, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 71},	//1270 Akonadi::EntityTreeModel::CollectionChildOrderRole (enum)
    {67, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 72},	//1271 Akonadi::EntityTreeModel::AmazingCompletionRole (enum)
    {67, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 73},	//1272 Akonadi::EntityTreeModel::ParentCollectionRole (enum)
    {67, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 74},	//1273 Akonadi::EntityTreeModel::ColumnCountRole (enum)
    {67, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 75},	//1274 Akonadi::EntityTreeModel::LoadedPartsRole (enum)
    {67, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 76},	//1275 Akonadi::EntityTreeModel::AvailablePartsRole (enum)
    {67, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 77},	//1276 Akonadi::EntityTreeModel::SessionRole (enum)
    {67, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 78},	//1277 Akonadi::EntityTreeModel::CollectionRefRole (enum)
    {67, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 79},	//1278 Akonadi::EntityTreeModel::CollectionDerefRole (enum)
    {67, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 80},	//1279 Akonadi::EntityTreeModel::PendingCutRole (enum)
    {67, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 81},	//1280 Akonadi::EntityTreeModel::EntityUrlRole (enum)
    {67, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 82},	//1281 Akonadi::EntityTreeModel::UnreadCountRole (enum)
    {67, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 83},	//1282 Akonadi::EntityTreeModel::FetchStateRole (enum)
    {67, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 84},	//1283 Akonadi::EntityTreeModel::CollectionSyncProgressRole (enum)
    {67, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 85},	//1284 Akonadi::EntityTreeModel::UserRole (enum)
    {67, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 86},	//1285 Akonadi::EntityTreeModel::TerminalUserRole (enum)
    {67, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 87},	//1286 Akonadi::EntityTreeModel::EndRole (enum)
    {67, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 88},	//1287 Akonadi::EntityTreeModel::IdleState (enum)
    {67, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 89},	//1288 Akonadi::EntityTreeModel::FetchingState (enum)
    {67, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 90},	//1289 Akonadi::EntityTreeModel::EntityTreeHeaders (enum)
    {67, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 91},	//1290 Akonadi::EntityTreeModel::CollectionTreeHeaders (enum)
    {67, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 92},	//1291 Akonadi::EntityTreeModel::ItemListHeaders (enum)
    {67, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 93},	//1292 Akonadi::EntityTreeModel::UserHeaders (enum)
    {67, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 94},	//1293 Akonadi::EntityTreeModel::EndHeaderGroup (enum)
    {67, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 95},	//1294 Akonadi::EntityTreeModel::NoItemPopulation (enum)
    {67, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 96},	//1295 Akonadi::EntityTreeModel::ImmediatePopulation (enum)
    {67, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 97},	//1296 Akonadi::EntityTreeModel::LazyPopulation (enum)
    {67, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 98},	//1297 Akonadi::EntityTreeModel::FetchNoCollections (enum)
    {67, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 99},	//1298 Akonadi::EntityTreeModel::FetchFirstLevelChildCollections (enum)
    {67, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 100},	//1299 Akonadi::EntityTreeModel::FetchCollectionsRecursive (enum)
    {67, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 101},	//1300 Akonadi::EntityTreeModel::InvisibleCollectionFetch (enum)
    {67, 1713, 0, 0, Smoke::mf_dtor, 0, 102 },	//1301 Akonadi::EntityTreeModel::~EntityTreeModel()
    {69, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1302 Akonadi::EntityTreeView::metaObject() const
    {69, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1303 Akonadi::EntityTreeView::qt_metacast(const char*)
    {69, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1304 Akonadi::EntityTreeView::tr(const char*, const char*)
    {69, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1305 Akonadi::EntityTreeView::trUtf8(const char*, const char*)
    {69, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1306 Akonadi::EntityTreeView::tr(const char*, const char*, int)
    {69, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1307 Akonadi::EntityTreeView::trUtf8(const char*, const char*, int)
    {69, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1308 Akonadi::EntityTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {69, 253, 85, 1, Smoke::mf_ctor, 109, 8},	//1309 Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    {69, 253, 282, 2, Smoke::mf_ctor, 109, 9},	//1310 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*, QWidget*)
    {69, 1536, 287, 1, 0, 0, 10},	//1311 Akonadi::EntityTreeView::setXmlGuiClient(KXMLGUIClient*)
    {69, 1444, 159, 1, Smoke::mf_virtual, 0, 11},	//1312 Akonadi::EntityTreeView::setModel(QAbstractItemModel*)
    {69, 1353, 45, 1, 0, 0, 12},	//1313 Akonadi::EntityTreeView::setDropActionMenuEnabled(bool)
    {69, 1029, 0, 0, Smoke::mf_const, 369, 13},	//1314 Akonadi::EntityTreeView::isDropActionMenuEnabled() const
    {69, 1033, 0, 0, Smoke::mf_const, 369, 14},	//1315 Akonadi::EntityTreeView::isManualSortingActive() const
    {69, 1433, 45, 1, 0, 0, 15},	//1316 Akonadi::EntityTreeView::setManualSortingActive(bool)
    {69, 753, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1317 Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    {69, 753, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1318 Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    {69, 881, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1319 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    {69, 881, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1320 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    {69, 839, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1321 Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    {69, 839, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1322 Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    {69, 839, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1323 Akonadi::EntityTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {69, 1563, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1324 Akonadi::EntityTreeView::startDrag(QFlags<Qt::DropAction>)
    {69, 886, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1325 Akonadi::EntityTreeView::dragMoveEvent(QDragMoveEvent*)
    {69, 890, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1326 Akonadi::EntityTreeView::dropEvent(QDropEvent*)
    {69, 1599, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1327 Akonadi::EntityTreeView::timerEvent(QTimerEvent*)
    {69, 820, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1328 Akonadi::EntityTreeView::contextMenuEvent(QContextMenuEvent*)
    {69, 1603, 21, 1, Smoke::mf_static, 277, 28},	//1329 Akonadi::EntityTreeView::tr(const char*)
    {69, 1607, 21, 1, Smoke::mf_static, 277, 29},	//1330 Akonadi::EntityTreeView::trUtf8(const char*)
    {69, 253, 0, 0, Smoke::mf_ctor, 109, 30},	//1331 Akonadi::EntityTreeView::EntityTreeView()
    {69, 253, 287, 1, Smoke::mf_ctor, 109, 31},	//1332 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    {69, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 32},	//1333 Akonadi::EntityTreeView::staticMetaObject() const
    {69, 1714, 0, 0, Smoke::mf_dtor, 0, 33 },	//1334 Akonadi::EntityTreeView::~EntityTreeView()
    {70, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1335 Akonadi::EntityTreeViewStateSaver::metaObject() const
    {70, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1336 Akonadi::EntityTreeViewStateSaver::qt_metacast(const char*)
    {70, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1337 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*)
    {70, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1338 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*)
    {70, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1339 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*, int)
    {70, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1340 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*, int)
    {70, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1341 Akonadi::EntityTreeViewStateSaver::qt_metacall(QMetaObject::Call, int, void**)
    {70, 256, 270, 1, Smoke::mf_ctor, 110, 8},	//1342 Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver(QTreeView*)
    {70, 1233, 450, 1, Smoke::mf_const, 0, 9},	//1343 Akonadi::EntityTreeViewStateSaver::saveState(KConfigGroup&) const
    {70, 1210, 452, 1, Smoke::mf_const, 0, 10},	//1344 Akonadi::EntityTreeViewStateSaver::restoreState(const KConfigGroup&) const
    {70, 1603, 21, 1, Smoke::mf_static, 277, 11},	//1345 Akonadi::EntityTreeViewStateSaver::tr(const char*)
    {70, 1607, 21, 1, Smoke::mf_static, 277, 12},	//1346 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*)
    {70, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 13},	//1347 Akonadi::EntityTreeViewStateSaver::staticMetaObject() const
    {70, 1715, 0, 0, Smoke::mf_dtor, 0, 14 },	//1348 Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver()
    {71, 263, 21, 1, Smoke::mf_ctor, 111, 1},	//1349 Akonadi::Exception::Exception(const char*)
    {71, 263, 6, 1, Smoke::mf_ctor, 111, 2},	//1350 Akonadi::Exception::Exception(const QByteArray&)
    {71, 263, 8, 1, Smoke::mf_ctor, 111, 3},	//1351 Akonadi::Exception::Exception(const QString&)
    {71, 263, 454, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 4},	//1352 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {71, 1647, 0, 0, Smoke::mf_const, 453, 5},	//1353 Akonadi::Exception::what() const
    {71, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 6},	//1354 Akonadi::Exception::type() const
    {71, 1716, 0, 0, Smoke::mf_dtor, 0, 7 },	//1355 Akonadi::Exception::~Exception()
    {72, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1356 Akonadi::FavoriteCollectionsModel::metaObject() const
    {72, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1357 Akonadi::FavoriteCollectionsModel::qt_metacast(const char*)
    {72, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1358 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*)
    {72, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1359 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*)
    {72, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1360 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*, int)
    {72, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1361 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*, int)
    {72, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1362 Akonadi::FavoriteCollectionsModel::qt_metacall(QMetaObject::Call, int, void**)
    {72, 268, 456, 3, Smoke::mf_ctor, 112, 8},	//1363 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&, QObject*)
    {72, 785, 0, 0, Smoke::mf_const, 251, 9},	//1364 Akonadi::FavoriteCollectionsModel::collections() const
    {72, 770, 0, 0, Smoke::mf_const, 250, 10},	//1365 Akonadi::FavoriteCollectionsModel::collectionIds() const
    {72, 921, 61, 1, 0, 277, 11},	//1366 Akonadi::FavoriteCollectionsModel::favoriteLabel(const Akonadi::Collection&)
    {72, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1367 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&, int) const
    {72, 1342, 108, 3, Smoke::mf_virtual, 369, 13},	//1368 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&, int)
    {72, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 14},	//1369 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation, int) const
    {72, 892, 225, 5, Smoke::mf_virtual, 369, 15},	//1370 Akonadi::FavoriteCollectionsModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {72, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 16},	//1371 Akonadi::FavoriteCollectionsModel::mimeTypes() const
    {72, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 17},	//1372 Akonadi::FavoriteCollectionsModel::flags(const QModelIndex&) const
    {72, 1312, 199, 1, Smoke::mf_slot, 0, 18},	//1373 Akonadi::FavoriteCollectionsModel::setCollections(const Akonadi::Collection::List&)
    {72, 676, 61, 1, Smoke::mf_slot, 0, 19},	//1374 Akonadi::FavoriteCollectionsModel::addCollection(const Akonadi::Collection&)
    {72, 1191, 61, 1, Smoke::mf_slot, 0, 20},	//1375 Akonadi::FavoriteCollectionsModel::removeCollection(const Akonadi::Collection&)
    {72, 1362, 460, 2, Smoke::mf_slot, 0, 21},	//1376 Akonadi::FavoriteCollectionsModel::setFavoriteLabel(const Akonadi::Collection&, const QString&)
    {72, 1603, 21, 1, Smoke::mf_static, 277, 22},	//1377 Akonadi::FavoriteCollectionsModel::tr(const char*)
    {72, 1607, 21, 1, Smoke::mf_static, 277, 23},	//1378 Akonadi::FavoriteCollectionsModel::trUtf8(const char*)
    {72, 268, 463, 2, Smoke::mf_ctor, 112, 24},	//1379 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&)
    {72, 847, 95, 1, Smoke::mf_const, 287, 25},	//1380 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&) const
    {72, 1342, 240, 2, 0, 369, 26},	//1381 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&)
    {72, 968, 112, 2, Smoke::mf_const, 287, 27},	//1382 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation) const
    {72, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 28},	//1383 Akonadi::FavoriteCollectionsModel::staticMetaObject() const
    {72, 1717, 0, 0, Smoke::mf_dtor, 0, 29 },	//1384 Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel()
    {73, 304, 0, 0, Smoke::mf_ctor, 115, 1},	//1385 Akonadi::Item::Item()
    {73, 304, 146, 1, Smoke::mf_ctor, 115, 2},	//1386 Akonadi::Item::Item(long long)
    {73, 304, 8, 1, Smoke::mf_ctor, 115, 3},	//1387 Akonadi::Item::Item(const QString&)
    {73, 304, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 4},	//1388 Akonadi::Item::Item(const Akonadi::Item&)
    {73, 956, 148, 1, Smoke::mf_static, 113, 5},	//1389 Akonadi::Item::fromUrl(const KUrl&)
    {73, 949, 0, 0, Smoke::mf_const, 273, 6},	//1390 Akonadi::Item::flags() const
    {73, 1128, 0, 0, Smoke::mf_const, 222, 7},	//1391 Akonadi::Item::modificationTime() const
    {73, 1447, 466, 1, 0, 0, 8},	//1392 Akonadi::Item::setModificationTime(const QDateTime&)
    {73, 965, 6, 1, Smoke::mf_const, 369, 9},	//1393 Akonadi::Item::hasFlag(const QByteArray&) const
    {73, 1370, 6, 1, 0, 0, 10},	//1394 Akonadi::Item::setFlag(const QByteArray&)
    {73, 749, 6, 1, 0, 0, 11},	//1395 Akonadi::Item::clearFlag(const QByteArray&)
    {73, 1372, 468, 1, 0, 0, 12},	//1396 Akonadi::Item::setFlags(const QSet<QByteArray>&)
    {73, 751, 0, 0, 0, 0, 13},	//1397 Akonadi::Item::clearFlags()
    {73, 1466, 6, 1, 0, 0, 14},	//1398 Akonadi::Item::setPayloadFromData(const QByteArray&)
    {73, 1162, 0, 0, Smoke::mf_const, 215, 15},	//1399 Akonadi::Item::payloadData() const
    {73, 1096, 0, 0, Smoke::mf_const, 273, 16},	//1400 Akonadi::Item::loadedPayloadParts() const
    {73, 752, 0, 0, 0, 0, 17},	//1401 Akonadi::Item::clearPayload()
    {73, 1492, 41, 1, 0, 0, 18},	//1402 Akonadi::Item::setRevision(int)
    {73, 1220, 0, 0, Smoke::mf_const, 457, 19},	//1403 Akonadi::Item::revision() const
    {73, 1578, 0, 0, Smoke::mf_const, 460, 20},	//1404 Akonadi::Item::storageCollectionId() const
    {73, 1507, 146, 1, 0, 0, 21},	//1405 Akonadi::Item::setSize(long long)
    {73, 1548, 0, 0, Smoke::mf_const, 460, 22},	//1406 Akonadi::Item::size() const
    {73, 1437, 8, 1, 0, 0, 23},	//1407 Akonadi::Item::setMimeType(const QString&)
    {73, 1114, 0, 0, Smoke::mf_const, 277, 24},	//1408 Akonadi::Item::mimeType() const
    {73, 718, 0, 0, Smoke::mf_const, 290, 25},	//1409 Akonadi::Item::availablePayloadMetaTypeIds() const
    {73, 967, 0, 0, Smoke::mf_const, 369, 26},	//1410 Akonadi::Item::hasPayload() const
    {73, 1628, 470, 1, Smoke::mf_const, 203, 27},	//1411 Akonadi::Item::url(Akonadi::Item::UrlType) const
    {73, 719, 0, 0, Smoke::mf_const, 273, 28},	//1412 Akonadi::Item::availablePayloadParts() const
    {73, 708, 56, 1, 0, 0, 29},	//1413 Akonadi::Item::apply(const Akonadi::Item&)
    {73, 1628, 0, 0, Smoke::mf_const, 203, 30},	//1414 Akonadi::Item::url() const
    {73, 280, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 31},	//1415 Akonadi::Item::FullPayload() const
    {73, 1376, 21, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 32},	//1416 Akonadi::Item::setFullPayload(const char*)
    {73, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 33},	//1417 Akonadi::Item::UrlShort (enum)
    {73, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 34},	//1418 Akonadi::Item::UrlWithMimeType (enum)
    {73, 1718, 0, 0, Smoke::mf_dtor, 0, 35 },	//1419 Akonadi::Item::~Item()
    {74, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1420 Akonadi::ItemCopyJob::metaObject() const
    {74, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1421 Akonadi::ItemCopyJob::qt_metacast(const char*)
    {74, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1422 Akonadi::ItemCopyJob::tr(const char*, const char*)
    {74, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1423 Akonadi::ItemCopyJob::trUtf8(const char*, const char*)
    {74, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1424 Akonadi::ItemCopyJob::tr(const char*, const char*, int)
    {74, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1425 Akonadi::ItemCopyJob::trUtf8(const char*, const char*, int)
    {74, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1426 Akonadi::ItemCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {74, 307, 472, 3, Smoke::mf_ctor, 118, 8},	//1427 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {74, 307, 476, 3, Smoke::mf_ctor, 118, 9},	//1428 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {74, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1429 Akonadi::ItemCopyJob::doStart()
    {74, 1603, 21, 1, Smoke::mf_static, 277, 11},	//1430 Akonadi::ItemCopyJob::tr(const char*)
    {74, 1607, 21, 1, Smoke::mf_static, 277, 12},	//1431 Akonadi::ItemCopyJob::trUtf8(const char*)
    {74, 307, 50, 2, Smoke::mf_ctor, 118, 13},	//1432 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&)
    {74, 307, 480, 2, Smoke::mf_ctor, 118, 14},	//1433 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {74, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 15},	//1434 Akonadi::ItemCopyJob::staticMetaObject() const
    {74, 1719, 0, 0, Smoke::mf_dtor, 0, 16 },	//1435 Akonadi::ItemCopyJob::~ItemCopyJob()
    {75, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1436 Akonadi::ItemCreateJob::metaObject() const
    {75, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1437 Akonadi::ItemCreateJob::qt_metacast(const char*)
    {75, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1438 Akonadi::ItemCreateJob::tr(const char*, const char*)
    {75, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1439 Akonadi::ItemCreateJob::trUtf8(const char*, const char*)
    {75, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1440 Akonadi::ItemCreateJob::tr(const char*, const char*, int)
    {75, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1441 Akonadi::ItemCreateJob::trUtf8(const char*, const char*, int)
    {75, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1442 Akonadi::ItemCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {75, 312, 472, 3, Smoke::mf_ctor, 119, 8},	//1443 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {75, 1048, 0, 0, Smoke::mf_const, 113, 9},	//1444 Akonadi::ItemCreateJob::item() const
    {75, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1445 Akonadi::ItemCreateJob::doStart()
    {75, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1446 Akonadi::ItemCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {75, 1603, 21, 1, Smoke::mf_static, 277, 12},	//1447 Akonadi::ItemCreateJob::tr(const char*)
    {75, 1607, 21, 1, Smoke::mf_static, 277, 13},	//1448 Akonadi::ItemCreateJob::trUtf8(const char*)
    {75, 312, 50, 2, Smoke::mf_ctor, 119, 14},	//1449 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&)
    {75, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 15},	//1450 Akonadi::ItemCreateJob::staticMetaObject() const
    {75, 1720, 0, 0, Smoke::mf_dtor, 0, 16 },	//1451 Akonadi::ItemCreateJob::~ItemCreateJob()
    {76, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1452 Akonadi::ItemDeleteJob::metaObject() const
    {76, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1453 Akonadi::ItemDeleteJob::qt_metacast(const char*)
    {76, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1454 Akonadi::ItemDeleteJob::tr(const char*, const char*)
    {76, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1455 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*)
    {76, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1456 Akonadi::ItemDeleteJob::tr(const char*, const char*, int)
    {76, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1457 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*, int)
    {76, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1458 Akonadi::ItemDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {76, 315, 483, 2, Smoke::mf_ctor, 120, 8},	//1459 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    {76, 315, 486, 2, Smoke::mf_ctor, 120, 9},	//1460 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&, QObject*)
    {76, 315, 165, 2, Smoke::mf_ctor, 120, 10},	//1461 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    {76, 855, 0, 0, Smoke::mf_const, 253, 11},	//1462 Akonadi::ItemDeleteJob::deletedItems() const
    {76, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1463 Akonadi::ItemDeleteJob::doStart()
    {76, 1603, 21, 1, Smoke::mf_static, 277, 13},	//1464 Akonadi::ItemDeleteJob::tr(const char*)
    {76, 1607, 21, 1, Smoke::mf_static, 277, 14},	//1465 Akonadi::ItemDeleteJob::trUtf8(const char*)
    {76, 315, 56, 1, Smoke::mf_ctor, 120, 15},	//1466 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    {76, 315, 489, 1, Smoke::mf_ctor, 120, 16},	//1467 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&)
    {76, 315, 61, 1, Smoke::mf_ctor, 120, 17},	//1468 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    {76, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 18},	//1469 Akonadi::ItemDeleteJob::staticMetaObject() const
    {76, 1721, 0, 0, Smoke::mf_dtor, 0, 19 },	//1470 Akonadi::ItemDeleteJob::~ItemDeleteJob()
    {77, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1471 Akonadi::ItemFetchJob::metaObject() const
    {77, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1472 Akonadi::ItemFetchJob::qt_metacast(const char*)
    {77, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1473 Akonadi::ItemFetchJob::tr(const char*, const char*)
    {77, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1474 Akonadi::ItemFetchJob::trUtf8(const char*, const char*)
    {77, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1475 Akonadi::ItemFetchJob::tr(const char*, const char*, int)
    {77, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1476 Akonadi::ItemFetchJob::trUtf8(const char*, const char*, int)
    {77, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1477 Akonadi::ItemFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {77, 320, 165, 2, Smoke::mf_ctor, 121, 8},	//1478 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    {77, 320, 483, 2, Smoke::mf_ctor, 121, 9},	//1479 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    {77, 320, 486, 2, Smoke::mf_ctor, 121, 10},	//1480 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    {77, 320, 491, 2, Smoke::mf_ctor, 121, 11},	//1481 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    {77, 1074, 0, 0, Smoke::mf_const, 253, 12},	//1482 Akonadi::ItemFetchJob::items() const
    {77, 1368, 494, 1, 0, 0, 13},	//1483 Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    {77, 1368, 496, 1, 0, 0, 14},	//1484 Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {77, 942, 0, 0, 0, 122, 15},	//1485 Akonadi::ItemFetchJob::fetchScope()
    {77, 1295, 61, 1, 0, 0, 16},	//1486 Akonadi::ItemFetchJob::setCollection(const Akonadi::Collection&)
    {77, 1077, 498, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1487 Akonadi::ItemFetchJob::itemsReceived(const Akonadi::Item::List&)
    {77, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1488 Akonadi::ItemFetchJob::doStart()
    {77, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1489 Akonadi::ItemFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {77, 1603, 21, 1, Smoke::mf_static, 277, 20},	//1490 Akonadi::ItemFetchJob::tr(const char*)
    {77, 1607, 21, 1, Smoke::mf_static, 277, 21},	//1491 Akonadi::ItemFetchJob::trUtf8(const char*)
    {77, 320, 61, 1, Smoke::mf_ctor, 121, 22},	//1492 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    {77, 320, 56, 1, Smoke::mf_ctor, 121, 23},	//1493 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    {77, 320, 489, 1, Smoke::mf_ctor, 121, 24},	//1494 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    {77, 320, 500, 1, Smoke::mf_ctor, 121, 25},	//1495 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    {77, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 26},	//1496 Akonadi::ItemFetchJob::staticMetaObject() const
    {77, 1722, 0, 0, Smoke::mf_dtor, 0, 27 },	//1497 Akonadi::ItemFetchJob::~ItemFetchJob()
    {78, 325, 0, 0, Smoke::mf_ctor, 123, 1},	//1498 Akonadi::ItemFetchScope::ItemFetchScope()
    {78, 325, 496, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//1499 Akonadi::ItemFetchScope::ItemFetchScope(const Akonadi::ItemFetchScope&)
    {78, 1145, 496, 1, 0, 122, 3},	//1500 Akonadi::ItemFetchScope::operator=(const Akonadi::ItemFetchScope&)
    {78, 1163, 0, 0, Smoke::mf_const, 273, 4},	//1501 Akonadi::ItemFetchScope::payloadParts() const
    {78, 939, 502, 2, 0, 0, 5},	//1502 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&, bool)
    {78, 958, 0, 0, Smoke::mf_const, 369, 6},	//1503 Akonadi::ItemFetchScope::fullPayload() const
    {78, 934, 45, 1, 0, 0, 7},	//1504 Akonadi::ItemFetchScope::fetchFullPayload(bool)
    {78, 713, 0, 0, Smoke::mf_const, 273, 8},	//1505 Akonadi::ItemFetchScope::attributes() const
    {78, 925, 502, 2, 0, 0, 9},	//1506 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&, bool)
    {78, 704, 0, 0, Smoke::mf_const, 369, 10},	//1507 Akonadi::ItemFetchScope::allAttributes() const
    {78, 923, 45, 1, 0, 0, 11},	//1508 Akonadi::ItemFetchScope::fetchAllAttributes(bool)
    {78, 723, 0, 0, Smoke::mf_const, 369, 12},	//1509 Akonadi::ItemFetchScope::cacheOnly() const
    {78, 1282, 45, 1, 0, 0, 13},	//1510 Akonadi::ItemFetchScope::setCacheOnly(bool)
    {78, 1271, 505, 1, 0, 0, 14},	//1511 Akonadi::ItemFetchScope::setAncestorRetrieval(Akonadi::ItemFetchScope::AncestorRetrieval)
    {78, 707, 0, 0, Smoke::mf_const, 124, 15},	//1512 Akonadi::ItemFetchScope::ancestorRetrieval() const
    {78, 1366, 45, 1, 0, 0, 16},	//1513 Akonadi::ItemFetchScope::setFetchModificationTime(bool)
    {78, 936, 0, 0, Smoke::mf_const, 369, 17},	//1514 Akonadi::ItemFetchScope::fetchModificationTime() const
    {78, 1030, 0, 0, Smoke::mf_const, 369, 18},	//1515 Akonadi::ItemFetchScope::isEmpty() const
    {78, 939, 6, 1, 0, 0, 19},	//1516 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&)
    {78, 934, 0, 0, 0, 0, 20},	//1517 Akonadi::ItemFetchScope::fetchFullPayload()
    {78, 925, 6, 1, 0, 0, 21},	//1518 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&)
    {78, 923, 0, 0, 0, 0, 22},	//1519 Akonadi::ItemFetchScope::fetchAllAttributes()
    {78, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 23},	//1520 Akonadi::ItemFetchScope::None (enum)
    {78, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 24},	//1521 Akonadi::ItemFetchScope::Parent (enum)
    {78, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 25},	//1522 Akonadi::ItemFetchScope::All (enum)
    {78, 1723, 0, 0, Smoke::mf_dtor, 0, 26 },	//1523 Akonadi::ItemFetchScope::~ItemFetchScope()
    {79, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1524 Akonadi::ItemModel::metaObject() const
    {79, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1525 Akonadi::ItemModel::qt_metacast(const char*)
    {79, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1526 Akonadi::ItemModel::tr(const char*, const char*)
    {79, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1527 Akonadi::ItemModel::trUtf8(const char*, const char*)
    {79, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1528 Akonadi::ItemModel::tr(const char*, const char*, int)
    {79, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1529 Akonadi::ItemModel::trUtf8(const char*, const char*, int)
    {79, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1530 Akonadi::ItemModel::qt_metacall(QMetaObject::Call, int, void**)
    {79, 329, 78, 1, Smoke::mf_ctor, 125, 8},	//1531 Akonadi::ItemModel::ItemModel(QObject*)
    {79, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 9},	//1532 Akonadi::ItemModel::columnCount(const QModelIndex&) const
    {79, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 10},	//1533 Akonadi::ItemModel::data(const QModelIndex&, int) const
    {79, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 11},	//1534 Akonadi::ItemModel::rowCount(const QModelIndex&) const
    {79, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1535 Akonadi::ItemModel::headerData(int, Qt::Orientation, int) const
    {79, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 13},	//1536 Akonadi::ItemModel::flags(const QModelIndex&) const
    {79, 1112, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 14},	//1537 Akonadi::ItemModel::mimeData(const QList<QModelIndex>&) const
    {79, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 15},	//1538 Akonadi::ItemModel::mimeTypes() const
    {79, 1584, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//1539 Akonadi::ItemModel::supportedDropActions() const
    {79, 1368, 496, 1, 0, 0, 17},	//1540 Akonadi::ItemModel::setFetchScope(const Akonadi::ItemFetchScope&)
    {79, 942, 0, 0, 0, 122, 18},	//1541 Akonadi::ItemModel::fetchScope()
    {79, 1056, 95, 1, Smoke::mf_const, 113, 19},	//1542 Akonadi::ItemModel::itemForIndex(const QModelIndex&) const
    {79, 994, 507, 2, Smoke::mf_const, 261, 20},	//1543 Akonadi::ItemModel::indexForItem(const Akonadi::Item&, const int) const
    {79, 892, 225, 5, Smoke::mf_virtual, 369, 21},	//1544 Akonadi::ItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {79, 758, 0, 0, Smoke::mf_const, 34, 22},	//1545 Akonadi::ItemModel::collection() const
    {79, 1295, 61, 1, Smoke::mf_slot, 0, 23},	//1546 Akonadi::ItemModel::setCollection(const Akonadi::Collection&)
    {79, 763, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1547 Akonadi::ItemModel::collectionChanged(const Akonadi::Collection&)
    {79, 1259, 0, 0, Smoke::mf_const|Smoke::mf_protected, 162, 25},	//1548 Akonadi::ItemModel::session() const
    {79, 1603, 21, 1, Smoke::mf_static, 277, 26},	//1549 Akonadi::ItemModel::tr(const char*)
    {79, 1607, 21, 1, Smoke::mf_static, 277, 27},	//1550 Akonadi::ItemModel::trUtf8(const char*)
    {79, 329, 0, 0, Smoke::mf_ctor, 125, 28},	//1551 Akonadi::ItemModel::ItemModel()
    {79, 794, 0, 0, Smoke::mf_const, 457, 29},	//1552 Akonadi::ItemModel::columnCount() const
    {79, 847, 95, 1, Smoke::mf_const, 287, 30},	//1553 Akonadi::ItemModel::data(const QModelIndex&) const
    {79, 1225, 0, 0, Smoke::mf_const, 457, 31},	//1554 Akonadi::ItemModel::rowCount() const
    {79, 968, 112, 2, Smoke::mf_const, 287, 32},	//1555 Akonadi::ItemModel::headerData(int, Qt::Orientation) const
    {79, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 33},	//1556 Akonadi::ItemModel::staticMetaObject() const
    {79, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 34},	//1557 Akonadi::ItemModel::Id (enum)
    {79, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 35},	//1558 Akonadi::ItemModel::RemoteId (enum)
    {79, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 36},	//1559 Akonadi::ItemModel::MimeType (enum)
    {79, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 37},	//1560 Akonadi::ItemModel::IdRole (enum)
    {79, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 38},	//1561 Akonadi::ItemModel::ItemRole (enum)
    {79, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 39},	//1562 Akonadi::ItemModel::MimeTypeRole (enum)
    {79, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 40},	//1563 Akonadi::ItemModel::UserRole (enum)
    {79, 1724, 0, 0, Smoke::mf_dtor, 0, 41 },	//1564 Akonadi::ItemModel::~ItemModel()
    {80, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1565 Akonadi::ItemModifyJob::metaObject() const
    {80, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1566 Akonadi::ItemModifyJob::qt_metacast(const char*)
    {80, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1567 Akonadi::ItemModifyJob::tr(const char*, const char*)
    {80, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1568 Akonadi::ItemModifyJob::trUtf8(const char*, const char*)
    {80, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1569 Akonadi::ItemModifyJob::tr(const char*, const char*, int)
    {80, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1570 Akonadi::ItemModifyJob::trUtf8(const char*, const char*, int)
    {80, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1571 Akonadi::ItemModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {80, 331, 483, 2, Smoke::mf_ctor, 128, 8},	//1572 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&, QObject*)
    {80, 331, 486, 2, Smoke::mf_ctor, 128, 9},	//1573 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&, QObject*)
    {80, 1394, 45, 1, 0, 0, 10},	//1574 Akonadi::ItemModifyJob::setIgnorePayload(bool)
    {80, 981, 0, 0, Smoke::mf_const, 369, 11},	//1575 Akonadi::ItemModifyJob::ignorePayload() const
    {80, 866, 0, 0, 0, 0, 12},	//1576 Akonadi::ItemModifyJob::disableRevisionCheck()
    {80, 1048, 0, 0, Smoke::mf_const, 113, 13},	//1577 Akonadi::ItemModifyJob::item() const
    {80, 1074, 0, 0, Smoke::mf_const, 253, 14},	//1578 Akonadi::ItemModifyJob::items() const
    {80, 865, 0, 0, 0, 0, 15},	//1579 Akonadi::ItemModifyJob::disableAutomaticConflictHandling()
    {80, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1580 Akonadi::ItemModifyJob::doStart()
    {80, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//1581 Akonadi::ItemModifyJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {80, 1603, 21, 1, Smoke::mf_static, 277, 18},	//1582 Akonadi::ItemModifyJob::tr(const char*)
    {80, 1607, 21, 1, Smoke::mf_static, 277, 19},	//1583 Akonadi::ItemModifyJob::trUtf8(const char*)
    {80, 331, 56, 1, Smoke::mf_ctor, 128, 20},	//1584 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&)
    {80, 331, 489, 1, Smoke::mf_ctor, 128, 21},	//1585 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&)
    {80, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 22},	//1586 Akonadi::ItemModifyJob::staticMetaObject() const
    {80, 1725, 0, 0, Smoke::mf_dtor, 0, 23 },	//1587 Akonadi::ItemModifyJob::~ItemModifyJob()
    {81, 336, 0, 0, Smoke::mf_ctor, 129, 1},	//1588 Akonadi::ItemMonitor::ItemMonitor()
    {81, 1410, 56, 1, 0, 0, 2},	//1589 Akonadi::ItemMonitor::setItem(const Akonadi::Item&)
    {81, 1048, 0, 0, Smoke::mf_const, 113, 3},	//1590 Akonadi::ItemMonitor::item() const
    {81, 1051, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 4},	//1591 Akonadi::ItemMonitor::itemChanged(const Akonadi::Item&)
    {81, 1065, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 5},	//1592 Akonadi::ItemMonitor::itemRemoved()
    {81, 1368, 496, 1, Smoke::mf_protected, 0, 6},	//1593 Akonadi::ItemMonitor::setFetchScope(const Akonadi::ItemFetchScope&)
    {81, 942, 0, 0, Smoke::mf_protected, 122, 7},	//1594 Akonadi::ItemMonitor::fetchScope()
    {81, 1726, 0, 0, Smoke::mf_dtor, 0, 8 },	//1595 Akonadi::ItemMonitor::~ItemMonitor()
    {82, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1596 Akonadi::ItemMoveJob::metaObject() const
    {82, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1597 Akonadi::ItemMoveJob::qt_metacast(const char*)
    {82, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1598 Akonadi::ItemMoveJob::tr(const char*, const char*)
    {82, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1599 Akonadi::ItemMoveJob::trUtf8(const char*, const char*)
    {82, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1600 Akonadi::ItemMoveJob::tr(const char*, const char*, int)
    {82, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1601 Akonadi::ItemMoveJob::trUtf8(const char*, const char*, int)
    {82, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1602 Akonadi::ItemMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {82, 337, 472, 3, Smoke::mf_ctor, 130, 8},	//1603 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {82, 337, 476, 3, Smoke::mf_ctor, 130, 9},	//1604 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {82, 861, 0, 0, Smoke::mf_const, 34, 10},	//1605 Akonadi::ItemMoveJob::destinationCollection() const
    {82, 1074, 0, 0, Smoke::mf_const, 253, 11},	//1606 Akonadi::ItemMoveJob::items() const
    {82, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1607 Akonadi::ItemMoveJob::doStart()
    {82, 1603, 21, 1, Smoke::mf_static, 277, 13},	//1608 Akonadi::ItemMoveJob::tr(const char*)
    {82, 1607, 21, 1, Smoke::mf_static, 277, 14},	//1609 Akonadi::ItemMoveJob::trUtf8(const char*)
    {82, 337, 50, 2, Smoke::mf_ctor, 130, 15},	//1610 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&)
    {82, 337, 480, 2, Smoke::mf_ctor, 130, 16},	//1611 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {82, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 17},	//1612 Akonadi::ItemMoveJob::staticMetaObject() const
    {82, 1727, 0, 0, Smoke::mf_dtor, 0, 18 },	//1613 Akonadi::ItemMoveJob::~ItemMoveJob()
    {83, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1614 Akonadi::ItemSearchJob::metaObject() const
    {83, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1615 Akonadi::ItemSearchJob::qt_metacast(const char*)
    {83, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1616 Akonadi::ItemSearchJob::tr(const char*, const char*)
    {83, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1617 Akonadi::ItemSearchJob::trUtf8(const char*, const char*)
    {83, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1618 Akonadi::ItemSearchJob::tr(const char*, const char*, int)
    {83, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1619 Akonadi::ItemSearchJob::trUtf8(const char*, const char*, int)
    {83, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1620 Akonadi::ItemSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {83, 343, 90, 2, Smoke::mf_ctor, 131, 8},	//1621 Akonadi::ItemSearchJob::ItemSearchJob(const QString&, QObject*)
    {83, 1473, 8, 1, 0, 0, 9},	//1622 Akonadi::ItemSearchJob::setQuery(const QString&)
    {83, 1368, 496, 1, 0, 0, 10},	//1623 Akonadi::ItemSearchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {83, 942, 0, 0, 0, 122, 11},	//1624 Akonadi::ItemSearchJob::fetchScope()
    {83, 1074, 0, 0, Smoke::mf_const, 253, 12},	//1625 Akonadi::ItemSearchJob::items() const
    {83, 703, 0, 0, Smoke::mf_static, 286, 13},	//1626 Akonadi::ItemSearchJob::akonadiItemIdUri()
    {83, 1077, 498, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1627 Akonadi::ItemSearchJob::itemsReceived(const Akonadi::Item::List&)
    {83, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1628 Akonadi::ItemSearchJob::doStart()
    {83, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1629 Akonadi::ItemSearchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {83, 1603, 21, 1, Smoke::mf_static, 277, 17},	//1630 Akonadi::ItemSearchJob::tr(const char*)
    {83, 1607, 21, 1, Smoke::mf_static, 277, 18},	//1631 Akonadi::ItemSearchJob::trUtf8(const char*)
    {83, 343, 8, 1, Smoke::mf_ctor, 131, 19},	//1632 Akonadi::ItemSearchJob::ItemSearchJob(const QString&)
    {83, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 20},	//1633 Akonadi::ItemSearchJob::staticMetaObject() const
    {83, 1728, 0, 0, Smoke::mf_dtor, 0, 21 },	//1634 Akonadi::ItemSearchJob::~ItemSearchJob()
    {84, 858, 510, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 369, 1},	//1635 Akonadi::ItemSerializerPlugin::deserialize(Akonadi::Item&, const QByteArray&, QIODevice&, int) [pure virtual]
    {84, 1256, 515, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//1636 Akonadi::ItemSerializerPlugin::serialize(const Akonadi::Item&, const QByteArray&, QIODevice&, int&) [pure virtual]
    {84, 1160, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 3},	//1637 Akonadi::ItemSerializerPlugin::parts(const Akonadi::Item&) const
    {84, 346, 0, 0, Smoke::mf_ctor, 132, 4},	//1638 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin()
    {84, 346, 520, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 5},	//1639 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin(const Akonadi::ItemSerializerPlugin&)
    {84, 1729, 0, 0, Smoke::mf_dtor, 0, 6 },	//1640 Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin()
    {85, 708, 522, 2, Smoke::mf_virtual, 0, 1},	//1641 Akonadi::ItemSerializerPluginV2::apply(Akonadi::Item&, const Akonadi::Item&)
    {85, 716, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 2},	//1642 Akonadi::ItemSerializerPluginV2::availableParts(const Akonadi::Item&) const
    {85, 348, 0, 0, Smoke::mf_ctor, 133, 3},	//1643 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2()
    {85, 348, 525, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 4},	//1644 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2(const Akonadi::ItemSerializerPluginV2&)
    {85, 1730, 0, 0, Smoke::mf_dtor, 0, 5 },	//1645 Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2()
    {86, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1646 Akonadi::ItemSync::metaObject() const
    {86, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1647 Akonadi::ItemSync::qt_metacast(const char*)
    {86, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1648 Akonadi::ItemSync::tr(const char*, const char*)
    {86, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1649 Akonadi::ItemSync::trUtf8(const char*, const char*)
    {86, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1650 Akonadi::ItemSync::tr(const char*, const char*, int)
    {86, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1651 Akonadi::ItemSync::trUtf8(const char*, const char*, int)
    {86, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1652 Akonadi::ItemSync::qt_metacall(QMetaObject::Call, int, void**)
    {86, 350, 165, 2, Smoke::mf_ctor, 134, 8},	//1653 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&, QObject*)
    {86, 1378, 489, 1, 0, 0, 9},	//1654 Akonadi::ItemSync::setFullSyncItems(const QList<Akonadi::Item>&)
    {86, 1523, 41, 1, 0, 0, 10},	//1655 Akonadi::ItemSync::setTotalItems(int)
    {86, 1513, 45, 1, 0, 0, 11},	//1656 Akonadi::ItemSync::setStreamingEnabled(bool)
    {86, 856, 0, 0, 0, 0, 12},	//1657 Akonadi::ItemSync::deliveryDone()
    {86, 1402, 527, 2, 0, 0, 13},	//1658 Akonadi::ItemSync::setIncrementalSyncItems(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {86, 1368, 494, 1, 0, 0, 14},	//1659 Akonadi::ItemSync::setFetchScope(Akonadi::ItemFetchScope&)
    {86, 942, 0, 0, 0, 122, 15},	//1660 Akonadi::ItemSync::fetchScope()
    {86, 1222, 0, 0, 0, 0, 16},	//1661 Akonadi::ItemSync::rollback()
    {86, 1525, 530, 1, 0, 0, 17},	//1662 Akonadi::ItemSync::setTransactionMode(Akonadi::ItemSync::TransactionMode)
    {86, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1663 Akonadi::ItemSync::doStart()
    {86, 1555, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1664 Akonadi::ItemSync::slotResult(KJob*)
    {86, 1626, 532, 2, Smoke::mf_protected|Smoke::mf_virtual, 369, 20},	//1665 Akonadi::ItemSync::updateItem(const Akonadi::Item&, Akonadi::Item&)
    {86, 1603, 21, 1, Smoke::mf_static, 277, 21},	//1666 Akonadi::ItemSync::tr(const char*)
    {86, 1607, 21, 1, Smoke::mf_static, 277, 22},	//1667 Akonadi::ItemSync::trUtf8(const char*)
    {86, 350, 61, 1, Smoke::mf_ctor, 134, 23},	//1668 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&)
    {86, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 24},	//1669 Akonadi::ItemSync::staticMetaObject() const
    {86, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 25},	//1670 Akonadi::ItemSync::SingleTransaction (enum)
    {86, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 26},	//1671 Akonadi::ItemSync::MultipleTransactions (enum)
    {86, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 27},	//1672 Akonadi::ItemSync::NoTransaction (enum)
    {86, 1731, 0, 0, Smoke::mf_dtor, 0, 28 },	//1673 Akonadi::ItemSync::~ItemSync()
    {87, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1674 Akonadi::ItemView::metaObject() const
    {87, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1675 Akonadi::ItemView::qt_metacast(const char*)
    {87, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1676 Akonadi::ItemView::tr(const char*, const char*)
    {87, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1677 Akonadi::ItemView::trUtf8(const char*, const char*)
    {87, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1678 Akonadi::ItemView::tr(const char*, const char*, int)
    {87, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1679 Akonadi::ItemView::trUtf8(const char*, const char*, int)
    {87, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1680 Akonadi::ItemView::qt_metacall(QMetaObject::Call, int, void**)
    {87, 353, 85, 1, Smoke::mf_ctor, 136, 8},	//1681 Akonadi::ItemView::ItemView(QWidget*)
    {87, 353, 279, 2, Smoke::mf_ctor, 136, 9},	//1682 Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    {87, 353, 282, 2, Smoke::mf_ctor, 136, 10},	//1683 Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    {87, 1538, 285, 1, 0, 0, 11},	//1684 Akonadi::ItemView::setXmlGuiWindow(KXmlGuiWindow*)
    {87, 1536, 287, 1, 0, 0, 12},	//1685 Akonadi::ItemView::setXmlGuiClient(KXMLGUIClient*)
    {87, 1444, 159, 1, Smoke::mf_virtual, 0, 13},	//1686 Akonadi::ItemView::setModel(QAbstractItemModel*)
    {87, 668, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1687 Akonadi::ItemView::activated(const Akonadi::Item&)
    {87, 839, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1688 Akonadi::ItemView::currentChanged(const Akonadi::Item&)
    {87, 753, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1689 Akonadi::ItemView::clicked(const Akonadi::Item&)
    {87, 881, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1690 Akonadi::ItemView::doubleClicked(const Akonadi::Item&)
    {87, 839, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1691 Akonadi::ItemView::currentChanged(const QModelIndex&, const QModelIndex&)
    {87, 820, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1692 Akonadi::ItemView::contextMenuEvent(QContextMenuEvent*)
    {87, 1603, 21, 1, Smoke::mf_static, 277, 20},	//1693 Akonadi::ItemView::tr(const char*)
    {87, 1607, 21, 1, Smoke::mf_static, 277, 21},	//1694 Akonadi::ItemView::trUtf8(const char*)
    {87, 353, 0, 0, Smoke::mf_ctor, 136, 22},	//1695 Akonadi::ItemView::ItemView()
    {87, 353, 285, 1, Smoke::mf_ctor, 136, 23},	//1696 Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    {87, 353, 287, 1, Smoke::mf_ctor, 136, 24},	//1697 Akonadi::ItemView::ItemView(KXMLGUIClient*)
    {87, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 25},	//1698 Akonadi::ItemView::staticMetaObject() const
    {87, 1732, 0, 0, Smoke::mf_dtor, 0, 26 },	//1699 Akonadi::ItemView::~ItemView()
    {88, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1700 Akonadi::Job::metaObject() const
    {88, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1701 Akonadi::Job::qt_metacast(const char*)
    {88, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1702 Akonadi::Job::tr(const char*, const char*)
    {88, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1703 Akonadi::Job::trUtf8(const char*, const char*)
    {88, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1704 Akonadi::Job::tr(const char*, const char*, int)
    {88, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1705 Akonadi::Job::trUtf8(const char*, const char*, int)
    {88, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1706 Akonadi::Job::qt_metacall(QMetaObject::Call, int, void**)
    {88, 356, 78, 1, Smoke::mf_ctor, 137, 8},	//1707 Akonadi::Job::Job(QObject*)
    {88, 1561, 0, 0, Smoke::mf_virtual, 0, 9},	//1708 Akonadi::Job::start()
    {88, 916, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 10},	//1709 Akonadi::Job::errorString() const
    {88, 660, 535, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1710 Akonadi::Job::aboutToStart(Akonadi::Job*)
    {88, 1653, 535, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1711 Akonadi::Job::writeFinished(Akonadi::Job*)
    {88, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1712 Akonadi::Job::doStart() [pure virtual]
    {88, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1713 Akonadi::Job::doHandleResponse(const QByteArray&, const QByteArray&)
    {88, 690, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 15},	//1714 Akonadi::Job::addSubjob(KJob*)
    {88, 1197, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 16},	//1715 Akonadi::Job::removeSubjob(KJob*)
    {88, 873, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 369, 17},	//1716 Akonadi::Job::doKill()
    {88, 902, 0, 0, Smoke::mf_protected, 0, 18},	//1717 Akonadi::Job::emitWriteFinished()
    {88, 1555, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1718 Akonadi::Job::slotResult(KJob*)
    {88, 356, 537, 2, Smoke::mf_ctor|Smoke::mf_protected, 137, 20},	//1719 Akonadi::Job::Job(Akonadi::JobPrivate*, QObject*)
    {88, 1603, 21, 1, Smoke::mf_static, 277, 21},	//1720 Akonadi::Job::tr(const char*)
    {88, 1607, 21, 1, Smoke::mf_static, 277, 22},	//1721 Akonadi::Job::trUtf8(const char*)
    {88, 356, 0, 0, Smoke::mf_ctor, 137, 23},	//1722 Akonadi::Job::Job()
    {88, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 24},	//1723 Akonadi::Job::staticMetaObject() const
    {88, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 25},	//1724 Akonadi::Job::ConnectionFailed (enum)
    {88, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 26},	//1725 Akonadi::Job::ProtocolVersionMismatch (enum)
    {88, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 27},	//1726 Akonadi::Job::UserCanceled (enum)
    {88, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 28},	//1727 Akonadi::Job::Unknown (enum)
    {88, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 29},	//1728 Akonadi::Job::UserError (enum)
    {88, 1733, 0, 0, Smoke::mf_dtor, 0, 30 },	//1729 Akonadi::Job::~Job()
    {90, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1730 Akonadi::LinkJob::metaObject() const
    {90, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1731 Akonadi::LinkJob::qt_metacast(const char*)
    {90, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1732 Akonadi::LinkJob::tr(const char*, const char*)
    {90, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1733 Akonadi::LinkJob::trUtf8(const char*, const char*)
    {90, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1734 Akonadi::LinkJob::tr(const char*, const char*, int)
    {90, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1735 Akonadi::LinkJob::trUtf8(const char*, const char*, int)
    {90, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1736 Akonadi::LinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 364, 540, 3, Smoke::mf_ctor, 140, 8},	//1737 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {90, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//1738 Akonadi::LinkJob::doStart()
    {90, 1603, 21, 1, Smoke::mf_static, 277, 10},	//1739 Akonadi::LinkJob::tr(const char*)
    {90, 1607, 21, 1, Smoke::mf_static, 277, 11},	//1740 Akonadi::LinkJob::trUtf8(const char*)
    {90, 364, 544, 2, Smoke::mf_ctor, 140, 12},	//1741 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {90, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 13},	//1742 Akonadi::LinkJob::staticMetaObject() const
    {90, 1734, 0, 0, Smoke::mf_dtor, 0, 14 },	//1743 Akonadi::LinkJob::~LinkJob()
    {91, 373, 0, 0, Smoke::mf_ctor, 141, 1},	//1744 Akonadi::MessageFolderAttribute::MessageFolderAttribute()
    {91, 373, 547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//1745 Akonadi::MessageFolderAttribute::MessageFolderAttribute(const Akonadi::MessageFolderAttribute&)
    {91, 1035, 0, 0, Smoke::mf_const, 369, 3},	//1746 Akonadi::MessageFolderAttribute::isOutboundFolder() const
    {91, 1455, 45, 1, 0, 0, 4},	//1747 Akonadi::MessageFolderAttribute::setOutboundFolder(bool)
    {91, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 5},	//1748 Akonadi::MessageFolderAttribute::type() const
    {91, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 141, 6},	//1749 Akonadi::MessageFolderAttribute::clone() const
    {91, 1258, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 7},	//1750 Akonadi::MessageFolderAttribute::serialized() const
    {91, 858, 6, 1, Smoke::mf_virtual, 0, 8},	//1751 Akonadi::MessageFolderAttribute::deserialize(const QByteArray&)
    {91, 1735, 0, 0, Smoke::mf_dtor, 0, 9 },	//1752 Akonadi::MessageFolderAttribute::~MessageFolderAttribute()
    {92, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1753 Akonadi::MessageModel::metaObject() const
    {92, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1754 Akonadi::MessageModel::qt_metacast(const char*)
    {92, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1755 Akonadi::MessageModel::tr(const char*, const char*)
    {92, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1756 Akonadi::MessageModel::trUtf8(const char*, const char*)
    {92, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1757 Akonadi::MessageModel::tr(const char*, const char*, int)
    {92, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1758 Akonadi::MessageModel::trUtf8(const char*, const char*, int)
    {92, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1759 Akonadi::MessageModel::qt_metacall(QMetaObject::Call, int, void**)
    {92, 375, 78, 1, Smoke::mf_ctor, 142, 8},	//1760 Akonadi::MessageModel::MessageModel(QObject*)
    {92, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 9},	//1761 Akonadi::MessageModel::rowCount(const QModelIndex&) const
    {92, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 10},	//1762 Akonadi::MessageModel::columnCount(const QModelIndex&) const
    {92, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//1763 Akonadi::MessageModel::data(const QModelIndex&, int) const
    {92, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1764 Akonadi::MessageModel::headerData(int, Qt::Orientation, int) const
    {92, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 13},	//1765 Akonadi::MessageModel::mimeTypes() const
    {92, 1603, 21, 1, Smoke::mf_static, 277, 14},	//1766 Akonadi::MessageModel::tr(const char*)
    {92, 1607, 21, 1, Smoke::mf_static, 277, 15},	//1767 Akonadi::MessageModel::trUtf8(const char*)
    {92, 375, 0, 0, Smoke::mf_ctor, 142, 16},	//1768 Akonadi::MessageModel::MessageModel()
    {92, 1225, 0, 0, Smoke::mf_const, 457, 17},	//1769 Akonadi::MessageModel::rowCount() const
    {92, 794, 0, 0, Smoke::mf_const, 457, 18},	//1770 Akonadi::MessageModel::columnCount() const
    {92, 847, 95, 1, Smoke::mf_const, 287, 19},	//1771 Akonadi::MessageModel::data(const QModelIndex&) const
    {92, 968, 112, 2, Smoke::mf_const, 287, 20},	//1772 Akonadi::MessageModel::headerData(int, Qt::Orientation) const
    {92, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 21},	//1773 Akonadi::MessageModel::staticMetaObject() const
    {92, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 22},	//1774 Akonadi::MessageModel::Subject (enum)
    {92, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 23},	//1775 Akonadi::MessageModel::Sender (enum)
    {92, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 24},	//1776 Akonadi::MessageModel::Receiver (enum)
    {92, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 25},	//1777 Akonadi::MessageModel::Date (enum)
    {92, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 26},	//1778 Akonadi::MessageModel::Size (enum)
    {92, 1736, 0, 0, Smoke::mf_dtor, 0, 27 },	//1779 Akonadi::MessageModel::~MessageModel()
    {93, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1780 Akonadi::MessageThreaderProxyModel::metaObject() const
    {93, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1781 Akonadi::MessageThreaderProxyModel::qt_metacast(const char*)
    {93, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1782 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*)
    {93, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1783 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*)
    {93, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1784 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*, int)
    {93, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1785 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*, int)
    {93, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1786 Akonadi::MessageThreaderProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {93, 377, 78, 1, Smoke::mf_ctor, 144, 8},	//1787 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel(QObject*)
    {93, 1155, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 9},	//1788 Akonadi::MessageThreaderProxyModel::parent(const QModelIndex&) const
    {93, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 10},	//1789 Akonadi::MessageThreaderProxyModel::rowCount(const QModelIndex&) const
    {93, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 11},	//1790 Akonadi::MessageThreaderProxyModel::index(int, int, const QModelIndex&) const
    {93, 963, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 12},	//1791 Akonadi::MessageThreaderProxyModel::hasChildren(const QModelIndex&) const
    {93, 832, 549, 3, Smoke::mf_const, 261, 13},	//1792 Akonadi::MessageThreaderProxyModel::createIndex(int, int, unsigned int) const
    {93, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 14},	//1793 Akonadi::MessageThreaderProxyModel::columnCount(const QModelIndex&) const
    {93, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 15},	//1794 Akonadi::MessageThreaderProxyModel::mimeTypes() const
    {93, 1112, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 16},	//1795 Akonadi::MessageThreaderProxyModel::mimeData(const QList<QModelIndex>&) const
    {93, 1099, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 17},	//1796 Akonadi::MessageThreaderProxyModel::mapFromSource(const QModelIndex&) const
    {93, 1103, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 18},	//1797 Akonadi::MessageThreaderProxyModel::mapToSource(const QModelIndex&) const
    {93, 1509, 159, 1, Smoke::mf_virtual, 0, 19},	//1798 Akonadi::MessageThreaderProxyModel::setSourceModel(QAbstractItemModel*)
    {93, 1603, 21, 1, Smoke::mf_static, 277, 20},	//1799 Akonadi::MessageThreaderProxyModel::tr(const char*)
    {93, 1607, 21, 1, Smoke::mf_static, 277, 21},	//1800 Akonadi::MessageThreaderProxyModel::trUtf8(const char*)
    {93, 377, 0, 0, Smoke::mf_ctor, 144, 22},	//1801 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel()
    {93, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 23},	//1802 Akonadi::MessageThreaderProxyModel::staticMetaObject() const
    {93, 1737, 0, 0, Smoke::mf_dtor, 0, 24 },	//1803 Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel()
    {94, 379, 0, 0, Smoke::mf_ctor, 145, 1},	//1804 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute()
    {94, 379, 553, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//1805 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute(const Akonadi::MessageThreadingAttribute&)
    {94, 1166, 0, 0, Smoke::mf_const, 252, 3},	//1806 Akonadi::MessageThreadingAttribute::perfectParents() const
    {94, 1468, 500, 1, 0, 0, 4},	//1807 Akonadi::MessageThreadingAttribute::setPerfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1619, 0, 0, Smoke::mf_const, 252, 5},	//1808 Akonadi::MessageThreadingAttribute::unperfectParents() const
    {94, 1527, 500, 1, 0, 0, 6},	//1809 Akonadi::MessageThreadingAttribute::setUnperfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1582, 0, 0, Smoke::mf_const, 252, 7},	//1810 Akonadi::MessageThreadingAttribute::subjectParents() const
    {94, 1515, 500, 1, 0, 0, 8},	//1811 Akonadi::MessageThreadingAttribute::setSubjectParents(const QList<Akonadi::Item::Id>&)
    {94, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1812 Akonadi::MessageThreadingAttribute::type() const
    {94, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 10},	//1813 Akonadi::MessageThreadingAttribute::clone() const
    {94, 1258, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1814 Akonadi::MessageThreadingAttribute::serialized() const
    {94, 858, 6, 1, Smoke::mf_virtual, 0, 12},	//1815 Akonadi::MessageThreadingAttribute::deserialize(const QByteArray&)
    {94, 1738, 0, 0, Smoke::mf_dtor, 0, 13 },	//1816 Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute()
    {95, 382, 0, 0, Smoke::mf_ctor, 147, 1},	//1817 Akonadi::MimeTypeChecker::MimeTypeChecker()
    {95, 382, 555, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 2},	//1818 Akonadi::MimeTypeChecker::MimeTypeChecker(const Akonadi::MimeTypeChecker&)
    {95, 1145, 555, 1, 0, 146, 3},	//1819 Akonadi::MimeTypeChecker::operator=(const Akonadi::MimeTypeChecker&)
    {95, 1644, 0, 0, Smoke::mf_const, 278, 4},	//1820 Akonadi::MimeTypeChecker::wantedMimeTypes() const
    {95, 1534, 10, 1, 0, 0, 5},	//1821 Akonadi::MimeTypeChecker::setWantedMimeTypes(const QStringList&)
    {95, 692, 8, 1, 0, 0, 6},	//1822 Akonadi::MimeTypeChecker::addWantedMimeType(const QString&)
    {95, 1199, 8, 1, 0, 0, 7},	//1823 Akonadi::MimeTypeChecker::removeWantedMimeType(const QString&)
    {95, 1043, 56, 1, Smoke::mf_const, 369, 8},	//1824 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&) const
    {95, 1040, 61, 1, Smoke::mf_const, 369, 9},	//1825 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&) const
    {95, 1046, 8, 1, Smoke::mf_const, 369, 10},	//1826 Akonadi::MimeTypeChecker::isWantedMimeType(const QString&) const
    {95, 817, 10, 1, Smoke::mf_const, 369, 11},	//1827 Akonadi::MimeTypeChecker::containsWantedMimeType(const QStringList&) const
    {95, 1043, 557, 2, Smoke::mf_static, 369, 12},	//1828 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&, const QString&)
    {95, 1040, 460, 2, Smoke::mf_static, 369, 13},	//1829 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&, const QString&)
    {95, 1739, 0, 0, Smoke::mf_dtor, 0, 14 },	//1830 Akonadi::MimeTypeChecker::~MimeTypeChecker()
    {96, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1831 Akonadi::Monitor::metaObject() const
    {96, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1832 Akonadi::Monitor::qt_metacast(const char*)
    {96, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1833 Akonadi::Monitor::tr(const char*, const char*)
    {96, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1834 Akonadi::Monitor::trUtf8(const char*, const char*)
    {96, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1835 Akonadi::Monitor::tr(const char*, const char*, int)
    {96, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1836 Akonadi::Monitor::trUtf8(const char*, const char*, int)
    {96, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1837 Akonadi::Monitor::qt_metacall(QMetaObject::Call, int, void**)
    {96, 387, 78, 1, Smoke::mf_ctor, 148, 8},	//1838 Akonadi::Monitor::Monitor(QObject*)
    {96, 1301, 121, 2, 0, 0, 9},	//1839 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&, bool)
    {96, 1415, 560, 2, 0, 0, 10},	//1840 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&, bool)
    {96, 1489, 502, 2, 0, 0, 11},	//1841 Akonadi::Monitor::setResourceMonitored(const QByteArray&, bool)
    {96, 1441, 563, 2, 0, 0, 12},	//1842 Akonadi::Monitor::setMimeTypeMonitored(const QString&, bool)
    {96, 1269, 45, 1, 0, 0, 13},	//1843 Akonadi::Monitor::setAllMonitored(bool)
    {96, 982, 566, 1, 0, 0, 14},	//1844 Akonadi::Monitor::ignoreSession(Akonadi::Session*)
    {96, 930, 45, 1, 0, 0, 15},	//1845 Akonadi::Monitor::fetchCollection(bool)
    {96, 932, 45, 1, 0, 0, 16},	//1846 Akonadi::Monitor::fetchCollectionStatistics(bool)
    {96, 1413, 496, 1, 0, 0, 17},	//1847 Akonadi::Monitor::setItemFetchScope(const Akonadi::ItemFetchScope&)
    {96, 928, 45, 1, 0, 0, 18},	//1848 Akonadi::Monitor::fetchChangedOnly(bool)
    {96, 1055, 0, 0, 0, 122, 19},	//1849 Akonadi::Monitor::itemFetchScope()
    {96, 1297, 197, 1, 0, 0, 20},	//1850 Akonadi::Monitor::setCollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {96, 766, 0, 0, 0, 49, 21},	//1851 Akonadi::Monitor::collectionFetchScope()
    {96, 786, 0, 0, Smoke::mf_const, 251, 22},	//1852 Akonadi::Monitor::collectionsMonitored() const
    {96, 1075, 0, 0, Smoke::mf_const, 252, 23},	//1853 Akonadi::Monitor::itemsMonitored() const
    {96, 1076, 0, 0, Smoke::mf_const, 289, 24},	//1854 Akonadi::Monitor::itemsMonitoredEx() const
    {96, 1122, 0, 0, Smoke::mf_const, 278, 25},	//1855 Akonadi::Monitor::mimeTypesMonitored() const
    {96, 1207, 0, 0, Smoke::mf_const, 255, 26},	//1856 Akonadi::Monitor::resourcesMonitored() const
    {96, 1028, 0, 0, Smoke::mf_const, 369, 27},	//1857 Akonadi::Monitor::isAllMonitored() const
    {96, 1503, 566, 1, 0, 0, 28},	//1858 Akonadi::Monitor::setSession(Akonadi::Session*)
    {96, 1259, 0, 0, Smoke::mf_const, 162, 29},	//1859 Akonadi::Monitor::session() const
    {96, 1051, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1860 Akonadi::Monitor::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {96, 1062, 65, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1861 Akonadi::Monitor::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1049, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1862 Akonadi::Monitor::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1065, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1863 Akonadi::Monitor::itemRemoved(const Akonadi::Item&)
    {96, 1058, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1864 Akonadi::Monitor::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1072, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1865 Akonadi::Monitor::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 759, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1866 Akonadi::Monitor::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 763, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1867 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&)
    {96, 763, 73, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1868 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {96, 773, 69, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1869 Akonadi::Monitor::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 775, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1870 Akonadi::Monitor::collectionRemoved(const Akonadi::Collection&)
    {96, 779, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1871 Akonadi::Monitor::collectionSubscribed(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 783, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1872 Akonadi::Monitor::collectionUnsubscribed(const Akonadi::Collection&)
    {96, 777, 568, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1873 Akonadi::Monitor::collectionStatisticsChanged(Akonadi::Collection::Id, const Akonadi::CollectionStatistics&)
    {96, 771, 121, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1874 Akonadi::Monitor::collectionMonitored(const Akonadi::Collection&, bool)
    {96, 1060, 560, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1875 Akonadi::Monitor::itemMonitored(const Akonadi::Item&, bool)
    {96, 1205, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1876 Akonadi::Monitor::resourceMonitored(const QByteArray&, bool)
    {96, 1119, 563, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1877 Akonadi::Monitor::mimeTypeMonitored(const QString&, bool)
    {96, 705, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1878 Akonadi::Monitor::allMonitored(bool)
    {96, 387, 571, 2, Smoke::mf_ctor|Smoke::mf_protected, 148, 49},	//1879 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*, QObject*)
    {96, 1603, 21, 1, Smoke::mf_static, 277, 50},	//1880 Akonadi::Monitor::tr(const char*)
    {96, 1607, 21, 1, Smoke::mf_static, 277, 51},	//1881 Akonadi::Monitor::trUtf8(const char*)
    {96, 387, 0, 0, Smoke::mf_ctor, 148, 52},	//1882 Akonadi::Monitor::Monitor()
    {96, 1301, 61, 1, 0, 0, 53},	//1883 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&)
    {96, 1415, 56, 1, 0, 0, 54},	//1884 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&)
    {96, 1489, 6, 1, 0, 0, 55},	//1885 Akonadi::Monitor::setResourceMonitored(const QByteArray&)
    {96, 1441, 8, 1, 0, 0, 56},	//1886 Akonadi::Monitor::setMimeTypeMonitored(const QString&)
    {96, 1269, 0, 0, 0, 0, 57},	//1887 Akonadi::Monitor::setAllMonitored()
    {96, 387, 574, 1, Smoke::mf_ctor|Smoke::mf_protected, 148, 58},	//1888 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    {96, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 59},	//1889 Akonadi::Monitor::staticMetaObject() const
    {96, 1740, 0, 0, Smoke::mf_dtor, 0, 60 },	//1890 Akonadi::Monitor::~Monitor()
    {98, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1891 Akonadi::PartFetcher::metaObject() const
    {98, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1892 Akonadi::PartFetcher::qt_metacast(const char*)
    {98, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1893 Akonadi::PartFetcher::tr(const char*, const char*)
    {98, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1894 Akonadi::PartFetcher::trUtf8(const char*, const char*)
    {98, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1895 Akonadi::PartFetcher::tr(const char*, const char*, int)
    {98, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1896 Akonadi::PartFetcher::trUtf8(const char*, const char*, int)
    {98, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1897 Akonadi::PartFetcher::qt_metacall(QMetaObject::Call, int, void**)
    {98, 445, 576, 3, Smoke::mf_ctor, 150, 8},	//1898 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&, QObject*)
    {98, 1561, 0, 0, Smoke::mf_virtual, 0, 9},	//1899 Akonadi::PartFetcher::start()
    {98, 990, 0, 0, Smoke::mf_const, 261, 10},	//1900 Akonadi::PartFetcher::index() const
    {98, 1159, 0, 0, Smoke::mf_const, 215, 11},	//1901 Akonadi::PartFetcher::partName() const
    {98, 1048, 0, 0, Smoke::mf_const, 113, 12},	//1902 Akonadi::PartFetcher::item() const
    {98, 1603, 21, 1, Smoke::mf_static, 277, 13},	//1903 Akonadi::PartFetcher::tr(const char*)
    {98, 1607, 21, 1, Smoke::mf_static, 277, 14},	//1904 Akonadi::PartFetcher::trUtf8(const char*)
    {98, 445, 580, 2, Smoke::mf_ctor, 150, 15},	//1905 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&)
    {98, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//1906 Akonadi::PartFetcher::staticMetaObject() const
    {98, 1743, 0, 0, Smoke::mf_dtor, 0, 17 },	//1907 Akonadi::PartFetcher::~PartFetcher()
    {99, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 151, 1},	//1908 Akonadi::PayloadBase::clone() const [pure virtual]
    {99, 1615, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 453, 2},	//1909 Akonadi::PayloadBase::typeName() const [pure virtual]
    {99, 449, 0, 0, Smoke::mf_ctor, 151, 3},	//1910 Akonadi::PayloadBase::PayloadBase()
    {99, 449, 583, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 4},	//1911 Akonadi::PayloadBase::PayloadBase(const Akonadi::PayloadBase&)
    {99, 1744, 0, 0, Smoke::mf_dtor, 0, 5 },	//1912 Akonadi::PayloadBase::~PayloadBase()
    {100, 451, 21, 1, Smoke::mf_ctor, 152, 1},	//1913 Akonadi::PayloadException::PayloadException(const char*)
    {100, 451, 6, 1, Smoke::mf_ctor, 152, 2},	//1914 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {100, 451, 8, 1, Smoke::mf_ctor, 152, 3},	//1915 Akonadi::PayloadException::PayloadException(const QString&)
    {100, 1611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//1916 Akonadi::PayloadException::type() const
    {100, 451, 585, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 5},	//1917 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {100, 1745, 0, 0, Smoke::mf_dtor, 0, 6 },	//1918 Akonadi::PayloadException::~PayloadException()
    {101, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1919 Akonadi::PreprocessorBase::metaObject() const
    {101, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1920 Akonadi::PreprocessorBase::qt_metacast(const char*)
    {101, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1921 Akonadi::PreprocessorBase::tr(const char*, const char*)
    {101, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1922 Akonadi::PreprocessorBase::trUtf8(const char*, const char*)
    {101, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1923 Akonadi::PreprocessorBase::tr(const char*, const char*, int)
    {101, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1924 Akonadi::PreprocessorBase::trUtf8(const char*, const char*, int)
    {101, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1925 Akonadi::PreprocessorBase::qt_metacall(QMetaObject::Call, int, void**)
    {101, 1169, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 154, 8},	//1926 Akonadi::PreprocessorBase::processItem(const Akonadi::Item&) [pure virtual]
    {101, 947, 587, 1, 0, 0, 9},	//1927 Akonadi::PreprocessorBase::finishProcessing(Akonadi::PreprocessorBase::ProcessingResult)
    {101, 1368, 496, 1, 0, 0, 10},	//1928 Akonadi::PreprocessorBase::setFetchScope(const Akonadi::ItemFetchScope&)
    {101, 942, 0, 0, 0, 122, 11},	//1929 Akonadi::PreprocessorBase::fetchScope()
    {101, 460, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 153, 12},	//1930 Akonadi::PreprocessorBase::PreprocessorBase(const QString&)
    {101, 1603, 21, 1, Smoke::mf_static, 277, 13},	//1931 Akonadi::PreprocessorBase::tr(const char*)
    {101, 1607, 21, 1, Smoke::mf_static, 277, 14},	//1932 Akonadi::PreprocessorBase::trUtf8(const char*)
    {101, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 15},	//1933 Akonadi::PreprocessorBase::staticMetaObject() const
    {101, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 16},	//1934 Akonadi::PreprocessorBase::ProcessingCompleted (enum)
    {101, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 17},	//1935 Akonadi::PreprocessorBase::ProcessingDelayed (enum)
    {101, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 18},	//1936 Akonadi::PreprocessorBase::ProcessingFailed (enum)
    {101, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 19},	//1937 Akonadi::PreprocessorBase::ProcessingRefused (enum)
    {101, 1746, 0, 0, Smoke::mf_dtor, 0, 20 },	//1938 Akonadi::PreprocessorBase::~PreprocessorBase()
    {102, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//1939 Akonadi::ResourceBase::metaObject() const
    {102, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//1940 Akonadi::ResourceBase::qt_metacast(const char*)
    {102, 1603, 23, 2, Smoke::mf_static, 277, 3},	//1941 Akonadi::ResourceBase::tr(const char*, const char*)
    {102, 1607, 23, 2, Smoke::mf_static, 277, 4},	//1942 Akonadi::ResourceBase::trUtf8(const char*, const char*)
    {102, 1603, 26, 3, Smoke::mf_static, 277, 5},	//1943 Akonadi::ResourceBase::tr(const char*, const char*, int)
    {102, 1607, 26, 3, Smoke::mf_static, 277, 6},	//1944 Akonadi::ResourceBase::trUtf8(const char*, const char*, int)
    {102, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//1945 Akonadi::ResourceBase::qt_metacall(QMetaObject::Call, int, void**)
    {102, 1449, 8, 1, 0, 0, 8},	//1946 Akonadi::ResourceBase::setName(const QString&)
    {102, 1135, 0, 0, Smoke::mf_const, 277, 9},	//1947 Akonadi::ResourceBase::name() const
    {102, 1276, 45, 1, 0, 0, 10},	//1948 Akonadi::ResourceBase::setAutomaticProgressReporting(bool)
    {102, 1136, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1949 Akonadi::ResourceBase::nameChanged(const QString&)
    {102, 1595, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1950 Akonadi::ResourceBase::synchronized()
    {102, 714, 589, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1951 Akonadi::ResourceBase::attributesSynchronized(qlonglong)
    {102, 782, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1952 Akonadi::ResourceBase::collectionTreeSynchronized()
    {102, 1214, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//1953 Akonadi::ResourceBase::retrieveCollections() [pure virtual]
    {102, 1212, 61, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1954 Akonadi::ResourceBase::retrieveCollectionAttributes(const Akonadi::Collection&)
    {102, 1217, 61, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 17},	//1955 Akonadi::ResourceBase::retrieveItems(const Akonadi::Collection&) [pure virtual]
    {102, 1215, 53, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 369, 18},	//1956 Akonadi::ResourceBase::retrieveItem(const Akonadi::Item&, const QSet<QByteArray>&) [pure virtual]
    {102, 656, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//1957 Akonadi::ResourceBase::abortActivity()
    {102, 489, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 155, 20},	//1958 Akonadi::ResourceBase::ResourceBase(const QString&)
    {102, 1067, 56, 1, Smoke::mf_protected, 0, 21},	//1959 Akonadi::ResourceBase::itemRetrieved(const Akonadi::Item&)
    {102, 761, 61, 1, Smoke::mf_protected, 0, 22},	//1960 Akonadi::ResourceBase::collectionAttributesRetrieved(const Akonadi::Collection&)
    {102, 736, 56, 1, Smoke::mf_protected, 0, 23},	//1961 Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    {102, 736, 61, 1, Smoke::mf_protected, 0, 24},	//1962 Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    {102, 790, 206, 1, Smoke::mf_protected, 0, 25},	//1963 Akonadi::ResourceBase::collectionsRetrieved(const QList<Akonadi::Collection>&)
    {102, 792, 591, 2, Smoke::mf_protected, 0, 26},	//1964 Akonadi::ResourceBase::collectionsRetrievedIncremental(const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&)
    {102, 1308, 45, 1, Smoke::mf_protected, 0, 27},	//1965 Akonadi::ResourceBase::setCollectionStreamingEnabled(bool)
    {102, 789, 0, 0, Smoke::mf_protected, 0, 28},	//1966 Akonadi::ResourceBase::collectionsRetrievalDone()
    {102, 1080, 489, 1, Smoke::mf_protected, 0, 29},	//1967 Akonadi::ResourceBase::itemsRetrieved(const QList<Akonadi::Item>&)
    {102, 1523, 41, 1, Smoke::mf_protected, 0, 30},	//1968 Akonadi::ResourceBase::setTotalItems(int)
    {102, 1422, 45, 1, Smoke::mf_protected, 0, 31},	//1969 Akonadi::ResourceBase::setItemStreamingEnabled(bool)
    {102, 1426, 530, 1, Smoke::mf_protected, 0, 32},	//1970 Akonadi::ResourceBase::setItemTransactionMode(Akonadi::ItemSync::TransactionMode)
    {102, 1424, 496, 1, Smoke::mf_protected, 0, 33},	//1971 Akonadi::ResourceBase::setItemSynchronizationFetchScope(const Akonadi::ItemFetchScope&)
    {102, 1082, 527, 2, Smoke::mf_protected, 0, 34},	//1972 Akonadi::ResourceBase::itemsRetrievedIncremental(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {102, 1079, 0, 0, Smoke::mf_protected, 0, 35},	//1973 Akonadi::ResourceBase::itemsRetrievalDone()
    {102, 747, 0, 0, Smoke::mf_protected, 0, 36},	//1974 Akonadi::ResourceBase::clearCache()
    {102, 1026, 61, 1, Smoke::mf_protected, 0, 37},	//1975 Akonadi::ResourceBase::invalidateCache(const Akonadi::Collection&)
    {102, 842, 0, 0, Smoke::mf_const|Smoke::mf_protected, 34, 38},	//1976 Akonadi::ResourceBase::currentCollection() const
    {102, 843, 0, 0, Smoke::mf_const|Smoke::mf_protected, 113, 39},	//1977 Akonadi::ResourceBase::currentItem() const
    {102, 1586, 0, 0, Smoke::mf_protected, 0, 40},	//1978 Akonadi::ResourceBase::synchronize()
    {102, 1587, 146, 1, Smoke::mf_protected, 0, 41},	//1979 Akonadi::ResourceBase::synchronizeCollection(long long)
    {102, 1587, 594, 2, Smoke::mf_protected, 0, 42},	//1980 Akonadi::ResourceBase::synchronizeCollection(long long, bool)
    {102, 1592, 146, 1, Smoke::mf_protected, 0, 43},	//1981 Akonadi::ResourceBase::synchronizeCollectionAttributes(long long)
    {102, 1594, 0, 0, Smoke::mf_protected, 0, 44},	//1982 Akonadi::ResourceBase::synchronizeCollectionTree()
    {102, 730, 0, 0, Smoke::mf_protected, 0, 45},	//1983 Akonadi::ResourceBase::cancelTask()
    {102, 730, 8, 1, Smoke::mf_protected, 0, 46},	//1984 Akonadi::ResourceBase::cancelTask(const QString&)
    {102, 854, 0, 0, Smoke::mf_protected, 0, 47},	//1985 Akonadi::ResourceBase::deferTask()
    {102, 875, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//1986 Akonadi::ResourceBase::doSetOnline(bool)
    {102, 1386, 45, 1, Smoke::mf_protected, 0, 49},	//1987 Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled(bool)
    {102, 1235, 597, 4, Smoke::mf_protected, 0, 50},	//1988 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority)
    {102, 1598, 0, 0, Smoke::mf_protected, 0, 51},	//1989 Akonadi::ResourceBase::taskDone()
    {102, 894, 0, 0, Smoke::mf_const|Smoke::mf_protected, 277, 52},	//1990 Akonadi::ResourceBase::dumpNotificationListToString() const
    {102, 895, 0, 0, Smoke::mf_const|Smoke::mf_protected, 277, 53},	//1991 Akonadi::ResourceBase::dumpSchedulerToString() const
    {102, 1603, 21, 1, Smoke::mf_static, 277, 54},	//1992 Akonadi::ResourceBase::tr(const char*)
    {102, 1607, 21, 1, Smoke::mf_static, 277, 55},	//1993 Akonadi::ResourceBase::trUtf8(const char*)
    {102, 1235, 602, 3, Smoke::mf_protected, 0, 56},	//1994 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&)
    {102, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 57},	//1995 Akonadi::ResourceBase::staticMetaObject() const
    {102, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 58},	//1996 Akonadi::ResourceBase::Prepend (enum)
    {102, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 59},	//1997 Akonadi::ResourceBase::AfterChangeReplay (enum)
    {102, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 60},	//1998 Akonadi::ResourceBase::Append (enum)
    {102, 1747, 0, 0, Smoke::mf_dtor, 0, 61 },	//1999 Akonadi::ResourceBase::~ResourceBase()
    {103, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2000 Akonadi::ResourceSynchronizationJob::metaObject() const
    {103, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2001 Akonadi::ResourceSynchronizationJob::qt_metacast(const char*)
    {103, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2002 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*)
    {103, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2003 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*)
    {103, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2004 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*, int)
    {103, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2005 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*, int)
    {103, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2006 Akonadi::ResourceSynchronizationJob::qt_metacall(QMetaObject::Call, int, void**)
    {103, 492, 606, 2, Smoke::mf_ctor, 157, 8},	//2007 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&, QObject*)
    {103, 781, 0, 0, Smoke::mf_const, 369, 9},	//2008 Akonadi::ResourceSynchronizationJob::collectionTreeOnly() const
    {103, 1310, 45, 1, 0, 0, 10},	//2009 Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly(bool)
    {103, 1204, 0, 0, Smoke::mf_const, 11, 11},	//2010 Akonadi::ResourceSynchronizationJob::resource() const
    {103, 1561, 0, 0, Smoke::mf_virtual, 0, 12},	//2011 Akonadi::ResourceSynchronizationJob::start()
    {103, 1603, 21, 1, Smoke::mf_static, 277, 13},	//2012 Akonadi::ResourceSynchronizationJob::tr(const char*)
    {103, 1607, 21, 1, Smoke::mf_static, 277, 14},	//2013 Akonadi::ResourceSynchronizationJob::trUtf8(const char*)
    {103, 492, 83, 1, Smoke::mf_ctor, 157, 15},	//2014 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&)
    {103, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//2015 Akonadi::ResourceSynchronizationJob::staticMetaObject() const
    {103, 1748, 0, 0, Smoke::mf_dtor, 0, 17 },	//2016 Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob()
    {104, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2017 Akonadi::SearchCreateJob::metaObject() const
    {104, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2018 Akonadi::SearchCreateJob::qt_metacast(const char*)
    {104, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2019 Akonadi::SearchCreateJob::tr(const char*, const char*)
    {104, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2020 Akonadi::SearchCreateJob::trUtf8(const char*, const char*)
    {104, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2021 Akonadi::SearchCreateJob::tr(const char*, const char*, int)
    {104, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2022 Akonadi::SearchCreateJob::trUtf8(const char*, const char*, int)
    {104, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2023 Akonadi::SearchCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {104, 500, 609, 3, Smoke::mf_ctor, 158, 8},	//2024 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&, QObject*)
    {104, 1477, 8, 1, 0, 0, 9},	//2025 Akonadi::SearchCreateJob::setQueryLanguage(const QString&)
    {104, 836, 0, 0, Smoke::mf_const, 34, 10},	//2026 Akonadi::SearchCreateJob::createdCollection() const
    {104, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2027 Akonadi::SearchCreateJob::doStart()
    {104, 870, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//2028 Akonadi::SearchCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {104, 1603, 21, 1, Smoke::mf_static, 277, 13},	//2029 Akonadi::SearchCreateJob::tr(const char*)
    {104, 1607, 21, 1, Smoke::mf_static, 277, 14},	//2030 Akonadi::SearchCreateJob::trUtf8(const char*)
    {104, 500, 300, 2, Smoke::mf_ctor, 158, 15},	//2031 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&)
    {104, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 16},	//2032 Akonadi::SearchCreateJob::staticMetaObject() const
    {104, 1749, 0, 0, Smoke::mf_dtor, 0, 17 },	//2033 Akonadi::SearchCreateJob::~SearchCreateJob()
    {105, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2034 Akonadi::SelectionProxyModel::metaObject() const
    {105, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2035 Akonadi::SelectionProxyModel::qt_metacast(const char*)
    {105, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2036 Akonadi::SelectionProxyModel::tr(const char*, const char*)
    {105, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2037 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*)
    {105, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2038 Akonadi::SelectionProxyModel::tr(const char*, const char*, int)
    {105, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2039 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*, int)
    {105, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2040 Akonadi::SelectionProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {105, 507, 613, 2, Smoke::mf_ctor, 159, 8},	//2041 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*, QObject*)
    {105, 1603, 21, 1, Smoke::mf_static, 277, 9},	//2042 Akonadi::SelectionProxyModel::tr(const char*)
    {105, 1607, 21, 1, Smoke::mf_static, 277, 10},	//2043 Akonadi::SelectionProxyModel::trUtf8(const char*)
    {105, 507, 616, 1, Smoke::mf_ctor, 159, 11},	//2044 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*)
    {105, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 12},	//2045 Akonadi::SelectionProxyModel::staticMetaObject() const
    {105, 1750, 0, 0, Smoke::mf_dtor, 0, 13 },	//2046 Akonadi::SelectionProxyModel::~SelectionProxyModel()
    {106, 1110, 0, 0, Smoke::mf_const, 435, 1},	//2047 Akonadi::ServerManager::metaObject() const
    {106, 1176, 21, 1, 0, 466, 2},	//2048 Akonadi::ServerManager::qt_metacast(const char*)
    {106, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2049 Akonadi::ServerManager::tr(const char*, const char*)
    {106, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2050 Akonadi::ServerManager::trUtf8(const char*, const char*)
    {106, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2051 Akonadi::ServerManager::tr(const char*, const char*, int)
    {106, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2052 Akonadi::ServerManager::trUtf8(const char*, const char*, int)
    {106, 1174, 30, 3, 0, 457, 7},	//2053 Akonadi::ServerManager::qt_metacall(QMetaObject::Call, int, void**)
    {106, 1561, 0, 0, Smoke::mf_static, 369, 8},	//2054 Akonadi::ServerManager::start()
    {106, 1575, 0, 0, Smoke::mf_static, 369, 9},	//2055 Akonadi::ServerManager::stop()
    {106, 1544, 85, 1, Smoke::mf_static, 0, 10},	//2056 Akonadi::ServerManager::showSelfTestDialog(QWidget*)
    {106, 1036, 0, 0, Smoke::mf_static, 369, 11},	//2057 Akonadi::ServerManager::isRunning()
    {106, 1566, 0, 0, Smoke::mf_static, 161, 12},	//2058 Akonadi::ServerManager::state()
    {106, 1249, 0, 0, Smoke::mf_static, 160, 13},	//2059 Akonadi::ServerManager::self()
    {106, 1565, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2060 Akonadi::ServerManager::started()
    {106, 1577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2061 Akonadi::ServerManager::stopped()
    {106, 1567, 618, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2062 Akonadi::ServerManager::stateChanged(Akonadi::ServerManager::State)
    {106, 1603, 21, 1, Smoke::mf_static, 277, 17},	//2063 Akonadi::ServerManager::tr(const char*)
    {106, 1607, 21, 1, Smoke::mf_static, 277, 18},	//2064 Akonadi::ServerManager::trUtf8(const char*)
    {106, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 19},	//2065 Akonadi::ServerManager::staticMetaObject() const
    {106, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 20},	//2066 Akonadi::ServerManager::NotRunning (enum)
    {106, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 21},	//2067 Akonadi::ServerManager::Starting (enum)
    {106, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 22},	//2068 Akonadi::ServerManager::Running (enum)
    {106, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 23},	//2069 Akonadi::ServerManager::Stopping (enum)
    {106, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 24},	//2070 Akonadi::ServerManager::Broken (enum)
    {106, 1751, 0, 0, Smoke::mf_dtor, 0, 25 },	//2071 Akonadi::ServerManager::~ServerManager()
    {107, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2072 Akonadi::Session::metaObject() const
    {107, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2073 Akonadi::Session::qt_metacast(const char*)
    {107, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2074 Akonadi::Session::tr(const char*, const char*)
    {107, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2075 Akonadi::Session::trUtf8(const char*, const char*)
    {107, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2076 Akonadi::Session::tr(const char*, const char*, int)
    {107, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2077 Akonadi::Session::trUtf8(const char*, const char*, int)
    {107, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2078 Akonadi::Session::qt_metacall(QMetaObject::Call, int, void**)
    {107, 511, 620, 2, Smoke::mf_ctor, 162, 8},	//2079 Akonadi::Session::Session(const QByteArray&, QObject*)
    {107, 1260, 0, 0, Smoke::mf_const, 215, 9},	//2080 Akonadi::Session::sessionId() const
    {107, 853, 0, 0, Smoke::mf_static, 162, 10},	//2081 Akonadi::Session::defaultSession()
    {107, 744, 0, 0, 0, 0, 11},	//2082 Akonadi::Session::clear()
    {107, 1180, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2083 Akonadi::Session::reconnected()
    {107, 511, 623, 3, Smoke::mf_ctor|Smoke::mf_protected, 162, 13},	//2084 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&, QObject*)
    {107, 1603, 21, 1, Smoke::mf_static, 277, 14},	//2085 Akonadi::Session::tr(const char*)
    {107, 1607, 21, 1, Smoke::mf_static, 277, 15},	//2086 Akonadi::Session::trUtf8(const char*)
    {107, 511, 0, 0, Smoke::mf_ctor, 162, 16},	//2087 Akonadi::Session::Session()
    {107, 511, 6, 1, Smoke::mf_ctor, 162, 17},	//2088 Akonadi::Session::Session(const QByteArray&)
    {107, 511, 627, 1, Smoke::mf_ctor|Smoke::mf_protected, 162, 18},	//2089 Akonadi::Session::Session(Akonadi::SessionPrivate*)
    {107, 511, 629, 2, Smoke::mf_ctor|Smoke::mf_protected, 162, 19},	//2090 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    {107, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 20},	//2091 Akonadi::Session::staticMetaObject() const
    {107, 1752, 0, 0, Smoke::mf_dtor, 0, 21 },	//2092 Akonadi::Session::~Session()
    {109, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2093 Akonadi::StandardActionManager::metaObject() const
    {109, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2094 Akonadi::StandardActionManager::qt_metacast(const char*)
    {109, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2095 Akonadi::StandardActionManager::tr(const char*, const char*)
    {109, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2096 Akonadi::StandardActionManager::trUtf8(const char*, const char*)
    {109, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2097 Akonadi::StandardActionManager::tr(const char*, const char*, int)
    {109, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2098 Akonadi::StandardActionManager::trUtf8(const char*, const char*, int)
    {109, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2099 Akonadi::StandardActionManager::qt_metacall(QMetaObject::Call, int, void**)
    {109, 524, 632, 2, Smoke::mf_ctor, 164, 8},	//2100 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*, QWidget*)
    {109, 1306, 616, 1, 0, 0, 9},	//2101 Akonadi::StandardActionManager::setCollectionSelectionModel(QItemSelectionModel*)
    {109, 1420, 616, 1, 0, 0, 10},	//2102 Akonadi::StandardActionManager::setItemSelectionModel(QItemSelectionModel*)
    {109, 1360, 635, 1, 0, 0, 11},	//2103 Akonadi::StandardActionManager::setFavoriteCollectionsModel(Akonadi::FavoriteCollectionsModel*)
    {109, 1364, 616, 1, 0, 0, 12},	//2104 Akonadi::StandardActionManager::setFavoriteSelectionModel(QItemSelectionModel*)
    {109, 824, 637, 1, 0, 190, 13},	//2105 Akonadi::StandardActionManager::createAction(Akonadi::StandardActionManager::Type)
    {109, 828, 0, 0, 0, 0, 14},	//2106 Akonadi::StandardActionManager::createAllActions()
    {109, 664, 637, 1, Smoke::mf_const, 190, 15},	//2107 Akonadi::StandardActionManager::action(Akonadi::StandardActionManager::Type) const
    {109, 1263, 639, 2, 0, 0, 16},	//2108 Akonadi::StandardActionManager::setActionText(Akonadi::StandardActionManager::Type, const KLocalizedString&)
    {109, 1022, 642, 2, 0, 0, 17},	//2109 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type, bool)
    {109, 1243, 0, 0, Smoke::mf_const, 251, 18},	//2110 Akonadi::StandardActionManager::selectedCollections() const
    {109, 1245, 0, 0, Smoke::mf_const, 253, 19},	//2111 Akonadi::StandardActionManager::selectedItems() const
    {109, 1335, 645, 3, 0, 0, 20},	//2112 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&)
    {109, 1335, 649, 3, 0, 0, 21},	//2113 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&)
    {109, 1439, 10, 1, 0, 0, 22},	//2114 Akonadi::StandardActionManager::setMimeTypeFilter(const QStringList&)
    {109, 1288, 10, 1, 0, 0, 23},	//2115 Akonadi::StandardActionManager::setCapabilityFilter(const QStringList&)
    {109, 1304, 10, 1, 0, 0, 24},	//2116 Akonadi::StandardActionManager::setCollectionPropertiesPageNames(const QStringList&)
    {109, 826, 653, 2, 0, 0, 25},	//2117 Akonadi::StandardActionManager::createActionFolderMenu(QMenu*, Akonadi::StandardActionManager::Type)
    {109, 667, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2118 Akonadi::StandardActionManager::actionStateUpdated()
    {109, 1603, 21, 1, Smoke::mf_static, 277, 27},	//2119 Akonadi::StandardActionManager::tr(const char*)
    {109, 1607, 21, 1, Smoke::mf_static, 277, 28},	//2120 Akonadi::StandardActionManager::trUtf8(const char*)
    {109, 524, 656, 1, Smoke::mf_ctor, 164, 29},	//2121 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*)
    {109, 1022, 637, 1, 0, 0, 30},	//2122 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type)
    {109, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 31},	//2123 Akonadi::StandardActionManager::staticMetaObject() const
    {109, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 32},	//2124 Akonadi::StandardActionManager::CreateCollection (enum)
    {109, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 33},	//2125 Akonadi::StandardActionManager::CopyCollections (enum)
    {109, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 34},	//2126 Akonadi::StandardActionManager::DeleteCollections (enum)
    {109, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 35},	//2127 Akonadi::StandardActionManager::SynchronizeCollections (enum)
    {109, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 36},	//2128 Akonadi::StandardActionManager::CollectionProperties (enum)
    {109, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 37},	//2129 Akonadi::StandardActionManager::CopyItems (enum)
    {109, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 38},	//2130 Akonadi::StandardActionManager::Paste (enum)
    {109, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 39},	//2131 Akonadi::StandardActionManager::DeleteItems (enum)
    {109, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 40},	//2132 Akonadi::StandardActionManager::ManageLocalSubscriptions (enum)
    {109, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 41},	//2133 Akonadi::StandardActionManager::AddToFavoriteCollections (enum)
    {109, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 42},	//2134 Akonadi::StandardActionManager::RemoveFromFavoriteCollections (enum)
    {109, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 43},	//2135 Akonadi::StandardActionManager::RenameFavoriteCollection (enum)
    {109, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 44},	//2136 Akonadi::StandardActionManager::CopyCollectionToMenu (enum)
    {109, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 45},	//2137 Akonadi::StandardActionManager::CopyItemToMenu (enum)
    {109, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 46},	//2138 Akonadi::StandardActionManager::MoveItemToMenu (enum)
    {109, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 47},	//2139 Akonadi::StandardActionManager::MoveCollectionToMenu (enum)
    {109, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 48},	//2140 Akonadi::StandardActionManager::CutItems (enum)
    {109, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 49},	//2141 Akonadi::StandardActionManager::CutCollections (enum)
    {109, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 50},	//2142 Akonadi::StandardActionManager::CreateResource (enum)
    {109, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 51},	//2143 Akonadi::StandardActionManager::DeleteResources (enum)
    {109, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 52},	//2144 Akonadi::StandardActionManager::ResourceProperties (enum)
    {109, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 53},	//2145 Akonadi::StandardActionManager::SynchronizeResources (enum)
    {109, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 54},	//2146 Akonadi::StandardActionManager::ToggleWorkOffline (enum)
    {109, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 55},	//2147 Akonadi::StandardActionManager::CopyCollectionToDialog (enum)
    {109, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 56},	//2148 Akonadi::StandardActionManager::MoveCollectionToDialog (enum)
    {109, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 57},	//2149 Akonadi::StandardActionManager::CopyItemToDialog (enum)
    {109, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 58},	//2150 Akonadi::StandardActionManager::MoveItemToDialog (enum)
    {109, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 59},	//2151 Akonadi::StandardActionManager::SynchronizeCollectionsRecursive (enum)
    {109, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 60},	//2152 Akonadi::StandardActionManager::MoveCollectionsToTrash (enum)
    {109, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 61},	//2153 Akonadi::StandardActionManager::MoveItemsToTrash (enum)
    {109, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 62},	//2154 Akonadi::StandardActionManager::RestoreCollectionsFromTrash (enum)
    {109, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 63},	//2155 Akonadi::StandardActionManager::RestoreItemsFromTrash (enum)
    {109, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 64},	//2156 Akonadi::StandardActionManager::MoveToTrashRestoreCollection (enum)
    {109, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 65},	//2157 Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative (enum)
    {109, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 66},	//2158 Akonadi::StandardActionManager::MoveToTrashRestoreItem (enum)
    {109, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 67},	//2159 Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative (enum)
    {109, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 68},	//2160 Akonadi::StandardActionManager::SynchronizeFavoriteCollections (enum)
    {109, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 69},	//2161 Akonadi::StandardActionManager::LastType (enum)
    {109, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 70},	//2162 Akonadi::StandardActionManager::DialogTitle (enum)
    {109, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 71},	//2163 Akonadi::StandardActionManager::DialogText (enum)
    {109, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 72},	//2164 Akonadi::StandardActionManager::MessageBoxTitle (enum)
    {109, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 73},	//2165 Akonadi::StandardActionManager::MessageBoxText (enum)
    {109, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 74},	//2166 Akonadi::StandardActionManager::MessageBoxAlternativeText (enum)
    {109, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 75},	//2167 Akonadi::StandardActionManager::ErrorMessageTitle (enum)
    {109, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 76},	//2168 Akonadi::StandardActionManager::ErrorMessageText (enum)
    {109, 1753, 0, 0, Smoke::mf_dtor, 0, 77 },	//2169 Akonadi::StandardActionManager::~StandardActionManager()
    {110, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2170 Akonadi::StatisticsProxyModel::metaObject() const
    {110, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2171 Akonadi::StatisticsProxyModel::qt_metacast(const char*)
    {110, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2172 Akonadi::StatisticsProxyModel::tr(const char*, const char*)
    {110, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2173 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*)
    {110, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2174 Akonadi::StatisticsProxyModel::tr(const char*, const char*, int)
    {110, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2175 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*, int)
    {110, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2176 Akonadi::StatisticsProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {110, 530, 78, 1, Smoke::mf_ctor, 167, 8},	//2177 Akonadi::StatisticsProxyModel::StatisticsProxyModel(QObject*)
    {110, 1521, 45, 1, 0, 0, 9},	//2178 Akonadi::StatisticsProxyModel::setToolTipEnabled(bool)
    {110, 1037, 0, 0, Smoke::mf_const, 369, 10},	//2179 Akonadi::StatisticsProxyModel::isToolTipEnabled() const
    {110, 1358, 45, 1, 0, 0, 11},	//2180 Akonadi::StatisticsProxyModel::setExtraColumnsEnabled(bool)
    {110, 1031, 0, 0, Smoke::mf_const, 369, 12},	//2181 Akonadi::StatisticsProxyModel::isExtraColumnsEnabled() const
    {110, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//2182 Akonadi::StatisticsProxyModel::index(int, int, const QModelIndex&) const
    {110, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 14},	//2183 Akonadi::StatisticsProxyModel::data(const QModelIndex&, int) const
    {110, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 15},	//2184 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation, int) const
    {110, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 16},	//2185 Akonadi::StatisticsProxyModel::flags(const QModelIndex&) const
    {110, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 17},	//2186 Akonadi::StatisticsProxyModel::columnCount(const QModelIndex&) const
    {110, 1105, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 18},	//2187 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {110, 1509, 159, 1, Smoke::mf_virtual, 0, 19},	//2188 Akonadi::StatisticsProxyModel::setSourceModel(QAbstractItemModel*)
    {110, 805, 21, 1, Smoke::mf_virtual, 0, 20},	//2189 Akonadi::StatisticsProxyModel::connectNotify(const char*)
    {110, 1603, 21, 1, Smoke::mf_static, 277, 21},	//2190 Akonadi::StatisticsProxyModel::tr(const char*)
    {110, 1607, 21, 1, Smoke::mf_static, 277, 22},	//2191 Akonadi::StatisticsProxyModel::trUtf8(const char*)
    {110, 530, 0, 0, Smoke::mf_ctor, 167, 23},	//2192 Akonadi::StatisticsProxyModel::StatisticsProxyModel()
    {110, 990, 115, 2, Smoke::mf_const, 261, 24},	//2193 Akonadi::StatisticsProxyModel::index(int, int) const
    {110, 847, 95, 1, Smoke::mf_const, 287, 25},	//2194 Akonadi::StatisticsProxyModel::data(const QModelIndex&) const
    {110, 968, 112, 2, Smoke::mf_const, 287, 26},	//2195 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation) const
    {110, 794, 0, 0, Smoke::mf_const, 457, 27},	//2196 Akonadi::StatisticsProxyModel::columnCount() const
    {110, 1105, 390, 3, Smoke::mf_const, 256, 28},	//2197 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&) const
    {110, 1105, 394, 4, Smoke::mf_const, 256, 29},	//2198 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int) const
    {110, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 30},	//2199 Akonadi::StatisticsProxyModel::staticMetaObject() const
    {110, 1754, 0, 0, Smoke::mf_dtor, 0, 31 },	//2200 Akonadi::StatisticsProxyModel::~StatisticsProxyModel()
    {111, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2201 Akonadi::TransactionBeginJob::metaObject() const
    {111, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2202 Akonadi::TransactionBeginJob::qt_metacast(const char*)
    {111, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2203 Akonadi::TransactionBeginJob::tr(const char*, const char*)
    {111, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2204 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*)
    {111, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2205 Akonadi::TransactionBeginJob::tr(const char*, const char*, int)
    {111, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2206 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*, int)
    {111, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2207 Akonadi::TransactionBeginJob::qt_metacall(QMetaObject::Call, int, void**)
    {111, 553, 78, 1, Smoke::mf_ctor, 168, 8},	//2208 Akonadi::TransactionBeginJob::TransactionBeginJob(QObject*)
    {111, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2209 Akonadi::TransactionBeginJob::doStart()
    {111, 1603, 21, 1, Smoke::mf_static, 277, 10},	//2210 Akonadi::TransactionBeginJob::tr(const char*)
    {111, 1607, 21, 1, Smoke::mf_static, 277, 11},	//2211 Akonadi::TransactionBeginJob::trUtf8(const char*)
    {111, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 12},	//2212 Akonadi::TransactionBeginJob::staticMetaObject() const
    {111, 1755, 0, 0, Smoke::mf_dtor, 0, 13 },	//2213 Akonadi::TransactionBeginJob::~TransactionBeginJob()
    {112, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2214 Akonadi::TransactionCommitJob::metaObject() const
    {112, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2215 Akonadi::TransactionCommitJob::qt_metacast(const char*)
    {112, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2216 Akonadi::TransactionCommitJob::tr(const char*, const char*)
    {112, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2217 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*)
    {112, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2218 Akonadi::TransactionCommitJob::tr(const char*, const char*, int)
    {112, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2219 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*, int)
    {112, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2220 Akonadi::TransactionCommitJob::qt_metacall(QMetaObject::Call, int, void**)
    {112, 555, 78, 1, Smoke::mf_ctor, 169, 8},	//2221 Akonadi::TransactionCommitJob::TransactionCommitJob(QObject*)
    {112, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2222 Akonadi::TransactionCommitJob::doStart()
    {112, 1603, 21, 1, Smoke::mf_static, 277, 10},	//2223 Akonadi::TransactionCommitJob::tr(const char*)
    {112, 1607, 21, 1, Smoke::mf_static, 277, 11},	//2224 Akonadi::TransactionCommitJob::trUtf8(const char*)
    {112, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 12},	//2225 Akonadi::TransactionCommitJob::staticMetaObject() const
    {112, 1756, 0, 0, Smoke::mf_dtor, 0, 13 },	//2226 Akonadi::TransactionCommitJob::~TransactionCommitJob()
    {113, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2227 Akonadi::TransactionRollbackJob::metaObject() const
    {113, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2228 Akonadi::TransactionRollbackJob::qt_metacast(const char*)
    {113, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2229 Akonadi::TransactionRollbackJob::tr(const char*, const char*)
    {113, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2230 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*)
    {113, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2231 Akonadi::TransactionRollbackJob::tr(const char*, const char*, int)
    {113, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2232 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*, int)
    {113, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2233 Akonadi::TransactionRollbackJob::qt_metacall(QMetaObject::Call, int, void**)
    {113, 557, 78, 1, Smoke::mf_ctor, 170, 8},	//2234 Akonadi::TransactionRollbackJob::TransactionRollbackJob(QObject*)
    {113, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2235 Akonadi::TransactionRollbackJob::doStart()
    {113, 1603, 21, 1, Smoke::mf_static, 277, 10},	//2236 Akonadi::TransactionRollbackJob::tr(const char*)
    {113, 1607, 21, 1, Smoke::mf_static, 277, 11},	//2237 Akonadi::TransactionRollbackJob::trUtf8(const char*)
    {113, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 12},	//2238 Akonadi::TransactionRollbackJob::staticMetaObject() const
    {113, 1757, 0, 0, Smoke::mf_dtor, 0, 13 },	//2239 Akonadi::TransactionRollbackJob::~TransactionRollbackJob()
    {114, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2240 Akonadi::TransactionSequence::metaObject() const
    {114, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2241 Akonadi::TransactionSequence::qt_metacast(const char*)
    {114, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2242 Akonadi::TransactionSequence::tr(const char*, const char*)
    {114, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2243 Akonadi::TransactionSequence::trUtf8(const char*, const char*)
    {114, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2244 Akonadi::TransactionSequence::tr(const char*, const char*, int)
    {114, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2245 Akonadi::TransactionSequence::trUtf8(const char*, const char*, int)
    {114, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2246 Akonadi::TransactionSequence::qt_metacall(QMetaObject::Call, int, void**)
    {114, 559, 78, 1, Smoke::mf_ctor, 171, 8},	//2247 Akonadi::TransactionSequence::TransactionSequence(QObject*)
    {114, 796, 0, 0, 0, 0, 9},	//2248 Akonadi::TransactionSequence::commit()
    {114, 1222, 0, 0, 0, 0, 10},	//2249 Akonadi::TransactionSequence::rollback()
    {114, 1392, 201, 1, 0, 0, 11},	//2250 Akonadi::TransactionSequence::setIgnoreJobFailure(KJob*)
    {114, 1274, 45, 1, 0, 0, 12},	//2251 Akonadi::TransactionSequence::setAutomaticCommittingEnabled(bool)
    {114, 690, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 13},	//2252 Akonadi::TransactionSequence::addSubjob(KJob*)
    {114, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//2253 Akonadi::TransactionSequence::doStart()
    {114, 1555, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//2254 Akonadi::TransactionSequence::slotResult(KJob*)
    {114, 1603, 21, 1, Smoke::mf_static, 277, 16},	//2255 Akonadi::TransactionSequence::tr(const char*)
    {114, 1607, 21, 1, Smoke::mf_static, 277, 17},	//2256 Akonadi::TransactionSequence::trUtf8(const char*)
    {114, 559, 0, 0, Smoke::mf_ctor, 171, 18},	//2257 Akonadi::TransactionSequence::TransactionSequence()
    {114, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 19},	//2258 Akonadi::TransactionSequence::staticMetaObject() const
    {114, 1758, 0, 0, Smoke::mf_dtor, 0, 20 },	//2259 Akonadi::TransactionSequence::~TransactionSequence()
    {115, 562, 0, 0, Smoke::mf_ctor, 172, 1},	//2260 Akonadi::TransportResourceBase::TransportResourceBase()
    {115, 1252, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//2261 Akonadi::TransportResourceBase::sendItem(const Akonadi::Item&) [pure virtual]
    {115, 1069, 658, 3, 0, 0, 3},	//2262 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&)
    {115, 562, 662, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 172, 4},	//2263 Akonadi::TransportResourceBase::TransportResourceBase(const Akonadi::TransportResourceBase&)
    {115, 1069, 664, 2, 0, 0, 5},	//2264 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult)
    {115, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 6},	//2265 Akonadi::TransportResourceBase::TransportSucceeded (enum)
    {115, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 7},	//2266 Akonadi::TransportResourceBase::TransportFailed (enum)
    {115, 1759, 0, 0, Smoke::mf_dtor, 0, 8 },	//2267 Akonadi::TransportResourceBase::~TransportResourceBase()
    {116, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 1},	//2268 Akonadi::UnlinkJob::metaObject() const
    {116, 1176, 21, 1, Smoke::mf_virtual, 466, 2},	//2269 Akonadi::UnlinkJob::qt_metacast(const char*)
    {116, 1603, 23, 2, Smoke::mf_static, 277, 3},	//2270 Akonadi::UnlinkJob::tr(const char*, const char*)
    {116, 1607, 23, 2, Smoke::mf_static, 277, 4},	//2271 Akonadi::UnlinkJob::trUtf8(const char*, const char*)
    {116, 1603, 26, 3, Smoke::mf_static, 277, 5},	//2272 Akonadi::UnlinkJob::tr(const char*, const char*, int)
    {116, 1607, 26, 3, Smoke::mf_static, 277, 6},	//2273 Akonadi::UnlinkJob::trUtf8(const char*, const char*, int)
    {116, 1174, 30, 3, Smoke::mf_virtual, 457, 7},	//2274 Akonadi::UnlinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {116, 569, 540, 3, Smoke::mf_ctor, 174, 8},	//2275 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {116, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2276 Akonadi::UnlinkJob::doStart()
    {116, 1603, 21, 1, Smoke::mf_static, 277, 10},	//2277 Akonadi::UnlinkJob::tr(const char*)
    {116, 1607, 21, 1, Smoke::mf_static, 277, 11},	//2278 Akonadi::UnlinkJob::trUtf8(const char*)
    {116, 569, 544, 2, Smoke::mf_ctor, 174, 12},	//2279 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {116, 1569, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 434, 13},	//2280 Akonadi::UnlinkJob::staticMetaObject() const
    {116, 1760, 0, 0, Smoke::mf_dtor, 0, 14 },	//2281 Akonadi::UnlinkJob::~UnlinkJob()
    {131, 1273, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//2282 KComboBox::setAutoCompletion(bool)
    {131, 1334, 45, 1, Smoke::mf_virtual, 0, 0},	//2283 KComboBox::setContextMenuEnabled(bool)
    {131, 918, 667, 2, Smoke::mf_virtual, 369, 0},	//2284 KComboBox::eventFilter(QObject*, QEvent*)
    {131, 1430, 670, 1, Smoke::mf_virtual, 0, 0},	//2285 KComboBox::setLineEdit(QLineEdit*)
    {131, 1315, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2286 KComboBox::setCompletedText(const QString&)
    {131, 1314, 672, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2287 KComboBox::setCompletedItems(const QStringList&, bool)
    {131, 1098, 8, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2288 KComboBox::makeCompletion(const QString&)
    {131, 1315, 563, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2289 KComboBox::setCompletedText(const QString&, bool)
    {131, 823, 675, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2290 KComboBox::create(unsigned long, bool, bool)
    {131, 1648, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2291 KComboBox::wheelEvent(QWheelEvent*)
    {131, 1123, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 276, 0},	//2292 KComboBox::minimumSizeHint() const
    {133, 1317, 681, 2, Smoke::mf_virtual, 0, 0},	//2293 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {133, 1380, 45, 1, Smoke::mf_virtual, 0, 0},	//2294 KCompletionBase::setHandleSignals(bool)
    {133, 1316, 684, 1, Smoke::mf_virtual, 0, 0},	//2295 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {133, 1641, 686, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2296 KCompletionBase::virtual_hook(int, void*)
    {135, 1554, 689, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2297 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {137, 1549, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2298 KDialog::sizeHint() const
    {137, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2299 KDialog::minimumSizeHint() const
    {137, 1290, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2300 KDialog::setCaption(const QString&)
    {137, 1290, 563, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2301 KDialog::setCaption(const QString&, bool)
    {137, 1470, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2302 KDialog::setPlainCaption(const QString&)
    {137, 972, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2303 KDialog::hideEvent(QHideEvent*)
    {137, 757, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2304 KDialog::closeEvent(QCloseEvent*)
    {137, 1084, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2305 KDialog::keyPressEvent(QKeyEvent*)
    {137, 1552, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2306 KDialog::slotButtonClicked(int)
    {138, 1549, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2307 KHBox::sizeHint() const
    {138, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2308 KHBox::minimumSizeHint() const
    {138, 742, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2309 KHBox::childEvent(QChildEvent*)
    {140, 873, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2310 KJob::doKill()
    {140, 878, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2311 KJob::doSuspend()
    {140, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2312 KJob::doResume()
    {140, 916, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 0},	//2313 KJob::errorString() const
    {140, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 5},	//2314 KJob::NoError (enum)
    {140, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 6},	//2315 KJob::KilledJobError (enum)
    {140, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 7},	//2316 KJob::UserDefinedError (enum)
    {143, 1509, 159, 1, Smoke::mf_virtual, 0, 0},	//2317 KSelectionProxyModel::setSourceModel(QAbstractItemModel*)
    {143, 1099, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2318 KSelectionProxyModel::mapFromSource(const QModelIndex&) const
    {143, 1103, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2319 KSelectionProxyModel::mapToSource(const QModelIndex&) const
    {143, 1101, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2320 KSelectionProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {143, 1102, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2321 KSelectionProxyModel::mapSelectionToSource(const QItemSelection&) const
    {143, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2322 KSelectionProxyModel::flags(const QModelIndex&) const
    {143, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2323 KSelectionProxyModel::data(const QModelIndex&, int) const
    {143, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//2324 KSelectionProxyModel::rowCount(const QModelIndex&) const
    {143, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2325 KSelectionProxyModel::headerData(int, Qt::Orientation, int) const
    {143, 1112, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2326 KSelectionProxyModel::mimeData(const QList<QModelIndex>&) const
    {143, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2327 KSelectionProxyModel::mimeTypes() const
    {143, 1584, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2328 KSelectionProxyModel::supportedDropActions() const
    {143, 892, 225, 5, Smoke::mf_virtual, 369, 0},	//2329 KSelectionProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {143, 963, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 0},	//2330 KSelectionProxyModel::hasChildren(const QModelIndex&) const
    {143, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2331 KSelectionProxyModel::index(int, int, const QModelIndex&) const
    {143, 1155, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2332 KSelectionProxyModel::parent(const QModelIndex&) const
    {143, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//2333 KSelectionProxyModel::columnCount(const QModelIndex&) const
    {143, 1105, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2334 KSelectionProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 963, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 0},	//2335 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {148, 1342, 108, 3, Smoke::mf_virtual, 369, 0},	//2336 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {148, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2337 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {148, 1381, 218, 4, Smoke::mf_virtual, 369, 0},	//2338 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {148, 1054, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 257, 0},	//2339 QAbstractItemModel::itemData(const QModelIndex&) const
    {148, 1412, 703, 2, Smoke::mf_virtual, 369, 0},	//2340 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {148, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2341 QAbstractItemModel::mimeTypes() const
    {148, 1112, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2342 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {148, 892, 225, 5, Smoke::mf_virtual, 369, 0},	//2343 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {148, 1584, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2344 QAbstractItemModel::supportedDropActions() const
    {148, 1002, 104, 3, Smoke::mf_virtual, 369, 0},	//2345 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {148, 1001, 104, 3, Smoke::mf_virtual, 369, 0},	//2346 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {148, 1196, 104, 3, Smoke::mf_virtual, 369, 0},	//2347 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {148, 1193, 104, 3, Smoke::mf_virtual, 369, 0},	//2348 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {148, 937, 95, 1, Smoke::mf_virtual, 0, 0},	//2349 QAbstractItemModel::fetchMore(const QModelIndex&)
    {148, 726, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 0},	//2350 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {148, 1559, 706, 2, Smoke::mf_virtual, 0, 0},	//2351 QAbstractItemModel::sort(int, Qt::SortOrder)
    {148, 722, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2352 QAbstractItemModel::buddy(const QModelIndex&) const
    {148, 1105, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2353 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 1560, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2354 QAbstractItemModel::span(const QModelIndex&) const
    {148, 1583, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 369, 0},	//2355 QAbstractItemModel::submit()
    {148, 1219, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2356 QAbstractItemModel::revert()
    {149, 1502, 616, 1, Smoke::mf_virtual, 0, 0},	//2357 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {149, 1086, 8, 1, Smoke::mf_virtual, 0, 0},	//2358 QAbstractItemView::keyboardSearch(const QString&)
    {149, 1551, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//2359 QAbstractItemView::sizeHintForRow(int) const
    {149, 1550, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//2360 QAbstractItemView::sizeHintForColumn(int) const
    {149, 1000, 709, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2361 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {149, 1240, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2362 QAbstractItemView::selectAll()
    {149, 1622, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2363 QAbstractItemView::updateEditorData()
    {149, 1623, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2364 QAbstractItemView::updateEditorGeometries()
    {149, 1635, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2365 QAbstractItemView::verticalScrollbarAction(int)
    {149, 975, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2366 QAbstractItemView::horizontalScrollbarAction(int)
    {149, 1636, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2367 QAbstractItemView::verticalScrollbarValueChanged(int)
    {149, 976, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2368 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {149, 756, 711, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2369 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {149, 797, 85, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2370 QAbstractItemView::commitData(QWidget*)
    {149, 898, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2371 QAbstractItemView::editorDestroyed(QObject*)
    {149, 896, 714, 3, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2372 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {149, 1247, 718, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 232, 0},	//2373 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {149, 1563, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2374 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {149, 1638, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 0},	//2375 QAbstractItemView::viewOptions() const
    {149, 952, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2376 QAbstractItemView::focusNextPrevChild(bool)
    {149, 917, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2377 QAbstractItemView::event(QEvent*)
    {149, 1640, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2378 QAbstractItemView::viewportEvent(QEvent*)
    {149, 1131, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2379 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {149, 1129, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2380 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {149, 883, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2381 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {149, 884, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2382 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {149, 890, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2383 QAbstractItemView::dropEvent(QDropEvent*)
    {149, 951, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2384 QAbstractItemView::focusInEvent(QFocusEvent*)
    {149, 953, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2385 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {149, 1084, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2386 QAbstractItemView::keyPressEvent(QKeyEvent*)
    {149, 1203, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2387 QAbstractItemView::resizeEvent(QResizeEvent*)
    {149, 999, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2388 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {149, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 33},	//2389 QAbstractItemView::NoSelection (enum)
    {149, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 34},	//2390 QAbstractItemView::SingleSelection (enum)
    {149, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 35},	//2391 QAbstractItemView::MultiSelection (enum)
    {149, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 36},	//2392 QAbstractItemView::ExtendedSelection (enum)
    {149, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 37},	//2393 QAbstractItemView::ContiguousSelection (enum)
    {149, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 38},	//2394 QAbstractItemView::EnsureVisible (enum)
    {149, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 39},	//2395 QAbstractItemView::PositionAtTop (enum)
    {149, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 40},	//2396 QAbstractItemView::PositionAtBottom (enum)
    {149, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 41},	//2397 QAbstractItemView::PositionAtCenter (enum)
    {149, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//2398 QAbstractItemView::NoEditTriggers (enum)
    {149, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//2399 QAbstractItemView::CurrentChanged (enum)
    {149, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//2400 QAbstractItemView::DoubleClicked (enum)
    {149, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//2401 QAbstractItemView::SelectedClicked (enum)
    {149, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//2402 QAbstractItemView::EditKeyPressed (enum)
    {149, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//2403 QAbstractItemView::AnyKeyPressed (enum)
    {149, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//2404 QAbstractItemView::AllEditTriggers (enum)
    {149, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 49},	//2405 QAbstractItemView::MoveUp (enum)
    {149, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 50},	//2406 QAbstractItemView::MoveDown (enum)
    {149, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 51},	//2407 QAbstractItemView::MoveLeft (enum)
    {149, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 52},	//2408 QAbstractItemView::MoveRight (enum)
    {149, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 53},	//2409 QAbstractItemView::MoveHome (enum)
    {149, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 54},	//2410 QAbstractItemView::MoveEnd (enum)
    {149, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 55},	//2411 QAbstractItemView::MovePageUp (enum)
    {149, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 56},	//2412 QAbstractItemView::MovePageDown (enum)
    {149, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 57},	//2413 QAbstractItemView::MoveNext (enum)
    {149, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 58},	//2414 QAbstractItemView::MovePrevious (enum)
    {150, 1102, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2415 QAbstractProxyModel::mapSelectionToSource(const QItemSelection&) const
    {150, 1101, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2416 QAbstractProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {150, 1583, 0, 0, Smoke::mf_virtual, 369, 0},	//2417 QAbstractProxyModel::submit()
    {150, 1219, 0, 0, Smoke::mf_virtual, 0, 0},	//2418 QAbstractProxyModel::revert()
    {150, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2419 QAbstractProxyModel::data(const QModelIndex&, int) const
    {150, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2420 QAbstractProxyModel::headerData(int, Qt::Orientation, int) const
    {150, 1054, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 257, 0},	//2421 QAbstractProxyModel::itemData(const QModelIndex&) const
    {150, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2422 QAbstractProxyModel::flags(const QModelIndex&) const
    {150, 1342, 108, 3, Smoke::mf_virtual, 369, 0},	//2423 QAbstractProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {150, 1412, 703, 2, Smoke::mf_virtual, 369, 0},	//2424 QAbstractProxyModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {150, 1381, 218, 4, Smoke::mf_virtual, 369, 0},	//2425 QAbstractProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {150, 722, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2426 QAbstractProxyModel::buddy(const QModelIndex&) const
    {150, 726, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 0},	//2427 QAbstractProxyModel::canFetchMore(const QModelIndex&) const
    {150, 937, 95, 1, Smoke::mf_virtual, 0, 0},	//2428 QAbstractProxyModel::fetchMore(const QModelIndex&)
    {150, 1559, 706, 2, Smoke::mf_virtual, 0, 0},	//2429 QAbstractProxyModel::sort(int, Qt::SortOrder)
    {150, 1560, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2430 QAbstractProxyModel::span(const QModelIndex&) const
    {150, 1584, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2431 QAbstractProxyModel::supportedDropActions() const
    {151, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2432 QAbstractScrollArea::minimumSizeHint() const
    {151, 1549, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2433 QAbstractScrollArea::sizeHint() const
    {151, 1648, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2434 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {152, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2435 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {159, 1549, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2436 QComboBox::sizeHint() const
    {159, 1543, 0, 0, Smoke::mf_virtual, 0, 0},	//2437 QComboBox::showPopup()
    {159, 973, 0, 0, Smoke::mf_virtual, 0, 0},	//2438 QComboBox::hidePopup()
    {159, 917, 721, 1, Smoke::mf_virtual, 369, 0},	//2439 QComboBox::event(QEvent*)
    {159, 951, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2440 QComboBox::focusInEvent(QFocusEvent*)
    {159, 953, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2441 QComboBox::focusOutEvent(QFocusEvent*)
    {159, 738, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2442 QComboBox::changeEvent(QEvent*)
    {159, 1203, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2443 QComboBox::resizeEvent(QResizeEvent*)
    {159, 1153, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2444 QComboBox::paintEvent(QPaintEvent*)
    {159, 1542, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2445 QComboBox::showEvent(QShowEvent*)
    {159, 972, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2446 QComboBox::hideEvent(QHideEvent*)
    {159, 1131, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2447 QComboBox::mousePressEvent(QMouseEvent*)
    {159, 1132, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2448 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {159, 1084, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2449 QComboBox::keyPressEvent(QKeyEvent*)
    {159, 1085, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2450 QComboBox::keyReleaseEvent(QKeyEvent*)
    {159, 820, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2451 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {159, 999, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2452 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {159, 1000, 709, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//2453 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {164, 1533, 45, 1, Smoke::mf_virtual, 0, 0},	//2454 QDialog::setVisible(bool)
    {164, 879, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2455 QDialog::done(int)
    {164, 662, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2456 QDialog::accept()
    {164, 1185, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2457 QDialog::reject()
    {164, 1542, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2458 QDialog::showEvent(QShowEvent*)
    {164, 1203, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2459 QDialog::resizeEvent(QResizeEvent*)
    {164, 820, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2460 QDialog::contextMenuEvent(QContextMenuEvent*)
    {164, 918, 667, 2, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2461 QDialog::eventFilter(QObject*, QEvent*)
    {172, 917, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2462 QFrame::event(QEvent*)
    {172, 1153, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2463 QFrame::paintEvent(QPaintEvent*)
    {172, 738, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2464 QFrame::changeEvent(QEvent*)
    {173, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 1},	//2465 QGlobalSpace::_CS_PATH (enum)
    {173, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 2},	//2466 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {173, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 3},	//2467 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {173, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 4},	//2468 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {173, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 5},	//2469 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {173, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 6},	//2470 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {173, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 7},	//2471 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {173, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 8},	//2472 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {173, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 9},	//2473 QGlobalSpace::_CS_LFS_LIBS (enum)
    {173, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 10},	//2474 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {173, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 11},	//2475 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {173, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 12},	//2476 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {173, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 13},	//2477 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {173, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 14},	//2478 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {173, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 15},	//2479 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {173, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 16},	//2480 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {173, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 17},	//2481 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {173, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 18},	//2482 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {173, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 19},	//2483 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {173, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 20},	//2484 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 21},	//2485 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {173, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 22},	//2486 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 23},	//2487 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {173, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 24},	//2488 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {173, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 25},	//2489 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {173, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 26},	//2490 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {173, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 27},	//2491 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 28},	//2492 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 29},	//2493 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {173, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 30},	//2494 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 31},	//2495 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {173, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 32},	//2496 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {173, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 33},	//2497 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {173, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 34},	//2498 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {173, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 35},	//2499 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {173, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 36},	//2500 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 37},	//2501 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {173, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 38},	//2502 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 39},	//2503 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {173, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 40},	//2504 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {173, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 41},	//2505 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {173, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 42},	//2506 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {173, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 43},	//2507 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 44},	//2508 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 45},	//2509 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {173, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 46},	//2510 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 47},	//2511 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {173, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 48},	//2512 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {173, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 49},	//2513 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {173, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 50},	//2514 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {173, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 51},	//2515 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {173, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 52},	//2516 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 53},	//2517 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {173, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 54},	//2518 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 55},	//2519 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {173, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 56},	//2520 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {173, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 57},	//2521 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {173, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 58},	//2522 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {173, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 59},	//2523 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 60},	//2524 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 61},	//2525 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {173, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 62},	//2526 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 63},	//2527 QGlobalSpace::_CS_V6_ENV (enum)
    {173, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 64},	//2528 QGlobalSpace::_CS_V7_ENV (enum)
    {173, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 65},	//2529 QGlobalSpace::QtDebugMsg (enum)
    {173, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 66},	//2530 QGlobalSpace::QtWarningMsg (enum)
    {173, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 67},	//2531 QGlobalSpace::QtCriticalMsg (enum)
    {173, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 68},	//2532 QGlobalSpace::QtFatalMsg (enum)
    {173, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 69},	//2533 QGlobalSpace::QtSystemMsg (enum)
    {173, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 70},	//2534 QGlobalSpace::__codecvt_ok (enum)
    {173, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 71},	//2535 QGlobalSpace::__codecvt_partial (enum)
    {173, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 72},	//2536 QGlobalSpace::__codecvt_error (enum)
    {173, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 73},	//2537 QGlobalSpace::__codecvt_noconv (enum)
    {183, 1642, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2538 QListView::visualRect(const QModelIndex&) const
    {183, 1239, 737, 2, Smoke::mf_virtual, 0, 0},	//2539 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {183, 993, 740, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2540 QListView::indexAt(const QPoint&) const
    {183, 872, 0, 0, Smoke::mf_virtual, 0, 0},	//2541 QListView::doItemsLayout()
    {183, 1202, 0, 0, Smoke::mf_virtual, 0, 0},	//2542 QListView::reset()
    {183, 1498, 95, 1, Smoke::mf_virtual, 0, 0},	//2543 QListView::setRootIndex(const QModelIndex&)
    {183, 917, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2544 QListView::event(QEvent*)
    {183, 1238, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2545 QListView::scrollContentsBy(int, int)
    {183, 850, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2546 QListView::dataChanged(const QModelIndex&, const QModelIndex&)
    {183, 1228, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2547 QListView::rowsInserted(const QModelIndex&, int, int)
    {183, 1227, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2548 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {183, 1130, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2549 QListView::mouseMoveEvent(QMouseEvent*)
    {183, 1132, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2550 QListView::mouseReleaseEvent(QMouseEvent*)
    {183, 1599, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2551 QListView::timerEvent(QTimerEvent*)
    {183, 1203, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2552 QListView::resizeEvent(QResizeEvent*)
    {183, 884, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2553 QListView::dragLeaveEvent(QDragLeaveEvent*)
    {183, 1638, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 0},	//2554 QListView::viewOptions() const
    {183, 1153, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2555 QListView::paintEvent(QPaintEvent*)
    {183, 974, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 457, 0},	//2556 QListView::horizontalOffset() const
    {183, 1634, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 457, 0},	//2557 QListView::verticalOffset() const
    {183, 1133, 746, 2, Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//2558 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {183, 1499, 749, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2559 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {183, 1643, 701, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//2560 QListView::visualRegionForSelection(const QItemSelection&) const
    {183, 1244, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//2561 QListView::selectedIndexes() const
    {183, 1625, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2562 QListView::updateGeometries()
    {183, 1032, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2563 QListView::isIndexHidden(const QModelIndex&) const
    {183, 1246, 752, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2564 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {191, 917, 721, 1, Smoke::mf_virtual, 369, 0},	//2565 QObject::event(QEvent*)
    {191, 918, 667, 2, Smoke::mf_virtual, 369, 0},	//2566 QObject::eventFilter(QObject*, QEvent*)
    {191, 1599, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2567 QObject::timerEvent(QTimerEvent*)
    {191, 742, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2568 QObject::childEvent(QChildEvent*)
    {191, 845, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2569 QObject::customEvent(QEvent*)
    {191, 805, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2570 QObject::connectNotify(const char*)
    {191, 867, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2571 QObject::disconnectNotify(const char*)
    {204, 1509, 159, 1, Smoke::mf_virtual, 0, 0},	//2572 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {204, 1103, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2573 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {204, 1099, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2574 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {204, 1102, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2575 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {204, 1101, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2576 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {204, 945, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2577 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {204, 943, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2578 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {204, 1089, 289, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2579 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {204, 990, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2580 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {204, 1155, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2581 QSortFilterProxyModel::parent(const QModelIndex&) const
    {204, 1225, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//2582 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {204, 794, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//2583 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {204, 963, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 0},	//2584 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {204, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2585 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {204, 1342, 108, 3, Smoke::mf_virtual, 369, 0},	//2586 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {204, 968, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2587 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {204, 1381, 218, 4, Smoke::mf_virtual, 369, 0},	//2588 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {204, 1112, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2589 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {204, 892, 225, 5, Smoke::mf_virtual, 369, 0},	//2590 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {204, 1002, 104, 3, Smoke::mf_virtual, 369, 0},	//2591 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {204, 1001, 104, 3, Smoke::mf_virtual, 369, 0},	//2592 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {204, 1196, 104, 3, Smoke::mf_virtual, 369, 0},	//2593 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {204, 1193, 104, 3, Smoke::mf_virtual, 369, 0},	//2594 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {204, 937, 95, 1, Smoke::mf_virtual, 0, 0},	//2595 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {204, 726, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 369, 0},	//2596 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {204, 949, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2597 QSortFilterProxyModel::flags(const QModelIndex&) const
    {204, 722, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2598 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {204, 1105, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2599 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {204, 1560, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2600 QSortFilterProxyModel::span(const QModelIndex&) const
    {204, 1559, 706, 2, Smoke::mf_virtual, 0, 0},	//2601 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {204, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2602 QSortFilterProxyModel::mimeTypes() const
    {204, 1584, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2603 QSortFilterProxyModel::supportedDropActions() const
    {207, 1549, 755, 2, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2604 QStyledItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 831, 758, 3, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//2605 QStyledItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 1355, 762, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2606 QStyledItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {207, 1446, 765, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2607 QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {207, 1624, 758, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2608 QStyledItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 869, 769, 2, Smoke::mf_const|Smoke::mf_virtual, 277, 0},	//2609 QStyledItemDelegate::displayText(const QVariant&, const QLocale&) const
    {207, 918, 667, 2, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2610 QStyledItemDelegate::eventFilter(QObject*, QEvent*)
    {207, 899, 772, 4, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2611 QStyledItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {210, 1498, 95, 1, Smoke::mf_virtual, 0, 0},	//2612 QTreeView::setRootIndex(const QModelIndex&)
    {210, 1502, 616, 1, Smoke::mf_virtual, 0, 0},	//2613 QTreeView::setSelectionModel(QItemSelectionModel*)
    {210, 1086, 8, 1, Smoke::mf_virtual, 0, 0},	//2614 QTreeView::keyboardSearch(const QString&)
    {210, 1642, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2615 QTreeView::visualRect(const QModelIndex&) const
    {210, 1239, 737, 2, Smoke::mf_virtual, 0, 0},	//2616 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {210, 993, 740, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2617 QTreeView::indexAt(const QPoint&) const
    {210, 872, 0, 0, Smoke::mf_virtual, 0, 0},	//2618 QTreeView::doItemsLayout()
    {210, 1202, 0, 0, Smoke::mf_virtual, 0, 0},	//2619 QTreeView::reset()
    {210, 850, 289, 2, Smoke::mf_virtual, 0, 0},	//2620 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {210, 1240, 0, 0, Smoke::mf_virtual, 0, 0},	//2621 QTreeView::selectAll()
    {210, 1238, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2622 QTreeView::scrollContentsBy(int, int)
    {210, 1228, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2623 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {210, 1227, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2624 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {210, 1133, 746, 2, Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//2625 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {210, 974, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 457, 0},	//2626 QTreeView::horizontalOffset() const
    {210, 1634, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 457, 0},	//2627 QTreeView::verticalOffset() const
    {210, 1499, 749, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2628 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {210, 1643, 701, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//2629 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {210, 1244, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//2630 QTreeView::selectedIndexes() const
    {210, 1599, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2631 QTreeView::timerEvent(QTimerEvent*)
    {210, 1153, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2632 QTreeView::paintEvent(QPaintEvent*)
    {210, 889, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2633 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {210, 888, 777, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2634 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {210, 1131, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2635 QTreeView::mousePressEvent(QMouseEvent*)
    {210, 1132, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2636 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {210, 1129, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2637 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {210, 1130, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2638 QTreeView::mouseMoveEvent(QMouseEvent*)
    {210, 1084, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2639 QTreeView::keyPressEvent(QKeyEvent*)
    {210, 886, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2640 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {210, 1640, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2641 QTreeView::viewportEvent(QEvent*)
    {210, 1625, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2642 QTreeView::updateGeometries()
    {210, 1550, 41, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 457, 0},	//2643 QTreeView::sizeHintForColumn(int) const
    {210, 975, 41, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2644 QTreeView::horizontalScrollbarAction(int)
    {210, 1032, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2645 QTreeView::isIndexHidden(const QModelIndex&) const
    {210, 1246, 752, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2646 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {214, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 435, 0},	//2647 QWidget::metaObject() const
    {214, 1176, 21, 1, Smoke::mf_virtual, 466, 0},	//2648 QWidget::qt_metacast(const char*)
    {214, 1174, 30, 3, Smoke::mf_virtual, 457, 0},	//2649 QWidget::qt_metacall(QMetaObject::Call, int, void**)
    {214, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//2650 QWidget::devType() const
    {214, 1533, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2651 QWidget::setVisible(bool)
    {214, 1549, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 276, 0},	//2652 QWidget::sizeHint() const
    {214, 1123, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 276, 0},	//2653 QWidget::minimumSizeHint() const
    {214, 971, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//2654 QWidget::heightForWidth(int) const
    {214, 1152, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 266, 0},	//2655 QWidget::paintEngine() const
    {214, 917, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2656 QWidget::event(QEvent*)
    {214, 1131, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2657 QWidget::mousePressEvent(QMouseEvent*)
    {214, 1132, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2658 QWidget::mouseReleaseEvent(QMouseEvent*)
    {214, 1129, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2659 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {214, 1130, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2660 QWidget::mouseMoveEvent(QMouseEvent*)
    {214, 1648, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2661 QWidget::wheelEvent(QWheelEvent*)
    {214, 1084, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2662 QWidget::keyPressEvent(QKeyEvent*)
    {214, 1085, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2663 QWidget::keyReleaseEvent(QKeyEvent*)
    {214, 951, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2664 QWidget::focusInEvent(QFocusEvent*)
    {214, 953, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2665 QWidget::focusOutEvent(QFocusEvent*)
    {214, 904, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2666 QWidget::enterEvent(QEvent*)
    {214, 1088, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2667 QWidget::leaveEvent(QEvent*)
    {214, 1153, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2668 QWidget::paintEvent(QPaintEvent*)
    {214, 1134, 781, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2669 QWidget::moveEvent(QMoveEvent*)
    {214, 1203, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2670 QWidget::resizeEvent(QResizeEvent*)
    {214, 757, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2671 QWidget::closeEvent(QCloseEvent*)
    {214, 820, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2672 QWidget::contextMenuEvent(QContextMenuEvent*)
    {214, 1597, 783, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2673 QWidget::tabletEvent(QTabletEvent*)
    {214, 666, 785, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2674 QWidget::actionEvent(QActionEvent*)
    {214, 883, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2675 QWidget::dragEnterEvent(QDragEnterEvent*)
    {214, 886, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2676 QWidget::dragMoveEvent(QDragMoveEvent*)
    {214, 884, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2677 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {214, 890, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2678 QWidget::dropEvent(QDropEvent*)
    {214, 1542, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2679 QWidget::showEvent(QShowEvent*)
    {214, 972, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2680 QWidget::hideEvent(QHideEvent*)
    {214, 1655, 787, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2681 QWidget::x11Event(_XEvent*)
    {214, 738, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2682 QWidget::changeEvent(QEvent*)
    {214, 1111, 789, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 457, 0},	//2683 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {214, 999, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2684 QWidget::inputMethodEvent(QInputMethodEvent*)
    {214, 1000, 709, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2685 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {214, 952, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//2686 QWidget::focusNextPrevChild(bool)
    {214, 1581, 791, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2687 QWidget::styleChange(QStyle&)
    {214, 903, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2688 QWidget::enabledChange(bool)
    {214, 1154, 793, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2689 QWidget::paletteChange(const QPalette&)
    {214, 954, 795, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2690 QWidget::fontChange(const QFont&)
    {214, 1652, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2691 QWidget::windowActivationChange(bool)
    {214, 1087, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2692 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    342,  // Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    355,  // Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    0,
    1492,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    1493,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    0,
    1478,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    1479,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    0,
    1494,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    1495,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    0,
    1480,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    1481,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    0,
    1483,  // Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    1484,  // Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    0,
    2088,  // Akonadi::Session::Session(const QByteArray&)
    2089,  // Akonadi::Session::Session(Akonadi::SessionPrivate*)
    0,
    2079,  // Akonadi::Session::Session(const QByteArray&, QObject*)
    2090,  // Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    0,
    1144,  // Akonadi::EntityListView::EntityListView(QWidget*)
    1164,  // Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    0,
    1150,  // Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    1151,  // Akonadi::EntityListView::clicked(const Akonadi::Item&)
    0,
    1154,  // Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    1155,  // Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    0,
    1152,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    1153,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    0,
    1466,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    1468,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    0,
    1459,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    1461,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    0,
    1386,  // Akonadi::Item::Item(long long)
    1387,  // Akonadi::Item::Item(const QString&)
    0,
    1838,  // Akonadi::Monitor::Monitor(QObject*)
    1888,  // Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    0,
    1207,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    1262,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    0,
    1245,  // Akonadi::EntityTreeModel::d_func()
    1246,  // Akonadi::EntityTreeModel::d_func() const
    0,
    1260,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    1261,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    0,
    1239,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    1240,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    0,
    1243,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    1244,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    0,
    1681,  // Akonadi::ItemView::ItemView(QWidget*)
    1696,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    1697,  // Akonadi::ItemView::ItemView(KXMLGUIClient*)
    0,
    1682,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    1683,  // Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    0,
    1914,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    1917,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    1913,  // Akonadi::PayloadException::PayloadException(const char*)
    1915,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    577,  // Akonadi::CollectionModel::CollectionModel(QObject*)
    606,  // Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    0,
    848,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    859,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    871,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    880,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    1107,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    1108,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    1109,  // Akonadi::Entity::d_func()
    1110,  // Akonadi::Entity::d_func() const
    0,
    1098,  // Akonadi::Entity::parentCollection() const
    1099,  // Akonadi::Entity::parentCollection()
    0,
    802,  // Akonadi::CollectionView::CollectionView(QWidget*)
    818,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    819,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    0,
    803,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    804,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    0,
    738,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    739,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    0,
    1961,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    1962,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    0,
    1350,  // Akonadi::Exception::Exception(const QByteArray&)
    1352,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    1349,  // Akonadi::Exception::Exception(const char*)
    1351,  // Akonadi::Exception::Exception(const QString&)
    0,
    519,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    521,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    0,
    520,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    522,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    0,
    503,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    504,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    0,
    1309,  // Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    1332,  // Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    0,
    1317,  // Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    1318,  // Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    0,
    1321,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    1322,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    0,
    1319,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    1320,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    0,
    470,  // Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    487,  // Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    0,
    705,  // Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    718,  // Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    0,
    404,  // Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    416,  // Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 5, 15},	// Akonadi::AddressAttribute::AddressAttribute
    {4, 6, 14},	// Akonadi::AddressAttribute::AddressAttribute#
    {4, 7, 16},	// Akonadi::AddressAttribute::AddressAttribute$
    {4, 8, 17},	// Akonadi::AddressAttribute::AddressAttribute$?
    {4, 9, 18},	// Akonadi::AddressAttribute::AddressAttribute$??
    {4, 10, 1},	// Akonadi::AddressAttribute::AddressAttribute$???
    {4, 721, 12},	// Akonadi::AddressAttribute::bcc
    {4, 733, 10},	// Akonadi::AddressAttribute::cc
    {4, 755, 2},	// Akonadi::AddressAttribute::clone
    {4, 859, 5},	// Akonadi::AddressAttribute::deserialize#
    {4, 955, 6},	// Akonadi::AddressAttribute::from
    {4, 1258, 4},	// Akonadi::AddressAttribute::serialized
    {4, 1281, 13},	// Akonadi::AddressAttribute::setBcc?
    {4, 1292, 11},	// Akonadi::AddressAttribute::setCc?
    {4, 1375, 7},	// Akonadi::AddressAttribute::setFrom$
    {4, 1520, 9},	// Akonadi::AddressAttribute::setTo?
    {4, 1602, 8},	// Akonadi::AddressAttribute::to
    {4, 1611, 3},	// Akonadi::AddressAttribute::type
    {4, 1656, 19},	// Akonadi::AddressAttribute::~AddressAttribute
    {5, 18, 58},	// Akonadi::AgentBase::AgentBase#$
    {5, 19, 50},	// Akonadi::AgentBase::AgentBase$
    {5, 60, 66},	// Akonadi::AgentBase::Broken
    {5, 289, 64},	// Akonadi::AgentBase::Idle
    {5, 497, 65},	// Akonadi::AgentBase::Running
    {5, 658, 45},	// Akonadi::AgentBase::abortRequested
    {5, 659, 51},	// Akonadi::AgentBase::aboutToQuit
    {5, 697, 44},	// Akonadi::AgentBase::advancedStatus?
    {5, 699, 37},	// Akonadi::AgentBase::agentName
    {5, 701, 39},	// Akonadi::AgentBase::agentNameChanged$
    {5, 739, 54},	// Akonadi::AgentBase::changeProcessed
    {5, 740, 52},	// Akonadi::AgentBase::changeRecorder
    {5, 743, 34},	// Akonadi::AgentBase::cleanup
    {5, 798, 38},	// Akonadi::AgentBase::componentData
    {5, 799, 53},	// Akonadi::AgentBase::config
    {5, 800, 48},	// Akonadi::AgentBase::configurationDialogAccepted
    {5, 801, 49},	// Akonadi::AgentBase::configurationDialogRejected
    {5, 804, 31},	// Akonadi::AgentBase::configure$
    {5, 876, 59},	// Akonadi::AgentBase::doSetOnline$
    {5, 915, 43},	// Akonadi::AgentBase::error$
    {5, 980, 33},	// Akonadi::AgentBase::identifier
    {5, 1034, 55},	// Akonadi::AgentBase::isOnline
    {5, 1110, 20},	// Akonadi::AgentBase::metaObject
    {5, 1140, 47},	// Akonadi::AgentBase::onlineChanged$
    {5, 1165, 41},	// Akonadi::AgentBase::percent$
    {5, 1171, 29},	// Akonadi::AgentBase::progress
    {5, 1173, 30},	// Akonadi::AgentBase::progressMessage
    {5, 1175, 26},	// Akonadi::AgentBase::qt_metacall$$?
    {5, 1177, 21},	// Akonadi::AgentBase::qt_metacast$
    {5, 1182, 35},	// Akonadi::AgentBase::registerObserver#
    {5, 1186, 46},	// Akonadi::AgentBase::reloadConfiguration
    {5, 1268, 36},	// Akonadi::AgentBase::setAgentName$
    {5, 1452, 56},	// Akonadi::AgentBase::setNeedsNetwork$
    {5, 1454, 57},	// Akonadi::AgentBase::setOnline$
    {5, 1569, 63},	// Akonadi::AgentBase::staticMetaObject
    {5, 1571, 27},	// Akonadi::AgentBase::status
    {5, 1572, 62},	// Akonadi::AgentBase::status$
    {5, 1573, 40},	// Akonadi::AgentBase::status$$
    {5, 1574, 28},	// Akonadi::AgentBase::statusMessage
    {5, 1604, 60},	// Akonadi::AgentBase::tr$
    {5, 1605, 22},	// Akonadi::AgentBase::tr$$
    {5, 1606, 24},	// Akonadi::AgentBase::tr$$$
    {5, 1608, 61},	// Akonadi::AgentBase::trUtf8$
    {5, 1609, 23},	// Akonadi::AgentBase::trUtf8$$
    {5, 1610, 25},	// Akonadi::AgentBase::trUtf8$$$
    {5, 1646, 42},	// Akonadi::AgentBase::warning$
    {5, 1651, 32},	// Akonadi::AgentBase::winIdForDialogs
    {5, 1657, 67},	// Akonadi::AgentBase::~AgentBase
    {6, 432, 68},	// Akonadi::AgentBase::Observer::Observer
    {6, 433, 75},	// Akonadi::AgentBase::Observer::Observer#
    {6, 760, 72},	// Akonadi::AgentBase::Observer::collectionAdded##
    {6, 764, 73},	// Akonadi::AgentBase::Observer::collectionChanged#
    {6, 776, 74},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {6, 1050, 69},	// Akonadi::AgentBase::Observer::itemAdded##
    {6, 1053, 70},	// Akonadi::AgentBase::Observer::itemChanged#?
    {6, 1066, 71},	// Akonadi::AgentBase::Observer::itemRemoved#
    {6, 1741, 76},	// Akonadi::AgentBase::Observer::~Observer
    {7, 434, 83},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {7, 435, 84},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {7, 764, 77},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {7, 765, 82},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {7, 774, 81},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {7, 1059, 79},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {7, 1063, 78},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {7, 1073, 80},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {7, 1742, 85},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {9, 20, 101},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {9, 21, 93},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {9, 675, 95},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {9, 683, 94},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {9, 748, 96},	// Akonadi::AgentFilterProxyModel::clearFilters
    {9, 920, 97},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {9, 946, 98},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {9, 1110, 86},	// Akonadi::AgentFilterProxyModel::metaObject
    {9, 1175, 92},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {9, 1177, 87},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {9, 1569, 102},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {9, 1604, 99},	// Akonadi::AgentFilterProxyModel::tr$
    {9, 1605, 88},	// Akonadi::AgentFilterProxyModel::tr$$
    {9, 1606, 90},	// Akonadi::AgentFilterProxyModel::tr$$$
    {9, 1608, 100},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {9, 1609, 89},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {9, 1610, 91},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {9, 1658, 103},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {10, 22, 104},	// Akonadi::AgentInstance::AgentInstance
    {10, 23, 105},	// Akonadi::AgentInstance::AgentInstance#
    {10, 60, 127},	// Akonadi::AgentInstance::Broken
    {10, 289, 125},	// Akonadi::AgentInstance::Idle
    {10, 497, 126},	// Akonadi::AgentInstance::Running
    {10, 657, 121},	// Akonadi::AgentInstance::abortCurrentTask
    {10, 802, 124},	// Akonadi::AgentInstance::configure
    {10, 803, 116},	// Akonadi::AgentInstance::configure#
    {10, 980, 108},	// Akonadi::AgentInstance::identifier
    {10, 1034, 114},	// Akonadi::AgentInstance::isOnline
    {10, 1038, 106},	// Akonadi::AgentInstance::isValid
    {10, 1135, 109},	// Akonadi::AgentInstance::name
    {10, 1146, 119},	// Akonadi::AgentInstance::operator=#
    {10, 1148, 120},	// Akonadi::AgentInstance::operator==#
    {10, 1171, 113},	// Akonadi::AgentInstance::progress
    {10, 1179, 122},	// Akonadi::AgentInstance::reconfigure
    {10, 1208, 123},	// Akonadi::AgentInstance::restart
    {10, 1409, 115},	// Akonadi::AgentInstance::setIsOnline$
    {10, 1450, 110},	// Akonadi::AgentInstance::setName$
    {10, 1571, 111},	// Akonadi::AgentInstance::status
    {10, 1574, 112},	// Akonadi::AgentInstance::statusMessage
    {10, 1586, 117},	// Akonadi::AgentInstance::synchronize
    {10, 1594, 118},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {10, 1611, 107},	// Akonadi::AgentInstance::type
    {10, 1659, 128},	// Akonadi::AgentInstance::~AgentInstance
    {11, 25, 143},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {11, 26, 136},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {11, 27, 144},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {11, 28, 137},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {11, 802, 145},	// Akonadi::AgentInstanceCreateJob::configure
    {11, 803, 138},	// Akonadi::AgentInstanceCreateJob::configure#
    {11, 1003, 139},	// Akonadi::AgentInstanceCreateJob::instance
    {11, 1110, 129},	// Akonadi::AgentInstanceCreateJob::metaObject
    {11, 1175, 135},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {11, 1177, 130},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {11, 1561, 140},	// Akonadi::AgentInstanceCreateJob::start
    {11, 1569, 146},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {11, 1604, 141},	// Akonadi::AgentInstanceCreateJob::tr$
    {11, 1605, 131},	// Akonadi::AgentInstanceCreateJob::tr$$
    {11, 1606, 133},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {11, 1608, 142},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {11, 1609, 132},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {11, 1610, 134},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {11, 1660, 147},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {12, 29, 166},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {12, 30, 155},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {12, 74, 177},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {12, 216, 175},	// Akonadi::AgentInstanceModel::DescriptionRole
    {12, 299, 179},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {12, 300, 178},	// Akonadi::AgentInstanceModel::InstanceRole
    {12, 385, 176},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {12, 441, 183},	// Akonadi::AgentInstanceModel::OnlineRole
    {12, 467, 182},	// Akonadi::AgentInstanceModel::ProgressRole
    {12, 533, 181},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {12, 534, 180},	// Akonadi::AgentInstanceModel::StatusRole
    {12, 566, 174},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {12, 567, 173},	// Akonadi::AgentInstanceModel::TypeRole
    {12, 584, 184},	// Akonadi::AgentInstanceModel::UserRole
    {12, 794, 167},	// Akonadi::AgentInstanceModel::columnCount
    {12, 795, 156},	// Akonadi::AgentInstanceModel::columnCount#
    {12, 848, 169},	// Akonadi::AgentInstanceModel::data#
    {12, 849, 158},	// Akonadi::AgentInstanceModel::data#$
    {12, 950, 162},	// Akonadi::AgentInstanceModel::flags#
    {12, 969, 170},	// Akonadi::AgentInstanceModel::headerData$$
    {12, 970, 159},	// Akonadi::AgentInstanceModel::headerData$$$
    {12, 991, 171},	// Akonadi::AgentInstanceModel::index$$
    {12, 992, 160},	// Akonadi::AgentInstanceModel::index$$#
    {12, 1110, 148},	// Akonadi::AgentInstanceModel::metaObject
    {12, 1156, 161},	// Akonadi::AgentInstanceModel::parent#
    {12, 1175, 154},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {12, 1177, 149},	// Akonadi::AgentInstanceModel::qt_metacast$
    {12, 1225, 168},	// Akonadi::AgentInstanceModel::rowCount
    {12, 1226, 157},	// Akonadi::AgentInstanceModel::rowCount#
    {12, 1344, 163},	// Akonadi::AgentInstanceModel::setData##$
    {12, 1569, 172},	// Akonadi::AgentInstanceModel::staticMetaObject
    {12, 1604, 164},	// Akonadi::AgentInstanceModel::tr$
    {12, 1605, 150},	// Akonadi::AgentInstanceModel::tr$$
    {12, 1606, 152},	// Akonadi::AgentInstanceModel::tr$$$
    {12, 1608, 165},	// Akonadi::AgentInstanceModel::trUtf8$
    {12, 1609, 151},	// Akonadi::AgentInstanceModel::trUtf8$$
    {12, 1610, 153},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {12, 1661, 185},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {13, 31, 202},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {13, 32, 193},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {13, 698, 196},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {13, 837, 194},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {13, 841, 198},	// Akonadi::AgentInstanceWidget::currentChanged##
    {13, 882, 199},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {13, 1110, 186},	// Akonadi::AgentInstanceWidget::metaObject
    {13, 1175, 192},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {13, 1177, 187},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {13, 1241, 195},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {13, 1569, 203},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {13, 1604, 200},	// Akonadi::AgentInstanceWidget::tr$
    {13, 1605, 188},	// Akonadi::AgentInstanceWidget::tr$$
    {13, 1606, 190},	// Akonadi::AgentInstanceWidget::tr$$$
    {13, 1608, 201},	// Akonadi::AgentInstanceWidget::trUtf8$
    {13, 1609, 189},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {13, 1610, 191},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {13, 1637, 197},	// Akonadi::AgentInstanceWidget::view
    {13, 1662, 204},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {14, 1004, 216},	// Akonadi::AgentManager::instance$
    {14, 1006, 222},	// Akonadi::AgentManager::instanceAdded#
    {14, 1008, 227},	// Akonadi::AgentManager::instanceError#$
    {14, 1010, 226},	// Akonadi::AgentManager::instanceNameChanged#
    {14, 1012, 229},	// Akonadi::AgentManager::instanceOnline#$
    {14, 1014, 225},	// Akonadi::AgentManager::instanceProgressChanged#
    {14, 1016, 223},	// Akonadi::AgentManager::instanceRemoved#
    {14, 1018, 224},	// Akonadi::AgentManager::instanceStatusChanged#
    {14, 1020, 228},	// Akonadi::AgentManager::instanceWarning#$
    {14, 1021, 215},	// Akonadi::AgentManager::instances
    {14, 1110, 205},	// Akonadi::AgentManager::metaObject
    {14, 1175, 211},	// Akonadi::AgentManager::qt_metacall$$?
    {14, 1177, 206},	// Akonadi::AgentManager::qt_metacast$
    {14, 1195, 217},	// Akonadi::AgentManager::removeInstance#
    {14, 1249, 212},	// Akonadi::AgentManager::self
    {14, 1569, 232},	// Akonadi::AgentManager::staticMetaObject
    {14, 1588, 218},	// Akonadi::AgentManager::synchronizeCollection#
    {14, 1589, 219},	// Akonadi::AgentManager::synchronizeCollection#$
    {14, 1604, 230},	// Akonadi::AgentManager::tr$
    {14, 1605, 207},	// Akonadi::AgentManager::tr$$
    {14, 1606, 209},	// Akonadi::AgentManager::tr$$$
    {14, 1608, 231},	// Akonadi::AgentManager::trUtf8$
    {14, 1609, 208},	// Akonadi::AgentManager::trUtf8$$
    {14, 1610, 210},	// Akonadi::AgentManager::trUtf8$$$
    {14, 1612, 214},	// Akonadi::AgentManager::type$
    {14, 1614, 220},	// Akonadi::AgentManager::typeAdded#
    {14, 1617, 221},	// Akonadi::AgentManager::typeRemoved#
    {14, 1618, 213},	// Akonadi::AgentManager::types
    {14, 1663, 233},	// Akonadi::AgentManager::~AgentManager
    {15, 33, 234},	// Akonadi::AgentType::AgentType
    {15, 34, 235},	// Akonadi::AgentType::AgentType#
    {15, 732, 243},	// Akonadi::AgentType::capabilities
    {15, 857, 239},	// Akonadi::AgentType::description
    {15, 977, 241},	// Akonadi::AgentType::icon
    {15, 978, 240},	// Akonadi::AgentType::iconName
    {15, 980, 237},	// Akonadi::AgentType::identifier
    {15, 1038, 236},	// Akonadi::AgentType::isValid
    {15, 1121, 242},	// Akonadi::AgentType::mimeTypes
    {15, 1135, 238},	// Akonadi::AgentType::name
    {15, 1146, 244},	// Akonadi::AgentType::operator=#
    {15, 1148, 245},	// Akonadi::AgentType::operator==#
    {15, 1664, 246},	// Akonadi::AgentType::~AgentType
    {16, 35, 260},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {16, 36, 254},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {16, 698, 256},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {16, 702, 255},	// Akonadi::AgentTypeDialog::agentType
    {16, 880, 257},	// Akonadi::AgentTypeDialog::done$
    {16, 1110, 247},	// Akonadi::AgentTypeDialog::metaObject
    {16, 1175, 253},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {16, 1177, 248},	// Akonadi::AgentTypeDialog::qt_metacast$
    {16, 1569, 261},	// Akonadi::AgentTypeDialog::staticMetaObject
    {16, 1604, 258},	// Akonadi::AgentTypeDialog::tr$
    {16, 1605, 249},	// Akonadi::AgentTypeDialog::tr$$
    {16, 1606, 251},	// Akonadi::AgentTypeDialog::tr$$$
    {16, 1608, 259},	// Akonadi::AgentTypeDialog::trUtf8$
    {16, 1609, 250},	// Akonadi::AgentTypeDialog::trUtf8$$
    {16, 1610, 252},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {16, 1665, 262},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {17, 37, 279},	// Akonadi::AgentTypeModel::AgentTypeModel
    {17, 38, 270},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {17, 74, 289},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {17, 216, 287},	// Akonadi::AgentTypeModel::DescriptionRole
    {17, 288, 286},	// Akonadi::AgentTypeModel::IdentifierRole
    {17, 385, 288},	// Akonadi::AgentTypeModel::MimeTypesRole
    {17, 567, 285},	// Akonadi::AgentTypeModel::TypeRole
    {17, 584, 290},	// Akonadi::AgentTypeModel::UserRole
    {17, 794, 280},	// Akonadi::AgentTypeModel::columnCount
    {17, 795, 271},	// Akonadi::AgentTypeModel::columnCount#
    {17, 848, 282},	// Akonadi::AgentTypeModel::data#
    {17, 849, 273},	// Akonadi::AgentTypeModel::data#$
    {17, 950, 276},	// Akonadi::AgentTypeModel::flags#
    {17, 991, 283},	// Akonadi::AgentTypeModel::index$$
    {17, 992, 274},	// Akonadi::AgentTypeModel::index$$#
    {17, 1110, 263},	// Akonadi::AgentTypeModel::metaObject
    {17, 1156, 275},	// Akonadi::AgentTypeModel::parent#
    {17, 1175, 269},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {17, 1177, 264},	// Akonadi::AgentTypeModel::qt_metacast$
    {17, 1225, 281},	// Akonadi::AgentTypeModel::rowCount
    {17, 1226, 272},	// Akonadi::AgentTypeModel::rowCount#
    {17, 1569, 284},	// Akonadi::AgentTypeModel::staticMetaObject
    {17, 1604, 277},	// Akonadi::AgentTypeModel::tr$
    {17, 1605, 265},	// Akonadi::AgentTypeModel::tr$$
    {17, 1606, 267},	// Akonadi::AgentTypeModel::tr$$$
    {17, 1608, 278},	// Akonadi::AgentTypeModel::trUtf8$
    {17, 1609, 266},	// Akonadi::AgentTypeModel::trUtf8$$
    {17, 1610, 268},	// Akonadi::AgentTypeModel::trUtf8$$$
    {17, 1666, 291},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {18, 39, 306},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {18, 40, 299},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {18, 668, 303},	// Akonadi::AgentTypeWidget::activated
    {18, 698, 301},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {18, 838, 300},	// Akonadi::AgentTypeWidget::currentAgentType
    {18, 841, 302},	// Akonadi::AgentTypeWidget::currentChanged##
    {18, 1110, 292},	// Akonadi::AgentTypeWidget::metaObject
    {18, 1175, 298},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {18, 1177, 293},	// Akonadi::AgentTypeWidget::qt_metacast$
    {18, 1569, 307},	// Akonadi::AgentTypeWidget::staticMetaObject
    {18, 1604, 304},	// Akonadi::AgentTypeWidget::tr$
    {18, 1605, 294},	// Akonadi::AgentTypeWidget::tr$$
    {18, 1606, 296},	// Akonadi::AgentTypeWidget::tr$$$
    {18, 1608, 305},	// Akonadi::AgentTypeWidget::trUtf8$
    {18, 1609, 295},	// Akonadi::AgentTypeWidget::trUtf8$$
    {18, 1610, 297},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {18, 1667, 308},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {19, 51, 313},	// Akonadi::Attribute::Attribute
    {19, 52, 314},	// Akonadi::Attribute::Attribute#
    {19, 755, 310},	// Akonadi::Attribute::clone
    {19, 859, 312},	// Akonadi::Attribute::deserialize#
    {19, 1258, 311},	// Akonadi::Attribute::serialized
    {19, 1611, 309},	// Akonadi::Attribute::type
    {19, 1668, 315},	// Akonadi::Attribute::~Attribute
    {20, 53, 317},	// Akonadi::AttributeFactory::AttributeFactory
    {20, 54, 318},	// Akonadi::AttributeFactory::AttributeFactory#
    {20, 830, 316},	// Akonadi::AttributeFactory::createAttribute#
    {20, 1669, 319},	// Akonadi::AttributeFactory::~AttributeFactory
    {21, 63, 320},	// Akonadi::CachePolicy::CachePolicy
    {21, 64, 321},	// Akonadi::CachePolicy::CachePolicy#
    {21, 725, 326},	// Akonadi::CachePolicy::cacheTimeout
    {21, 996, 322},	// Akonadi::CachePolicy::inheritFromParent
    {21, 1025, 328},	// Akonadi::CachePolicy::intervalCheckTime
    {21, 1097, 324},	// Akonadi::CachePolicy::localParts
    {21, 1146, 332},	// Akonadi::CachePolicy::operator=#
    {21, 1148, 333},	// Akonadi::CachePolicy::operator==#
    {21, 1287, 327},	// Akonadi::CachePolicy::setCacheTimeout$
    {21, 1405, 323},	// Akonadi::CachePolicy::setInheritFromParent$
    {21, 1407, 329},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {21, 1432, 325},	// Akonadi::CachePolicy::setLocalParts?
    {21, 1518, 331},	// Akonadi::CachePolicy::setSyncOnDemand$
    {21, 1585, 330},	// Akonadi::CachePolicy::syncOnDemand
    {21, 1670, 334},	// Akonadi::CachePolicy::~CachePolicy
    {22, 75, 354},	// Akonadi::ChangeRecorder::ChangeRecorder
    {22, 76, -1},	// Akonadi::ChangeRecorder::ChangeRecorder#
    {22, 77, 351},	// Akonadi::ChangeRecorder::ChangeRecorder##
    {22, 739, 345},	// Akonadi::ChangeRecorder::changeProcessed
    {22, 741, 349},	// Akonadi::ChangeRecorder::changesAdded
    {22, 894, 347},	// Akonadi::ChangeRecorder::dumpNotificationListToString
    {22, 1030, 344},	// Akonadi::ChangeRecorder::isEmpty
    {22, 1110, 335},	// Akonadi::ChangeRecorder::metaObject
    {22, 1138, 350},	// Akonadi::ChangeRecorder::nothingToReplay
    {22, 1175, 341},	// Akonadi::ChangeRecorder::qt_metacall$$?
    {22, 1177, 336},	// Akonadi::ChangeRecorder::qt_metacast$
    {22, 1201, 348},	// Akonadi::ChangeRecorder::replayNext
    {22, 1294, 346},	// Akonadi::ChangeRecorder::setChangeRecordingEnabled$
    {22, 1319, 343},	// Akonadi::ChangeRecorder::setConfig#
    {22, 1569, 356},	// Akonadi::ChangeRecorder::staticMetaObject
    {22, 1604, 352},	// Akonadi::ChangeRecorder::tr$
    {22, 1605, 337},	// Akonadi::ChangeRecorder::tr$$
    {22, 1606, 339},	// Akonadi::ChangeRecorder::tr$$$
    {22, 1608, 353},	// Akonadi::ChangeRecorder::trUtf8$
    {22, 1609, 338},	// Akonadi::ChangeRecorder::trUtf8$$
    {22, 1610, 340},	// Akonadi::ChangeRecorder::trUtf8$$$
    {22, 1671, 357},	// Akonadi::ChangeRecorder::~ChangeRecorder
    {24, 43, 393},	// Akonadi::Collection::AllRights
    {24, 65, 388},	// Akonadi::Collection::CanChangeCollection
    {24, 66, 385},	// Akonadi::Collection::CanChangeItem
    {24, 67, 389},	// Akonadi::Collection::CanCreateCollection
    {24, 68, 386},	// Akonadi::Collection::CanCreateItem
    {24, 69, 390},	// Akonadi::Collection::CanDeleteCollection
    {24, 70, 387},	// Akonadi::Collection::CanDeleteItem
    {24, 71, 391},	// Akonadi::Collection::CanLinkItem
    {24, 72, 392},	// Akonadi::Collection::CanUnlinkItem
    {24, 81, 358},	// Akonadi::Collection::Collection
    {24, 82, 360},	// Akonadi::Collection::Collection#
    {24, 83, 359},	// Akonadi::Collection::Collection$
    {24, 476, 384},	// Akonadi::Collection::ReadOnly
    {24, 574, 394},	// Akonadi::Collection::UrlShort
    {24, 576, 395},	// Akonadi::Collection::UrlWithName
    {24, 724, 377},	// Akonadi::Collection::cachePolicy
    {24, 819, 366},	// Akonadi::Collection::contentMimeTypes
    {24, 957, 361},	// Akonadi::Collection::fromUrl#
    {24, 1039, 383},	// Akonadi::Collection::isVirtual
    {24, 1114, 374},	// Akonadi::Collection::mimeType
    {24, 1135, 362},	// Akonadi::Collection::name
    {24, 1155, 368},	// Akonadi::Collection::parent
    {24, 1158, 371},	// Akonadi::Collection::parentRemoteId
    {24, 1204, 375},	// Akonadi::Collection::resource
    {24, 1221, 364},	// Akonadi::Collection::rights
    {24, 1223, 373},	// Akonadi::Collection::root
    {24, 1285, 378},	// Akonadi::Collection::setCachePolicy#
    {24, 1333, 367},	// Akonadi::Collection::setContentMimeTypes?
    {24, 1450, 363},	// Akonadi::Collection::setName$
    {24, 1460, 370},	// Akonadi::Collection::setParent#
    {24, 1461, 369},	// Akonadi::Collection::setParent$
    {24, 1465, 372},	// Akonadi::Collection::setParentRemoteId$
    {24, 1488, 376},	// Akonadi::Collection::setResource$
    {24, 1495, 365},	// Akonadi::Collection::setRights$
    {24, 1512, 380},	// Akonadi::Collection::setStatistics#
    {24, 1570, 379},	// Akonadi::Collection::statistics
    {24, 1628, 381},	// Akonadi::Collection::url
    {24, 1629, 382},	// Akonadi::Collection::url$
    {24, 1672, 396},	// Akonadi::Collection::~Collection
    {25, 85, 415},	// Akonadi::CollectionComboBox::CollectionComboBox
    {25, 86, -141},	// Akonadi::CollectionComboBox::CollectionComboBox#
    {25, 87, 405},	// Akonadi::CollectionComboBox::CollectionComboBox##
    {25, 663, 409},	// Akonadi::CollectionComboBox::accessRightsFilter
    {25, 840, 412},	// Akonadi::CollectionComboBox::currentChanged#
    {25, 842, 411},	// Akonadi::CollectionComboBox::currentCollection
    {25, 1110, 397},	// Akonadi::CollectionComboBox::metaObject
    {25, 1116, 407},	// Akonadi::CollectionComboBox::mimeTypeFilter
    {25, 1175, 403},	// Akonadi::CollectionComboBox::qt_metacall$$?
    {25, 1177, 398},	// Akonadi::CollectionComboBox::qt_metacast$
    {25, 1262, 408},	// Akonadi::CollectionComboBox::setAccessRightsFilter$
    {25, 1348, 410},	// Akonadi::CollectionComboBox::setDefaultCollection#
    {25, 1440, 406},	// Akonadi::CollectionComboBox::setMimeTypeFilter?
    {25, 1569, 417},	// Akonadi::CollectionComboBox::staticMetaObject
    {25, 1604, 413},	// Akonadi::CollectionComboBox::tr$
    {25, 1605, 399},	// Akonadi::CollectionComboBox::tr$$
    {25, 1606, 401},	// Akonadi::CollectionComboBox::tr$$$
    {25, 1608, 414},	// Akonadi::CollectionComboBox::trUtf8$
    {25, 1609, 400},	// Akonadi::CollectionComboBox::trUtf8$$
    {25, 1610, 402},	// Akonadi::CollectionComboBox::trUtf8$$$
    {25, 1673, 418},	// Akonadi::CollectionComboBox::~CollectionComboBox
    {26, 89, 430},	// Akonadi::CollectionCopyJob::CollectionCopyJob##
    {26, 90, 426},	// Akonadi::CollectionCopyJob::CollectionCopyJob###
    {26, 877, 427},	// Akonadi::CollectionCopyJob::doStart
    {26, 1110, 419},	// Akonadi::CollectionCopyJob::metaObject
    {26, 1175, 425},	// Akonadi::CollectionCopyJob::qt_metacall$$?
    {26, 1177, 420},	// Akonadi::CollectionCopyJob::qt_metacast$
    {26, 1569, 431},	// Akonadi::CollectionCopyJob::staticMetaObject
    {26, 1604, 428},	// Akonadi::CollectionCopyJob::tr$
    {26, 1605, 421},	// Akonadi::CollectionCopyJob::tr$$
    {26, 1606, 423},	// Akonadi::CollectionCopyJob::tr$$$
    {26, 1608, 429},	// Akonadi::CollectionCopyJob::trUtf8$
    {26, 1609, 422},	// Akonadi::CollectionCopyJob::trUtf8$$
    {26, 1610, 424},	// Akonadi::CollectionCopyJob::trUtf8$$$
    {26, 1674, 432},	// Akonadi::CollectionCopyJob::~CollectionCopyJob
    {27, 92, 446},	// Akonadi::CollectionCreateJob::CollectionCreateJob#
    {27, 93, 440},	// Akonadi::CollectionCreateJob::CollectionCreateJob##
    {27, 758, 441},	// Akonadi::CollectionCreateJob::collection
    {27, 871, 443},	// Akonadi::CollectionCreateJob::doHandleResponse##
    {27, 877, 442},	// Akonadi::CollectionCreateJob::doStart
    {27, 1110, 433},	// Akonadi::CollectionCreateJob::metaObject
    {27, 1175, 439},	// Akonadi::CollectionCreateJob::qt_metacall$$?
    {27, 1177, 434},	// Akonadi::CollectionCreateJob::qt_metacast$
    {27, 1569, 447},	// Akonadi::CollectionCreateJob::staticMetaObject
    {27, 1604, 444},	// Akonadi::CollectionCreateJob::tr$
    {27, 1605, 435},	// Akonadi::CollectionCreateJob::tr$$
    {27, 1606, 437},	// Akonadi::CollectionCreateJob::tr$$$
    {27, 1608, 445},	// Akonadi::CollectionCreateJob::trUtf8$
    {27, 1609, 436},	// Akonadi::CollectionCreateJob::trUtf8$$
    {27, 1610, 438},	// Akonadi::CollectionCreateJob::trUtf8$$$
    {27, 1675, 448},	// Akonadi::CollectionCreateJob::~CollectionCreateJob
    {28, 95, 460},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob#
    {28, 96, 456},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob##
    {28, 877, 457},	// Akonadi::CollectionDeleteJob::doStart
    {28, 1110, 449},	// Akonadi::CollectionDeleteJob::metaObject
    {28, 1175, 455},	// Akonadi::CollectionDeleteJob::qt_metacall$$?
    {28, 1177, 450},	// Akonadi::CollectionDeleteJob::qt_metacast$
    {28, 1569, 461},	// Akonadi::CollectionDeleteJob::staticMetaObject
    {28, 1604, 458},	// Akonadi::CollectionDeleteJob::tr$
    {28, 1605, 451},	// Akonadi::CollectionDeleteJob::tr$$
    {28, 1606, 453},	// Akonadi::CollectionDeleteJob::tr$$$
    {28, 1608, 459},	// Akonadi::CollectionDeleteJob::trUtf8$
    {28, 1609, 452},	// Akonadi::CollectionDeleteJob::trUtf8$$
    {28, 1610, 454},	// Akonadi::CollectionDeleteJob::trUtf8$$$
    {28, 1676, 462},	// Akonadi::CollectionDeleteJob::~CollectionDeleteJob
    {29, 44, 492},	// Akonadi::CollectionDialog::AllowToCreateNewChildCollection
    {29, 98, 486},	// Akonadi::CollectionDialog::CollectionDialog
    {29, 99, -135},	// Akonadi::CollectionDialog::CollectionDialog#
    {29, 100, 471},	// Akonadi::CollectionDialog::CollectionDialog##
    {29, 101, 488},	// Akonadi::CollectionDialog::CollectionDialog$
    {29, 102, 489},	// Akonadi::CollectionDialog::CollectionDialog$#
    {29, 103, 472},	// Akonadi::CollectionDialog::CollectionDialog$##
    {29, 430, 491},	// Akonadi::CollectionDialog::None
    {29, 663, 476},	// Akonadi::CollectionDialog::accessRightsFilter
    {29, 735, 483},	// Akonadi::CollectionDialog::changeCollectionDialogOptions$
    {29, 1110, 463},	// Akonadi::CollectionDialog::metaObject
    {29, 1116, 474},	// Akonadi::CollectionDialog::mimeTypeFilter
    {29, 1175, 469},	// Akonadi::CollectionDialog::qt_metacall$$?
    {29, 1177, 464},	// Akonadi::CollectionDialog::qt_metacast$
    {29, 1242, 481},	// Akonadi::CollectionDialog::selectedCollection
    {29, 1243, 482},	// Akonadi::CollectionDialog::selectedCollections
    {29, 1248, 480},	// Akonadi::CollectionDialog::selectionMode
    {29, 1262, 475},	// Akonadi::CollectionDialog::setAccessRightsFilter$
    {29, 1348, 478},	// Akonadi::CollectionDialog::setDefaultCollection#
    {29, 1350, 477},	// Akonadi::CollectionDialog::setDescription$
    {29, 1440, 473},	// Akonadi::CollectionDialog::setMimeTypeFilter?
    {29, 1501, 479},	// Akonadi::CollectionDialog::setSelectionMode$
    {29, 1569, 490},	// Akonadi::CollectionDialog::staticMetaObject
    {29, 1604, 484},	// Akonadi::CollectionDialog::tr$
    {29, 1605, 465},	// Akonadi::CollectionDialog::tr$$
    {29, 1606, 467},	// Akonadi::CollectionDialog::tr$$$
    {29, 1608, 485},	// Akonadi::CollectionDialog::trUtf8$
    {29, 1609, 466},	// Akonadi::CollectionDialog::trUtf8$$
    {29, 1610, 468},	// Akonadi::CollectionDialog::trUtf8$$$
    {29, 1677, 493},	// Akonadi::CollectionDialog::~CollectionDialog
    {30, 56, 526},	// Akonadi::CollectionFetchJob::Base
    {30, 105, 517},	// Akonadi::CollectionFetchJob::CollectionFetchJob#
    {30, 106, 518},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$
    {30, 107, 501},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$#
    {30, 108, -114},	// Akonadi::CollectionFetchJob::CollectionFetchJob?
    {30, 109, 502},	// Akonadi::CollectionFetchJob::CollectionFetchJob?#
    {30, 110, -117},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$
    {30, 111, -120},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$#
    {30, 277, 527},	// Akonadi::CollectionFetchJob::FirstLevel
    {30, 429, 529},	// Akonadi::CollectionFetchJob::NonOverlappingRoots
    {30, 478, 528},	// Akonadi::CollectionFetchJob::Recursive
    {30, 785, 505},	// Akonadi::CollectionFetchJob::collections
    {30, 788, 511},	// Akonadi::CollectionFetchJob::collectionsReceived?
    {30, 871, 513},	// Akonadi::CollectionFetchJob::doHandleResponse##
    {30, 877, 512},	// Akonadi::CollectionFetchJob::doStart
    {30, 942, 510},	// Akonadi::CollectionFetchJob::fetchScope
    {30, 985, 524},	// Akonadi::CollectionFetchJob::includeStatistics
    {30, 986, 508},	// Akonadi::CollectionFetchJob::includeStatistics$
    {30, 987, 523},	// Akonadi::CollectionFetchJob::includeUnsubscribed
    {30, 988, 507},	// Akonadi::CollectionFetchJob::includeUnsubscribed$
    {30, 1110, 494},	// Akonadi::CollectionFetchJob::metaObject
    {30, 1175, 500},	// Akonadi::CollectionFetchJob::qt_metacall$$?
    {30, 1177, 495},	// Akonadi::CollectionFetchJob::qt_metacast$
    {30, 1369, 509},	// Akonadi::CollectionFetchJob::setFetchScope#
    {30, 1488, 506},	// Akonadi::CollectionFetchJob::setResource$
    {30, 1556, 514},	// Akonadi::CollectionFetchJob::slotResult#
    {30, 1569, 525},	// Akonadi::CollectionFetchJob::staticMetaObject
    {30, 1604, 515},	// Akonadi::CollectionFetchJob::tr$
    {30, 1605, 496},	// Akonadi::CollectionFetchJob::tr$$
    {30, 1606, 498},	// Akonadi::CollectionFetchJob::tr$$$
    {30, 1608, 516},	// Akonadi::CollectionFetchJob::trUtf8$
    {30, 1609, 497},	// Akonadi::CollectionFetchJob::trUtf8$$
    {30, 1610, 499},	// Akonadi::CollectionFetchJob::trUtf8$$$
    {30, 1678, 530},	// Akonadi::CollectionFetchJob::~CollectionFetchJob
    {31, 41, 548},	// Akonadi::CollectionFetchScope::All
    {31, 112, 531},	// Akonadi::CollectionFetchScope::CollectionFetchScope
    {31, 113, 532},	// Akonadi::CollectionFetchScope::CollectionFetchScope#
    {31, 430, 546},	// Akonadi::CollectionFetchScope::None
    {31, 443, 547},	// Akonadi::CollectionFetchScope::Parent
    {31, 707, 544},	// Akonadi::CollectionFetchScope::ancestorRetrieval
    {31, 819, 542},	// Akonadi::CollectionFetchScope::contentMimeTypes
    {31, 985, 537},	// Akonadi::CollectionFetchScope::includeStatistics
    {31, 987, 535},	// Akonadi::CollectionFetchScope::includeUnsubscribed
    {31, 989, 534},	// Akonadi::CollectionFetchScope::includeUnubscribed
    {31, 1030, 545},	// Akonadi::CollectionFetchScope::isEmpty
    {31, 1146, 533},	// Akonadi::CollectionFetchScope::operator=#
    {31, 1204, 539},	// Akonadi::CollectionFetchScope::resource
    {31, 1272, 543},	// Akonadi::CollectionFetchScope::setAncestorRetrieval$
    {31, 1333, 541},	// Akonadi::CollectionFetchScope::setContentMimeTypes?
    {31, 1399, 538},	// Akonadi::CollectionFetchScope::setIncludeStatistics$
    {31, 1401, 536},	// Akonadi::CollectionFetchScope::setIncludeUnsubscribed$
    {31, 1488, 540},	// Akonadi::CollectionFetchScope::setResource$
    {31, 1679, 549},	// Akonadi::CollectionFetchScope::~CollectionFetchScope
    {32, 114, 567},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel
    {32, 115, 557},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel#
    {32, 683, 559},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilter$
    {32, 685, 558},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilters?
    {32, 748, 562},	// Akonadi::CollectionFilterProxyModel::clearFilters
    {32, 946, 564},	// Akonadi::CollectionFilterProxyModel::filterAcceptsRow$#
    {32, 950, 563},	// Akonadi::CollectionFilterProxyModel::flags#
    {32, 1110, 550},	// Akonadi::CollectionFilterProxyModel::metaObject
    {32, 1117, 560},	// Akonadi::CollectionFilterProxyModel::mimeTypeFilters
    {32, 1175, 556},	// Akonadi::CollectionFilterProxyModel::qt_metacall$$?
    {32, 1177, 551},	// Akonadi::CollectionFilterProxyModel::qt_metacast$
    {32, 1357, 561},	// Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections$
    {32, 1569, 568},	// Akonadi::CollectionFilterProxyModel::staticMetaObject
    {32, 1604, 565},	// Akonadi::CollectionFilterProxyModel::tr$
    {32, 1605, 552},	// Akonadi::CollectionFilterProxyModel::tr$$
    {32, 1606, 554},	// Akonadi::CollectionFilterProxyModel::tr$$$
    {32, 1608, 566},	// Akonadi::CollectionFilterProxyModel::trUtf8$
    {32, 1609, 553},	// Akonadi::CollectionFilterProxyModel::trUtf8$$
    {32, 1610, 555},	// Akonadi::CollectionFilterProxyModel::trUtf8$$$
    {32, 1680, 569},	// Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel
    {33, 116, 610},	// Akonadi::CollectionModel::CollectionIdRole
    {33, 117, 597},	// Akonadi::CollectionModel::CollectionModel
    {33, 118, -77},	// Akonadi::CollectionModel::CollectionModel#
    {33, 119, 594},	// Akonadi::CollectionModel::CollectionModel##
    {33, 143, 611},	// Akonadi::CollectionModel::CollectionRole
    {33, 437, 608},	// Akonadi::CollectionModel::OldCollectionIdRole
    {33, 438, 609},	// Akonadi::CollectionModel::OldCollectionRole
    {33, 584, 612},	// Akonadi::CollectionModel::UserRole
    {33, 769, 593},	// Akonadi::CollectionModel::collectionForId?
    {33, 794, 599},	// Akonadi::CollectionModel::columnCount
    {33, 795, 580},	// Akonadi::CollectionModel::columnCount#
    {33, 848, 600},	// Akonadi::CollectionModel::data#
    {33, 849, 581},	// Akonadi::CollectionModel::data#$
    {33, 893, 591},	// Akonadi::CollectionModel::dropMimeData#$$$#
    {33, 933, 578},	// Akonadi::CollectionModel::fetchCollectionStatistics$
    {33, 950, 588},	// Akonadi::CollectionModel::flags#
    {33, 969, 603},	// Akonadi::CollectionModel::headerData$$
    {33, 970, 585},	// Akonadi::CollectionModel::headerData$$$
    {33, 987, 598},	// Akonadi::CollectionModel::includeUnsubscribed
    {33, 988, 579},	// Akonadi::CollectionModel::includeUnsubscribed$
    {33, 991, 601},	// Akonadi::CollectionModel::index$$
    {33, 992, 582},	// Akonadi::CollectionModel::index$$#
    {33, 1110, 570},	// Akonadi::CollectionModel::metaObject
    {33, 1113, 590},	// Akonadi::CollectionModel::mimeData?
    {33, 1121, 592},	// Akonadi::CollectionModel::mimeTypes
    {33, 1156, 583},	// Akonadi::CollectionModel::parent#
    {33, 1175, 576},	// Akonadi::CollectionModel::qt_metacall$$?
    {33, 1177, 571},	// Akonadi::CollectionModel::qt_metacast$
    {33, 1225, 602},	// Akonadi::CollectionModel::rowCount
    {33, 1226, 584},	// Akonadi::CollectionModel::rowCount#
    {33, 1343, 605},	// Akonadi::CollectionModel::setData##
    {33, 1344, 587},	// Akonadi::CollectionModel::setData##$
    {33, 1382, 604},	// Akonadi::CollectionModel::setHeaderData$$#
    {33, 1383, 586},	// Akonadi::CollectionModel::setHeaderData$$#$
    {33, 1569, 607},	// Akonadi::CollectionModel::staticMetaObject
    {33, 1584, 589},	// Akonadi::CollectionModel::supportedDropActions
    {33, 1604, 595},	// Akonadi::CollectionModel::tr$
    {33, 1605, 572},	// Akonadi::CollectionModel::tr$$
    {33, 1606, 574},	// Akonadi::CollectionModel::tr$$$
    {33, 1608, 596},	// Akonadi::CollectionModel::trUtf8$
    {33, 1609, 573},	// Akonadi::CollectionModel::trUtf8$$
    {33, 1610, 575},	// Akonadi::CollectionModel::trUtf8$$$
    {33, 1681, 613},	// Akonadi::CollectionModel::~CollectionModel
    {35, 121, 626},	// Akonadi::CollectionModifyJob::CollectionModifyJob#
    {35, 122, 621},	// Akonadi::CollectionModifyJob::CollectionModifyJob##
    {35, 758, 622},	// Akonadi::CollectionModifyJob::collection
    {35, 877, 623},	// Akonadi::CollectionModifyJob::doStart
    {35, 1110, 614},	// Akonadi::CollectionModifyJob::metaObject
    {35, 1175, 620},	// Akonadi::CollectionModifyJob::qt_metacall$$?
    {35, 1177, 615},	// Akonadi::CollectionModifyJob::qt_metacast$
    {35, 1569, 627},	// Akonadi::CollectionModifyJob::staticMetaObject
    {35, 1604, 624},	// Akonadi::CollectionModifyJob::tr$
    {35, 1605, 616},	// Akonadi::CollectionModifyJob::tr$$
    {35, 1606, 618},	// Akonadi::CollectionModifyJob::tr$$$
    {35, 1608, 625},	// Akonadi::CollectionModifyJob::trUtf8$
    {35, 1609, 617},	// Akonadi::CollectionModifyJob::trUtf8$$
    {35, 1610, 619},	// Akonadi::CollectionModifyJob::trUtf8$$$
    {35, 1682, 628},	// Akonadi::CollectionModifyJob::~CollectionModifyJob
    {36, 124, 640},	// Akonadi::CollectionMoveJob::CollectionMoveJob##
    {36, 125, 636},	// Akonadi::CollectionMoveJob::CollectionMoveJob###
    {36, 877, 637},	// Akonadi::CollectionMoveJob::doStart
    {36, 1110, 629},	// Akonadi::CollectionMoveJob::metaObject
    {36, 1175, 635},	// Akonadi::CollectionMoveJob::qt_metacall$$?
    {36, 1177, 630},	// Akonadi::CollectionMoveJob::qt_metacast$
    {36, 1569, 641},	// Akonadi::CollectionMoveJob::staticMetaObject
    {36, 1604, 638},	// Akonadi::CollectionMoveJob::tr$
    {36, 1605, 631},	// Akonadi::CollectionMoveJob::tr$$
    {36, 1606, 633},	// Akonadi::CollectionMoveJob::tr$$$
    {36, 1608, 639},	// Akonadi::CollectionMoveJob::trUtf8$
    {36, 1609, 632},	// Akonadi::CollectionMoveJob::trUtf8$$
    {36, 1610, 634},	// Akonadi::CollectionMoveJob::trUtf8$$$
    {36, 1683, 642},	// Akonadi::CollectionMoveJob::~CollectionMoveJob
    {37, 62, 661},	// Akonadi::CollectionPropertiesDialog::CachePage
    {37, 128, 657},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#
    {37, 129, 650},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog##
    {37, 130, 658},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?
    {37, 131, 651},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?#
    {37, 281, 660},	// Akonadi::CollectionPropertiesDialog::GeneralPage
    {37, 852, 654},	// Akonadi::CollectionPropertiesDialog::defaultPageObjectName$
    {37, 1110, 643},	// Akonadi::CollectionPropertiesDialog::metaObject
    {37, 1175, 649},	// Akonadi::CollectionPropertiesDialog::qt_metacall$$?
    {37, 1177, 644},	// Akonadi::CollectionPropertiesDialog::qt_metacast$
    {37, 1184, 652},	// Akonadi::CollectionPropertiesDialog::registerPage#
    {37, 1569, 659},	// Akonadi::CollectionPropertiesDialog::staticMetaObject
    {37, 1604, 655},	// Akonadi::CollectionPropertiesDialog::tr$
    {37, 1605, 645},	// Akonadi::CollectionPropertiesDialog::tr$$
    {37, 1606, 647},	// Akonadi::CollectionPropertiesDialog::tr$$$
    {37, 1608, 656},	// Akonadi::CollectionPropertiesDialog::trUtf8$
    {37, 1609, 646},	// Akonadi::CollectionPropertiesDialog::trUtf8$$
    {37, 1610, 648},	// Akonadi::CollectionPropertiesDialog::trUtf8$$$
    {37, 1633, 653},	// Akonadi::CollectionPropertiesDialog::useDefaultPage$
    {37, 1684, 662},	// Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog
    {38, 132, 678},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage
    {38, 133, 670},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage#
    {38, 729, 673},	// Akonadi::CollectionPropertiesPage::canHandle#
    {38, 1091, 671},	// Akonadi::CollectionPropertiesPage::load#
    {38, 1110, 663},	// Akonadi::CollectionPropertiesPage::metaObject
    {38, 1149, 675},	// Akonadi::CollectionPropertiesPage::pageTitle
    {38, 1175, 669},	// Akonadi::CollectionPropertiesPage::qt_metacall$$?
    {38, 1177, 664},	// Akonadi::CollectionPropertiesPage::qt_metacast$
    {38, 1230, 672},	// Akonadi::CollectionPropertiesPage::save#
    {38, 1458, 674},	// Akonadi::CollectionPropertiesPage::setPageTitle$
    {38, 1569, 679},	// Akonadi::CollectionPropertiesPage::staticMetaObject
    {38, 1604, 676},	// Akonadi::CollectionPropertiesPage::tr$
    {38, 1605, 665},	// Akonadi::CollectionPropertiesPage::tr$$
    {38, 1606, 667},	// Akonadi::CollectionPropertiesPage::tr$$$
    {38, 1608, 677},	// Akonadi::CollectionPropertiesPage::trUtf8$
    {38, 1609, 666},	// Akonadi::CollectionPropertiesPage::trUtf8$$
    {38, 1610, 668},	// Akonadi::CollectionPropertiesPage::trUtf8$$$
    {38, 1685, 680},	// Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage
    {39, 134, 682},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory
    {39, 135, 683},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory#
    {39, 834, 684},	// Akonadi::CollectionPropertiesPageFactory::createWidget
    {39, 835, 681},	// Akonadi::CollectionPropertiesPageFactory::createWidget#
    {39, 1686, 685},	// Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory
    {40, 136, 686},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute
    {40, 137, 696},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute#
    {40, 138, 687},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute$$
    {40, 755, 693},	// Akonadi::CollectionQuotaAttribute::clone
    {40, 844, 690},	// Akonadi::CollectionQuotaAttribute::currentValue
    {40, 859, 695},	// Akonadi::CollectionQuotaAttribute::deserialize#
    {40, 1109, 691},	// Akonadi::CollectionQuotaAttribute::maximumValue
    {40, 1258, 694},	// Akonadi::CollectionQuotaAttribute::serialized
    {40, 1341, 688},	// Akonadi::CollectionQuotaAttribute::setCurrentValue$
    {40, 1436, 689},	// Akonadi::CollectionQuotaAttribute::setMaximumValue$
    {40, 1611, 692},	// Akonadi::CollectionQuotaAttribute::type
    {40, 1687, 697},	// Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute
    {41, 140, 717},	// Akonadi::CollectionRequester::CollectionRequester
    {41, 141, -138},	// Akonadi::CollectionRequester::CollectionRequester#
    {41, 142, 706},	// Akonadi::CollectionRequester::CollectionRequester##
    {41, 663, 711},	// Akonadi::CollectionRequester::accessRightsFilter
    {41, 735, 712},	// Akonadi::CollectionRequester::changeCollectionDialogOptions$
    {41, 758, 707},	// Akonadi::CollectionRequester::collection
    {41, 764, 714},	// Akonadi::CollectionRequester::collectionChanged#
    {41, 1110, 698},	// Akonadi::CollectionRequester::metaObject
    {41, 1116, 709},	// Akonadi::CollectionRequester::mimeTypeFilter
    {41, 1175, 704},	// Akonadi::CollectionRequester::qt_metacall$$?
    {41, 1177, 699},	// Akonadi::CollectionRequester::qt_metacast$
    {41, 1262, 710},	// Akonadi::CollectionRequester::setAccessRightsFilter$
    {41, 1296, 713},	// Akonadi::CollectionRequester::setCollection#
    {41, 1440, 708},	// Akonadi::CollectionRequester::setMimeTypeFilter?
    {41, 1569, 719},	// Akonadi::CollectionRequester::staticMetaObject
    {41, 1604, 715},	// Akonadi::CollectionRequester::tr$
    {41, 1605, 700},	// Akonadi::CollectionRequester::tr$$
    {41, 1606, 702},	// Akonadi::CollectionRequester::tr$$$
    {41, 1608, 716},	// Akonadi::CollectionRequester::trUtf8$
    {41, 1609, 701},	// Akonadi::CollectionRequester::trUtf8$$
    {41, 1610, 703},	// Akonadi::CollectionRequester::trUtf8$$$
    {41, 1688, 720},	// Akonadi::CollectionRequester::~CollectionRequester
    {42, 144, 721},	// Akonadi::CollectionStatistics::CollectionStatistics
    {42, 145, 722},	// Akonadi::CollectionStatistics::CollectionStatistics#
    {42, 822, 723},	// Akonadi::CollectionStatistics::count
    {42, 1146, 729},	// Akonadi::CollectionStatistics::operator=#
    {42, 1339, 724},	// Akonadi::CollectionStatistics::setCount$
    {42, 1508, 728},	// Akonadi::CollectionStatistics::setSize$
    {42, 1530, 726},	// Akonadi::CollectionStatistics::setUnreadCount$
    {42, 1548, 727},	// Akonadi::CollectionStatistics::size
    {42, 1620, 725},	// Akonadi::CollectionStatistics::unreadCount
    {42, 1689, 730},	// Akonadi::CollectionStatistics::~CollectionStatistics
    {43, 147, -102},	// Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate#
    {43, 998, 745},	// Akonadi::CollectionStatisticsDelegate::initStyleOption##
    {43, 1110, 731},	// Akonadi::CollectionStatisticsDelegate::metaObject
    {43, 1151, 744},	// Akonadi::CollectionStatisticsDelegate::paint###
    {43, 1172, 743},	// Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled
    {43, 1175, 737},	// Akonadi::CollectionStatisticsDelegate::qt_metacall$$?
    {43, 1177, 732},	// Akonadi::CollectionStatisticsDelegate::qt_metacast$
    {43, 1472, 742},	// Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled$
    {43, 1532, 740},	// Akonadi::CollectionStatisticsDelegate::setUnreadCountShown$
    {43, 1569, 748},	// Akonadi::CollectionStatisticsDelegate::staticMetaObject
    {43, 1604, 746},	// Akonadi::CollectionStatisticsDelegate::tr$
    {43, 1605, 733},	// Akonadi::CollectionStatisticsDelegate::tr$$
    {43, 1606, 735},	// Akonadi::CollectionStatisticsDelegate::tr$$$
    {43, 1608, 747},	// Akonadi::CollectionStatisticsDelegate::trUtf8$
    {43, 1609, 734},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$
    {43, 1610, 736},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$$
    {43, 1621, 741},	// Akonadi::CollectionStatisticsDelegate::unreadCountShown
    {43, 1690, 749},	// Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate
    {44, 149, 764},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob#
    {44, 150, 757},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob##
    {44, 758, 759},	// Akonadi::CollectionStatisticsJob::collection
    {44, 871, 761},	// Akonadi::CollectionStatisticsJob::doHandleResponse##
    {44, 877, 760},	// Akonadi::CollectionStatisticsJob::doStart
    {44, 1110, 750},	// Akonadi::CollectionStatisticsJob::metaObject
    {44, 1175, 756},	// Akonadi::CollectionStatisticsJob::qt_metacall$$?
    {44, 1177, 751},	// Akonadi::CollectionStatisticsJob::qt_metacast$
    {44, 1569, 765},	// Akonadi::CollectionStatisticsJob::staticMetaObject
    {44, 1570, 758},	// Akonadi::CollectionStatisticsJob::statistics
    {44, 1604, 762},	// Akonadi::CollectionStatisticsJob::tr$
    {44, 1605, 752},	// Akonadi::CollectionStatisticsJob::tr$$
    {44, 1606, 754},	// Akonadi::CollectionStatisticsJob::tr$$$
    {44, 1608, 763},	// Akonadi::CollectionStatisticsJob::trUtf8$
    {44, 1609, 753},	// Akonadi::CollectionStatisticsJob::trUtf8$$
    {44, 1610, 755},	// Akonadi::CollectionStatisticsJob::trUtf8$$$
    {44, 1691, 766},	// Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob
    {45, 151, 780},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel
    {45, 152, 774},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel#
    {45, 479, 792},	// Akonadi::CollectionStatisticsModel::RecursiveSizeRole
    {45, 480, 790},	// Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole
    {45, 481, 789},	// Akonadi::CollectionStatisticsModel::RecursiveTotalRole
    {45, 482, 788},	// Akonadi::CollectionStatisticsModel::RecursiveUnreadRole
    {45, 522, 791},	// Akonadi::CollectionStatisticsModel::SizeRole
    {45, 532, 787},	// Akonadi::CollectionStatisticsModel::StatisticsRole
    {45, 552, 786},	// Akonadi::CollectionStatisticsModel::TotalRole
    {45, 573, 785},	// Akonadi::CollectionStatisticsModel::UnreadRole
    {45, 584, 793},	// Akonadi::CollectionStatisticsModel::UserRole
    {45, 794, 781},	// Akonadi::CollectionStatisticsModel::columnCount
    {45, 795, 775},	// Akonadi::CollectionStatisticsModel::columnCount#
    {45, 848, 782},	// Akonadi::CollectionStatisticsModel::data#
    {45, 849, 776},	// Akonadi::CollectionStatisticsModel::data#$
    {45, 969, 783},	// Akonadi::CollectionStatisticsModel::headerData$$
    {45, 970, 777},	// Akonadi::CollectionStatisticsModel::headerData$$$
    {45, 1110, 767},	// Akonadi::CollectionStatisticsModel::metaObject
    {45, 1175, 773},	// Akonadi::CollectionStatisticsModel::qt_metacall$$?
    {45, 1177, 768},	// Akonadi::CollectionStatisticsModel::qt_metacast$
    {45, 1569, 784},	// Akonadi::CollectionStatisticsModel::staticMetaObject
    {45, 1604, 778},	// Akonadi::CollectionStatisticsModel::tr$
    {45, 1605, 769},	// Akonadi::CollectionStatisticsModel::tr$$
    {45, 1606, 771},	// Akonadi::CollectionStatisticsModel::tr$$$
    {45, 1608, 779},	// Akonadi::CollectionStatisticsModel::trUtf8$
    {45, 1609, 770},	// Akonadi::CollectionStatisticsModel::trUtf8$$
    {45, 1610, 772},	// Akonadi::CollectionStatisticsModel::trUtf8$$$
    {45, 1692, 794},	// Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel
    {46, 155, 817},	// Akonadi::CollectionView::CollectionView
    {46, 156, -95},	// Akonadi::CollectionView::CollectionView#
    {46, 157, -99},	// Akonadi::CollectionView::CollectionView##
    {46, 754, 808},	// Akonadi::CollectionView::clicked#
    {46, 821, 814},	// Akonadi::CollectionView::contextMenuEvent#
    {46, 840, 809},	// Akonadi::CollectionView::currentChanged#
    {46, 841, 810},	// Akonadi::CollectionView::currentChanged##
    {46, 885, 812},	// Akonadi::CollectionView::dragLeaveEvent#
    {46, 887, 811},	// Akonadi::CollectionView::dragMoveEvent#
    {46, 891, 813},	// Akonadi::CollectionView::dropEvent#
    {46, 1110, 795},	// Akonadi::CollectionView::metaObject
    {46, 1175, 801},	// Akonadi::CollectionView::qt_metacall$$?
    {46, 1177, 796},	// Akonadi::CollectionView::qt_metacast$
    {46, 1445, 807},	// Akonadi::CollectionView::setModel#
    {46, 1537, 806},	// Akonadi::CollectionView::setXmlGuiClient#
    {46, 1539, 805},	// Akonadi::CollectionView::setXmlGuiWindow#
    {46, 1569, 820},	// Akonadi::CollectionView::staticMetaObject
    {46, 1604, 815},	// Akonadi::CollectionView::tr$
    {46, 1605, 797},	// Akonadi::CollectionView::tr$$
    {46, 1606, 799},	// Akonadi::CollectionView::tr$$$
    {46, 1608, 816},	// Akonadi::CollectionView::trUtf8$
    {46, 1609, 798},	// Akonadi::CollectionView::trUtf8$$
    {46, 1610, 800},	// Akonadi::CollectionView::trUtf8$$$
    {46, 1693, 821},	// Akonadi::CollectionView::~CollectionView
    {47, 160, 838},	// Akonadi::ContactDefaultActions::ContactDefaultActions
    {47, 161, 829},	// Akonadi::ContactDefaultActions::ContactDefaultActions#
    {47, 808, 830},	// Akonadi::ContactDefaultActions::connectToView#
    {47, 864, 833},	// Akonadi::ContactDefaultActions::dialPhoneNumber#
    {47, 1110, 822},	// Akonadi::ContactDefaultActions::metaObject
    {47, 1175, 828},	// Akonadi::ContactDefaultActions::qt_metacall$$?
    {47, 1177, 823},	// Akonadi::ContactDefaultActions::qt_metacast$
    {47, 1251, 832},	// Akonadi::ContactDefaultActions::sendEmail$$
    {47, 1255, 834},	// Akonadi::ContactDefaultActions::sendSms#
    {47, 1541, 835},	// Akonadi::ContactDefaultActions::showAddress#
    {47, 1547, 831},	// Akonadi::ContactDefaultActions::showUrl#
    {47, 1569, 839},	// Akonadi::ContactDefaultActions::staticMetaObject
    {47, 1604, 836},	// Akonadi::ContactDefaultActions::tr$
    {47, 1605, 824},	// Akonadi::ContactDefaultActions::tr$$
    {47, 1606, 826},	// Akonadi::ContactDefaultActions::tr$$$
    {47, 1608, 837},	// Akonadi::ContactDefaultActions::trUtf8$
    {47, 1609, 825},	// Akonadi::ContactDefaultActions::trUtf8$$
    {47, 1610, 827},	// Akonadi::ContactDefaultActions::trUtf8$$$
    {47, 1694, 840},	// Akonadi::ContactDefaultActions::~ContactDefaultActions
    {48, 163, 858},	// Akonadi::ContactEditor::ContactEditor$
    {48, 164, -80},	// Akonadi::ContactEditor::ContactEditor$#
    {48, 165, 849},	// Akonadi::ContactEditor::ContactEditor$##
    {48, 205, 861},	// Akonadi::ContactEditor::CreateMode
    {48, 230, 862},	// Akonadi::ContactEditor::EditMode
    {48, 815, 854},	// Akonadi::ContactEditor::contactStored#
    {48, 915, 855},	// Akonadi::ContactEditor::error$
    {48, 1093, 852},	// Akonadi::ContactEditor::loadContact#
    {48, 1110, 841},	// Akonadi::ContactEditor::metaObject
    {48, 1175, 847},	// Akonadi::ContactEditor::qt_metacall$$?
    {48, 1177, 842},	// Akonadi::ContactEditor::qt_metacast$
    {48, 1231, 853},	// Akonadi::ContactEditor::saveContact
    {48, 1331, 850},	// Akonadi::ContactEditor::setContactTemplate#
    {48, 1346, 851},	// Akonadi::ContactEditor::setDefaultAddressBook#
    {48, 1569, 860},	// Akonadi::ContactEditor::staticMetaObject
    {48, 1604, 856},	// Akonadi::ContactEditor::tr$
    {48, 1605, 843},	// Akonadi::ContactEditor::tr$$
    {48, 1606, 845},	// Akonadi::ContactEditor::tr$$$
    {48, 1608, 857},	// Akonadi::ContactEditor::trUtf8$
    {48, 1609, 844},	// Akonadi::ContactEditor::trUtf8$$
    {48, 1610, 846},	// Akonadi::ContactEditor::trUtf8$$$
    {48, 1695, 863},	// Akonadi::ContactEditor::~ContactEditor
    {49, 167, 879},	// Akonadi::ContactEditorDialog::ContactEditorDialog$
    {49, 168, -83},	// Akonadi::ContactEditorDialog::ContactEditorDialog$#
    {49, 169, 872},	// Akonadi::ContactEditorDialog::ContactEditorDialog$##
    {49, 205, 882},	// Akonadi::ContactEditorDialog::CreateMode
    {49, 230, 883},	// Akonadi::ContactEditorDialog::EditMode
    {49, 815, 876},	// Akonadi::ContactEditorDialog::contactStored#
    {49, 897, 875},	// Akonadi::ContactEditorDialog::editor
    {49, 1110, 864},	// Akonadi::ContactEditorDialog::metaObject
    {49, 1175, 870},	// Akonadi::ContactEditorDialog::qt_metacall$$?
    {49, 1177, 865},	// Akonadi::ContactEditorDialog::qt_metacast$
    {49, 1321, 873},	// Akonadi::ContactEditorDialog::setContact#
    {49, 1346, 874},	// Akonadi::ContactEditorDialog::setDefaultAddressBook#
    {49, 1569, 881},	// Akonadi::ContactEditorDialog::staticMetaObject
    {49, 1604, 877},	// Akonadi::ContactEditorDialog::tr$
    {49, 1605, 866},	// Akonadi::ContactEditorDialog::tr$$
    {49, 1606, 868},	// Akonadi::ContactEditorDialog::tr$$$
    {49, 1608, 878},	// Akonadi::ContactEditorDialog::trUtf8$
    {49, 1609, 867},	// Akonadi::ContactEditorDialog::trUtf8$$
    {49, 1610, 869},	// Akonadi::ContactEditorDialog::trUtf8$$$
    {49, 1696, 884},	// Akonadi::ContactEditorDialog::~ContactEditorDialog
    {50, 170, 889},	// Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin
    {50, 1093, 886},	// Akonadi::ContactEditorPagePlugin::loadContact#
    {50, 1482, 888},	// Akonadi::ContactEditorPagePlugin::setReadOnly$
    {50, 1580, 887},	// Akonadi::ContactEditorPagePlugin::storeContact#
    {50, 1601, 885},	// Akonadi::ContactEditorPagePlugin::title
    {50, 1697, 890},	// Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin
    {51, 172, 908},	// Akonadi::ContactGroupEditor::ContactGroupEditor$
    {51, 173, 898},	// Akonadi::ContactGroupEditor::ContactGroupEditor$#
    {51, 205, 910},	// Akonadi::ContactGroupEditor::CreateMode
    {51, 230, 911},	// Akonadi::ContactGroupEditor::EditMode
    {51, 812, 904},	// Akonadi::ContactGroupEditor::contactGroupStored#
    {51, 915, 905},	// Akonadi::ContactGroupEditor::error$
    {51, 960, 901},	// Akonadi::ContactGroupEditor::groupNameIsValid$
    {51, 1095, 902},	// Akonadi::ContactGroupEditor::loadContactGroup#
    {51, 1110, 891},	// Akonadi::ContactGroupEditor::metaObject
    {51, 1175, 897},	// Akonadi::ContactGroupEditor::qt_metacall$$?
    {51, 1177, 892},	// Akonadi::ContactGroupEditor::qt_metacast$
    {51, 1232, 903},	// Akonadi::ContactGroupEditor::saveContactGroup
    {51, 1329, 899},	// Akonadi::ContactGroupEditor::setContactGroupTemplate#
    {51, 1346, 900},	// Akonadi::ContactGroupEditor::setDefaultAddressBook#
    {51, 1569, 909},	// Akonadi::ContactGroupEditor::staticMetaObject
    {51, 1604, 906},	// Akonadi::ContactGroupEditor::tr$
    {51, 1605, 893},	// Akonadi::ContactGroupEditor::tr$$
    {51, 1606, 895},	// Akonadi::ContactGroupEditor::tr$$$
    {51, 1608, 907},	// Akonadi::ContactGroupEditor::trUtf8$
    {51, 1609, 894},	// Akonadi::ContactGroupEditor::trUtf8$$
    {51, 1610, 896},	// Akonadi::ContactGroupEditor::trUtf8$$$
    {51, 1698, 912},	// Akonadi::ContactGroupEditor::~ContactGroupEditor
    {52, 175, 928},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$
    {52, 176, 920},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$#
    {52, 205, 930},	// Akonadi::ContactGroupEditorDialog::CreateMode
    {52, 230, 931},	// Akonadi::ContactGroupEditorDialog::EditMode
    {52, 812, 924},	// Akonadi::ContactGroupEditorDialog::contactGroupStored#
    {52, 897, 923},	// Akonadi::ContactGroupEditorDialog::editor
    {52, 1110, 913},	// Akonadi::ContactGroupEditorDialog::metaObject
    {52, 1175, 919},	// Akonadi::ContactGroupEditorDialog::qt_metacall$$?
    {52, 1177, 914},	// Akonadi::ContactGroupEditorDialog::qt_metacast$
    {52, 1325, 921},	// Akonadi::ContactGroupEditorDialog::setContactGroup#
    {52, 1346, 922},	// Akonadi::ContactGroupEditorDialog::setDefaultAddressBook#
    {52, 1553, 925},	// Akonadi::ContactGroupEditorDialog::slotButtonClicked$
    {52, 1569, 929},	// Akonadi::ContactGroupEditorDialog::staticMetaObject
    {52, 1604, 926},	// Akonadi::ContactGroupEditorDialog::tr$
    {52, 1605, 915},	// Akonadi::ContactGroupEditorDialog::tr$$
    {52, 1606, 917},	// Akonadi::ContactGroupEditorDialog::tr$$$
    {52, 1608, 927},	// Akonadi::ContactGroupEditorDialog::trUtf8$
    {52, 1609, 916},	// Akonadi::ContactGroupEditorDialog::trUtf8$$
    {52, 1610, 918},	// Akonadi::ContactGroupEditorDialog::trUtf8$$$
    {52, 1699, 932},	// Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog
    {53, 178, 946},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob#
    {53, 179, 940},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob##
    {53, 180, 947},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$
    {53, 181, 941},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$#
    {53, 816, 942},	// Akonadi::ContactGroupExpandJob::contacts
    {53, 1110, 933},	// Akonadi::ContactGroupExpandJob::metaObject
    {53, 1175, 939},	// Akonadi::ContactGroupExpandJob::qt_metacall$$?
    {53, 1177, 934},	// Akonadi::ContactGroupExpandJob::qt_metacast$
    {53, 1561, 943},	// Akonadi::ContactGroupExpandJob::start
    {53, 1569, 948},	// Akonadi::ContactGroupExpandJob::staticMetaObject
    {53, 1604, 944},	// Akonadi::ContactGroupExpandJob::tr$
    {53, 1605, 935},	// Akonadi::ContactGroupExpandJob::tr$$
    {53, 1606, 937},	// Akonadi::ContactGroupExpandJob::tr$$$
    {53, 1608, 945},	// Akonadi::ContactGroupExpandJob::trUtf8$
    {53, 1609, 936},	// Akonadi::ContactGroupExpandJob::trUtf8$$
    {53, 1610, 938},	// Akonadi::ContactGroupExpandJob::trUtf8$$$
    {53, 1700, 949},	// Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob
    {54, 182, 964},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob
    {54, 183, 957},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob#
    {54, 195, 969},	// Akonadi::ContactGroupSearchJob::ContainsMatch
    {54, 261, 967},	// Akonadi::ContactGroupSearchJob::ExactMatch
    {54, 412, 966},	// Akonadi::ContactGroupSearchJob::Name
    {54, 528, 968},	// Akonadi::ContactGroupSearchJob::StartsWithMatch
    {54, 813, 961},	// Akonadi::ContactGroupSearchJob::contactGroups
    {54, 1110, 950},	// Akonadi::ContactGroupSearchJob::metaObject
    {54, 1175, 956},	// Akonadi::ContactGroupSearchJob::qt_metacall$$?
    {54, 1177, 951},	// Akonadi::ContactGroupSearchJob::qt_metacast$
    {54, 1429, 960},	// Akonadi::ContactGroupSearchJob::setLimit$
    {54, 1475, 958},	// Akonadi::ContactGroupSearchJob::setQuery$$
    {54, 1476, 959},	// Akonadi::ContactGroupSearchJob::setQuery$$$
    {54, 1569, 965},	// Akonadi::ContactGroupSearchJob::staticMetaObject
    {54, 1604, 962},	// Akonadi::ContactGroupSearchJob::tr$
    {54, 1605, 952},	// Akonadi::ContactGroupSearchJob::tr$$
    {54, 1606, 954},	// Akonadi::ContactGroupSearchJob::tr$$$
    {54, 1608, 963},	// Akonadi::ContactGroupSearchJob::trUtf8$
    {54, 1609, 953},	// Akonadi::ContactGroupSearchJob::trUtf8$$
    {54, 1610, 955},	// Akonadi::ContactGroupSearchJob::trUtf8$$$
    {54, 1701, 970},	// Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob
    {55, 184, 985},	// Akonadi::ContactGroupViewer::ContactGroupViewer
    {55, 185, 978},	// Akonadi::ContactGroupViewer::ContactGroupViewer#
    {55, 810, 979},	// Akonadi::ContactGroupViewer::contactGroup
    {55, 901, 982},	// Akonadi::ContactGroupViewer::emailClicked$$
    {55, 1110, 971},	// Akonadi::ContactGroupViewer::metaObject
    {55, 1175, 977},	// Akonadi::ContactGroupViewer::qt_metacall$$?
    {55, 1177, 972},	// Akonadi::ContactGroupViewer::qt_metacast$
    {55, 1325, 981},	// Akonadi::ContactGroupViewer::setContactGroup#
    {55, 1327, 980},	// Akonadi::ContactGroupViewer::setContactGroupFormatter#
    {55, 1569, 986},	// Akonadi::ContactGroupViewer::staticMetaObject
    {55, 1604, 983},	// Akonadi::ContactGroupViewer::tr$
    {55, 1605, 973},	// Akonadi::ContactGroupViewer::tr$$
    {55, 1606, 975},	// Akonadi::ContactGroupViewer::tr$$$
    {55, 1608, 984},	// Akonadi::ContactGroupViewer::trUtf8$
    {55, 1609, 974},	// Akonadi::ContactGroupViewer::trUtf8$$
    {55, 1610, 976},	// Akonadi::ContactGroupViewer::trUtf8$$$
    {55, 1702, 987},	// Akonadi::ContactGroupViewer::~ContactGroupViewer
    {56, 186, 1001},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog
    {56, 187, 995},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog#
    {56, 810, 996},	// Akonadi::ContactGroupViewerDialog::contactGroup
    {56, 1110, 988},	// Akonadi::ContactGroupViewerDialog::metaObject
    {56, 1175, 994},	// Akonadi::ContactGroupViewerDialog::qt_metacall$$?
    {56, 1177, 989},	// Akonadi::ContactGroupViewerDialog::qt_metacast$
    {56, 1325, 998},	// Akonadi::ContactGroupViewerDialog::setContactGroup#
    {56, 1569, 1002},	// Akonadi::ContactGroupViewerDialog::staticMetaObject
    {56, 1604, 999},	// Akonadi::ContactGroupViewerDialog::tr$
    {56, 1605, 990},	// Akonadi::ContactGroupViewerDialog::tr$$
    {56, 1606, 992},	// Akonadi::ContactGroupViewerDialog::tr$$$
    {56, 1608, 1000},	// Akonadi::ContactGroupViewerDialog::trUtf8$
    {56, 1609, 991},	// Akonadi::ContactGroupViewerDialog::trUtf8$$
    {56, 1610, 993},	// Akonadi::ContactGroupViewerDialog::trUtf8$$$
    {56, 1639, 997},	// Akonadi::ContactGroupViewerDialog::viewer
    {56, 1703, 1003},	// Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog
    {57, 188, 1018},	// Akonadi::ContactSearchJob::ContactSearchJob
    {57, 189, 1011},	// Akonadi::ContactSearchJob::ContactSearchJob#
    {57, 190, 1024},	// Akonadi::ContactSearchJob::ContactUid
    {57, 195, 1027},	// Akonadi::ContactSearchJob::ContainsMatch
    {57, 232, 1021},	// Akonadi::ContactSearchJob::Email
    {57, 261, 1025},	// Akonadi::ContactSearchJob::ExactMatch
    {57, 412, 1020},	// Akonadi::ContactSearchJob::Name
    {57, 413, 1023},	// Akonadi::ContactSearchJob::NameOrEmail
    {57, 415, 1022},	// Akonadi::ContactSearchJob::NickName
    {57, 528, 1026},	// Akonadi::ContactSearchJob::StartsWithMatch
    {57, 816, 1015},	// Akonadi::ContactSearchJob::contacts
    {57, 1110, 1004},	// Akonadi::ContactSearchJob::metaObject
    {57, 1175, 1010},	// Akonadi::ContactSearchJob::qt_metacall$$?
    {57, 1177, 1005},	// Akonadi::ContactSearchJob::qt_metacast$
    {57, 1429, 1014},	// Akonadi::ContactSearchJob::setLimit$
    {57, 1475, 1012},	// Akonadi::ContactSearchJob::setQuery$$
    {57, 1476, 1013},	// Akonadi::ContactSearchJob::setQuery$$$
    {57, 1569, 1019},	// Akonadi::ContactSearchJob::staticMetaObject
    {57, 1604, 1016},	// Akonadi::ContactSearchJob::tr$
    {57, 1605, 1006},	// Akonadi::ContactSearchJob::tr$$
    {57, 1606, 1008},	// Akonadi::ContactSearchJob::tr$$$
    {57, 1608, 1017},	// Akonadi::ContactSearchJob::trUtf8$
    {57, 1609, 1007},	// Akonadi::ContactSearchJob::trUtf8$$
    {57, 1610, 1009},	// Akonadi::ContactSearchJob::trUtf8$$$
    {57, 1704, 1028},	// Akonadi::ContactSearchJob::~ContactSearchJob
    {58, 191, 1049},	// Akonadi::ContactViewer::ContactViewer
    {58, 192, 1036},	// Akonadi::ContactViewer::ContactViewer#
    {58, 695, 1046},	// Akonadi::ContactViewer::addressClicked#
    {58, 809, 1037},	// Akonadi::ContactViewer::contact
    {58, 901, 1043},	// Akonadi::ContactViewer::emailClicked$$
    {58, 1110, 1029},	// Akonadi::ContactViewer::metaObject
    {58, 1168, 1044},	// Akonadi::ContactViewer::phoneNumberClicked#
    {58, 1175, 1035},	// Akonadi::ContactViewer::qt_metacall$$?
    {58, 1177, 1030},	// Akonadi::ContactViewer::qt_metacast$
    {58, 1178, 1038},	// Akonadi::ContactViewer::rawContact
    {58, 1321, 1040},	// Akonadi::ContactViewer::setContact#
    {58, 1323, 1039},	// Akonadi::ContactViewer::setContactFormatter#
    {58, 1480, 1041},	// Akonadi::ContactViewer::setRawContact#
    {58, 1558, 1045},	// Akonadi::ContactViewer::smsClicked#
    {58, 1569, 1050},	// Akonadi::ContactViewer::staticMetaObject
    {58, 1604, 1047},	// Akonadi::ContactViewer::tr$
    {58, 1605, 1031},	// Akonadi::ContactViewer::tr$$
    {58, 1606, 1033},	// Akonadi::ContactViewer::tr$$$
    {58, 1608, 1048},	// Akonadi::ContactViewer::trUtf8$
    {58, 1609, 1032},	// Akonadi::ContactViewer::trUtf8$$
    {58, 1610, 1034},	// Akonadi::ContactViewer::trUtf8$$$
    {58, 1631, 1042},	// Akonadi::ContactViewer::urlClicked#
    {58, 1705, 1051},	// Akonadi::ContactViewer::~ContactViewer
    {59, 193, 1065},	// Akonadi::ContactViewerDialog::ContactViewerDialog
    {59, 194, 1059},	// Akonadi::ContactViewerDialog::ContactViewerDialog#
    {59, 809, 1060},	// Akonadi::ContactViewerDialog::contact
    {59, 1110, 1052},	// Akonadi::ContactViewerDialog::metaObject
    {59, 1175, 1058},	// Akonadi::ContactViewerDialog::qt_metacall$$?
    {59, 1177, 1053},	// Akonadi::ContactViewerDialog::qt_metacast$
    {59, 1321, 1062},	// Akonadi::ContactViewerDialog::setContact#
    {59, 1569, 1066},	// Akonadi::ContactViewerDialog::staticMetaObject
    {59, 1604, 1063},	// Akonadi::ContactViewerDialog::tr$
    {59, 1605, 1054},	// Akonadi::ContactViewerDialog::tr$$
    {59, 1606, 1056},	// Akonadi::ContactViewerDialog::tr$$$
    {59, 1608, 1064},	// Akonadi::ContactViewerDialog::trUtf8$
    {59, 1609, 1055},	// Akonadi::ContactViewerDialog::trUtf8$$
    {59, 1610, 1057},	// Akonadi::ContactViewerDialog::trUtf8$$$
    {59, 1639, 1061},	// Akonadi::ContactViewerDialog::viewer
    {59, 1706, 1067},	// Akonadi::ContactViewerDialog::~ContactViewerDialog
    {60, 197, 1082},	// Akonadi::Control::Control
    {60, 1110, 1068},	// Akonadi::Control::metaObject
    {60, 1175, 1074},	// Akonadi::Control::qt_metacall$$?
    {60, 1177, 1069},	// Akonadi::Control::qt_metacast$
    {60, 1208, 1079},	// Akonadi::Control::restart
    {60, 1209, 1080},	// Akonadi::Control::restart#
    {60, 1561, 1075},	// Akonadi::Control::start
    {60, 1562, 1076},	// Akonadi::Control::start#
    {60, 1569, 1085},	// Akonadi::Control::staticMetaObject
    {60, 1575, 1077},	// Akonadi::Control::stop
    {60, 1576, 1078},	// Akonadi::Control::stop#
    {60, 1604, 1083},	// Akonadi::Control::tr$
    {60, 1605, 1070},	// Akonadi::Control::tr$$
    {60, 1606, 1072},	// Akonadi::Control::tr$$$
    {60, 1608, 1084},	// Akonadi::Control::trUtf8$
    {60, 1609, 1071},	// Akonadi::Control::trUtf8$$
    {60, 1610, 1073},	// Akonadi::Control::trUtf8$$$
    {60, 1650, 1081},	// Akonadi::Control::widgetNeedsAkonadi#
    {60, 1707, 1086},	// Akonadi::Control::~Control
    {61, 3, 1111},	// Akonadi::Entity::AddIfMissing
    {61, 238, -86},	// Akonadi::Entity::Entity#
    {61, 673, 1101},	// Akonadi::Entity::addAttribute#
    {61, 712, 1106},	// Akonadi::Entity::attribute#
    {61, 713, 1104},	// Akonadi::Entity::attributes
    {61, 746, 1105},	// Akonadi::Entity::clearAttributes
    {61, 846, -89},	// Akonadi::Entity::d_func
    {61, 962, 1103},	// Akonadi::Entity::hasAttribute#
    {61, 979, 1088},	// Akonadi::Entity::id
    {61, 1038, 1093},	// Akonadi::Entity::isValid
    {61, 1142, 1095},	// Akonadi::Entity::operator!=#
    {61, 1144, 1097},	// Akonadi::Entity::operator<#
    {61, 1146, 1096},	// Akonadi::Entity::operator=#
    {61, 1148, 1094},	// Akonadi::Entity::operator==#
    {61, 1157, -92},	// Akonadi::Entity::parentCollection
    {61, 1187, 1090},	// Akonadi::Entity::remoteId
    {61, 1188, 1092},	// Akonadi::Entity::remoteRevision
    {61, 1190, 1102},	// Akonadi::Entity::removeAttribute#
    {61, 1391, 1087},	// Akonadi::Entity::setId$
    {61, 1463, 1100},	// Akonadi::Entity::setParentCollection#
    {61, 1484, 1089},	// Akonadi::Entity::setRemoteId$
    {61, 1486, 1091},	// Akonadi::Entity::setRemoteRevision$
    {61, 1708, 1112},	// Akonadi::Entity::~Entity
    {62, 239, 1113},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute
    {62, 240, 1128},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute#
    {62, 670, 1120},	// Akonadi::EntityDisplayAttribute::activeIcon
    {62, 671, 1121},	// Akonadi::EntityDisplayAttribute::activeIconName
    {62, 720, 1122},	// Akonadi::EntityDisplayAttribute::backgroundColor
    {62, 755, 1125},	// Akonadi::EntityDisplayAttribute::clone
    {62, 859, 1127},	// Akonadi::EntityDisplayAttribute::deserialize#
    {62, 868, 1115},	// Akonadi::EntityDisplayAttribute::displayName
    {62, 977, 1117},	// Akonadi::EntityDisplayAttribute::icon
    {62, 978, 1118},	// Akonadi::EntityDisplayAttribute::iconName
    {62, 1258, 1126},	// Akonadi::EntityDisplayAttribute::serialized
    {62, 1266, 1119},	// Akonadi::EntityDisplayAttribute::setActiveIconName$
    {62, 1279, 1123},	// Akonadi::EntityDisplayAttribute::setBackgroundColor#
    {62, 1352, 1114},	// Akonadi::EntityDisplayAttribute::setDisplayName$
    {62, 1389, 1116},	// Akonadi::EntityDisplayAttribute::setIconName$
    {62, 1611, 1124},	// Akonadi::EntityDisplayAttribute::type
    {62, 1709, 1129},	// Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute
    {63, 241, 1130},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute
    {63, 242, 1135},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute#
    {63, 755, 1132},	// Akonadi::EntityHiddenAttribute::clone
    {63, 859, 1134},	// Akonadi::EntityHiddenAttribute::deserialize#
    {63, 1258, 1133},	// Akonadi::EntityHiddenAttribute::serialized
    {63, 1611, 1131},	// Akonadi::EntityHiddenAttribute::type
    {63, 1710, 1136},	// Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute
    {64, 243, 1163},	// Akonadi::EntityListView::EntityListView
    {64, 244, -25},	// Akonadi::EntityListView::EntityListView#
    {64, 245, 1145},	// Akonadi::EntityListView::EntityListView##
    {64, 754, -28},	// Akonadi::EntityListView::clicked#
    {64, 821, 1160},	// Akonadi::EntityListView::contextMenuEvent#
    {64, 840, -31},	// Akonadi::EntityListView::currentChanged#
    {64, 841, 1156},	// Akonadi::EntityListView::currentChanged##
    {64, 882, -34},	// Akonadi::EntityListView::doubleClicked#
    {64, 887, 1159},	// Akonadi::EntityListView::dragMoveEvent#
    {64, 891, 1158},	// Akonadi::EntityListView::dropEvent#
    {64, 1029, 1149},	// Akonadi::EntityListView::isDropActionMenuEnabled
    {64, 1110, 1137},	// Akonadi::EntityListView::metaObject
    {64, 1175, 1143},	// Akonadi::EntityListView::qt_metacall$$?
    {64, 1177, 1138},	// Akonadi::EntityListView::qt_metacast$
    {64, 1354, 1148},	// Akonadi::EntityListView::setDropActionMenuEnabled$
    {64, 1445, 1147},	// Akonadi::EntityListView::setModel#
    {64, 1537, 1146},	// Akonadi::EntityListView::setXmlGuiClient#
    {64, 1564, 1157},	// Akonadi::EntityListView::startDrag$
    {64, 1569, 1165},	// Akonadi::EntityListView::staticMetaObject
    {64, 1604, 1161},	// Akonadi::EntityListView::tr$
    {64, 1605, 1139},	// Akonadi::EntityListView::tr$$
    {64, 1606, 1141},	// Akonadi::EntityListView::tr$$$
    {64, 1608, 1162},	// Akonadi::EntityListView::trUtf8$
    {64, 1609, 1140},	// Akonadi::EntityListView::trUtf8$$
    {64, 1610, 1142},	// Akonadi::EntityListView::trUtf8$$$
    {64, 1711, 1166},	// Akonadi::EntityListView::~EntityListView
    {65, 246, 1192},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel
    {65, 247, 1174},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel#
    {65, 679, 1178},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter$
    {65, 681, 1176},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters?
    {65, 687, 1177},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter$
    {65, 689, 1175},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters?
    {65, 727, 1185},	// Akonadi::EntityMimeTypeFilterModel::canFetchMore#
    {65, 748, 1181},	// Akonadi::EntityMimeTypeFilterModel::clearFilters
    {65, 794, 1197},	// Akonadi::EntityMimeTypeFilterModel::columnCount
    {65, 795, 1187},	// Akonadi::EntityMimeTypeFilterModel::columnCount#
    {65, 944, 1189},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsColumn$#
    {65, 946, 1188},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow$#
    {65, 963, 1194},	// Akonadi::EntityMimeTypeFilterModel::hasChildren
    {65, 964, 1184},	// Akonadi::EntityMimeTypeFilterModel::hasChildren#
    {65, 969, 1193},	// Akonadi::EntityMimeTypeFilterModel::headerData$$
    {65, 970, 1183},	// Akonadi::EntityMimeTypeFilterModel::headerData$$$
    {65, 1106, 1195},	// Akonadi::EntityMimeTypeFilterModel::match#$#
    {65, 1107, 1196},	// Akonadi::EntityMimeTypeFilterModel::match#$#$
    {65, 1108, 1186},	// Akonadi::EntityMimeTypeFilterModel::match#$#$$
    {65, 1110, 1167},	// Akonadi::EntityMimeTypeFilterModel::metaObject
    {65, 1115, 1180},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters
    {65, 1118, 1179},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters
    {65, 1175, 1173},	// Akonadi::EntityMimeTypeFilterModel::qt_metacall$$?
    {65, 1177, 1168},	// Akonadi::EntityMimeTypeFilterModel::qt_metacast$
    {65, 1385, 1182},	// Akonadi::EntityMimeTypeFilterModel::setHeaderGroup$
    {65, 1569, 1198},	// Akonadi::EntityMimeTypeFilterModel::staticMetaObject
    {65, 1604, 1190},	// Akonadi::EntityMimeTypeFilterModel::tr$
    {65, 1605, 1169},	// Akonadi::EntityMimeTypeFilterModel::tr$$
    {65, 1606, 1171},	// Akonadi::EntityMimeTypeFilterModel::tr$$$
    {65, 1608, 1191},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$
    {65, 1609, 1170},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$
    {65, 1610, 1172},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$$
    {65, 1712, 1199},	// Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel
    {67, 45, 1271},	// Akonadi::EntityTreeModel::AmazingCompletionRole
    {67, 55, 1275},	// Akonadi::EntityTreeModel::AvailablePartsRole
    {67, 84, 1270},	// Akonadi::EntityTreeModel::CollectionChildOrderRole
    {67, 97, 1278},	// Akonadi::EntityTreeModel::CollectionDerefRole
    {67, 116, 1267},	// Akonadi::EntityTreeModel::CollectionIdRole
    {67, 139, 1277},	// Akonadi::EntityTreeModel::CollectionRefRole
    {67, 143, 1268},	// Akonadi::EntityTreeModel::CollectionRole
    {67, 153, 1283},	// Akonadi::EntityTreeModel::CollectionSyncProgressRole
    {67, 154, 1290},	// Akonadi::EntityTreeModel::CollectionTreeHeaders
    {67, 158, 1273},	// Akonadi::EntityTreeModel::ColumnCountRole
    {67, 234, 1293},	// Akonadi::EntityTreeModel::EndHeaderGroup
    {67, 235, 1286},	// Akonadi::EntityTreeModel::EndRole
    {67, 248, 1289},	// Akonadi::EntityTreeModel::EntityTreeHeaders
    {67, 250, 1250},	// Akonadi::EntityTreeModel::EntityTreeModel#
    {67, 251, -49},	// Akonadi::EntityTreeModel::EntityTreeModel##
    {67, 252, 1247},	// Akonadi::EntityTreeModel::EntityTreeModel###
    {67, 258, 1280},	// Akonadi::EntityTreeModel::EntityUrlRole
    {67, 271, 1299},	// Akonadi::EntityTreeModel::FetchCollectionsRecursive
    {67, 272, 1298},	// Akonadi::EntityTreeModel::FetchFirstLevelChildCollections
    {67, 273, 1297},	// Akonadi::EntityTreeModel::FetchNoCollections
    {67, 274, 1282},	// Akonadi::EntityTreeModel::FetchStateRole
    {67, 275, 1288},	// Akonadi::EntityTreeModel::FetchingState
    {67, 290, 1287},	// Akonadi::EntityTreeModel::IdleState
    {67, 292, 1295},	// Akonadi::EntityTreeModel::ImmediatePopulation
    {67, 303, 1300},	// Akonadi::EntityTreeModel::InvisibleCollectionFetch
    {67, 327, 1264},	// Akonadi::EntityTreeModel::ItemIdRole
    {67, 328, 1291},	// Akonadi::EntityTreeModel::ItemListHeaders
    {67, 342, 1265},	// Akonadi::EntityTreeModel::ItemRole
    {67, 362, 1296},	// Akonadi::EntityTreeModel::LazyPopulation
    {67, 368, 1274},	// Akonadi::EntityTreeModel::LoadedPartsRole
    {67, 384, 1266},	// Akonadi::EntityTreeModel::MimeTypeRole
    {67, 425, 1294},	// Akonadi::EntityTreeModel::NoItemPopulation
    {67, 444, 1272},	// Akonadi::EntityTreeModel::ParentCollectionRole
    {67, 454, 1279},	// Akonadi::EntityTreeModel::PendingCutRole
    {67, 485, 1269},	// Akonadi::EntityTreeModel::RemoteIdRole
    {67, 515, 1276},	// Akonadi::EntityTreeModel::SessionRole
    {67, 548, 1285},	// Akonadi::EntityTreeModel::TerminalUserRole
    {67, 572, 1281},	// Akonadi::EntityTreeModel::UnreadCountRole
    {67, 583, 1292},	// Akonadi::EntityTreeModel::UserHeaders
    {67, 584, 1284},	// Akonadi::EntityTreeModel::UserRole
    {67, 727, 1232},	// Akonadi::EntityTreeModel::canFetchMore#
    {67, 745, 1238},	// Akonadi::EntityTreeModel::clearAndReset
    {67, 767, 1219},	// Akonadi::EntityTreeModel::collectionFetchStrategy
    {67, 794, 1251},	// Akonadi::EntityTreeModel::columnCount
    {67, 795, 1220},	// Akonadi::EntityTreeModel::columnCount#
    {67, 846, -52},	// Akonadi::EntityTreeModel::d_func
    {67, 848, 1253},	// Akonadi::EntityTreeModel::data#
    {67, 849, 1222},	// Akonadi::EntityTreeModel::data#$
    {67, 893, 1228},	// Akonadi::EntityTreeModel::dropMimeData#$$$#
    {67, 906, 1242},	// Akonadi::EntityTreeModel::entityColumnCount$
    {67, 908, -55},	// Akonadi::EntityTreeModel::entityData#$
    {67, 909, -58},	// Akonadi::EntityTreeModel::entityData#$$
    {67, 911, 1241},	// Akonadi::EntityTreeModel::entityHeaderData$$$$
    {67, 913, -61},	// Akonadi::EntityTreeModel::entityMatch##$
    {67, 938, 1233},	// Akonadi::EntityTreeModel::fetchMore#
    {67, 950, 1224},	// Akonadi::EntityTreeModel::flags#
    {67, 963, 1257},	// Akonadi::EntityTreeModel::hasChildren
    {67, 964, 1234},	// Akonadi::EntityTreeModel::hasChildren#
    {67, 969, 1254},	// Akonadi::EntityTreeModel::headerData$$
    {67, 970, 1223},	// Akonadi::EntityTreeModel::headerData$$$
    {67, 984, 1215},	// Akonadi::EntityTreeModel::includeRootCollection
    {67, 987, 1210},	// Akonadi::EntityTreeModel::includeUnsubscribed
    {67, 991, 1256},	// Akonadi::EntityTreeModel::index$$
    {67, 992, 1230},	// Akonadi::EntityTreeModel::index$$#
    {67, 1064, 1213},	// Akonadi::EntityTreeModel::itemPopulationStrategy
    {67, 1106, 1258},	// Akonadi::EntityTreeModel::match#$#
    {67, 1107, 1259},	// Akonadi::EntityTreeModel::match#$#$
    {67, 1108, 1235},	// Akonadi::EntityTreeModel::match#$#$$
    {67, 1110, 1200},	// Akonadi::EntityTreeModel::metaObject
    {67, 1113, 1227},	// Akonadi::EntityTreeModel::mimeData?
    {67, 1121, 1225},	// Akonadi::EntityTreeModel::mimeTypes
    {67, 1125, 1236},	// Akonadi::EntityTreeModel::modelIndexForCollection##
    {67, 1127, 1237},	// Akonadi::EntityTreeModel::modelIndexesForItem##
    {67, 1156, 1231},	// Akonadi::EntityTreeModel::parent#
    {67, 1175, 1206},	// Akonadi::EntityTreeModel::qt_metacall$$?
    {67, 1177, 1201},	// Akonadi::EntityTreeModel::qt_metacast$
    {67, 1224, 1217},	// Akonadi::EntityTreeModel::rootCollectionDisplayName
    {67, 1225, 1252},	// Akonadi::EntityTreeModel::rowCount
    {67, 1226, 1221},	// Akonadi::EntityTreeModel::rowCount#
    {67, 1300, 1218},	// Akonadi::EntityTreeModel::setCollectionFetchStrategy$
    {67, 1343, 1255},	// Akonadi::EntityTreeModel::setData##
    {67, 1344, 1229},	// Akonadi::EntityTreeModel::setData##$
    {67, 1397, 1214},	// Akonadi::EntityTreeModel::setIncludeRootCollection$
    {67, 1401, 1211},	// Akonadi::EntityTreeModel::setIncludeUnsubscribed$
    {67, 1419, 1212},	// Akonadi::EntityTreeModel::setItemPopulationStrategy$
    {67, 1497, 1216},	// Akonadi::EntityTreeModel::setRootCollectionDisplayName$
    {67, 1506, 1208},	// Akonadi::EntityTreeModel::setShowSystemEntities$
    {67, 1569, 1263},	// Akonadi::EntityTreeModel::staticMetaObject
    {67, 1584, 1226},	// Akonadi::EntityTreeModel::supportedDropActions
    {67, 1596, 1209},	// Akonadi::EntityTreeModel::systemEntitiesShown
    {67, 1604, 1248},	// Akonadi::EntityTreeModel::tr$
    {67, 1605, 1202},	// Akonadi::EntityTreeModel::tr$$
    {67, 1606, 1204},	// Akonadi::EntityTreeModel::tr$$$
    {67, 1608, 1249},	// Akonadi::EntityTreeModel::trUtf8$
    {67, 1609, 1203},	// Akonadi::EntityTreeModel::trUtf8$$
    {67, 1610, 1205},	// Akonadi::EntityTreeModel::trUtf8$$$
    {67, 1713, 1301},	// Akonadi::EntityTreeModel::~EntityTreeModel
    {69, 253, 1331},	// Akonadi::EntityTreeView::EntityTreeView
    {69, 254, -123},	// Akonadi::EntityTreeView::EntityTreeView#
    {69, 255, 1310},	// Akonadi::EntityTreeView::EntityTreeView##
    {69, 754, -126},	// Akonadi::EntityTreeView::clicked#
    {69, 821, 1328},	// Akonadi::EntityTreeView::contextMenuEvent#
    {69, 840, -129},	// Akonadi::EntityTreeView::currentChanged#
    {69, 841, 1323},	// Akonadi::EntityTreeView::currentChanged##
    {69, 882, -132},	// Akonadi::EntityTreeView::doubleClicked#
    {69, 887, 1325},	// Akonadi::EntityTreeView::dragMoveEvent#
    {69, 891, 1326},	// Akonadi::EntityTreeView::dropEvent#
    {69, 1029, 1314},	// Akonadi::EntityTreeView::isDropActionMenuEnabled
    {69, 1033, 1315},	// Akonadi::EntityTreeView::isManualSortingActive
    {69, 1110, 1302},	// Akonadi::EntityTreeView::metaObject
    {69, 1175, 1308},	// Akonadi::EntityTreeView::qt_metacall$$?
    {69, 1177, 1303},	// Akonadi::EntityTreeView::qt_metacast$
    {69, 1354, 1313},	// Akonadi::EntityTreeView::setDropActionMenuEnabled$
    {69, 1434, 1316},	// Akonadi::EntityTreeView::setManualSortingActive$
    {69, 1445, 1312},	// Akonadi::EntityTreeView::setModel#
    {69, 1537, 1311},	// Akonadi::EntityTreeView::setXmlGuiClient#
    {69, 1564, 1324},	// Akonadi::EntityTreeView::startDrag$
    {69, 1569, 1333},	// Akonadi::EntityTreeView::staticMetaObject
    {69, 1600, 1327},	// Akonadi::EntityTreeView::timerEvent#
    {69, 1604, 1329},	// Akonadi::EntityTreeView::tr$
    {69, 1605, 1304},	// Akonadi::EntityTreeView::tr$$
    {69, 1606, 1306},	// Akonadi::EntityTreeView::tr$$$
    {69, 1608, 1330},	// Akonadi::EntityTreeView::trUtf8$
    {69, 1609, 1305},	// Akonadi::EntityTreeView::trUtf8$$
    {69, 1610, 1307},	// Akonadi::EntityTreeView::trUtf8$$$
    {69, 1714, 1334},	// Akonadi::EntityTreeView::~EntityTreeView
    {70, 257, 1342},	// Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver#
    {70, 1110, 1335},	// Akonadi::EntityTreeViewStateSaver::metaObject
    {70, 1175, 1341},	// Akonadi::EntityTreeViewStateSaver::qt_metacall$$?
    {70, 1177, 1336},	// Akonadi::EntityTreeViewStateSaver::qt_metacast$
    {70, 1211, 1344},	// Akonadi::EntityTreeViewStateSaver::restoreState#
    {70, 1234, 1343},	// Akonadi::EntityTreeViewStateSaver::saveState#
    {70, 1569, 1347},	// Akonadi::EntityTreeViewStateSaver::staticMetaObject
    {70, 1604, 1345},	// Akonadi::EntityTreeViewStateSaver::tr$
    {70, 1605, 1337},	// Akonadi::EntityTreeViewStateSaver::tr$$
    {70, 1606, 1339},	// Akonadi::EntityTreeViewStateSaver::tr$$$
    {70, 1608, 1346},	// Akonadi::EntityTreeViewStateSaver::trUtf8$
    {70, 1609, 1338},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$
    {70, 1610, 1340},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$$
    {70, 1715, 1348},	// Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver
    {71, 264, -108},	// Akonadi::Exception::Exception#
    {71, 265, -111},	// Akonadi::Exception::Exception$
    {71, 1611, 1354},	// Akonadi::Exception::type
    {71, 1647, 1353},	// Akonadi::Exception::what
    {71, 1716, 1355},	// Akonadi::Exception::~Exception
    {72, 269, 1379},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel##
    {72, 270, 1363},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel###
    {72, 677, 1374},	// Akonadi::FavoriteCollectionsModel::addCollection#
    {72, 770, 1365},	// Akonadi::FavoriteCollectionsModel::collectionIds
    {72, 785, 1364},	// Akonadi::FavoriteCollectionsModel::collections
    {72, 848, 1380},	// Akonadi::FavoriteCollectionsModel::data#
    {72, 849, 1367},	// Akonadi::FavoriteCollectionsModel::data#$
    {72, 893, 1370},	// Akonadi::FavoriteCollectionsModel::dropMimeData#$$$#
    {72, 922, 1366},	// Akonadi::FavoriteCollectionsModel::favoriteLabel#
    {72, 950, 1372},	// Akonadi::FavoriteCollectionsModel::flags#
    {72, 969, 1382},	// Akonadi::FavoriteCollectionsModel::headerData$$
    {72, 970, 1369},	// Akonadi::FavoriteCollectionsModel::headerData$$$
    {72, 1110, 1356},	// Akonadi::FavoriteCollectionsModel::metaObject
    {72, 1121, 1371},	// Akonadi::FavoriteCollectionsModel::mimeTypes
    {72, 1175, 1362},	// Akonadi::FavoriteCollectionsModel::qt_metacall$$?
    {72, 1177, 1357},	// Akonadi::FavoriteCollectionsModel::qt_metacast$
    {72, 1192, 1375},	// Akonadi::FavoriteCollectionsModel::removeCollection#
    {72, 1313, 1373},	// Akonadi::FavoriteCollectionsModel::setCollections?
    {72, 1343, 1381},	// Akonadi::FavoriteCollectionsModel::setData##
    {72, 1344, 1368},	// Akonadi::FavoriteCollectionsModel::setData##$
    {72, 1363, 1376},	// Akonadi::FavoriteCollectionsModel::setFavoriteLabel#$
    {72, 1569, 1383},	// Akonadi::FavoriteCollectionsModel::staticMetaObject
    {72, 1604, 1377},	// Akonadi::FavoriteCollectionsModel::tr$
    {72, 1605, 1358},	// Akonadi::FavoriteCollectionsModel::tr$$
    {72, 1606, 1360},	// Akonadi::FavoriteCollectionsModel::tr$$$
    {72, 1608, 1378},	// Akonadi::FavoriteCollectionsModel::trUtf8$
    {72, 1609, 1359},	// Akonadi::FavoriteCollectionsModel::trUtf8$$
    {72, 1610, 1361},	// Akonadi::FavoriteCollectionsModel::trUtf8$$$
    {72, 1717, 1384},	// Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel
    {73, 280, 1415},	// Akonadi::Item::FullPayload
    {73, 304, 1385},	// Akonadi::Item::Item
    {73, 305, 1388},	// Akonadi::Item::Item#
    {73, 306, -43},	// Akonadi::Item::Item$
    {73, 574, 1417},	// Akonadi::Item::UrlShort
    {73, 575, 1418},	// Akonadi::Item::UrlWithMimeType
    {73, 709, 1413},	// Akonadi::Item::apply#
    {73, 718, 1409},	// Akonadi::Item::availablePayloadMetaTypeIds
    {73, 719, 1412},	// Akonadi::Item::availablePayloadParts
    {73, 750, 1395},	// Akonadi::Item::clearFlag#
    {73, 751, 1397},	// Akonadi::Item::clearFlags
    {73, 752, 1401},	// Akonadi::Item::clearPayload
    {73, 949, 1390},	// Akonadi::Item::flags
    {73, 957, 1389},	// Akonadi::Item::fromUrl#
    {73, 966, 1393},	// Akonadi::Item::hasFlag#
    {73, 967, 1410},	// Akonadi::Item::hasPayload
    {73, 1096, 1400},	// Akonadi::Item::loadedPayloadParts
    {73, 1114, 1408},	// Akonadi::Item::mimeType
    {73, 1128, 1391},	// Akonadi::Item::modificationTime
    {73, 1162, 1399},	// Akonadi::Item::payloadData
    {73, 1220, 1403},	// Akonadi::Item::revision
    {73, 1371, 1394},	// Akonadi::Item::setFlag#
    {73, 1373, 1396},	// Akonadi::Item::setFlags?
    {73, 1377, 1416},	// Akonadi::Item::setFullPayload$
    {73, 1438, 1407},	// Akonadi::Item::setMimeType$
    {73, 1448, 1392},	// Akonadi::Item::setModificationTime#
    {73, 1467, 1398},	// Akonadi::Item::setPayloadFromData#
    {73, 1493, 1402},	// Akonadi::Item::setRevision$
    {73, 1508, 1405},	// Akonadi::Item::setSize$
    {73, 1548, 1406},	// Akonadi::Item::size
    {73, 1578, 1404},	// Akonadi::Item::storageCollectionId
    {73, 1628, 1414},	// Akonadi::Item::url
    {73, 1629, 1411},	// Akonadi::Item::url$
    {73, 1718, 1419},	// Akonadi::Item::~Item
    {74, 308, 1432},	// Akonadi::ItemCopyJob::ItemCopyJob##
    {74, 309, 1427},	// Akonadi::ItemCopyJob::ItemCopyJob###
    {74, 310, 1433},	// Akonadi::ItemCopyJob::ItemCopyJob?#
    {74, 311, 1428},	// Akonadi::ItemCopyJob::ItemCopyJob?##
    {74, 877, 1429},	// Akonadi::ItemCopyJob::doStart
    {74, 1110, 1420},	// Akonadi::ItemCopyJob::metaObject
    {74, 1175, 1426},	// Akonadi::ItemCopyJob::qt_metacall$$?
    {74, 1177, 1421},	// Akonadi::ItemCopyJob::qt_metacast$
    {74, 1569, 1434},	// Akonadi::ItemCopyJob::staticMetaObject
    {74, 1604, 1430},	// Akonadi::ItemCopyJob::tr$
    {74, 1605, 1422},	// Akonadi::ItemCopyJob::tr$$
    {74, 1606, 1424},	// Akonadi::ItemCopyJob::tr$$$
    {74, 1608, 1431},	// Akonadi::ItemCopyJob::trUtf8$
    {74, 1609, 1423},	// Akonadi::ItemCopyJob::trUtf8$$
    {74, 1610, 1425},	// Akonadi::ItemCopyJob::trUtf8$$$
    {74, 1719, 1435},	// Akonadi::ItemCopyJob::~ItemCopyJob
    {75, 313, 1449},	// Akonadi::ItemCreateJob::ItemCreateJob##
    {75, 314, 1443},	// Akonadi::ItemCreateJob::ItemCreateJob###
    {75, 871, 1446},	// Akonadi::ItemCreateJob::doHandleResponse##
    {75, 877, 1445},	// Akonadi::ItemCreateJob::doStart
    {75, 1048, 1444},	// Akonadi::ItemCreateJob::item
    {75, 1110, 1436},	// Akonadi::ItemCreateJob::metaObject
    {75, 1175, 1442},	// Akonadi::ItemCreateJob::qt_metacall$$?
    {75, 1177, 1437},	// Akonadi::ItemCreateJob::qt_metacast$
    {75, 1569, 1450},	// Akonadi::ItemCreateJob::staticMetaObject
    {75, 1604, 1447},	// Akonadi::ItemCreateJob::tr$
    {75, 1605, 1438},	// Akonadi::ItemCreateJob::tr$$
    {75, 1606, 1440},	// Akonadi::ItemCreateJob::tr$$$
    {75, 1608, 1448},	// Akonadi::ItemCreateJob::trUtf8$
    {75, 1609, 1439},	// Akonadi::ItemCreateJob::trUtf8$$
    {75, 1610, 1441},	// Akonadi::ItemCreateJob::trUtf8$$$
    {75, 1720, 1451},	// Akonadi::ItemCreateJob::~ItemCreateJob
    {76, 316, -37},	// Akonadi::ItemDeleteJob::ItemDeleteJob#
    {76, 317, -40},	// Akonadi::ItemDeleteJob::ItemDeleteJob##
    {76, 318, 1467},	// Akonadi::ItemDeleteJob::ItemDeleteJob?
    {76, 319, 1460},	// Akonadi::ItemDeleteJob::ItemDeleteJob?#
    {76, 855, 1462},	// Akonadi::ItemDeleteJob::deletedItems
    {76, 877, 1463},	// Akonadi::ItemDeleteJob::doStart
    {76, 1110, 1452},	// Akonadi::ItemDeleteJob::metaObject
    {76, 1175, 1458},	// Akonadi::ItemDeleteJob::qt_metacall$$?
    {76, 1177, 1453},	// Akonadi::ItemDeleteJob::qt_metacast$
    {76, 1569, 1469},	// Akonadi::ItemDeleteJob::staticMetaObject
    {76, 1604, 1464},	// Akonadi::ItemDeleteJob::tr$
    {76, 1605, 1454},	// Akonadi::ItemDeleteJob::tr$$
    {76, 1606, 1456},	// Akonadi::ItemDeleteJob::tr$$$
    {76, 1608, 1465},	// Akonadi::ItemDeleteJob::trUtf8$
    {76, 1609, 1455},	// Akonadi::ItemDeleteJob::trUtf8$$
    {76, 1610, 1457},	// Akonadi::ItemDeleteJob::trUtf8$$$
    {76, 1721, 1470},	// Akonadi::ItemDeleteJob::~ItemDeleteJob
    {77, 321, -4},	// Akonadi::ItemFetchJob::ItemFetchJob#
    {77, 322, -7},	// Akonadi::ItemFetchJob::ItemFetchJob##
    {77, 323, -10},	// Akonadi::ItemFetchJob::ItemFetchJob?
    {77, 324, -13},	// Akonadi::ItemFetchJob::ItemFetchJob?#
    {77, 871, 1489},	// Akonadi::ItemFetchJob::doHandleResponse##
    {77, 877, 1488},	// Akonadi::ItemFetchJob::doStart
    {77, 942, 1485},	// Akonadi::ItemFetchJob::fetchScope
    {77, 1074, 1482},	// Akonadi::ItemFetchJob::items
    {77, 1078, 1487},	// Akonadi::ItemFetchJob::itemsReceived?
    {77, 1110, 1471},	// Akonadi::ItemFetchJob::metaObject
    {77, 1175, 1477},	// Akonadi::ItemFetchJob::qt_metacall$$?
    {77, 1177, 1472},	// Akonadi::ItemFetchJob::qt_metacast$
    {77, 1296, 1486},	// Akonadi::ItemFetchJob::setCollection#
    {77, 1369, -16},	// Akonadi::ItemFetchJob::setFetchScope#
    {77, 1569, 1496},	// Akonadi::ItemFetchJob::staticMetaObject
    {77, 1604, 1490},	// Akonadi::ItemFetchJob::tr$
    {77, 1605, 1473},	// Akonadi::ItemFetchJob::tr$$
    {77, 1606, 1475},	// Akonadi::ItemFetchJob::tr$$$
    {77, 1608, 1491},	// Akonadi::ItemFetchJob::trUtf8$
    {77, 1609, 1474},	// Akonadi::ItemFetchJob::trUtf8$$
    {77, 1610, 1476},	// Akonadi::ItemFetchJob::trUtf8$$$
    {77, 1722, 1497},	// Akonadi::ItemFetchJob::~ItemFetchJob
    {78, 41, 1522},	// Akonadi::ItemFetchScope::All
    {78, 325, 1498},	// Akonadi::ItemFetchScope::ItemFetchScope
    {78, 326, 1499},	// Akonadi::ItemFetchScope::ItemFetchScope#
    {78, 430, 1520},	// Akonadi::ItemFetchScope::None
    {78, 443, 1521},	// Akonadi::ItemFetchScope::Parent
    {78, 704, 1507},	// Akonadi::ItemFetchScope::allAttributes
    {78, 707, 1512},	// Akonadi::ItemFetchScope::ancestorRetrieval
    {78, 713, 1505},	// Akonadi::ItemFetchScope::attributes
    {78, 723, 1509},	// Akonadi::ItemFetchScope::cacheOnly
    {78, 923, 1519},	// Akonadi::ItemFetchScope::fetchAllAttributes
    {78, 924, 1508},	// Akonadi::ItemFetchScope::fetchAllAttributes$
    {78, 926, 1518},	// Akonadi::ItemFetchScope::fetchAttribute#
    {78, 927, 1506},	// Akonadi::ItemFetchScope::fetchAttribute#$
    {78, 934, 1517},	// Akonadi::ItemFetchScope::fetchFullPayload
    {78, 935, 1504},	// Akonadi::ItemFetchScope::fetchFullPayload$
    {78, 936, 1514},	// Akonadi::ItemFetchScope::fetchModificationTime
    {78, 940, 1516},	// Akonadi::ItemFetchScope::fetchPayloadPart#
    {78, 941, 1502},	// Akonadi::ItemFetchScope::fetchPayloadPart#$
    {78, 958, 1503},	// Akonadi::ItemFetchScope::fullPayload
    {78, 1030, 1515},	// Akonadi::ItemFetchScope::isEmpty
    {78, 1146, 1500},	// Akonadi::ItemFetchScope::operator=#
    {78, 1163, 1501},	// Akonadi::ItemFetchScope::payloadParts
    {78, 1272, 1511},	// Akonadi::ItemFetchScope::setAncestorRetrieval$
    {78, 1283, 1510},	// Akonadi::ItemFetchScope::setCacheOnly$
    {78, 1367, 1513},	// Akonadi::ItemFetchScope::setFetchModificationTime$
    {78, 1723, 1523},	// Akonadi::ItemFetchScope::~ItemFetchScope
    {79, 286, 1557},	// Akonadi::ItemModel::Id
    {79, 287, 1560},	// Akonadi::ItemModel::IdRole
    {79, 329, 1551},	// Akonadi::ItemModel::ItemModel
    {79, 330, 1531},	// Akonadi::ItemModel::ItemModel#
    {79, 342, 1561},	// Akonadi::ItemModel::ItemRole
    {79, 381, 1559},	// Akonadi::ItemModel::MimeType
    {79, 384, 1562},	// Akonadi::ItemModel::MimeTypeRole
    {79, 484, 1558},	// Akonadi::ItemModel::RemoteId
    {79, 584, 1563},	// Akonadi::ItemModel::UserRole
    {79, 758, 1545},	// Akonadi::ItemModel::collection
    {79, 764, 1547},	// Akonadi::ItemModel::collectionChanged#
    {79, 794, 1552},	// Akonadi::ItemModel::columnCount
    {79, 795, 1532},	// Akonadi::ItemModel::columnCount#
    {79, 848, 1553},	// Akonadi::ItemModel::data#
    {79, 849, 1533},	// Akonadi::ItemModel::data#$
    {79, 893, 1544},	// Akonadi::ItemModel::dropMimeData#$$$#
    {79, 942, 1541},	// Akonadi::ItemModel::fetchScope
    {79, 950, 1536},	// Akonadi::ItemModel::flags#
    {79, 969, 1555},	// Akonadi::ItemModel::headerData$$
    {79, 970, 1535},	// Akonadi::ItemModel::headerData$$$
    {79, 995, 1543},	// Akonadi::ItemModel::indexForItem#$
    {79, 1057, 1542},	// Akonadi::ItemModel::itemForIndex#
    {79, 1110, 1524},	// Akonadi::ItemModel::metaObject
    {79, 1113, 1537},	// Akonadi::ItemModel::mimeData?
    {79, 1121, 1538},	// Akonadi::ItemModel::mimeTypes
    {79, 1175, 1530},	// Akonadi::ItemModel::qt_metacall$$?
    {79, 1177, 1525},	// Akonadi::ItemModel::qt_metacast$
    {79, 1225, 1554},	// Akonadi::ItemModel::rowCount
    {79, 1226, 1534},	// Akonadi::ItemModel::rowCount#
    {79, 1259, 1548},	// Akonadi::ItemModel::session
    {79, 1296, 1546},	// Akonadi::ItemModel::setCollection#
    {79, 1369, 1540},	// Akonadi::ItemModel::setFetchScope#
    {79, 1569, 1556},	// Akonadi::ItemModel::staticMetaObject
    {79, 1584, 1539},	// Akonadi::ItemModel::supportedDropActions
    {79, 1604, 1549},	// Akonadi::ItemModel::tr$
    {79, 1605, 1526},	// Akonadi::ItemModel::tr$$
    {79, 1606, 1528},	// Akonadi::ItemModel::tr$$$
    {79, 1608, 1550},	// Akonadi::ItemModel::trUtf8$
    {79, 1609, 1527},	// Akonadi::ItemModel::trUtf8$$
    {79, 1610, 1529},	// Akonadi::ItemModel::trUtf8$$$
    {79, 1724, 1564},	// Akonadi::ItemModel::~ItemModel
    {80, 332, 1584},	// Akonadi::ItemModifyJob::ItemModifyJob#
    {80, 333, 1572},	// Akonadi::ItemModifyJob::ItemModifyJob##
    {80, 334, 1585},	// Akonadi::ItemModifyJob::ItemModifyJob?
    {80, 335, 1573},	// Akonadi::ItemModifyJob::ItemModifyJob?#
    {80, 865, 1579},	// Akonadi::ItemModifyJob::disableAutomaticConflictHandling
    {80, 866, 1576},	// Akonadi::ItemModifyJob::disableRevisionCheck
    {80, 871, 1581},	// Akonadi::ItemModifyJob::doHandleResponse##
    {80, 877, 1580},	// Akonadi::ItemModifyJob::doStart
    {80, 981, 1575},	// Akonadi::ItemModifyJob::ignorePayload
    {80, 1048, 1577},	// Akonadi::ItemModifyJob::item
    {80, 1074, 1578},	// Akonadi::ItemModifyJob::items
    {80, 1110, 1565},	// Akonadi::ItemModifyJob::metaObject
    {80, 1175, 1571},	// Akonadi::ItemModifyJob::qt_metacall$$?
    {80, 1177, 1566},	// Akonadi::ItemModifyJob::qt_metacast$
    {80, 1395, 1574},	// Akonadi::ItemModifyJob::setIgnorePayload$
    {80, 1569, 1586},	// Akonadi::ItemModifyJob::staticMetaObject
    {80, 1604, 1582},	// Akonadi::ItemModifyJob::tr$
    {80, 1605, 1567},	// Akonadi::ItemModifyJob::tr$$
    {80, 1606, 1569},	// Akonadi::ItemModifyJob::tr$$$
    {80, 1608, 1583},	// Akonadi::ItemModifyJob::trUtf8$
    {80, 1609, 1568},	// Akonadi::ItemModifyJob::trUtf8$$
    {80, 1610, 1570},	// Akonadi::ItemModifyJob::trUtf8$$$
    {80, 1725, 1587},	// Akonadi::ItemModifyJob::~ItemModifyJob
    {81, 336, 1588},	// Akonadi::ItemMonitor::ItemMonitor
    {81, 942, 1594},	// Akonadi::ItemMonitor::fetchScope
    {81, 1048, 1590},	// Akonadi::ItemMonitor::item
    {81, 1052, 1591},	// Akonadi::ItemMonitor::itemChanged#
    {81, 1065, 1592},	// Akonadi::ItemMonitor::itemRemoved
    {81, 1369, 1593},	// Akonadi::ItemMonitor::setFetchScope#
    {81, 1411, 1589},	// Akonadi::ItemMonitor::setItem#
    {81, 1726, 1595},	// Akonadi::ItemMonitor::~ItemMonitor
    {82, 338, 1610},	// Akonadi::ItemMoveJob::ItemMoveJob##
    {82, 339, 1603},	// Akonadi::ItemMoveJob::ItemMoveJob###
    {82, 340, 1611},	// Akonadi::ItemMoveJob::ItemMoveJob?#
    {82, 341, 1604},	// Akonadi::ItemMoveJob::ItemMoveJob?##
    {82, 861, 1605},	// Akonadi::ItemMoveJob::destinationCollection
    {82, 877, 1607},	// Akonadi::ItemMoveJob::doStart
    {82, 1074, 1606},	// Akonadi::ItemMoveJob::items
    {82, 1110, 1596},	// Akonadi::ItemMoveJob::metaObject
    {82, 1175, 1602},	// Akonadi::ItemMoveJob::qt_metacall$$?
    {82, 1177, 1597},	// Akonadi::ItemMoveJob::qt_metacast$
    {82, 1569, 1612},	// Akonadi::ItemMoveJob::staticMetaObject
    {82, 1604, 1608},	// Akonadi::ItemMoveJob::tr$
    {82, 1605, 1598},	// Akonadi::ItemMoveJob::tr$$
    {82, 1606, 1600},	// Akonadi::ItemMoveJob::tr$$$
    {82, 1608, 1609},	// Akonadi::ItemMoveJob::trUtf8$
    {82, 1609, 1599},	// Akonadi::ItemMoveJob::trUtf8$$
    {82, 1610, 1601},	// Akonadi::ItemMoveJob::trUtf8$$$
    {82, 1727, 1613},	// Akonadi::ItemMoveJob::~ItemMoveJob
    {83, 344, 1632},	// Akonadi::ItemSearchJob::ItemSearchJob$
    {83, 345, 1621},	// Akonadi::ItemSearchJob::ItemSearchJob$#
    {83, 703, 1626},	// Akonadi::ItemSearchJob::akonadiItemIdUri
    {83, 871, 1629},	// Akonadi::ItemSearchJob::doHandleResponse##
    {83, 877, 1628},	// Akonadi::ItemSearchJob::doStart
    {83, 942, 1624},	// Akonadi::ItemSearchJob::fetchScope
    {83, 1074, 1625},	// Akonadi::ItemSearchJob::items
    {83, 1078, 1627},	// Akonadi::ItemSearchJob::itemsReceived?
    {83, 1110, 1614},	// Akonadi::ItemSearchJob::metaObject
    {83, 1175, 1620},	// Akonadi::ItemSearchJob::qt_metacall$$?
    {83, 1177, 1615},	// Akonadi::ItemSearchJob::qt_metacast$
    {83, 1369, 1623},	// Akonadi::ItemSearchJob::setFetchScope#
    {83, 1474, 1622},	// Akonadi::ItemSearchJob::setQuery$
    {83, 1569, 1633},	// Akonadi::ItemSearchJob::staticMetaObject
    {83, 1604, 1630},	// Akonadi::ItemSearchJob::tr$
    {83, 1605, 1616},	// Akonadi::ItemSearchJob::tr$$
    {83, 1606, 1618},	// Akonadi::ItemSearchJob::tr$$$
    {83, 1608, 1631},	// Akonadi::ItemSearchJob::trUtf8$
    {83, 1609, 1617},	// Akonadi::ItemSearchJob::trUtf8$$
    {83, 1610, 1619},	// Akonadi::ItemSearchJob::trUtf8$$$
    {83, 1728, 1634},	// Akonadi::ItemSearchJob::~ItemSearchJob
    {84, 346, 1638},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin
    {84, 347, 1639},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin#
    {84, 860, 1635},	// Akonadi::ItemSerializerPlugin::deserialize###$
    {84, 1161, 1637},	// Akonadi::ItemSerializerPlugin::parts#
    {84, 1257, 1636},	// Akonadi::ItemSerializerPlugin::serialize###$
    {84, 1729, 1640},	// Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin
    {85, 348, 1643},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2
    {85, 349, 1644},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2#
    {85, 710, 1641},	// Akonadi::ItemSerializerPluginV2::apply##
    {85, 717, 1642},	// Akonadi::ItemSerializerPluginV2::availableParts#
    {85, 1730, 1645},	// Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2
    {86, 351, 1668},	// Akonadi::ItemSync::ItemSync#
    {86, 352, 1653},	// Akonadi::ItemSync::ItemSync##
    {86, 411, 1671},	// Akonadi::ItemSync::MultipleTransactions
    {86, 428, 1672},	// Akonadi::ItemSync::NoTransaction
    {86, 520, 1670},	// Akonadi::ItemSync::SingleTransaction
    {86, 856, 1657},	// Akonadi::ItemSync::deliveryDone
    {86, 877, 1663},	// Akonadi::ItemSync::doStart
    {86, 942, 1660},	// Akonadi::ItemSync::fetchScope
    {86, 1110, 1646},	// Akonadi::ItemSync::metaObject
    {86, 1175, 1652},	// Akonadi::ItemSync::qt_metacall$$?
    {86, 1177, 1647},	// Akonadi::ItemSync::qt_metacast$
    {86, 1222, 1661},	// Akonadi::ItemSync::rollback
    {86, 1369, 1659},	// Akonadi::ItemSync::setFetchScope#
    {86, 1379, 1654},	// Akonadi::ItemSync::setFullSyncItems?
    {86, 1403, 1658},	// Akonadi::ItemSync::setIncrementalSyncItems??
    {86, 1514, 1656},	// Akonadi::ItemSync::setStreamingEnabled$
    {86, 1524, 1655},	// Akonadi::ItemSync::setTotalItems$
    {86, 1526, 1662},	// Akonadi::ItemSync::setTransactionMode$
    {86, 1556, 1664},	// Akonadi::ItemSync::slotResult#
    {86, 1569, 1669},	// Akonadi::ItemSync::staticMetaObject
    {86, 1604, 1666},	// Akonadi::ItemSync::tr$
    {86, 1605, 1648},	// Akonadi::ItemSync::tr$$
    {86, 1606, 1650},	// Akonadi::ItemSync::tr$$$
    {86, 1608, 1667},	// Akonadi::ItemSync::trUtf8$
    {86, 1609, 1649},	// Akonadi::ItemSync::trUtf8$$
    {86, 1610, 1651},	// Akonadi::ItemSync::trUtf8$$$
    {86, 1627, 1665},	// Akonadi::ItemSync::updateItem##
    {86, 1731, 1673},	// Akonadi::ItemSync::~ItemSync
    {87, 353, 1695},	// Akonadi::ItemView::ItemView
    {87, 354, -64},	// Akonadi::ItemView::ItemView#
    {87, 355, -68},	// Akonadi::ItemView::ItemView##
    {87, 669, 1687},	// Akonadi::ItemView::activated#
    {87, 754, 1689},	// Akonadi::ItemView::clicked#
    {87, 821, 1692},	// Akonadi::ItemView::contextMenuEvent#
    {87, 840, 1688},	// Akonadi::ItemView::currentChanged#
    {87, 841, 1691},	// Akonadi::ItemView::currentChanged##
    {87, 882, 1690},	// Akonadi::ItemView::doubleClicked#
    {87, 1110, 1674},	// Akonadi::ItemView::metaObject
    {87, 1175, 1680},	// Akonadi::ItemView::qt_metacall$$?
    {87, 1177, 1675},	// Akonadi::ItemView::qt_metacast$
    {87, 1445, 1686},	// Akonadi::ItemView::setModel#
    {87, 1537, 1685},	// Akonadi::ItemView::setXmlGuiClient#
    {87, 1539, 1684},	// Akonadi::ItemView::setXmlGuiWindow#
    {87, 1569, 1698},	// Akonadi::ItemView::staticMetaObject
    {87, 1604, 1693},	// Akonadi::ItemView::tr$
    {87, 1605, 1676},	// Akonadi::ItemView::tr$$
    {87, 1606, 1678},	// Akonadi::ItemView::tr$$$
    {87, 1608, 1694},	// Akonadi::ItemView::trUtf8$
    {87, 1609, 1677},	// Akonadi::ItemView::trUtf8$$
    {87, 1610, 1679},	// Akonadi::ItemView::trUtf8$$$
    {87, 1732, 1699},	// Akonadi::ItemView::~ItemView
    {88, 159, 1724},	// Akonadi::Job::ConnectionFailed
    {88, 356, 1722},	// Akonadi::Job::Job
    {88, 357, 1707},	// Akonadi::Job::Job#
    {88, 358, 1719},	// Akonadi::Job::Job##
    {88, 468, 1725},	// Akonadi::Job::ProtocolVersionMismatch
    {88, 568, 1727},	// Akonadi::Job::Unknown
    {88, 580, 1726},	// Akonadi::Job::UserCanceled
    {88, 582, 1728},	// Akonadi::Job::UserError
    {88, 661, 1710},	// Akonadi::Job::aboutToStart#
    {88, 691, 1714},	// Akonadi::Job::addSubjob#
    {88, 871, 1713},	// Akonadi::Job::doHandleResponse##
    {88, 873, 1716},	// Akonadi::Job::doKill
    {88, 877, 1712},	// Akonadi::Job::doStart
    {88, 902, 1717},	// Akonadi::Job::emitWriteFinished
    {88, 916, 1709},	// Akonadi::Job::errorString
    {88, 1110, 1700},	// Akonadi::Job::metaObject
    {88, 1175, 1706},	// Akonadi::Job::qt_metacall$$?
    {88, 1177, 1701},	// Akonadi::Job::qt_metacast$
    {88, 1198, 1715},	// Akonadi::Job::removeSubjob#
    {88, 1556, 1718},	// Akonadi::Job::slotResult#
    {88, 1561, 1708},	// Akonadi::Job::start
    {88, 1569, 1723},	// Akonadi::Job::staticMetaObject
    {88, 1604, 1720},	// Akonadi::Job::tr$
    {88, 1605, 1702},	// Akonadi::Job::tr$$
    {88, 1606, 1704},	// Akonadi::Job::tr$$$
    {88, 1608, 1721},	// Akonadi::Job::trUtf8$
    {88, 1609, 1703},	// Akonadi::Job::trUtf8$$
    {88, 1610, 1705},	// Akonadi::Job::trUtf8$$$
    {88, 1654, 1711},	// Akonadi::Job::writeFinished#
    {88, 1733, 1729},	// Akonadi::Job::~Job
    {90, 365, 1741},	// Akonadi::LinkJob::LinkJob#?
    {90, 366, 1737},	// Akonadi::LinkJob::LinkJob#?#
    {90, 877, 1738},	// Akonadi::LinkJob::doStart
    {90, 1110, 1730},	// Akonadi::LinkJob::metaObject
    {90, 1175, 1736},	// Akonadi::LinkJob::qt_metacall$$?
    {90, 1177, 1731},	// Akonadi::LinkJob::qt_metacast$
    {90, 1569, 1742},	// Akonadi::LinkJob::staticMetaObject
    {90, 1604, 1739},	// Akonadi::LinkJob::tr$
    {90, 1605, 1732},	// Akonadi::LinkJob::tr$$
    {90, 1606, 1734},	// Akonadi::LinkJob::tr$$$
    {90, 1608, 1740},	// Akonadi::LinkJob::trUtf8$
    {90, 1609, 1733},	// Akonadi::LinkJob::trUtf8$$
    {90, 1610, 1735},	// Akonadi::LinkJob::trUtf8$$$
    {90, 1734, 1743},	// Akonadi::LinkJob::~LinkJob
    {91, 373, 1744},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute
    {91, 374, 1745},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute#
    {91, 755, 1749},	// Akonadi::MessageFolderAttribute::clone
    {91, 859, 1751},	// Akonadi::MessageFolderAttribute::deserialize#
    {91, 1035, 1746},	// Akonadi::MessageFolderAttribute::isOutboundFolder
    {91, 1258, 1750},	// Akonadi::MessageFolderAttribute::serialized
    {91, 1456, 1747},	// Akonadi::MessageFolderAttribute::setOutboundFolder$
    {91, 1611, 1748},	// Akonadi::MessageFolderAttribute::type
    {91, 1735, 1752},	// Akonadi::MessageFolderAttribute::~MessageFolderAttribute
    {92, 210, 1777},	// Akonadi::MessageModel::Date
    {92, 375, 1768},	// Akonadi::MessageModel::MessageModel
    {92, 376, 1760},	// Akonadi::MessageModel::MessageModel#
    {92, 477, 1776},	// Akonadi::MessageModel::Receiver
    {92, 510, 1775},	// Akonadi::MessageModel::Sender
    {92, 521, 1778},	// Akonadi::MessageModel::Size
    {92, 540, 1774},	// Akonadi::MessageModel::Subject
    {92, 794, 1770},	// Akonadi::MessageModel::columnCount
    {92, 795, 1762},	// Akonadi::MessageModel::columnCount#
    {92, 848, 1771},	// Akonadi::MessageModel::data#
    {92, 849, 1763},	// Akonadi::MessageModel::data#$
    {92, 969, 1772},	// Akonadi::MessageModel::headerData$$
    {92, 970, 1764},	// Akonadi::MessageModel::headerData$$$
    {92, 1110, 1753},	// Akonadi::MessageModel::metaObject
    {92, 1121, 1765},	// Akonadi::MessageModel::mimeTypes
    {92, 1175, 1759},	// Akonadi::MessageModel::qt_metacall$$?
    {92, 1177, 1754},	// Akonadi::MessageModel::qt_metacast$
    {92, 1225, 1769},	// Akonadi::MessageModel::rowCount
    {92, 1226, 1761},	// Akonadi::MessageModel::rowCount#
    {92, 1569, 1773},	// Akonadi::MessageModel::staticMetaObject
    {92, 1604, 1766},	// Akonadi::MessageModel::tr$
    {92, 1605, 1755},	// Akonadi::MessageModel::tr$$
    {92, 1606, 1757},	// Akonadi::MessageModel::tr$$$
    {92, 1608, 1767},	// Akonadi::MessageModel::trUtf8$
    {92, 1609, 1756},	// Akonadi::MessageModel::trUtf8$$
    {92, 1610, 1758},	// Akonadi::MessageModel::trUtf8$$$
    {92, 1736, 1779},	// Akonadi::MessageModel::~MessageModel
    {93, 377, 1801},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel
    {93, 378, 1787},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel#
    {93, 795, 1793},	// Akonadi::MessageThreaderProxyModel::columnCount#
    {93, 833, 1792},	// Akonadi::MessageThreaderProxyModel::createIndex$$$
    {93, 964, 1791},	// Akonadi::MessageThreaderProxyModel::hasChildren#
    {93, 992, 1790},	// Akonadi::MessageThreaderProxyModel::index$$#
    {93, 1100, 1796},	// Akonadi::MessageThreaderProxyModel::mapFromSource#
    {93, 1104, 1797},	// Akonadi::MessageThreaderProxyModel::mapToSource#
    {93, 1110, 1780},	// Akonadi::MessageThreaderProxyModel::metaObject
    {93, 1113, 1795},	// Akonadi::MessageThreaderProxyModel::mimeData?
    {93, 1121, 1794},	// Akonadi::MessageThreaderProxyModel::mimeTypes
    {93, 1156, 1788},	// Akonadi::MessageThreaderProxyModel::parent#
    {93, 1175, 1786},	// Akonadi::MessageThreaderProxyModel::qt_metacall$$?
    {93, 1177, 1781},	// Akonadi::MessageThreaderProxyModel::qt_metacast$
    {93, 1226, 1789},	// Akonadi::MessageThreaderProxyModel::rowCount#
    {93, 1510, 1798},	// Akonadi::MessageThreaderProxyModel::setSourceModel#
    {93, 1569, 1802},	// Akonadi::MessageThreaderProxyModel::staticMetaObject
    {93, 1604, 1799},	// Akonadi::MessageThreaderProxyModel::tr$
    {93, 1605, 1782},	// Akonadi::MessageThreaderProxyModel::tr$$
    {93, 1606, 1784},	// Akonadi::MessageThreaderProxyModel::tr$$$
    {93, 1608, 1800},	// Akonadi::MessageThreaderProxyModel::trUtf8$
    {93, 1609, 1783},	// Akonadi::MessageThreaderProxyModel::trUtf8$$
    {93, 1610, 1785},	// Akonadi::MessageThreaderProxyModel::trUtf8$$$
    {93, 1737, 1803},	// Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel
    {94, 379, 1804},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute
    {94, 380, 1805},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute#
    {94, 755, 1813},	// Akonadi::MessageThreadingAttribute::clone
    {94, 859, 1815},	// Akonadi::MessageThreadingAttribute::deserialize#
    {94, 1166, 1806},	// Akonadi::MessageThreadingAttribute::perfectParents
    {94, 1258, 1814},	// Akonadi::MessageThreadingAttribute::serialized
    {94, 1469, 1807},	// Akonadi::MessageThreadingAttribute::setPerfectParents?
    {94, 1516, 1811},	// Akonadi::MessageThreadingAttribute::setSubjectParents?
    {94, 1528, 1809},	// Akonadi::MessageThreadingAttribute::setUnperfectParents?
    {94, 1582, 1810},	// Akonadi::MessageThreadingAttribute::subjectParents
    {94, 1611, 1812},	// Akonadi::MessageThreadingAttribute::type
    {94, 1619, 1808},	// Akonadi::MessageThreadingAttribute::unperfectParents
    {94, 1738, 1816},	// Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute
    {95, 382, 1817},	// Akonadi::MimeTypeChecker::MimeTypeChecker
    {95, 383, 1818},	// Akonadi::MimeTypeChecker::MimeTypeChecker#
    {95, 693, 1822},	// Akonadi::MimeTypeChecker::addWantedMimeType$
    {95, 818, 1827},	// Akonadi::MimeTypeChecker::containsWantedMimeType?
    {95, 1041, 1825},	// Akonadi::MimeTypeChecker::isWantedCollection#
    {95, 1042, 1829},	// Akonadi::MimeTypeChecker::isWantedCollection#$
    {95, 1044, 1824},	// Akonadi::MimeTypeChecker::isWantedItem#
    {95, 1045, 1828},	// Akonadi::MimeTypeChecker::isWantedItem#$
    {95, 1047, 1826},	// Akonadi::MimeTypeChecker::isWantedMimeType$
    {95, 1146, 1819},	// Akonadi::MimeTypeChecker::operator=#
    {95, 1200, 1823},	// Akonadi::MimeTypeChecker::removeWantedMimeType$
    {95, 1535, 1821},	// Akonadi::MimeTypeChecker::setWantedMimeTypes?
    {95, 1644, 1820},	// Akonadi::MimeTypeChecker::wantedMimeTypes
    {95, 1739, 1830},	// Akonadi::MimeTypeChecker::~MimeTypeChecker
    {96, 387, 1882},	// Akonadi::Monitor::Monitor
    {96, 388, -46},	// Akonadi::Monitor::Monitor#
    {96, 389, 1879},	// Akonadi::Monitor::Monitor##
    {96, 706, 1878},	// Akonadi::Monitor::allMonitored$
    {96, 760, 1866},	// Akonadi::Monitor::collectionAdded##
    {96, 764, 1867},	// Akonadi::Monitor::collectionChanged#
    {96, 765, 1868},	// Akonadi::Monitor::collectionChanged#?
    {96, 766, 1851},	// Akonadi::Monitor::collectionFetchScope
    {96, 772, 1874},	// Akonadi::Monitor::collectionMonitored#$
    {96, 774, 1869},	// Akonadi::Monitor::collectionMoved###
    {96, 776, 1870},	// Akonadi::Monitor::collectionRemoved#
    {96, 778, 1873},	// Akonadi::Monitor::collectionStatisticsChanged?#
    {96, 780, 1871},	// Akonadi::Monitor::collectionSubscribed##
    {96, 784, 1872},	// Akonadi::Monitor::collectionUnsubscribed#
    {96, 786, 1852},	// Akonadi::Monitor::collectionsMonitored
    {96, 929, 1848},	// Akonadi::Monitor::fetchChangedOnly$
    {96, 931, 1845},	// Akonadi::Monitor::fetchCollection$
    {96, 933, 1846},	// Akonadi::Monitor::fetchCollectionStatistics$
    {96, 983, 1844},	// Akonadi::Monitor::ignoreSession#
    {96, 1028, 1857},	// Akonadi::Monitor::isAllMonitored
    {96, 1050, 1862},	// Akonadi::Monitor::itemAdded##
    {96, 1053, 1860},	// Akonadi::Monitor::itemChanged#?
    {96, 1055, 1849},	// Akonadi::Monitor::itemFetchScope
    {96, 1059, 1864},	// Akonadi::Monitor::itemLinked##
    {96, 1061, 1875},	// Akonadi::Monitor::itemMonitored#$
    {96, 1063, 1861},	// Akonadi::Monitor::itemMoved###
    {96, 1066, 1863},	// Akonadi::Monitor::itemRemoved#
    {96, 1073, 1865},	// Akonadi::Monitor::itemUnlinked##
    {96, 1075, 1853},	// Akonadi::Monitor::itemsMonitored
    {96, 1076, 1854},	// Akonadi::Monitor::itemsMonitoredEx
    {96, 1110, 1831},	// Akonadi::Monitor::metaObject
    {96, 1120, 1877},	// Akonadi::Monitor::mimeTypeMonitored$$
    {96, 1122, 1855},	// Akonadi::Monitor::mimeTypesMonitored
    {96, 1175, 1837},	// Akonadi::Monitor::qt_metacall$$?
    {96, 1177, 1832},	// Akonadi::Monitor::qt_metacast$
    {96, 1206, 1876},	// Akonadi::Monitor::resourceMonitored#$
    {96, 1207, 1856},	// Akonadi::Monitor::resourcesMonitored
    {96, 1259, 1859},	// Akonadi::Monitor::session
    {96, 1269, 1887},	// Akonadi::Monitor::setAllMonitored
    {96, 1270, 1843},	// Akonadi::Monitor::setAllMonitored$
    {96, 1298, 1850},	// Akonadi::Monitor::setCollectionFetchScope#
    {96, 1302, 1883},	// Akonadi::Monitor::setCollectionMonitored#
    {96, 1303, 1839},	// Akonadi::Monitor::setCollectionMonitored#$
    {96, 1414, 1847},	// Akonadi::Monitor::setItemFetchScope#
    {96, 1416, 1884},	// Akonadi::Monitor::setItemMonitored#
    {96, 1417, 1840},	// Akonadi::Monitor::setItemMonitored#$
    {96, 1442, 1886},	// Akonadi::Monitor::setMimeTypeMonitored$
    {96, 1443, 1842},	// Akonadi::Monitor::setMimeTypeMonitored$$
    {96, 1490, 1885},	// Akonadi::Monitor::setResourceMonitored#
    {96, 1491, 1841},	// Akonadi::Monitor::setResourceMonitored#$
    {96, 1504, 1858},	// Akonadi::Monitor::setSession#
    {96, 1569, 1889},	// Akonadi::Monitor::staticMetaObject
    {96, 1604, 1880},	// Akonadi::Monitor::tr$
    {96, 1605, 1833},	// Akonadi::Monitor::tr$$
    {96, 1606, 1835},	// Akonadi::Monitor::tr$$$
    {96, 1608, 1881},	// Akonadi::Monitor::trUtf8$
    {96, 1609, 1834},	// Akonadi::Monitor::trUtf8$$
    {96, 1610, 1836},	// Akonadi::Monitor::trUtf8$$$
    {96, 1740, 1890},	// Akonadi::Monitor::~Monitor
    {98, 446, 1905},	// Akonadi::PartFetcher::PartFetcher##
    {98, 447, 1898},	// Akonadi::PartFetcher::PartFetcher###
    {98, 990, 1900},	// Akonadi::PartFetcher::index
    {98, 1048, 1902},	// Akonadi::PartFetcher::item
    {98, 1110, 1891},	// Akonadi::PartFetcher::metaObject
    {98, 1159, 1901},	// Akonadi::PartFetcher::partName
    {98, 1175, 1897},	// Akonadi::PartFetcher::qt_metacall$$?
    {98, 1177, 1892},	// Akonadi::PartFetcher::qt_metacast$
    {98, 1561, 1899},	// Akonadi::PartFetcher::start
    {98, 1569, 1906},	// Akonadi::PartFetcher::staticMetaObject
    {98, 1604, 1903},	// Akonadi::PartFetcher::tr$
    {98, 1605, 1893},	// Akonadi::PartFetcher::tr$$
    {98, 1606, 1895},	// Akonadi::PartFetcher::tr$$$
    {98, 1608, 1904},	// Akonadi::PartFetcher::trUtf8$
    {98, 1609, 1894},	// Akonadi::PartFetcher::trUtf8$$
    {98, 1610, 1896},	// Akonadi::PartFetcher::trUtf8$$$
    {98, 1743, 1907},	// Akonadi::PartFetcher::~PartFetcher
    {99, 449, 1910},	// Akonadi::PayloadBase::PayloadBase
    {99, 450, 1911},	// Akonadi::PayloadBase::PayloadBase#
    {99, 755, 1908},	// Akonadi::PayloadBase::clone
    {99, 1615, 1909},	// Akonadi::PayloadBase::typeName
    {99, 1744, 1912},	// Akonadi::PayloadBase::~PayloadBase
    {100, 452, -71},	// Akonadi::PayloadException::PayloadException#
    {100, 453, -74},	// Akonadi::PayloadException::PayloadException$
    {100, 1611, 1916},	// Akonadi::PayloadException::type
    {100, 1745, 1918},	// Akonadi::PayloadException::~PayloadException
    {101, 461, 1930},	// Akonadi::PreprocessorBase::PreprocessorBase$
    {101, 463, 1934},	// Akonadi::PreprocessorBase::ProcessingCompleted
    {101, 464, 1935},	// Akonadi::PreprocessorBase::ProcessingDelayed
    {101, 465, 1936},	// Akonadi::PreprocessorBase::ProcessingFailed
    {101, 466, 1937},	// Akonadi::PreprocessorBase::ProcessingRefused
    {101, 942, 1929},	// Akonadi::PreprocessorBase::fetchScope
    {101, 948, 1927},	// Akonadi::PreprocessorBase::finishProcessing$
    {101, 1110, 1919},	// Akonadi::PreprocessorBase::metaObject
    {101, 1170, 1926},	// Akonadi::PreprocessorBase::processItem#
    {101, 1175, 1925},	// Akonadi::PreprocessorBase::qt_metacall$$?
    {101, 1177, 1920},	// Akonadi::PreprocessorBase::qt_metacast$
    {101, 1369, 1928},	// Akonadi::PreprocessorBase::setFetchScope#
    {101, 1569, 1933},	// Akonadi::PreprocessorBase::staticMetaObject
    {101, 1604, 1931},	// Akonadi::PreprocessorBase::tr$
    {101, 1605, 1921},	// Akonadi::PreprocessorBase::tr$$
    {101, 1606, 1923},	// Akonadi::PreprocessorBase::tr$$$
    {101, 1608, 1932},	// Akonadi::PreprocessorBase::trUtf8$
    {101, 1609, 1922},	// Akonadi::PreprocessorBase::trUtf8$$
    {101, 1610, 1924},	// Akonadi::PreprocessorBase::trUtf8$$$
    {101, 1746, 1938},	// Akonadi::PreprocessorBase::~PreprocessorBase
    {102, 16, 1997},	// Akonadi::ResourceBase::AfterChangeReplay
    {102, 49, 1998},	// Akonadi::ResourceBase::Append
    {102, 459, 1996},	// Akonadi::ResourceBase::Prepend
    {102, 490, 1958},	// Akonadi::ResourceBase::ResourceBase$
    {102, 656, 1957},	// Akonadi::ResourceBase::abortActivity
    {102, 715, 1951},	// Akonadi::ResourceBase::attributesSynchronized$
    {102, 730, 1983},	// Akonadi::ResourceBase::cancelTask
    {102, 731, 1984},	// Akonadi::ResourceBase::cancelTask$
    {102, 737, -105},	// Akonadi::ResourceBase::changeCommitted#
    {102, 747, 1974},	// Akonadi::ResourceBase::clearCache
    {102, 762, 1960},	// Akonadi::ResourceBase::collectionAttributesRetrieved#
    {102, 782, 1952},	// Akonadi::ResourceBase::collectionTreeSynchronized
    {102, 789, 1966},	// Akonadi::ResourceBase::collectionsRetrievalDone
    {102, 791, 1963},	// Akonadi::ResourceBase::collectionsRetrieved?
    {102, 793, 1964},	// Akonadi::ResourceBase::collectionsRetrievedIncremental??
    {102, 842, 1976},	// Akonadi::ResourceBase::currentCollection
    {102, 843, 1977},	// Akonadi::ResourceBase::currentItem
    {102, 854, 1985},	// Akonadi::ResourceBase::deferTask
    {102, 876, 1986},	// Akonadi::ResourceBase::doSetOnline$
    {102, 894, 1990},	// Akonadi::ResourceBase::dumpNotificationListToString
    {102, 895, 1991},	// Akonadi::ResourceBase::dumpSchedulerToString
    {102, 1027, 1975},	// Akonadi::ResourceBase::invalidateCache#
    {102, 1068, 1959},	// Akonadi::ResourceBase::itemRetrieved#
    {102, 1079, 1973},	// Akonadi::ResourceBase::itemsRetrievalDone
    {102, 1081, 1967},	// Akonadi::ResourceBase::itemsRetrieved?
    {102, 1083, 1972},	// Akonadi::ResourceBase::itemsRetrievedIncremental??
    {102, 1110, 1939},	// Akonadi::ResourceBase::metaObject
    {102, 1135, 1947},	// Akonadi::ResourceBase::name
    {102, 1137, 1949},	// Akonadi::ResourceBase::nameChanged$
    {102, 1175, 1945},	// Akonadi::ResourceBase::qt_metacall$$?
    {102, 1177, 1940},	// Akonadi::ResourceBase::qt_metacast$
    {102, 1213, 1954},	// Akonadi::ResourceBase::retrieveCollectionAttributes#
    {102, 1214, 1953},	// Akonadi::ResourceBase::retrieveCollections
    {102, 1216, 1956},	// Akonadi::ResourceBase::retrieveItem#?
    {102, 1218, 1955},	// Akonadi::ResourceBase::retrieveItems#
    {102, 1236, 1994},	// Akonadi::ResourceBase::scheduleCustomTask#$#
    {102, 1237, 1988},	// Akonadi::ResourceBase::scheduleCustomTask#$#$
    {102, 1277, 1948},	// Akonadi::ResourceBase::setAutomaticProgressReporting$
    {102, 1309, 1965},	// Akonadi::ResourceBase::setCollectionStreamingEnabled$
    {102, 1387, 1987},	// Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled$
    {102, 1423, 1969},	// Akonadi::ResourceBase::setItemStreamingEnabled$
    {102, 1425, 1971},	// Akonadi::ResourceBase::setItemSynchronizationFetchScope#
    {102, 1427, 1970},	// Akonadi::ResourceBase::setItemTransactionMode$
    {102, 1450, 1946},	// Akonadi::ResourceBase::setName$
    {102, 1524, 1968},	// Akonadi::ResourceBase::setTotalItems$
    {102, 1569, 1995},	// Akonadi::ResourceBase::staticMetaObject
    {102, 1586, 1978},	// Akonadi::ResourceBase::synchronize
    {102, 1590, 1979},	// Akonadi::ResourceBase::synchronizeCollection$
    {102, 1591, 1980},	// Akonadi::ResourceBase::synchronizeCollection$$
    {102, 1593, 1981},	// Akonadi::ResourceBase::synchronizeCollectionAttributes$
    {102, 1594, 1982},	// Akonadi::ResourceBase::synchronizeCollectionTree
    {102, 1595, 1950},	// Akonadi::ResourceBase::synchronized
    {102, 1598, 1989},	// Akonadi::ResourceBase::taskDone
    {102, 1604, 1992},	// Akonadi::ResourceBase::tr$
    {102, 1605, 1941},	// Akonadi::ResourceBase::tr$$
    {102, 1606, 1943},	// Akonadi::ResourceBase::tr$$$
    {102, 1608, 1993},	// Akonadi::ResourceBase::trUtf8$
    {102, 1609, 1942},	// Akonadi::ResourceBase::trUtf8$$
    {102, 1610, 1944},	// Akonadi::ResourceBase::trUtf8$$$
    {102, 1747, 1999},	// Akonadi::ResourceBase::~ResourceBase
    {103, 493, 2014},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob#
    {103, 494, 2007},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob##
    {103, 781, 2008},	// Akonadi::ResourceSynchronizationJob::collectionTreeOnly
    {103, 1110, 2000},	// Akonadi::ResourceSynchronizationJob::metaObject
    {103, 1175, 2006},	// Akonadi::ResourceSynchronizationJob::qt_metacall$$?
    {103, 1177, 2001},	// Akonadi::ResourceSynchronizationJob::qt_metacast$
    {103, 1204, 2010},	// Akonadi::ResourceSynchronizationJob::resource
    {103, 1311, 2009},	// Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly$
    {103, 1561, 2011},	// Akonadi::ResourceSynchronizationJob::start
    {103, 1569, 2015},	// Akonadi::ResourceSynchronizationJob::staticMetaObject
    {103, 1604, 2012},	// Akonadi::ResourceSynchronizationJob::tr$
    {103, 1605, 2002},	// Akonadi::ResourceSynchronizationJob::tr$$
    {103, 1606, 2004},	// Akonadi::ResourceSynchronizationJob::tr$$$
    {103, 1608, 2013},	// Akonadi::ResourceSynchronizationJob::trUtf8$
    {103, 1609, 2003},	// Akonadi::ResourceSynchronizationJob::trUtf8$$
    {103, 1610, 2005},	// Akonadi::ResourceSynchronizationJob::trUtf8$$$
    {103, 1748, 2016},	// Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob
    {104, 501, 2031},	// Akonadi::SearchCreateJob::SearchCreateJob$$
    {104, 502, 2024},	// Akonadi::SearchCreateJob::SearchCreateJob$$#
    {104, 836, 2026},	// Akonadi::SearchCreateJob::createdCollection
    {104, 871, 2028},	// Akonadi::SearchCreateJob::doHandleResponse##
    {104, 877, 2027},	// Akonadi::SearchCreateJob::doStart
    {104, 1110, 2017},	// Akonadi::SearchCreateJob::metaObject
    {104, 1175, 2023},	// Akonadi::SearchCreateJob::qt_metacall$$?
    {104, 1177, 2018},	// Akonadi::SearchCreateJob::qt_metacast$
    {104, 1478, 2025},	// Akonadi::SearchCreateJob::setQueryLanguage$
    {104, 1569, 2032},	// Akonadi::SearchCreateJob::staticMetaObject
    {104, 1604, 2029},	// Akonadi::SearchCreateJob::tr$
    {104, 1605, 2019},	// Akonadi::SearchCreateJob::tr$$
    {104, 1606, 2021},	// Akonadi::SearchCreateJob::tr$$$
    {104, 1608, 2030},	// Akonadi::SearchCreateJob::trUtf8$
    {104, 1609, 2020},	// Akonadi::SearchCreateJob::trUtf8$$
    {104, 1610, 2022},	// Akonadi::SearchCreateJob::trUtf8$$$
    {104, 1749, 2033},	// Akonadi::SearchCreateJob::~SearchCreateJob
    {105, 508, 2044},	// Akonadi::SelectionProxyModel::SelectionProxyModel#
    {105, 509, 2041},	// Akonadi::SelectionProxyModel::SelectionProxyModel##
    {105, 1110, 2034},	// Akonadi::SelectionProxyModel::metaObject
    {105, 1175, 2040},	// Akonadi::SelectionProxyModel::qt_metacall$$?
    {105, 1177, 2035},	// Akonadi::SelectionProxyModel::qt_metacast$
    {105, 1569, 2045},	// Akonadi::SelectionProxyModel::staticMetaObject
    {105, 1604, 2042},	// Akonadi::SelectionProxyModel::tr$
    {105, 1605, 2036},	// Akonadi::SelectionProxyModel::tr$$
    {105, 1606, 2038},	// Akonadi::SelectionProxyModel::tr$$$
    {105, 1608, 2043},	// Akonadi::SelectionProxyModel::trUtf8$
    {105, 1609, 2037},	// Akonadi::SelectionProxyModel::trUtf8$$
    {105, 1610, 2039},	// Akonadi::SelectionProxyModel::trUtf8$$$
    {105, 1750, 2046},	// Akonadi::SelectionProxyModel::~SelectionProxyModel
    {106, 60, 2070},	// Akonadi::ServerManager::Broken
    {106, 431, 2066},	// Akonadi::ServerManager::NotRunning
    {106, 497, 2068},	// Akonadi::ServerManager::Running
    {106, 527, 2067},	// Akonadi::ServerManager::Starting
    {106, 535, 2069},	// Akonadi::ServerManager::Stopping
    {106, 1036, 2057},	// Akonadi::ServerManager::isRunning
    {106, 1110, 2047},	// Akonadi::ServerManager::metaObject
    {106, 1175, 2053},	// Akonadi::ServerManager::qt_metacall$$?
    {106, 1177, 2048},	// Akonadi::ServerManager::qt_metacast$
    {106, 1249, 2059},	// Akonadi::ServerManager::self
    {106, 1545, 2056},	// Akonadi::ServerManager::showSelfTestDialog#
    {106, 1561, 2054},	// Akonadi::ServerManager::start
    {106, 1565, 2060},	// Akonadi::ServerManager::started
    {106, 1566, 2058},	// Akonadi::ServerManager::state
    {106, 1568, 2062},	// Akonadi::ServerManager::stateChanged$
    {106, 1569, 2065},	// Akonadi::ServerManager::staticMetaObject
    {106, 1575, 2055},	// Akonadi::ServerManager::stop
    {106, 1577, 2061},	// Akonadi::ServerManager::stopped
    {106, 1604, 2063},	// Akonadi::ServerManager::tr$
    {106, 1605, 2049},	// Akonadi::ServerManager::tr$$
    {106, 1606, 2051},	// Akonadi::ServerManager::tr$$$
    {106, 1608, 2064},	// Akonadi::ServerManager::trUtf8$
    {106, 1609, 2050},	// Akonadi::ServerManager::trUtf8$$
    {106, 1610, 2052},	// Akonadi::ServerManager::trUtf8$$$
    {106, 1751, 2071},	// Akonadi::ServerManager::~ServerManager
    {107, 511, 2087},	// Akonadi::Session::Session
    {107, 512, -19},	// Akonadi::Session::Session#
    {107, 513, -22},	// Akonadi::Session::Session##
    {107, 514, 2084},	// Akonadi::Session::Session###
    {107, 744, 2082},	// Akonadi::Session::clear
    {107, 853, 2081},	// Akonadi::Session::defaultSession
    {107, 1110, 2072},	// Akonadi::Session::metaObject
    {107, 1175, 2078},	// Akonadi::Session::qt_metacall$$?
    {107, 1177, 2073},	// Akonadi::Session::qt_metacast$
    {107, 1180, 2083},	// Akonadi::Session::reconnected
    {107, 1260, 2080},	// Akonadi::Session::sessionId
    {107, 1569, 2091},	// Akonadi::Session::staticMetaObject
    {107, 1604, 2085},	// Akonadi::Session::tr$
    {107, 1605, 2074},	// Akonadi::Session::tr$$
    {107, 1606, 2076},	// Akonadi::Session::tr$$$
    {107, 1608, 2086},	// Akonadi::Session::trUtf8$
    {107, 1609, 2075},	// Akonadi::Session::trUtf8$$
    {107, 1610, 2077},	// Akonadi::Session::trUtf8$$$
    {107, 1752, 2092},	// Akonadi::Session::~Session
    {109, 4, 2133},	// Akonadi::StandardActionManager::AddToFavoriteCollections
    {109, 126, 2128},	// Akonadi::StandardActionManager::CollectionProperties
    {109, 198, 2147},	// Akonadi::StandardActionManager::CopyCollectionToDialog
    {109, 199, 2136},	// Akonadi::StandardActionManager::CopyCollectionToMenu
    {109, 200, 2125},	// Akonadi::StandardActionManager::CopyCollections
    {109, 201, 2149},	// Akonadi::StandardActionManager::CopyItemToDialog
    {109, 202, 2137},	// Akonadi::StandardActionManager::CopyItemToMenu
    {109, 203, 2129},	// Akonadi::StandardActionManager::CopyItems
    {109, 204, 2124},	// Akonadi::StandardActionManager::CreateCollection
    {109, 206, 2142},	// Akonadi::StandardActionManager::CreateResource
    {109, 208, 2141},	// Akonadi::StandardActionManager::CutCollections
    {109, 209, 2140},	// Akonadi::StandardActionManager::CutItems
    {109, 213, 2126},	// Akonadi::StandardActionManager::DeleteCollections
    {109, 214, 2131},	// Akonadi::StandardActionManager::DeleteItems
    {109, 215, 2143},	// Akonadi::StandardActionManager::DeleteResources
    {109, 218, 2163},	// Akonadi::StandardActionManager::DialogText
    {109, 219, 2162},	// Akonadi::StandardActionManager::DialogTitle
    {109, 259, 2168},	// Akonadi::StandardActionManager::ErrorMessageText
    {109, 260, 2167},	// Akonadi::StandardActionManager::ErrorMessageTitle
    {109, 361, 2161},	// Akonadi::StandardActionManager::LastType
    {109, 369, 2132},	// Akonadi::StandardActionManager::ManageLocalSubscriptions
    {109, 370, 2166},	// Akonadi::StandardActionManager::MessageBoxAlternativeText
    {109, 371, 2165},	// Akonadi::StandardActionManager::MessageBoxText
    {109, 372, 2164},	// Akonadi::StandardActionManager::MessageBoxTitle
    {109, 390, 2148},	// Akonadi::StandardActionManager::MoveCollectionToDialog
    {109, 391, 2139},	// Akonadi::StandardActionManager::MoveCollectionToMenu
    {109, 392, 2152},	// Akonadi::StandardActionManager::MoveCollectionsToTrash
    {109, 396, 2150},	// Akonadi::StandardActionManager::MoveItemToDialog
    {109, 397, 2138},	// Akonadi::StandardActionManager::MoveItemToMenu
    {109, 398, 2153},	// Akonadi::StandardActionManager::MoveItemsToTrash
    {109, 405, 2156},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollection
    {109, 406, 2157},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative
    {109, 407, 2158},	// Akonadi::StandardActionManager::MoveToTrashRestoreItem
    {109, 408, 2159},	// Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative
    {109, 448, 2130},	// Akonadi::StandardActionManager::Paste
    {109, 486, 2134},	// Akonadi::StandardActionManager::RemoveFromFavoriteCollections
    {109, 487, 2135},	// Akonadi::StandardActionManager::RenameFavoriteCollection
    {109, 491, 2144},	// Akonadi::StandardActionManager::ResourceProperties
    {109, 495, 2154},	// Akonadi::StandardActionManager::RestoreCollectionsFromTrash
    {109, 496, 2155},	// Akonadi::StandardActionManager::RestoreItemsFromTrash
    {109, 525, 2121},	// Akonadi::StandardActionManager::StandardActionManager#
    {109, 526, 2100},	// Akonadi::StandardActionManager::StandardActionManager##
    {109, 544, 2127},	// Akonadi::StandardActionManager::SynchronizeCollections
    {109, 545, 2151},	// Akonadi::StandardActionManager::SynchronizeCollectionsRecursive
    {109, 546, 2160},	// Akonadi::StandardActionManager::SynchronizeFavoriteCollections
    {109, 547, 2145},	// Akonadi::StandardActionManager::SynchronizeResources
    {109, 550, 2146},	// Akonadi::StandardActionManager::ToggleWorkOffline
    {109, 665, 2107},	// Akonadi::StandardActionManager::action$
    {109, 667, 2118},	// Akonadi::StandardActionManager::actionStateUpdated
    {109, 825, 2105},	// Akonadi::StandardActionManager::createAction$
    {109, 827, 2117},	// Akonadi::StandardActionManager::createActionFolderMenu#$
    {109, 828, 2106},	// Akonadi::StandardActionManager::createAllActions
    {109, 1023, 2122},	// Akonadi::StandardActionManager::interceptAction$
    {109, 1024, 2109},	// Akonadi::StandardActionManager::interceptAction$$
    {109, 1110, 2093},	// Akonadi::StandardActionManager::metaObject
    {109, 1175, 2099},	// Akonadi::StandardActionManager::qt_metacall$$?
    {109, 1177, 2094},	// Akonadi::StandardActionManager::qt_metacast$
    {109, 1243, 2110},	// Akonadi::StandardActionManager::selectedCollections
    {109, 1245, 2111},	// Akonadi::StandardActionManager::selectedItems
    {109, 1264, 2108},	// Akonadi::StandardActionManager::setActionText$#
    {109, 1289, 2115},	// Akonadi::StandardActionManager::setCapabilityFilter?
    {109, 1305, 2116},	// Akonadi::StandardActionManager::setCollectionPropertiesPageNames?
    {109, 1307, 2101},	// Akonadi::StandardActionManager::setCollectionSelectionModel#
    {109, 1336, 2113},	// Akonadi::StandardActionManager::setContextText$$#
    {109, 1337, 2112},	// Akonadi::StandardActionManager::setContextText$$$
    {109, 1361, 2103},	// Akonadi::StandardActionManager::setFavoriteCollectionsModel#
    {109, 1365, 2104},	// Akonadi::StandardActionManager::setFavoriteSelectionModel#
    {109, 1421, 2102},	// Akonadi::StandardActionManager::setItemSelectionModel#
    {109, 1440, 2114},	// Akonadi::StandardActionManager::setMimeTypeFilter?
    {109, 1569, 2123},	// Akonadi::StandardActionManager::staticMetaObject
    {109, 1604, 2119},	// Akonadi::StandardActionManager::tr$
    {109, 1605, 2095},	// Akonadi::StandardActionManager::tr$$
    {109, 1606, 2097},	// Akonadi::StandardActionManager::tr$$$
    {109, 1608, 2120},	// Akonadi::StandardActionManager::trUtf8$
    {109, 1609, 2096},	// Akonadi::StandardActionManager::trUtf8$$
    {109, 1610, 2098},	// Akonadi::StandardActionManager::trUtf8$$$
    {109, 1753, 2169},	// Akonadi::StandardActionManager::~StandardActionManager
    {110, 530, 2192},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel
    {110, 531, 2177},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel#
    {110, 794, 2196},	// Akonadi::StatisticsProxyModel::columnCount
    {110, 795, 2186},	// Akonadi::StatisticsProxyModel::columnCount#
    {110, 806, 2189},	// Akonadi::StatisticsProxyModel::connectNotify$
    {110, 848, 2194},	// Akonadi::StatisticsProxyModel::data#
    {110, 849, 2183},	// Akonadi::StatisticsProxyModel::data#$
    {110, 950, 2185},	// Akonadi::StatisticsProxyModel::flags#
    {110, 969, 2195},	// Akonadi::StatisticsProxyModel::headerData$$
    {110, 970, 2184},	// Akonadi::StatisticsProxyModel::headerData$$$
    {110, 991, 2193},	// Akonadi::StatisticsProxyModel::index$$
    {110, 992, 2182},	// Akonadi::StatisticsProxyModel::index$$#
    {110, 1031, 2181},	// Akonadi::StatisticsProxyModel::isExtraColumnsEnabled
    {110, 1037, 2179},	// Akonadi::StatisticsProxyModel::isToolTipEnabled
    {110, 1106, 2197},	// Akonadi::StatisticsProxyModel::match#$#
    {110, 1107, 2198},	// Akonadi::StatisticsProxyModel::match#$#$
    {110, 1108, 2187},	// Akonadi::StatisticsProxyModel::match#$#$$
    {110, 1110, 2170},	// Akonadi::StatisticsProxyModel::metaObject
    {110, 1175, 2176},	// Akonadi::StatisticsProxyModel::qt_metacall$$?
    {110, 1177, 2171},	// Akonadi::StatisticsProxyModel::qt_metacast$
    {110, 1359, 2180},	// Akonadi::StatisticsProxyModel::setExtraColumnsEnabled$
    {110, 1510, 2188},	// Akonadi::StatisticsProxyModel::setSourceModel#
    {110, 1522, 2178},	// Akonadi::StatisticsProxyModel::setToolTipEnabled$
    {110, 1569, 2199},	// Akonadi::StatisticsProxyModel::staticMetaObject
    {110, 1604, 2190},	// Akonadi::StatisticsProxyModel::tr$
    {110, 1605, 2172},	// Akonadi::StatisticsProxyModel::tr$$
    {110, 1606, 2174},	// Akonadi::StatisticsProxyModel::tr$$$
    {110, 1608, 2191},	// Akonadi::StatisticsProxyModel::trUtf8$
    {110, 1609, 2173},	// Akonadi::StatisticsProxyModel::trUtf8$$
    {110, 1610, 2175},	// Akonadi::StatisticsProxyModel::trUtf8$$$
    {110, 1754, 2200},	// Akonadi::StatisticsProxyModel::~StatisticsProxyModel
    {111, 554, 2208},	// Akonadi::TransactionBeginJob::TransactionBeginJob#
    {111, 877, 2209},	// Akonadi::TransactionBeginJob::doStart
    {111, 1110, 2201},	// Akonadi::TransactionBeginJob::metaObject
    {111, 1175, 2207},	// Akonadi::TransactionBeginJob::qt_metacall$$?
    {111, 1177, 2202},	// Akonadi::TransactionBeginJob::qt_metacast$
    {111, 1569, 2212},	// Akonadi::TransactionBeginJob::staticMetaObject
    {111, 1604, 2210},	// Akonadi::TransactionBeginJob::tr$
    {111, 1605, 2203},	// Akonadi::TransactionBeginJob::tr$$
    {111, 1606, 2205},	// Akonadi::TransactionBeginJob::tr$$$
    {111, 1608, 2211},	// Akonadi::TransactionBeginJob::trUtf8$
    {111, 1609, 2204},	// Akonadi::TransactionBeginJob::trUtf8$$
    {111, 1610, 2206},	// Akonadi::TransactionBeginJob::trUtf8$$$
    {111, 1755, 2213},	// Akonadi::TransactionBeginJob::~TransactionBeginJob
    {112, 556, 2221},	// Akonadi::TransactionCommitJob::TransactionCommitJob#
    {112, 877, 2222},	// Akonadi::TransactionCommitJob::doStart
    {112, 1110, 2214},	// Akonadi::TransactionCommitJob::metaObject
    {112, 1175, 2220},	// Akonadi::TransactionCommitJob::qt_metacall$$?
    {112, 1177, 2215},	// Akonadi::TransactionCommitJob::qt_metacast$
    {112, 1569, 2225},	// Akonadi::TransactionCommitJob::staticMetaObject
    {112, 1604, 2223},	// Akonadi::TransactionCommitJob::tr$
    {112, 1605, 2216},	// Akonadi::TransactionCommitJob::tr$$
    {112, 1606, 2218},	// Akonadi::TransactionCommitJob::tr$$$
    {112, 1608, 2224},	// Akonadi::TransactionCommitJob::trUtf8$
    {112, 1609, 2217},	// Akonadi::TransactionCommitJob::trUtf8$$
    {112, 1610, 2219},	// Akonadi::TransactionCommitJob::trUtf8$$$
    {112, 1756, 2226},	// Akonadi::TransactionCommitJob::~TransactionCommitJob
    {113, 558, 2234},	// Akonadi::TransactionRollbackJob::TransactionRollbackJob#
    {113, 877, 2235},	// Akonadi::TransactionRollbackJob::doStart
    {113, 1110, 2227},	// Akonadi::TransactionRollbackJob::metaObject
    {113, 1175, 2233},	// Akonadi::TransactionRollbackJob::qt_metacall$$?
    {113, 1177, 2228},	// Akonadi::TransactionRollbackJob::qt_metacast$
    {113, 1569, 2238},	// Akonadi::TransactionRollbackJob::staticMetaObject
    {113, 1604, 2236},	// Akonadi::TransactionRollbackJob::tr$
    {113, 1605, 2229},	// Akonadi::TransactionRollbackJob::tr$$
    {113, 1606, 2231},	// Akonadi::TransactionRollbackJob::tr$$$
    {113, 1608, 2237},	// Akonadi::TransactionRollbackJob::trUtf8$
    {113, 1609, 2230},	// Akonadi::TransactionRollbackJob::trUtf8$$
    {113, 1610, 2232},	// Akonadi::TransactionRollbackJob::trUtf8$$$
    {113, 1757, 2239},	// Akonadi::TransactionRollbackJob::~TransactionRollbackJob
    {114, 559, 2257},	// Akonadi::TransactionSequence::TransactionSequence
    {114, 560, 2247},	// Akonadi::TransactionSequence::TransactionSequence#
    {114, 691, 2252},	// Akonadi::TransactionSequence::addSubjob#
    {114, 796, 2248},	// Akonadi::TransactionSequence::commit
    {114, 877, 2253},	// Akonadi::TransactionSequence::doStart
    {114, 1110, 2240},	// Akonadi::TransactionSequence::metaObject
    {114, 1175, 2246},	// Akonadi::TransactionSequence::qt_metacall$$?
    {114, 1177, 2241},	// Akonadi::TransactionSequence::qt_metacast$
    {114, 1222, 2249},	// Akonadi::TransactionSequence::rollback
    {114, 1275, 2251},	// Akonadi::TransactionSequence::setAutomaticCommittingEnabled$
    {114, 1393, 2250},	// Akonadi::TransactionSequence::setIgnoreJobFailure#
    {114, 1556, 2254},	// Akonadi::TransactionSequence::slotResult#
    {114, 1569, 2258},	// Akonadi::TransactionSequence::staticMetaObject
    {114, 1604, 2255},	// Akonadi::TransactionSequence::tr$
    {114, 1605, 2242},	// Akonadi::TransactionSequence::tr$$
    {114, 1606, 2244},	// Akonadi::TransactionSequence::tr$$$
    {114, 1608, 2256},	// Akonadi::TransactionSequence::trUtf8$
    {114, 1609, 2243},	// Akonadi::TransactionSequence::trUtf8$$
    {114, 1610, 2245},	// Akonadi::TransactionSequence::trUtf8$$$
    {114, 1758, 2259},	// Akonadi::TransactionSequence::~TransactionSequence
    {115, 561, 2266},	// Akonadi::TransportResourceBase::TransportFailed
    {115, 562, 2260},	// Akonadi::TransportResourceBase::TransportResourceBase
    {115, 563, 2263},	// Akonadi::TransportResourceBase::TransportResourceBase#
    {115, 564, 2265},	// Akonadi::TransportResourceBase::TransportSucceeded
    {115, 1070, 2264},	// Akonadi::TransportResourceBase::itemSent#$
    {115, 1071, 2262},	// Akonadi::TransportResourceBase::itemSent#$$
    {115, 1253, 2261},	// Akonadi::TransportResourceBase::sendItem#
    {115, 1759, 2267},	// Akonadi::TransportResourceBase::~TransportResourceBase
    {116, 570, 2279},	// Akonadi::UnlinkJob::UnlinkJob#?
    {116, 571, 2275},	// Akonadi::UnlinkJob::UnlinkJob#?#
    {116, 877, 2276},	// Akonadi::UnlinkJob::doStart
    {116, 1110, 2268},	// Akonadi::UnlinkJob::metaObject
    {116, 1175, 2274},	// Akonadi::UnlinkJob::qt_metacall$$?
    {116, 1177, 2269},	// Akonadi::UnlinkJob::qt_metacast$
    {116, 1569, 2280},	// Akonadi::UnlinkJob::staticMetaObject
    {116, 1604, 2277},	// Akonadi::UnlinkJob::tr$
    {116, 1605, 2270},	// Akonadi::UnlinkJob::tr$$
    {116, 1606, 2272},	// Akonadi::UnlinkJob::tr$$$
    {116, 1608, 2278},	// Akonadi::UnlinkJob::trUtf8$
    {116, 1609, 2271},	// Akonadi::UnlinkJob::trUtf8$$
    {116, 1610, 2273},	// Akonadi::UnlinkJob::trUtf8$$$
    {116, 1760, 2281},	// Akonadi::UnlinkJob::~UnlinkJob
    {173, 469, 2531},	// QGlobalSpace::QtCriticalMsg
    {173, 470, 2529},	// QGlobalSpace::QtDebugMsg
    {173, 471, 2532},	// QGlobalSpace::QtFatalMsg
    {173, 472, 2533},	// QGlobalSpace::QtSystemMsg
    {173, 473, 2530},	// QGlobalSpace::QtWarningMsg
    {173, 588, 2467},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {173, 589, 2468},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {173, 590, 2475},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {173, 591, 2476},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {173, 592, 2477},	// QGlobalSpace::_CS_LFS64_LIBS
    {173, 593, 2478},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {173, 594, 2471},	// QGlobalSpace::_CS_LFS_CFLAGS
    {173, 595, 2472},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {173, 596, 2473},	// QGlobalSpace::_CS_LFS_LIBS
    {173, 597, 2474},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {173, 598, 2465},	// QGlobalSpace::_CS_PATH
    {173, 599, 2495},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {173, 600, 2496},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {173, 601, 2497},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {173, 602, 2498},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {173, 603, 2499},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {173, 604, 2500},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {173, 605, 2501},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {173, 606, 2502},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {173, 607, 2503},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {173, 608, 2504},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {173, 609, 2505},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {173, 610, 2506},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {173, 611, 2507},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {173, 612, 2508},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {173, 613, 2509},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {173, 614, 2510},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {173, 615, 2511},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {173, 616, 2512},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {173, 617, 2513},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {173, 618, 2514},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {173, 619, 2515},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {173, 620, 2516},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {173, 621, 2517},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {173, 622, 2518},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {173, 623, 2519},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {173, 624, 2520},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {173, 625, 2521},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {173, 626, 2522},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {173, 627, 2523},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {173, 628, 2524},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {173, 629, 2525},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {173, 630, 2526},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {173, 631, 2469},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {173, 632, 2527},	// QGlobalSpace::_CS_V6_ENV
    {173, 633, 2466},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {173, 634, 2528},	// QGlobalSpace::_CS_V7_ENV
    {173, 635, 2470},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {173, 636, 2479},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {173, 637, 2480},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {173, 638, 2481},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {173, 639, 2482},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {173, 640, 2483},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {173, 641, 2484},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {173, 642, 2485},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {173, 643, 2486},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {173, 644, 2487},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {173, 645, 2488},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {173, 646, 2489},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {173, 647, 2490},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {173, 648, 2491},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {173, 649, 2492},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {173, 650, 2493},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {173, 651, 2494},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {173, 652, 2536},	// QGlobalSpace::__codecvt_error
    {173, 653, 2537},	// QGlobalSpace::__codecvt_noconv
    {173, 654, 2534},	// QGlobalSpace::__codecvt_ok
    {173, 655, 2535},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 217,
        __smokeakonadi::methods, 2693,
        __smokeakonadi::methodMaps, 2306,
        __smokeakonadi::methodNames, 1760,
        __smokeakonadi::types, 468,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
